/**
 * Declaration of Reverse Engineering.
 *
 * This code was reverse engineered from the Pokémon GO Application,
 * released by Niantic Inc.
 *
 * This code was reverse engineered legally under section 47D of the
 * Australian Copyright Act, 1968 (as amended)
 *
 * http://www.austlii.edu.au/au/legis/cth/consol_act/ca1968133/s47d.html
 *
 * It meets all the requrirements, as itemized below:
 *
 * 1a. It was made by a Licensee of the original program
 * 1b. It was reverse engineered to obtain information to make another
 *       program to connect to the standard Pokémon GO API.
 * 1c. The reproduction is the minimum required to obtain the information
 *       required in section b
 * 1d. It implements only the minimum required to connect to the API
 * 1e. The information is not readily available to the licencee from any other
 *       source, including the Licensor, when the adaptation was made.
 *       
 *
 * Any further Legal questions should be addressed to Electronic Frontiers Australia,
 * via https://www.efa.org.au/
 *
 * Copyright on this implementation of the Reverse Engineered code is Asserted, 2016
 *
 * A Licence to use this work is granted under the Creative Commons CC BY-NC-SA 3.0 (AU) licence.
 *
 * https://creativecommons.org/licenses/by-nc-sa/3.0/au/
 *
 * Trademarks:
 *   Pokémon GO is a trademark of Nintendo Co., LTD. 
 *   NIANTIC LABS is a trademark of Niantic, Inc. 
 *
 * No infringement of any trademarks is intended or implied.
 *
 * For more information, see https://pgoapi.com
 */

#include <stdint.h>
#include <string.h>

static uint8_t rotl8(uint8_t x, int n)
{
	return ((x << n) | (x >> (8 - n))) & UINT8_MAX;
}


#define _DWORD uint32_t

//----- (00087568) --------------------------------------------------------
unsigned char* sub_87568(unsigned char* result, unsigned char* a2)
{
	int v2; // r3@1
	int v3; // ST114_4@1
	int v4; // r3@1
	int v5; // r4@1
	int v6; // ST4C_4@1
	int v7; // STFC_4@1
	int v8; // r3@1
	int v9; // ST118_4@1
	int v10; // r5@1
	int v11; // r4@1
	int v12; // ST04_4@1
	int v13; // r2@1
	int v14; // ST11C_4@1
	int v15; // r6@1
	int v16; // ST98_4@1
	int v17; // r3@1
	int v18; // ST120_4@1
	int v19; // ST10_4@1
	int v20; // r5@1
	int v21; // r6@1
	int v22; // STE4_4@1
	int v23; // r5@1
	int v24; // ST50_4@1
	int v25; // ST7C_4@1
	int v26; // ST88_4@1
	int v27; // r5@1
	int v28; // STE8_4@1
	int v29; // r7@1
	int v30; // ST8C_4@1
	int v31; // ST54_4@1
	int v32; // r7@1
	int v33; // r5@1
	int v34; // ST90_4@1
	int v35; // ST2C_4@1
	int v36; // r5@1
	int v37; // r3@1
	int v38; // ST34_4@1
	int v39; // ST78_4@1
	int v40; // r5@1
	int v41; // ST124_4@1
	int v42; // r8@1
	int v43; // r9@1
	int v44; // ST68_4@1
	int v45; // r4@1
	int v46; // ST128_4@1
	int v47; // r7@1
	int v48; // r5@1
	int v49; // STF4_4@1
	int v50; // r3@1
	int v51; // STF0_4@1
	int v52; // ST14C_4@1
	int v53; // STEC_4@1
	int v54; // lr@1
	int v55; // ST6C_4@1
	int v56; // r7@1
	int v57; // ST150_4@1
	int v58; // ST154_4@1
	int v59; // lr@1
	int v60; // STB8_4@1
	int v61; // STD4_4@1
	int v62; // r5@1
	int v63; // ST58_4@1
	int v64; // ST64_4@1
	int v65; // ST20_4@1
	int v66; // ST12C_4@1
	int v67; // r2@1
	int v68; // r12@1
	int v69; // ST9C_4@1
	int v70; // ST5C_4@1
	int v71; // STBC_4@1
	int v72; // ST48_4@1
	int v73; // ST30_4@1
	int v74; // STD8_4@1
	int v75; // ST110_4@1
	int v76; // ST08_4@1
	int v77; // ST40_4@1
	int v78; // ST74_4@1
	int v79; // ST14_4@1
	int v80; // STA4_4@1
	int v81; // r11@1
	int v82; // r6@1
	int v83; // STC0_4@1
	int v84; // ST84_4@1
	int v85; // STDC_4@1
	int v86; // ST184_4@1
	int v87; // r5@1
	int v88; // STD0_4@1
	int v89; // ST144_4@1
	int v90; // ST160_4@1
	int v91; // ST170_4@1
	int v92; // r3@1
	int v93; // ST178_4@1
	int v94; // ST10C_4@1
	int v95; // STAC_4@1
	int v96; // STF8_4@1
	int v97; // r7@1
	int v98; // ST15C_4@1
	int v99; // ST18_4@1
	int v100; // ST174_4@1
	int v101; // STC8_4@1
	int v102; // lr@1
	int v103; // ST80_4@1
	int v104; // ST24_4@1
	int v105; // STE0_4@1
	int v106; // r4@1
	int v107; // STA0_4@1
	int v108; // r5@1
	int v109; // ST19C_4@1
	int v110; // ST16C_4@1
	int v111; // r3@1
	int v112; // ST44_4@1
	int v113; // r3@1
	int v114; // r2@1
	int v115; // r7@1
	int v116; // ST108_4@1
	int v117; // r3@1
	int v118; // ST38_4@1
	int v119; // STC4_4@1
	int v120; // ST70_4@1
	int v121; // r3@1
	int v122; // ST94_4@1
	int v123; // r3@1
	int v124; // r10@1
	int v125; // r3@1
	int v126; // ST100_4@1
	int v127; // ST3C_4@1
	int v128; // r3@1
	int v129; // ST168_4@1
	int v130; // r3@1
	int v131; // r6@1
	int v132; // ST28_4@1
	int v133; // r3@1
	int v134; // ST130_4@1
	int v135; // r6@1
	int v136; // ST1C_4@1
	int v137; // ST134_4@1
	int v138; // STB4_4@1
	int v139; // r9@1
	int v140; // STCC_4@1
	int v141; // ST158_4@1
	int v142; // r2@1
	int v143; // r5@1
	int v144; // ST0C_4@1
	int v145; // r2@1
	int v146; // ST138_4@1
	int v147; // r7@1
	int v148; // STA8_4@1
	int v149; // r2@1
	int v150; // r8@1
	int v151; // r3@1
	int v152; // ST13C_4@1
	int v153; // r7@1
	int v154; // ST2C_4@1
	int v155; // ST140_4@1
	int v156; // r2@1
	int v157; // ST180_4@1
	int v158; // ST190_4@1
	int v159; // ST17C_4@1
	int v160; // r7@1
	int v161; // r4@1
	int v162; // ST30_4@1
	int v163; // ST188_4@1
	int v164; // ST18C_4@1
	int v165; // ST194_4@1
	int v166; // r12@1
	int v167; // ST84_4@1
	int v168; // ST164_4@1
	int v169; // r3@1
	int v170; // ST198_4@1
	int v171; // ST1B0_4@1
	int v172; // STAC_4@1
	int v173; // ST1B8_4@1
	int v174; // STD8_4@1
	int v175; // ST148_4@1
	int v176; // r11@1
	int v177; // r12@1
	int v178; // STB0_4@1
	int v179; // ST110_4@1
	int v180; // r4@1
	int v181; // ST40_4@1
	int v182; // ST144_4@1
	int v183; // ST74_4@1
	int v184; // lr@1
	int v185; // ST54_4@1
	int v186; // r12@1
	int v187; // ST1BC_4@1
	int v188; // r1@1
	int v189; // r6@1
	int v190; // r5@1
	int v191; // lr@1
	int v192; // r3@1
	int v193; // ST184_4@1
	int v194; // ST10C_4@1
	int v195; // ST170_4@1
	int v196; // ST164_4@1
	int v197; // lr@1
	int v198; // ST1AC_4@1
	int v199; // ST1A8_4@1
	int v200; // ST15C_4@1
	int v201; // STD0_4@1
	int v202; // ST48_4@1
	int v203; // ST60_4@1
	int v204; // r4@1
	int v205; // STA8_4@1
	int v206; // ST1B4_4@1
	int v207; // r11@1
	int v208; // r8@1
	int v209; // ST16C_4@1
	int v210; // ST98_4@1
	int v211; // ST1A4_4@1
	int v212; // ST168_4@1
	int v213; // r3@1
	int v214; // ST174_4@1
	int v215; // r9@1
	int v216; // r10@1
	int v217; // STC0_4@1
	int v218; // ST40_4@1
	int v219; // r3@1
	int v220; // r1@1
	int v221; // r9@1
	int v222; // r1@1
	int v223; // r12@1
	int v224; // r9@1
	int v225; // ST13C_4@1
	int v226; // r11@1
	int v227; // r4@1
	int v228; // r5@1
	int v229; // ST158_4@1
	int v230; // lr@1
	int v231; // ST04_4@1
	int v232; // r6@1
	int v233; // r4@1
	int v234; // ST124_4@1
	int v235; // ST168_4@1
	int v236; // r3@1
	int v237; // ST1AC_4@1
	int v238; // r12@1
	int v239; // ST1B4_4@1
	int v240; // r10@1
	int v241; // ST114_4@1
	int v242; // ST198_4@1
	int v243; // r8@1
	int v244; // STE8_4@1
	int v245; // ST118_4@1
	int v246; // STA0_4@1
	int v247; // r9@1
	int v248; // STD8_4@1
	int v249; // STF4_4@1
	int v250; // ST90_4@1
	int v251; // lr@1
	int v252; // ST180_4@1
	int v253; // lr@1
	int v254; // r9@1
	int v255; // ST148_4@1
	int v256; // r6@1
	int v257; // r11@1
	int v258; // ST178_4@1
	int v259; // ST120_4@1
	int v260; // ST100_4@1
	int v261; // ST17C_4@1
	int v262; // ST40_4@1
	int v263; // r7@1
	int v264; // STEC_4@1
	int v265; // r6@1
	int v266; // ST9C_4@1
	int v267; // r8@1
	int v268; // r1@1
	int v269; // ST14C_4@1
	int v270; // STD0_4@1
	int v271; // ST150_4@1
	int v272; // STD4_4@1
	int v273; // ST64_4@1
	int v274; // STCC_4@1
	int v275; // STC8_4@1
	int v276; // r6@1
	int v277; // ST104_4@1
	int v278; // ST144_4@1
	int v279; // ST10C_4@1
	int v280; // ST38_4@1
	int v281; // STF0_4@1
	int v282; // STBC_4@1
	int v283; // r3@1
	int v284; // r7@1
	int v285; // ST100_4@1
	int v286; // ST68_4@1
	int v287; // r10@1
	int v288; // r2@1
	int v289; // STA8_4@1
	int v290; // r4@1
	int v291; // r12@1
	int v292; // ST7C_4@1
	int v293; // STA0_4@1
	int v294; // r8@1
	int v295; // ST28_4@1
	int v296; // ST60_4@1
	int v297; // r1@1
	int v298; // ST04_4@1
	int v299; // ST6C_4@1
	int v300; // ST54_4@1
	int v301; // r7@1
	int v302; // r10@1
	int v303; // lr@1
	int v304; // r3@1
	int v305; // STA0_4@1
	int v306; // r5@1
	int v307; // r8@1
	int v308; // r6@1
	int v309; // ST8C_4@1
	int v310; // r11@1
	int v311; // ST08_4@1
	int v312; // STC8_4@1
	int v313; // r12@1
	int v314; // ST84_4@1
	int v315; // STA8_4@1
	int v316; // ST5C_4@1
	int v317; // ST7C_4@1
	int v318; // lr@1
	int v319; // r11@1
	int v320; // STD8_4@1
	int v321; // r9@1
	int v322; // STA4_4@1
	int v323; // r4@1
	int v324; // r6@1
	int v325; // ST0C_4@1
	int v326; // ST10_4@1
	int v327; // ST48_4@1
	int v328; // r5@1
	int v329; // r2@1
	int v330; // STE8_4@1
	int v331; // ST114_4@1
	int v332; // ST80_4@1
	int v333; // r10@1
	int v334; // STBC_4@1
	int v335; // ST04_4@1
	int v336; // ST08_4@1
	int v337; // STC4_4@1
	int v338; // STCC_4@1
	int v339; // ST3C_4@1
	int v340; // STD0_4@1
	int v341; // lr@1
	int v342; // r11@1
	int v343; // STC8_4@1
	int v344; // ST98_4@1
	int v345; // r2@1
	int v346; // r1@1
	int v347; // r3@1
	int v348; // ST88_4@1
	int v349; // STA4_4@1
	int v350; // r6@1
	int v351; // STB0_4@1
	int v352; // lr@1
	int v353; // r3@1
	int v354; // ST94_4@1
	int v355; // r4@1
	int v356; // ST8C_4@1
	int v357; // r6@1
	int v358; // STB4_4@1
	int v359; // r7@1
	int v360; // r12@1
	int v361; // STE0_4@1
	int v362; // STD0_4@1
	int v363; // ST7C_4@1
	int v364; // STDC_4@1
	int v365; // STE8_4@1
	int v366; // ST10_4@1
	int v367; // STD4_4@1
	int v368; // STCC_4@1
	int v369; // r8@1
	int v370; // STC8_4@1
	int v371; // lr@1
	int v372; // ST44_4@1
	int v373; // r5@1
	int v374; // ST110_4@1
	int v375; // r3@1
	int v376; // STBC_4@1
	int v377; // ST14_4@1
	int v378; // r4@1
	int v379; // ST10C_4@1
	int v380; // ST108_4@1
	int v381; // ST104_4@1
	int v382; // r7@1
	int v383; // r12@1
	int v384; // r7@1
	int v385; // r9@1
	int v386; // STE0_4@1
	int v387; // STF0_4@1
	int v388; // STE4_4@1
	int v389; // r8@1
	int v390; // STD0_4@1
	int v391; // STD8_4@1
	int v392; // ST100_4@1
	int v393; // STA8_4@1
	int v394; // STFC_4@1
	int v395; // STF4_4@1
	int v396; // STB0_4@1
	int v397; // ST94_4@1
	int v398; // lr@1
	int v399; // ST90_4@1
	int v400; // r3@1
	int v401; // STB4_4@1
	int v402; // ST70_4@1
	int v403; // STC8_4@1
	int v404; // ST0C_4@1
	int v405; // ST30_4@1
	int v406; // r2@1
	int v407; // r5@1
	int v408; // r6@1
	int v409; // r6@1
	int v410; // r9@1
	int v411; // r6@1
	int v412; // r9@1
	int v413; // r6@1
	int v414; // r9@1
	int v415; // r6@1
	int v416; // r9@1
	int v417; // r6@1
	int v418; // r9@1
	int v419; // r6@1
	int v420; // r6@1
	int v421; // r5@1
	int v422; // r12@1
	int v423; // r9@1
	int v424; // r6@1
	int v425; // ST5C_4@1
	int v426; // r5@1
	int v427; // r7@1
	int v428; // r7@1
	int v429; // r6@1
	int v430; // r9@1
	int v431; // r6@1
	int v432; // r9@1
	int v433; // r6@1
	int v434; // r4@1
	int v435; // r6@1
	int v436; // r12@1
	int v437; // r6@1
	int v438; // r8@1
	int v439; // r6@1
	int v440; // r6@1
	int v441; // r12@1
	int v442; // r6@1
	int v443; // r8@1
	int v444; // r1@1
	int v445; // r6@1
	int v446; // lr@1
	int v447; // r3@1
	int v448; // r4@1
	int v449; // r6@1
	int v450; // lr@1
	int v451; // r3@1
	int v452; // r6@1
	int v453; // ST0C_4@1
	int v454; // r8@1
	int v455; // r1@1
	int v456; // ST70_4@1
	int v457; // ST10_4@1
	int v458; // ST30_4@1
	int v459; // r3@1
	int v460; // r2@1
	int v461; // ST5C_4@1
	int v462; // r12@1
	int v463; // r6@1
	int v464; // ST28_4@1
	int v465; // ST58_4@1
	int v466; // r4@1
	int v467; // r7@1
	int v468; // ST20_4@1
	int v469; // ST0C_4@1
	int v470; // ST6C_4@1
	int v471; // ST3C_4@1
	int v472; // r8@1
	int v473; // ST44_4@1
	int v474; // ST54_4@1
	int v475; // r12@1
	int v476; // ST60_4@1
	int v477; // ST14_4@1
	int v478; // r1@1
	int v479; // ST68_4@1
	int v480; // r12@1
	int v481; // r8@1
	int v482; // r1@1
	int v483; // ST74_4@1
	int v484; // lr@1
	int v485; // ST50_4@1
	int v486; // ST38_4@1
	int v487; // ST34_4@1
	int v488; // ST48_4@1
	int v489; // ST24_4@1
	int v490; // r12@1
	int v491; // r7@1
	int v492; // ST78_4@1
	int v493; // ST64_4@1
	int v494; // r12@1
	int v495; // r4@1
	int v496; // r8@1
	int v497; // r1@1
	int v498; // ST4C_4@1
	int v499; // r9@1
	int v500; // ST44_4@1
	int v501; // r8@1
	int v502; // ST1C_4@1
	int v503; // r5@1
	int v504; // r1@1
	int v505; // r7@1
	int v506; // ST18_4@1
	int v507; // r9@1
	int v508; // r4@1
	int v509; // r8@1
	int v510; // ST2C_4@1
	int v511; // ST3C_4@1
	int v512; // r6@1
	int v513; // r4@1
	int v514; // r2@1
	int v515; // r11@1
	int v516; // r2@1
	int v517; // ST08_4@1
	int v518; // r11@1
	int v519; // r2@1
	int v520; // r11@1
	int v521; // r6@1
	int v522; // r1@1
	int v523; // ST40_4@1
	int v524; // ST28_4@1
	int v525; // r12@1
	int v526; // ST04_4@1
	int v527; // ST0C_4@1
	int v528; // lr@1
	int v529; // ST30_4@1
	int v530; // r4@1
	int v531; // r12@1
	int v532; // r6@1
	int v533; // r3@1
	int v534; // r11@1
	int v535; // ST20_4@1
	int v536; // r6@1
	int v537; // r5@1
	int v538; // r9@1
	int v539; // r5@1
	int v540; // r3@1
	int v541; // ST04_4@1
	int v542; // r5@1
	int v543; // r9@1
	int v544; // r7@1
	int v545; // r7@1
	int v546; // r7@1
	int v547; // r2@1
	int v548; // r2@1
	int v549; // r2@1
	int v550; // r2@1
	int v551; // r3@1

	v2 = *(_DWORD *)a2;
	*(_DWORD *)result = *(_DWORD *)a2;
	v3 = v2;
	v4 = *(_DWORD *)(a2 + 4);
	*(_DWORD *)(result + 4) = v4;
	v5 = *(_DWORD *)(a2 + 8);
	v6 = v4;
	v7 = ~v4;
	*(_DWORD *)(result + 8) = v5;
	v8 = *(_DWORD *)(a2 + 12);
	v9 = v5;
	*(_DWORD *)(result + 12) = v8;
	v10 = *(_DWORD *)(a2 + 16);
	v11 = ~v8;
	v12 = v8;
	*(_DWORD *)(result + 16) = v10;
	v13 = *(_DWORD *)(a2 + 20);
	v14 = v10;
	*(_DWORD *)(result + 20) = v13;
	v15 = *(_DWORD *)(a2 + 24);
	v16 = ~v13;
	*(_DWORD *)(result + 24) = v15;
	v17 = *(_DWORD *)(a2 + 28);
	v18 = v15;
	*(_DWORD *)(result + 28) = v17;
	v19 = v17;
	*(_DWORD *)(result + 32) = *(_DWORD *)(a2 + 32);
	v20 = *(_DWORD *)(a2 + 36);
	*(_DWORD *)(result + 36) = v20;
	v21 = v20;
	v22 = ~v20;
	*(_DWORD *)(result + 40) = *(_DWORD *)(a2 + 40);
	v23 = *(_DWORD *)(a2 + 44);
	v24 = v21;
	v25 = v11;
	*(_DWORD *)(result + 44) = v23;
	v26 = v23;
	*(_DWORD *)(result + 48) = *(_DWORD *)(a2 + 48);
	v27 = *(_DWORD *)(a2 + 52);
	*(_DWORD *)(result + 52) = v27;
	v28 = ~v27;
	v29 = *(_DWORD *)(a2 + 56);
	v30 = v27;
	*(_DWORD *)(result + 56) = v29;
	v31 = v29;
	v32 = *(_DWORD *)(a2 + 60);
	*(_DWORD *)(result + 60) = v32;
	v33 = *(_DWORD *)(a2 + 64);
	v34 = v32;
	*(_DWORD *)(result + 64) = v33;
	v35 = v33;
	v36 = *(_DWORD *)(a2 + 68);
	*(_DWORD *)(result + 68) = v36;
	v37 = *(_DWORD *)(a2 + 72);
	v38 = v36;
	v39 = v36 ^ v21;
	*(_DWORD *)(result + 72) = v37;
	v40 = *(_DWORD *)(a2 + 76);
	v41 = v37;
	v42 = v40 ^ v12;
	*(_DWORD *)(result + 76) = v40;
	v43 = v40 & v12;
	v44 = v40;
	v45 = v11 & v40;
	v46 = *(_DWORD *)(a2 + 80);
	*(_DWORD *)(result + 80) = v46;
	v47 = *(_DWORD *)(a2 + 84);
	*(_DWORD *)(result + 84) = v47;
	v48 = v47 ^ v13;
	v49 = v13 & ~v47;
	v50 = *(_DWORD *)(a2 + 88);
	v51 = ~v13 & v47;
	v52 = v47 | v13;
	*(_DWORD *)(result + 88) = v50;
	v53 = v28 & (v47 ^ v13);
	v54 = v47 & v13;
	v55 = v47;
	v56 = *(_DWORD *)(a2 + 92);
	v57 = v54;
	v58 = v28 & v48 ^ v48;
	*(_DWORD *)(result + 92) = v56;
	v59 = *(_DWORD *)(a2 + 96);
	v60 = v48;
	v61 = ~v56;
	*(_DWORD *)(result + 96) = v59;
	v62 = *(_DWORD *)(a2 + 100);
	v63 = v56;
	v64 = v13;
	*(_DWORD *)(result + 100) = v62;
	v65 = v62;
	v66 = *(_DWORD *)(a2 + 104);
	*(_DWORD *)(result + 104) = v66;
	v67 = *(_DWORD *)(a2 + 108);
	v68 = *(_DWORD *)(a2 + 108);
	*(_DWORD *)(result + 108) = v67;
	v69 = ~v67;
	v70 = v68 | v12;
	v71 = v67 & v12;
	v72 = *(_DWORD *)(a2 + 112);
	v73 = v45;
	v74 = v67 & v44 ^ v12;
	*(_DWORD *)(result + 112) = v72;
	v75 = v45 ^ (v68 | v12);
	v76 = *(_DWORD *)(a2 + 116);
	v77 = (v67 ^ v12) & v44 ^ v67 & v12;
	v78 = v67 & v44 ^ v67;
	v79 = v67;
	v80 = ~v67 & v12 ^ v67 & v44;
	v81 = v25 & v67;
	v82 = v12 & ~(v67 & v12);
	*(_DWORD *)(result + 116) = v76;
	v83 = v44 & ~v82;
	v84 = v82 ^ v44 & ~(v67 ^ v12);
	v85 = *(_DWORD *)(a2 + 120);
	*(_DWORD *)(result + 120) = v85;
	v86 = v50 ^ v76;
	v87 = *(_DWORD *)(a2 + 124);
	v88 = v19 & v87;
	v89 = v87 ^ v19;
	v90 = v67 & v44 ^ (v68 | v12);
	*(_DWORD *)(result + 124) = v87;
	v91 = v19 & v87 ^ ~v87;
	v92 = *(_DWORD *)(a2 + 128);
	v93 = ~v67 & v44 ^ v12 ^ v59;
	v94 = v83 ^ v82;
	*(_DWORD *)(result + 128) = v92;
	v95 = v42 & v67;
	v96 = ~v87;
	v97 = *(_DWORD *)(a2 + 132);
	v98 = v83 ^ v25 & v67;
	v99 = v87;
	v100 = ~v87 & v19 ^ v87;
	v101 = v25 & v97;
	*(_DWORD *)(result + 132) = v97;
	v102 = v97 & v12;
	v103 = v97 ^ v12;
	v104 = v97;
	v105 = *(_DWORD *)(a2 + 136);
	v106 = ~v97;
	v107 = ~v97 & v12;
	v108 = v67 ^ v12 ^ v43;
	v109 = v92 ^ v19;
	v110 = v25 & v67 & v44 ^ v67;
	*(_DWORD *)(result + 136) = v105;
	v111 = *(_DWORD *)(a2 + 140);
	*(_DWORD *)(result + 140) = v111;
	v112 = v111;
	v113 = *(_DWORD *)(a2 + 144);
	v114 = v113 ^ v97;
	*(_DWORD *)(result + 144) = v113;
	v115 = *(_DWORD *)(a2 + 148);
	*(_DWORD *)(result + 148) = v115;
	v116 = *(_DWORD *)(a2 + 152);
	*(_DWORD *)(result + 152) = v116;
	v117 = *(_DWORD *)(a2 + 156);
	v118 = v115;
	v119 = v106;
	*(_DWORD *)(result + 156) = v117;
	v120 = v117;
	*(_DWORD *)(result + 160) = *(_DWORD *)(a2 + 160);
	v121 = *(_DWORD *)(a2 + 164);
	*(_DWORD *)(result + 164) = v121;
	v122 = v121;
	v123 = *(_DWORD *)(a2 + 168);
	v124 = v123 ^ v79;
	*(_DWORD *)(result + 168) = v123;
	v125 = *(_DWORD *)(a2 + 172);
	v126 = ~v115;
	*(_DWORD *)(result + 172) = v125;
	v127 = v125;
	v128 = *(_DWORD *)(a2 + 176);
	v129 = v108 ^ v128;
	*(_DWORD *)(result + 176) = v128;
	v130 = *(_DWORD *)(a2 + 180);
	*(_DWORD *)(result + 180) = v130;
	v131 = *(_DWORD *)(a2 + 184);
	v132 = v130;
	*(_DWORD *)(result + 184) = v131;
	v133 = *(_DWORD *)(a2 + 188);
	v134 = v131;
	*(_DWORD *)(result + 188) = v133;
	v135 = *(_DWORD *)(a2 + 192);
	v136 = v133;
	*(_DWORD *)(result + 192) = v135;
	v137 = v135;
	v138 = *(_DWORD *)(a2 + 196);
	*(_DWORD *)(result + 196) = v138;
	v139 = *(_DWORD *)(a2 + 200);
	v140 = v102 & v138;
	v141 = v114 ^ v102 & v138;
	*(_DWORD *)(result + 200) = v139;
	v142 = *(_DWORD *)(a2 + 204);
	*(_DWORD *)(result + 204) = v142;
	v143 = (v138 ^ v106) & v12;
	v144 = v142;
	v145 = *(_DWORD *)(a2 + 208);
	*(_DWORD *)(result + 208) = v145;
	v146 = v145;
	v147 = *(_DWORD *)(a2 + 212);
	*(_DWORD *)(result + 212) = v147;
	v148 = v147;
	v149 = *(_DWORD *)(a2 + 216);
	v150 = v147 ^ v35;
	*(_DWORD *)(result + 216) = v149;
	v151 = *(_DWORD *)(a2 + 220);
	v152 = v149;
	*(_DWORD *)(result + 220) = v151;
	v153 = *(_DWORD *)(a2 + 224);
	v154 = v151;
	*(_DWORD *)(result + 224) = v153;
	v155 = v153;
	v156 = *(_DWORD *)(a2 + 228);
	*(_DWORD *)(result + 228) = v156;
	v157 = v74 & v156 ^ v77;
	v158 = v75 & v156 ^ v81;
	*(_DWORD *)(result + 232) = *(_DWORD *)(a2 + 232);
	v159 = v80 & v156 ^ v78;
	v160 = *(_DWORD *)(a2 + 236);
	v161 = v73;
	*(_DWORD *)(result + 236) = v160;
	v162 = v160;
	v163 = v124 ^ v156 ^ v161;
	v164 = v78 & v156 ^ v12;
	v165 = v156 & ~v84 ^ v77;
	v166 = v132 & ~(v126 & v132);
	*(_DWORD *)(result + 240) = *(_DWORD *)(a2 + 240);
	v167 = v16 & v127;
	v168 = (v83 ^ v12) & v156 ^ v95;
	v169 = *(_DWORD *)(a2 + 244);
	v170 = (v143 | v156) ^ v31;
	v171 = v150 ^ v166;
	v172 = v148 | v132;
	v173 = (v166 ^ (v148 | v132)) & v76;
	v174 = v96 & v169;
	*(_DWORD *)(result + 244) = v169;
	v175 = v169 | v99;
	v176 = ~v169 & v19;
	v177 = v169 & v120 & v89 ^ (v169 | v99) & v19;
	v178 = ~v169;
	v179 = v169 ^ v99;
	v180 = *(_DWORD *)(a2 + 248);
	v181 = ~v169 & v99;
	*(_DWORD *)(result + 248) = v180;
	v182 = v180;
	v183 = *(_DWORD *)(a2 + 252);
	v184 = v96 & v169 ^ v176 ^ v139 ^ v34 & ~v177 ^ (v19 & ~v181 ^ v169 | v63);
	v185 = v169;
	v186 = v19 & ~(v169 ^ v99) ^ v99;
	v187 = v86 ^ v169;
	v188 = v169 & v19;
	v189 = v91 & v169;
	v190 = v181 ^ v169 & v19;
	*(_DWORD *)(result + 200) = v184 ^ v120 & ~((v19 & ~v174 ^ v174 | v63) ^ v186);
	v191 = v169 ^ v72;
	v192 = v94;
	v193 = v168 | v112;
	v194 = v156 & ~v94;
	v195 = v69 & v12 & v156 ^ v12;
	v196 = v98 & v156;
	v197 = v191 ^ v88;
	v198 = v176 ^ v185;
	v199 = (~v127 ^ v144) & v64;
	v200 = v192 ^ v156 & ~(v44 & ~v70 ^ v70 & v25) ^ v116;
	v201 = v16 & v144;
	v202 = ~v127 & v64;
	v203 = ~v148;
	*(_DWORD *)(result + 532) = v132 ^ v118;
	v204 = v148;
	v205 = v148 | v118;
	v206 = ((v126 & v132 | v204) ^ v118) & ~v76;
	v207 = v110 ^ v194;
	v208 = (v16 ^ v144) & v127;
	v209 = v129 ^ v83 & v156;
	v210 = v127 & v64;
	v211 = v208;
	*(_DWORD *)(result + 112) = v197 ^ (v181 | v63) ^ (v100 ^ v120 & v19 & ~v175) & v34 ^ v120 & ~(v186 ^ v190 & v61);
	v212 = (v181 | ~v99) & v19;
	v213 = v109 ^ v181 ^ (v179 ^ v188) & v61 ^ (v63 | ~(v181 & v19)) & v120;
	v214 = v207 | v112;
	v215 = v188 & v61 ^ v181 ^ v181 & v19 & v120;
	v216 = v120 & ~(v198 ^ (v181 & v19 ^ v185) & v61);
	v217 = ~v65 & v38;
	v218 = v12 & v138;
	*(_DWORD *)(result + 128) = v213 ^ v34 & ~v215;
	v219 = v156 & ~(v25 & v138 ^ v107);
	v220 = v107 | ~v12;
	v221 = v220 & v156;
	v222 = v220 & v138;
	v223 = v219 ^ v12 ^ v222 ^ (v119 & v138 ^ v101 ^ v221) & v65 | v122;
	*(_DWORD *)(result + 216) = v179 ^ v19 ^ v152 ^ (v174 | v63) ^ v216 ^ v34 & ~(v212 ^ (v19 ^ v185 | v63) ^ v174 ^ ((v179 ^ v19 | v63) ^ v189) & v120);
	v224 = v138 & ~(v104 | v12);
	*(_DWORD *)(result + 144) = v141 ^ (v107 ^ v138) & v156 ^ v65 & ~(v103 & v138 ^ v101 ^ v219) ^ v223;
	*(_DWORD *)(result + 252) = v183;
	v225 = v65 & ~(v222 ^ v107);
	v226 = v65 & ~(v140 ^ v103 ^ (v12 ^ v12 & v138) & v156);
	*(_DWORD *)(result + 56) = (v224 ^ v107 ^ v219) & v65 ^ v170 ^ v222 ^ v103 ^ ((v103 | v156) ^ v140 ^ v65 & ~(v101 & v138 ^ v156 & ~v103 ^ v103)) & ~v122;
	v227 = v12 & v138 ^ (v104 | v12);
	v228 = v156 & ~(v12 & v138 ^ v103) ^ v107 ^ v138 & v107;
	v229 = v156 & ~((v104 | v12) & v138 ^ v107) ^ v140;
	v230 = v156 & ~v227 ^ v41;
	v231 = v201 ^ v127;
	v232 = v138 & v107 ^ v227 & v156;
	v233 = v203 & v132 ^ *(_DWORD *)(result + 532);
	v234 = v232 ^ v103;
	v235 = v228 & v65;
	v236 = v203 & v118 ^ v126 & v132;
	v237 = v126 & v132 & v203 ^ v126 & v132;
	v238 = v206 ^ v236;
	v239 = v187 ^ v236;
	v240 = v118 & ~v132;
	v241 = v218 ^ v103 ^ v3 ^ v156 & ~v224;
	v242 = v240 ^ v9 ^ v126 & v132 & v203;
	v243 = (v55 ^ (v60 | v118)) & v28;
	v244 = v60 ^ v118;
	v245 = v226 ^ v156 & ~v101 | v122;
	v246 = v49 & v126;
	v247 = ((v49 | v118) ^ v55 | v30) ^ v49 ^ v76 & ~(v51 & ~v126 ^ v53);
	v248 = v76 & ~(v58 ^ v49 & v126);
	v249 = v230 ^ v222 ^ v103;
	v250 = v247;
	v251 = v159 ^ v157 & ~v112 | v26;
	v252 = (v205 ^ (v233 | v76)) & v178;
	v253 = v93 ^ v251;
	v254 = v132 | v118;
	v255 = ((v127 ^ v64) & v144 ^ v127) & v69 ^ v202 & v144 ^ v167 ^ v160 & ~((v167 ^ v144 | v79) ^ v202) | v112;
	v256 = (v233 & v76 ^ (v132 | v118)) & v178 ^ (v126 & v132 & v203 ^ v118) & v76 ^ v171;
	v257 = (v202 & v144 ^ v127 & v64) & v79;
	v258 = (v205 ^ v132) & v76;
	v259 = (v127 & v64 ^ v144) & v69 ^ v18 ^ v167 & v144 ^ v202;
	v260 = v253 ^ v194;
	v261 = v76 & ~v205 ^ v172 | v185;
	v262 = (v158 & ~v112 ^ v164) & ~v26 ^ v163 ^ v165 & ~v112;
	v263 = (v127 ^ v64 ^ v144 & v64) & v79;
	v264 = (v127 | v64) & v144;
	*(_DWORD *)(result + 64) = v256 ^ v19 & ~(v238 ^ (v173 ^ v240 | v185));
	v265 = v243 ^ (v51 | v118);
	v266 = (v51 | v118) ^ v52 ^ (v60 ^ (v60 | v118) | v30) ^ (v243 ^ v55) & v76;
	v267 = (v51 | v118) ^ v57;
	v268 = (v144 & v64 ^ v167) & v79 ^ v201 ^ v202;
	v269 = v79 & ~v201;
	v270 = v265 & v76;
	v271 = v266 ^ v182;
	v272 = v55 & ~v51 ^ v246;
	v273 = ~v65 & v39;
	v274 = v267 | v30;
	v275 = (v51 | v118) ^ v55;
	*(_DWORD *)(result + 528) = v132 & v118;
	v276 = v118 & v76;
	v277 = v263 ^ v231;
	v278 = v268 & v162;
	v279 = v257 ^ v199;
	v280 = (v38 | v24 | v65) ^ v38 & v24;
	*(_DWORD *)(result + 96) = v260 ^ v193;
	v281 = v71 & ~v156;
	v282 = v71 & v44 ^ v70;
	v283 = (v44 ^ v79) & v25 & v156;
	v284 = v240 & v203;
	v285 = v240 & v76 ^ v203 & v132;
	v286 = v156 | v112 | v90;
	v287 = v203 & *(_DWORD *)(result + 528) ^ *(_DWORD *)(result + 532);
	v288 = v205;
	v289 = v276 & (v203 ^ v132);
	v290 = v132 & v76 ^ v254 ^ v288;
	v291 = v202 ^ v144 ^ v231 & v79;
	v292 = v259 ^ v162 & ~(v79 & ~v231 ^ v167 & v144 ^ v202);
	v293 = v284 ^ v132;
	v294 = *(_DWORD *)(result + 532) ^ v288 ^ v14 ^ v254 & v76 ^ (v172 ^ v132 ^ v258 | v185);
	v295 = v24 & ~v65;
	v296 = v24 & ~v65 ^ v38;
	*(_DWORD *)(result + 340) = (v65 | v38) ^ v39 ^ (v273 ^ v38) & v104;
	v297 = ((v38 | v24) & v22 ^ (v65 | v38) ^ (v217 ^ v39) & v104) & v183 ^ *(_DWORD *)(result + 340);
	v298 = v210 & v144;
	v299 = (v273 ^ v24) & v119;
	v300 = v7 & v99;
	*(_DWORD *)(result + 16) = v294 ^ (v284 & ~v76 ^ v261) & v19;
	v301 = v210 & v144 & v79;
	v302 = v237 ^ v287 & v76 ^ v285 & v178;
	v303 = v76 & ~v293;
	*(_DWORD *)(result + 24) = v292 ^ v255;
	v304 = v283 ^ v286 ^ v70;
	v305 = v264 ^ v202;
	*(_DWORD *)(result + 248) = v271 ^ (v250 | v162);
	v306 = v272 | v30;
	v307 = v275 ^ v274;
	v308 = (v289 ^ v172) & v178;
	v309 = ~v167;
	v310 = ~v167 & v127;
	*(_DWORD *)(result + 88) = v19 & ~(v290 ^ v252) ^ v239;
	*(_DWORD *)(result + 328) = v296 ^ v104;
	*(_DWORD *)(result + 324) = *(_DWORD *)(result + 328) ^ v183 & ~(v38 & v24 & v65 & v119 ^ v217 ^ v39);
	*(_DWORD *)(result + 264) = (v297 | v6) ^ *(_DWORD *)(result + 324);
	v311 = v241 ^ v245;
	v312 = v202 & v144 ^ v167 ^ v269 ^ v134;
	v313 = (v144 & ~v202 ^ v202) & v79 ^ v202 ^ v162 & ~v291;
	v314 = v244 ^ v270 ^ v306;
	v315 = ~*(_DWORD *)(result + 64);
	v316 = v315 & *(_DWORD *)(result + 248);
	v317 = v307 ^ v248;
	v318 = v242 ^ v303 ^ v308;
	v319 = v310 ^ v144 & ~v202;
	v320 = v19 & ~v302;
	v321 = ~*(_DWORD *)(result + 24);
	v322 = (v144 & v127 ^ v210) & v79;
	v323 = (v196 ^ v282) & ~v112;
	v324 = *(_DWORD *)(result + 88);
	v325 = *(_DWORD *)(result + 88) | *(_DWORD *)(result + 24);
	v326 = v321 & v324;
	v327 = v324 & *(_DWORD *)(result + 24);
	v328 = v298 ^ v127;
	v329 = *(_DWORD *)(result + 96);
	*(_DWORD *)(result + 372) = *(_DWORD *)(result + 64) | *(_DWORD *)(result + 248);
	v330 = v329 | *(_DWORD *)(result + 248);
	v331 = *(_DWORD *)(result + 328) ^ v85;
	v332 = v7 & v136;
	v333 = *(_DWORD *)(result + 264) ^ v66;
	v334 = v235 ^ v234 | v122;
	v335 = v311 ^ v225;
	v336 = ~*(_DWORD *)(result + 96);
	v337 = v195 & ~v112 ^ v281 | v26;
	v338 = v312 ^ v305 & v162;
	v339 = *(_DWORD *)(result + 248) & ~v316;
	*(_DWORD *)(result + 8) = v318 ^ v320;
	v340 = v314 ^ v105;
	v341 = v319 ^ v322;
	v342 = (v304 | v26) ^ v200 ^ v323;
	v343 = v341;
	v344 = v325 & v321;
	v345 = v321 & *(_DWORD *)(result + 56);
	v346 = *(_DWORD *)(result + 24) & ~v327;
	v347 = *(_DWORD *)(result + 56);
	v348 = *(_DWORD *)(result + 24) & v347;
	v349 = v321 & v324 & v347;
	v350 = *(_DWORD *)(result + 372);
	v351 = *(_DWORD *)(result + 88) ^ *(_DWORD *)(result + 24);
	v352 = ~*(_DWORD *)(result + 88);
	v353 = *(_DWORD *)(result + 56);
	*(_DWORD *)(result + 224) = v162 & ~v301 ^ v155 ^ v277 ^ (v278 ^ v279 | v112);
	v354 = v352 & v353;
	v355 = v309;
	v356 = v350 | *(_DWORD *)(result + 96);
	v357 = *(_DWORD *)(result + 248);
	v358 = *(_DWORD *)(result + 64) & ~v357;
	v359 = v357 ^ v330;
	*(_DWORD *)(result + 392) = v316 & v336;
	*(_DWORD *)(result + 72) = v249 ^ v65 & ~v229 ^ v334;
	*(_DWORD *)(result + 184) = v338 ^ (v313 | v112);
	v360 = v339 ^ *(_DWORD *)(result + 96);
	v361 = *(_DWORD *)(result + 64) & v336;
	*(_DWORD *)(result + 136) = v340 ^ v162 & ~v317;
	v362 = v317 & ~v162;
	v363 = v345 ^ *(_DWORD *)(result + 88);
	v364 = v326 ^ v345;
	v365 = v327 ^ *(_DWORD *)(result + 56);
	v366 = v326 ^ v348;
	v367 = v352 & *(_DWORD *)(result + 24);
	v368 = v328 & v79 ^ v211;
	v369 = (v349 ^ *(_DWORD *)(result + 88)) & v342;
	v370 = v343 | v112;
	v371 = v325 & *(_DWORD *)(result + 56);
	v372 = (v336 | ~v357) & v335;
	v373 = v46 ^ v305 ^ v355 & v79;
	v374 = v335 & ~v359;
	v375 = *(_DWORD *)(result + 56);
	v376 = v22 & ~v65;
	v377 = ~*(_DWORD *)(result + 144);
	v378 = ~(v7 & v99);
	*(_DWORD *)(result + 464) = v377 & *(_DWORD *)(result + 112);
	*(_DWORD *)(result + 176) = v209 ^ v337 ^ v214;
	v379 = v360 & ~v335;
	v380 = v315 & v335;
	v381 = v361 ^ *(_DWORD *)(result + 248);
	v382 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 316) = v335 & ~*(_DWORD *)(result + 184);
	v383 = v382 ^ *(_DWORD *)(result + 112);
	v384 = *(_DWORD *)(result + 72);
	*(_DWORD *)(result + 376) = v383;
	*(_DWORD *)(result + 516) = v384 & ~*(_DWORD *)(result + 136);
	v385 = v314 ^ v362;
	v386 = v369;
	v387 = ~v344 & *(_DWORD *)(result + 56);
	v388 = v346 ^ v345 | v342;
	v389 = v371 ^ *(_DWORD *)(result + 24);
	v390 = v345 ^ v325;
	v391 = v345 & v342;
	v392 = v375 & v342 & v351;
	v393 = v250 & v162;
	v394 = (v354 ^ v351) & v342;
	v395 = v354 ^ *(_DWORD *)(result + 88);
	v396 = v367 ^ *(_DWORD *)(result + 56);
	v397 = v162 & ~v368;
	v398 = v358 | *(_DWORD *)(result + 96);
	v399 = v373 ^ v370;
	v400 = *(_DWORD *)(result + 372) & v336 ^ v358;
	v401 = v335 & ~(*(_DWORD *)(result + 64) ^ v356);
	v402 = *(_DWORD *)(result + 372) ^ v356;
	*(_DWORD *)(result + 536) = *(_DWORD *)(result + 96) ^ *(_DWORD *)(result + 248);
	v403 = *(_DWORD *)(result + 372) ^ v374;
	v404 = v99 & v378;
	v405 = v6 ^ v378 & v136;
	*(_DWORD *)(result + 432) = *(_DWORD *)(result + 96) ^ v336 & v335;
	v406 = v336 & v335 ^ *(_DWORD *)(result + 372);
	v407 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 496) = *(_DWORD *)(result + 112) & ~*(_DWORD *)(result + 464);
	*(_DWORD *)(result + 400) = *(_DWORD *)(result + 176) | v407;
	*(_DWORD *)(result + 720) = ~v335 & *(_DWORD *)(result + 184);
	*(_DWORD *)(result + 724) = v381 ^ v380;
	v408 = *(_DWORD *)(result + 316);
	*(_DWORD *)(result + 192) = v385 ^ v137;
	*(_DWORD *)(result + 712) = v335 & ~v408;
	v409 = *(_DWORD *)(result + 184);
	*(_DWORD *)(result + 296) = *(_DWORD *)(result + 184) | v335;
	v410 = v409 ^ v335;
	v411 = *(_DWORD *)(result + 184);
	*(_DWORD *)(result + 684) = v410;
	v412 = v411 & v335;
	v413 = *(_DWORD *)(result + 136);
	*(_DWORD *)(result + 688) = v412;
	v414 = v413 | *(_DWORD *)(result + 72);
	v415 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 700) = v414;
	v416 = v415 | *(_DWORD *)(result + 112);
	v417 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 256) = v416;
	v418 = v417 & ~*(_DWORD *)(result + 112);
	v419 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 504) = v418;
	*(_DWORD *)(result + 396) = v419 & *(_DWORD *)(result + 112);
	v420 = *(_DWORD *)(result + 96);
	v421 = v339 | v420;
	*(_DWORD *)(result + 544) = v363 & v342 ^ *(_DWORD *)(result + 88);
	*(_DWORD *)(result + 436) = ~v344 & v342 ^ v363;
	*(_DWORD *)(result + 696) = v346 ^ v342 ^ v387;
	v422 = v316 | v420;
	v423 = (v339 | v420) ^ v316;
	v424 = *(_DWORD *)(result + 392);
	*(_DWORD *)(result + 576) = v423;
	*(_DWORD *)(result + 692) = v388 ^ v344;
	v425 = v421;
	v426 = v335 & ~(v424 ^ *(_DWORD *)(result + 64));
	v427 = *(_DWORD *)(result + 64);
	*(_DWORD *)(result + 308) = v364 & ~v342 ^ v366;
	*(_DWORD *)(result + 388) = v349 ^ v327;
	v428 = (v427 ^ *(_DWORD *)(result + 248)) & ~v336;
	*(_DWORD *)(result + 416) = v389 ^ v386;
	*(_DWORD *)(result + 312) = v342 & ~v390;
	v429 = *(_DWORD *)(result + 24);
	*(_DWORD *)(result + 508) = v366 ^ v391;
	v430 = v429 & ~v342;
	v431 = *(_DWORD *)(result + 88);
	*(_DWORD *)(result + 276) = v430 ^ v348;
	v432 = v348 ^ v431;
	v433 = *(_DWORD *)(result + 64);
	*(_DWORD *)(result + 632) = v366 & v342 ^ v432;
	v434 = *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 408) = ~v342 & v365 ^ v432;
	*(_DWORD *)(result + 468) = v392 ^ v432;
	*(_DWORD *)(result + 664) = v422 ^ v433 & v434;
	*(_DWORD *)(result + 624) = v433 & v434;
	v435 = *(_DWORD *)(result + 64);
	*(_DWORD *)(result + 208) = v266 ^ v146 ^ v393;
	v436 = v435 & ~v335;
	v437 = *(_DWORD *)(result + 16);
	*(_DWORD *)(result + 520) = v395 ^ v394;
	*(_DWORD *)(result + 480) = v396 & v342;
	v438 = v377 & v437;
	v439 = *(_DWORD *)(result + 376);
	*(_DWORD *)(result + 736) = v438;
	*(_DWORD *)(result + 428) = v439 | *(_DWORD *)(result + 176);
	*(_DWORD *)(result + 80) = v399 ^ v397;
	v440 = *(_DWORD *)(result + 96);
	*(_DWORD *)(result + 424) = v406 ^ v398;
	v441 = v436 ^ v440;
	v442 = *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 732) = v441;
	v443 = v442;
	*(_DWORD *)(result + 672) = v401 ^ v442;
	v444 = *(_DWORD *)(result + 536);
	*(_DWORD *)(result + 676) = v402 & ~v335;
	*(_DWORD *)(result + 680) = v379 ^ *(_DWORD *)(result + 536);
	v445 = *(_DWORD *)(result + 536);
	*(_DWORD *)(result + 548) = v372 ^ v398 ^ v339;
	*(_DWORD *)(result + 484) = v372 ^ v443;
	*(_DWORD *)(result + 636) = v400 ^ v372;
	v446 = v400 ^ (v444 | v335);
	v447 = *(_DWORD *)(result + 372) & v335;
	v448 = v335 & ~v445;
	v449 = *(_DWORD *)(result + 576);
	*(_DWORD *)(result + 552) = v446;
	*(_DWORD *)(result + 412) = v403 ^ v425;
	v450 = v449 ^ v447;
	v451 = *(_DWORD *)(result + 664);
	*(_DWORD *)(result + 716) = v450;
	*(_DWORD *)(result + 556) = v428 ^ v426;
	*(_DWORD *)(result + 652) = v451 ^ v448;
	*(_DWORD *)(result + 332) = v296 & v104 ^ v39 ^ (v38 & v24 | v65);
	*(_DWORD *)(result + 348) = v376 & v38 ^ v104 & ~v273;
	v452 = v404;
	*(_DWORD *)(result + 120) = ((v65 | v24) ^ v39 ^ v280 & v104) & ~v183 ^ v331 ^ ((v299 ^ v65 ^ v24) & ~v183 ^ *(_DWORD *)(result + 340) | v6);
	v453 = v136 & ~v404;
	v454 = v154 & ~(v453 ^ v452);
	v455 = v405;
	v456 = v154 & ~(v300 & v136 ^ v99) ^ v405 | v183;
	v457 = *(_DWORD *)(result + 200) | v262;
	v458 = v262 | *(_DWORD *)(result + 16);
	*(_DWORD *)(result + 352) = v104 & ~v296 ^ v24;
	v459 = v99 & v6;
	v460 = v96 & v6;
	v461 = v136 & v96 ^ v6;
	v462 = v104 & ~v295;
	v463 = v99 | v6;
	*(_DWORD *)(result + 272) = v299 ^ v295;
	v464 = v453 ^ (v99 | v6);
	*(_DWORD *)(result + 360) = (v217 ^ v38) & v104 ^ v65 ^ v24;
	v465 = ((v99 ^ v6) & v136 ^ v96 & v6) & v154;
	*(_DWORD *)(result + 356) = v104 & ~v280 ^ v280;
	*(_DWORD *)(result + 260) = v38 & ~v104;
	v466 = *(_DWORD *)(result + 200);
	v467 = v262 & ~v466;
	v468 = *(_DWORD *)(result + 200) ^ v262;
	v469 = *(_DWORD *)(result + 200) & ~v262;
	*(_DWORD *)(result + 268) = v462 ^ v38;
	*(_DWORD *)(result + 152) = v342;
	v470 = (v454 ^ v332 ^ v6) & ~v183;
	*(_DWORD *)result = v335;
	v471 = v136 & v99 & v6;
	v472 = v471 ^ v300;
	*(_DWORD *)(result + 572) = v332 ^ v6;
	v473 = v136 & ~(v99 ^ v6);
	v474 = (v136 & ~(v99 | v6) ^ v99 ^ v6) & v154;
	v475 = v455 ^ v154 & ~(v99 & v6);
	v476 = v472 & ~v154;
	v477 = v136 & v99;
	v478 = *(_DWORD *)(result + 16);
	*(_DWORD *)(result + 472) = v475;
	v479 = (v96 & v6 & v136 ^ v99 & v6) & v154;
	v480 = v262 & ~v467 | v478;
	v481 = v478;
	v482 = *(_DWORD *)(result + 200);
	v483 = (v457 ^ v458) & v333 ^ v466 ^ v480;
	v484 = ~v481;
	v485 = v469 | v481;
	*(_DWORD *)(result + 168) = v262;
	v486 = v457 | v481;
	v487 = v482 | v481;
	v488 = v468 & ~v481 ^ v262;
	v489 = (v467 | v481) ^ v262;
	v490 = v468 & ~v481 ^ v467 | v333;
	v491 = v332 ^ v99 & v6;
	v492 = v490;
	*(_DWORD *)(result + 728) = v172;
	v493 = v332 ^ v96 & v6;
	v494 = v473 ^ v6;
	*(_DWORD *)(result + 616) = v136 & v6;
	v495 = v473 ^ v96 & v6;
	*(_DWORD *)(result + 448) = v96 & v6 & v154 ^ v136 & v6;
	v496 = v99 | v6 | v154;
	*(_DWORD *)(result + 604) = v464;
	v497 = v136;
	v498 = v491 & v154;
	v499 = v463 & v136 ^ v99;
	*(_DWORD *)(result + 440) = v491 ^ v496;
	v500 = v136 & ~v460;
	v501 = v471 ^ v99;
	v502 = v99 ^ v136;
	v503 = v471 ^ v459;
	v504 = v99 ^ v497;
	v505 = v154;
	v506 = v499;
	v507 = v465 ^ v504;
	*(_DWORD *)(result + 608) = v495;
	v508 = v154 & ~v501 ^ v495;
	v509 = v459 & v154;
	v510 = v459 ^ v477 ^ v154;
	v511 = v459 & v505 ^ v460;
	*(_DWORD *)(result + 592) = v508;
	v512 = v336;
	v513 = v336 & *(_DWORD *)(result + 248);
	v514 = *(_DWORD *)(result + 8);
	*(_DWORD *)(result + 460) = v494 ^ v474;
	v515 = v514 & *(_DWORD *)(result + 224);
	v516 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 740) = v515;
	v517 = v335 & ~v513;
	v518 = v335 & ~v516;
	v519 = *(_DWORD *)(result + 740);
	*(_DWORD *)(result + 492) = v518;
	v520 = v519 & ~v512;
	v521 = v262;
	v522 = v262 & v484;
	v523 = v333 & ~(v469 & v484);
	*(_DWORD *)(result + 452) = v506;
	*(_DWORD *)(result + 580) = v464 ^ v509;
	v524 = (v468 ^ v458) & v333;
	v525 = v469 ^ v458;
	v526 = v520;
	v527 = v469 ^ *(_DWORD *)(result + 16);
	*(_DWORD *)(result + 748) = v525;
	v528 = (v486 ^ v521) & v333;
	*(_DWORD *)(result + 644) = v485 ^ v457;
	v529 = (v485 ^ v521) & v333;
	v530 = v487 ^ v468;
	v531 = v487 ^ *(_DWORD *)(result + 200);
	v532 = *(_DWORD *)(result + 16);
	*(_DWORD *)(result + 600) = v511 ^ v500;
	*(_DWORD *)(result + 560) = v507;
	v533 = *(_DWORD *)(result + 200);
	v534 = v468 ^ v532;
	v535 = (v532 | v468) ^ v533;
	v536 = v522 & v533;
	*(_DWORD *)(result + 292) = v522 ^ v533;
	*(_DWORD *)(result + 568) = v461 ^ v505 & ~v503;
	*(_DWORD *)(result + 584) = v503 & v505 ^ v506;
	*(_DWORD *)(result + 596) = v502 ^ v476;
	*(_DWORD *)(result + 564) = v493 ^ v479;
	*(_DWORD *)(result + 612) = v470 ^ v507;
	*(_DWORD *)(result + 588) = v510;
	*(_DWORD *)(result + 456) = v456 ^ v510;
	*(_DWORD *)(result + 444) = v498 ^ v477;
	v537 = *(_DWORD *)(result + 392);
	*(_DWORD *)(result + 304) = *(_DWORD *)(result + 516) | v333;
	v538 = v537 ^ v517;
	v539 = *(_DWORD *)(result + 492);
	v540 = *(_DWORD *)(result + 216);
	*(_DWORD *)(result + 640) = v538;
	*(_DWORD *)(result + 336) = v539 & v540;
	*(_DWORD *)(result + 500) = v483 | *(_DWORD *)(result + 136);
	v541 = v526 ^ *(_DWORD *)(result + 224);
	v542 = *(_DWORD *)(result + 8) & ~*(_DWORD *)(result + 224);
	*(_DWORD *)(result + 704) = v524 ^ v534;
	v543 = v529 ^ *(_DWORD *)(result + 200);
	*(_DWORD *)(result + 540) = *(_DWORD *)(result + 644) ^ v530 & v333;
	v544 = *(_DWORD *)(result + 516);
	*(_DWORD *)(result + 420) = v527 ^ v333 & ~v531;
	*(_DWORD *)(result + 300) = v544;
	*(_DWORD *)(result + 380) = v492 ^ v489;
	*(_DWORD *)(result + 280) = v523 ^ v489;
	*(_DWORD *)(result + 512) = *(_DWORD *)(result + 700);
	*(_DWORD *)(result + 628) = v528 ^ *(_DWORD *)(result + 748);
	v545 = *(_DWORD *)(result + 700);
	*(_DWORD *)(result + 284) = v542;
	*(_DWORD *)(result + 668) = v536 ^ v457;
	*(_DWORD *)(result + 708) = v545;
	v546 = *(_DWORD *)(result + 200);
	*(_DWORD *)(result + 288) = v534;
	v547 = *(_DWORD *)(result + 256);
	*(_DWORD *)(result + 660) = v543;
	*(_DWORD *)(result + 648) = v547;
	*(_DWORD *)(result + 104) = v333;
	v548 = *(_DWORD *)(result + 504);
	*(_DWORD *)(result + 384) = v528 ^ v546;
	*(_DWORD *)(result + 488) = v333 & ~v486;
	*(_DWORD *)(result + 404) = v548;
	v549 = *(_DWORD *)(result + 256);
	*(_DWORD *)(result + 344) = v488 & ~v333 ^ v530;
	*(_DWORD *)(result + 476) = v333 & ~v488 ^ v535;
	*(_DWORD *)(result + 656) = v549;
	*(_DWORD *)(result + 368) = v489 & v333 ^ v530;
	v550 = *(_DWORD *)(result + 292) ^ v333 & ~v530;
	*(_DWORD *)(result + 364) = *(_DWORD *)(result + 504);
	*(_DWORD *)(result + 320) = v541;
	v551 = *(_DWORD *)(result + 740);
	*(_DWORD *)(result + 524) = v551;
	*(_DWORD *)(result + 744) = v551;
	*(_DWORD *)(result + 620) = v550;
	return result;
}

//----- (0008930C) --------------------------------------------------------
unsigned char* sub_8930C(unsigned char* result)
{
	int v1; // r10@1
	int v2; // r2@1
	int v3; // r1@1
	int v4; // ST1C_4@1
	int v5; // ST00_4@1
	int v6; // ST28_4@1
	int v7; // ST34_4@1
	int v8; // ST44_4@1
	int v9; // ST18_4@1
	int v10; // ST0C_4@1
	int v11; // ST14_4@1
	int v12; // ST8C_4@1
	int v13; // r3@1
	int v14; // r6@1
	int v15; // ST24_4@1
	int v16; // r8@1
	int v17; // r12@1
	int v18; // ST74_4@1
	int v19; // ST40_4@1
	int v20; // r5@1
	int v21; // ST08_4@1
	int v22; // r11@1
	int v23; // r9@1
	int v24; // r6@1
	int v25; // ST10_4@1
	int v26; // ST04_4@1
	int v27; // lr@1
	int v28; // ST7C_4@1
	int v29; // r3@1
	int v30; // ST48_4@1
	int v31; // r4@1
	int v32; // r7@1
	int v33; // ST20_4@1
	int v34; // ST38_4@1
	int v35; // ST64_4@1
	int v36; // r8@1
	int v37; // r3@1
	int v38; // r4@1
	int v39; // r12@1
	int v40; // r3@1
	int v41; // r5@1
	int v42; // r3@1
	int v43; // ST60_4@1
	int v44; // ST84_4@1
	int v45; // ST58_4@1
	int v46; // ST2C_4@1
	int v47; // ST5C_4@1
	int v48; // ST6C_4@1
	int v49; // r9@1
	int v50; // r5@1
	int v51; // ST9C_4@1
	int v52; // ST54_4@1
	int v53; // ST1C_4@1
	int v54; // r11@1
	int v55; // ST3C_4@1
	int v56; // ST70_4@1
	int v57; // ST88_4@1
	int v58; // r1@1
	int v59; // ST90_4@1
	int v60; // ST4C_4@1
	int v61; // ST30_4@1
	int v62; // r8@1
	int v63; // ST10_4@1
	int v64; // r7@1
	int v65; // r1@1
	int v66; // r9@1
	int v67; // ST80_4@1
	int v68; // r11@1
	int v69; // r5@1
	int v70; // ST68_4@1
	int v71; // r2@1
	int v72; // ST64_4@1
	int v73; // ST78_4@1
	int v74; // ST50_4@1
	int v75; // r8@1
	int v76; // r5@1
	int v77; // ST38_4@1
	int v78; // ST00_4@1
	int v79; // ST08_4@1
	int v80; // r4@1
	int v81; // ST58_4@1
	int v82; // ST60_4@1
	int v83; // r7@1
	int v84; // r11@1
	int v85; // ST20_4@1
	int v86; // r9@1
	int v87; // r5@1
	int v88; // r7@1
	int v89; // ST0C_4@1
	int v90; // r12@1
	int v91; // r3@1
	int v92; // lr@1
	int v93; // ST5C_4@1
	int v94; // r4@1
	int v95; // ST00_4@1
	int v96; // ST34_4@1
	int v97; // r9@1
	int v98; // ST08_4@1
	int v99; // r7@1
	int v100; // ST14_4@1
	int v101; // ST28_4@1
	int v102; // r8@1
	int v103; // r3@1
	int v104; // ST24_4@1
	int v105; // r12@1
	int v106; // ST18_4@1
	int v107; // r9@1
	int v108; // ST00_4@1
	int v109; // r5@1
	int v110; // r7@1
	int v111; // ST08_4@1
	int v112; // r9@1
	int v113; // r8@1
	int v114; // r2@1
	int v115; // lr@1
	int v116; // STA0_4@1
	int v117; // r4@1
	int v118; // r6@1
	int v119; // r2@1
	int v120; // r3@1
	int v121; // ST38_4@1
	int v122; // r5@1
	int v123; // ST00_4@1
	int v124; // ST78_4@1
	int v125; // lr@1
	int v126; // r5@1
	int v127; // ST80_4@1
	int v128; // r3@1
	int v129; // ST18_4@1
	int v130; // r5@1
	int v131; // r4@1
	int v132; // ST70_4@1
	int v133; // ST94_4@1
	int v134; // ST90_4@1
	int v135; // ST84_4@1
	int v136; // ST64_4@1
	int v137; // ST98_4@1
	int v138; // ST04_4@1
	int v139; // r3@1
	int v140; // r1@1
	int v141; // ST34_4@1
	int v142; // lr@1
	int v143; // r2@1
	int v144; // r6@1
	int v145; // STA4_4@1
	int v146; // ST3C_4@1
	int v147; // r1@1
	int v148; // r8@1
	int v149; // ST30_4@1
	int v150; // r9@1
	int v151; // STA8_4@1
	int v152; // r7@1
	int v153; // ST14_4@1
	int v154; // r5@1
	int v155; // ST40_4@1
	int v156; // ST28_4@1
	int v157; // ST24_4@1
	int v158; // r11@1
	int v159; // r4@1
	int v160; // ST88_4@1
	int v161; // lr@1
	int v162; // r12@1
	int v163; // ST6C_4@1
	int v164; // ST58_4@1
	int v165; // ST48_4@1
	int v166; // r5@1
	int v167; // ST44_4@1
	int v168; // r8@1
	int v169; // r1@1
	int v170; // ST0C_4@1
	int v171; // r9@1
	int v172; // r6@1
	int v173; // r7@1
	int v174; // ST24_4@1
	int v175; // r1@1
	int v176; // r7@1
	int v177; // ST30_4@1
	int v178; // r3@1
	int v179; // r10@1
	int v180; // ST28_4@1
	int v181; // lr@1
	int v182; // r6@1
	int v183; // ST0C_4@1
	int v184; // r2@1
	int v185; // r9@1
	int v186; // r5@1
	int v187; // r7@1
	int v188; // ST3C_4@1
	int v189; // ST14_4@1
	int v190; // r12@1
	int v191; // lr@1
	int v192; // ST48_4@1
	int v193; // ST04_4@1
	int v194; // r1@1
	int v195; // ST6C_4@1
	int v196; // ST58_4@1
	int v197; // ST88_4@1
	int v198; // ST68_4@1
	int v199; // ST90_4@1
	int v200; // STB0_4@1
	int v201; // ST28_4@1
	int v202; // r2@1
	int v203; // r3@1
	int v204; // lr@1
	int v205; // r3@1
	int v206; // r12@1
	int v207; // r4@1
	int v208; // r10@1
	int v209; // ST24_4@1
	int v210; // r9@1
	int v211; // ST0C_4@1
	int v212; // r1@1
	int v213; // ST40_4@1
	int v214; // r5@1
	int v215; // r11@1
	int v216; // STC4_4@1
	int v217; // r6@1
	int v218; // r6@1
	int v219; // lr@1
	int v220; // STD0_4@1
	int v221; // r4@1
	int v222; // r8@1
	int v223; // r12@1
	int v224; // r7@1
	int v225; // STCC_4@1
	int v226; // ST30_4@1
	int v227; // STD4_4@1
	int v228; // lr@1
	int v229; // r5@1
	int v230; // r7@1
	int v231; // ST60_4@1
	int v232; // STC8_4@1
	int v233; // r4@1
	int v234; // STBC_4@1
	int v235; // r10@1
	int v236; // STC0_4@1
	int v237; // ST10_4@1
	int v238; // STB4_4@1
	int v239; // STB8_4@1
	int v240; // r12@1
	int v241; // lr@1
	int v242; // r7@1
	int v243; // r8@1
	int v244; // ST1C_4@1
	int v245; // r9@1
	int v246; // r2@1
	int v247; // lr@1
	int v248; // r10@1
	int v249; // r2@1
	int v250; // r3@1
	int v251; // r5@1
	int v252; // r4@1
	int v253; // ST20_4@1
	int v254; // r2@1
	int v255; // r10@1
	int v256; // r12@1
	int v257; // r3@1
	int v258; // r8@1
	int v259; // r5@1
	int v260; // r3@1
	int v261; // r1@1
	int v262; // r8@1
	int v263; // r12@1
	int v264; // STA4_4@1
	int v265; // r7@1
	int v266; // r1@1
	int v267; // r9@1
	int v268; // ST30_4@1
	int v269; // ST1C_4@1
	int v270; // ST0C_4@1
	int v271; // ST5C_4@1
	int v272; // ST7C_4@1
	int v273; // r11@1
	int v274; // r2@1
	int v275; // ST0C_4@1
	int v276; // ST24_4@1
	int v277; // r3@1
	int v278; // ST94_4@1
	int v279; // r4@1
	int v280; // ST24_4@1
	int v281; // r5@1
	int v282; // ST70_4@1
	int v283; // lr@1
	int v284; // ST74_4@1
	int v285; // r12@1
	int v286; // ST84_4@1
	int v287; // lr@1
	int v288; // r9@1
	int v289; // r4@1
	int v290; // r3@1
	int v291; // r3@1
	int v292; // ST60_4@1
	int v293; // ST24_4@1
	int v294; // r12@1
	int v295; // r1@1
	int v296; // ST78_4@1
	int v297; // lr@1
	int v298; // ST80_4@1
	int v299; // ST20_4@1
	int v300; // ST10_4@1
	int v301; // ST88_4@1
	int v302; // ST98_4@1
	int v303; // r1@1
	int v304; // ST90_4@1
	int v305; // r5@1
	int v306; // r2@1
	int v307; // ST44_4@1
	int v308; // r4@1
	int v309; // r11@1
	int v310; // r9@1
	int v311; // r3@1
	int v312; // ST70_4@1
	int v313; // ST9C_4@1
	int v314; // ST98_4@1
	int v315; // lr@1
	int v316; // ST34_4@1
	int v317; // ST8C_4@1
	int v318; // r6@1
	int v319; // ST78_4@1
	int v320; // r11@1
	int v321; // lr@1
	int v322; // r10@1
	int v323; // ST0C_4@1
	int v324; // r11@1
	int v325; // ST5C_4@1
	int v326; // ST64_4@1
	int v327; // r6@1
	int v328; // r5@1
	int v329; // r9@1
	int v330; // ST74_4@1
	int v331; // r4@1
	int v332; // r2@1
	int v333; // lr@1
	int v334; // r3@1
	int v335; // ST34_4@1
	int v336; // r7@1
	int v337; // ST68_4@1
	int v338; // r6@1
	int v339; // ST14_4@1
	int v340; // ST74_4@1
	int v341; // r10@1
	int v342; // ST70_4@1
	int v343; // ST7C_4@1
	int v344; // r3@1
	int v345; // r7@1
	int v346; // ST90_4@1
	int v347; // r3@1
	int v348; // ST9C_4@1
	int v349; // r8@1
	int v350; // r12@1
	int v351; // STB0_4@1
	int v352; // STA8_4@1
	int v353; // r5@1
	int v354; // ST38_4@1
	int v355; // r11@1
	int v356; // r10@1
	int v357; // STC8_4@1
	int v358; // STCC_4@1
	int v359; // r4@1
	int v360; // r6@1
	int v361; // r7@1
	int v362; // lr@1
	int v363; // ST20_4@1
	int v364; // r1@1
	int v365; // ST28_4@1
	int v366; // r7@1
	int v367; // r4@1
	int v368; // r3@1
	int v369; // r6@1
	int v370; // r1@1
	int v371; // r12@1
	int v372; // r5@1
	int v373; // r10@1
	int v374; // r12@1
	int v375; // r6@1
	int v376; // r5@1
	int v377; // r11@1
	int v378; // r2@1
	int v379; // r1@1
	int v380; // ST50_4@1
	int v381; // ST5C_4@1
	int v382; // r3@1
	int v383; // ST54_4@1
	int v384; // ST04_4@1
	int v385; // ST48_4@1
	int v386; // ST38_4@1
	int v387; // r6@1
	int v388; // ST2C_4@1
	int v389; // ST78_4@1
	int v390; // ST64_4@1
	int v391; // ST4C_4@1
	int v392; // r5@1
	int v393; // r8@1
	int v394; // ST70_4@1
	int v395; // r11@1
	int v396; // ST7C_4@1
	int v397; // STB0_4@1
	int v398; // ST30_4@1
	int v399; // ST84_4@1
	int v400; // r1@1
	int v401; // ST80_4@1
	int v402; // ST60_4@1
	int v403; // r4@1
	int v404; // r11@1
	int v405; // ST90_4@1
	int v406; // STB8_4@1
	int v407; // STBC_4@1
	int v408; // STA0_4@1
	int v409; // ST9C_4@1
	int v410; // ST34_4@1
	int v411; // ST78_4@1
	int v412; // ST98_4@1
	int v413; // r5@1
	int v414; // STCC_4@1
	int v415; // ST94_4@1
	int v416; // r6@1
	int v417; // STD4_4@1
	int v418; // STB4_4@1
	int v419; // ST1C_4@1
	int v420; // STAC_4@1
	int v421; // r1@1
	int v422; // r3@1
	int v423; // STB8_4@1
	int v424; // r2@1
	int v425; // ST5C_4@1
	int v426; // ST50_4@1
	int v427; // ST7C_4@1
	int v428; // r4@1
	int v429; // STC8_4@1
	int v430; // STD0_4@1
	int v431; // r5@1
	int v432; // STC4_4@1
	int v433; // STD8_4@1
	int v434; // STA0_4@1
	int v435; // ST9C_4@1
	int v436; // STAC_4@1
	int v437; // STA8_4@1
	int v438; // ST2C_4@1
	int v439; // ST98_4@1
	int v440; // ST54_4@1
	int v441; // ST5C_4@1
	int v442; // ST6C_4@1
	int v443; // r4@1
	int v444; // r3@1
	int v445; // ST7C_4@1
	int v446; // STD4_4@1
	int v447; // r2@1
	int v448; // STE0_4@1
	int v449; // ST70_4@1
	int v450; // lr@1
	int v451; // ST84_4@1
	int v452; // STB0_4@1
	int v453; // ST90_4@1
	int v454; // STB4_4@1
	int v455; // STBC_4@1
	int v456; // STB8_4@1
	int v457; // STC0_4@1
	int v458; // ST3C_4@1
	int v459; // STEC_4@1
	int v460; // STE8_4@1
	int v461; // STC4_4@1
	int v462; // STC8_4@1
	int v463; // STD0_4@1
	int v464; // r2@1
	int v465; // r3@1
	int v466; // r7@1
	int v467; // ST58_4@1
	int v468; // STD8_4@1
	int v469; // ST4C_4@1
	int v470; // ST50_4@1
	int v471; // ST38_4@1
	int v472; // r4@1
	int v473; // r7@1
	int v474; // ST34_4@1
	int v475; // ST28_4@1
	int v476; // r11@1
	int v477; // r2@1
	int v478; // STAC_4@1
	int v479; // STCC_4@1
	int v480; // STE0_4@1
	int v481; // ST80_4@1
	int v482; // ST8C_4@1
	int v483; // r4@1
	int v484; // ST6C_4@1
	int v485; // ST70_4@1
	int v486; // ST7C_4@1
	int v487; // ST54_4@1
	int v488; // ST78_4@1
	int v489; // r4@1
	int v490; // ST90_4@1
	int v491; // ST98_4@1
	int v492; // STA8_4@1
	int v493; // ST9C_4@1
	int v494; // ST48_4@1
	int v495; // STA0_4@1
	int v496; // STBC_4@1
	int v497; // r3@1
	int v498; // STD0_4@1
	int v499; // ST5C_4@1
	int v500; // ST60_4@1
	int v501; // ST38_4@1
	int v502; // ST3C_4@1
	int v503; // ST58_4@1
	int v504; // ST34_4@1
	int v505; // STAC_4@1
	int v506; // STB0_4@1
	int v507; // r1@1
	int v508; // ST50_4@1
	int v509; // r6@1
	int v510; // r4@1
	int v511; // ST6C_4@1
	int v512; // ST70_4@1
	int v513; // ST7C_4@1
	int v514; // ST84_4@1
	int v515; // ST90_4@1
	int v516; // STA0_4@1
	int v517; // STB8_4@1
	int v518; // r12@1

	v1 = ~*(_DWORD *)(result + 120);
	v2 = *(_DWORD *)(result + 316);
	v3 = *(_DWORD *)(result + 720);
	v4 = v1 & *(_DWORD *)(result + 688) ^ *(_DWORD *)result;
	v5 = *(_DWORD *)(result + 216);
	v6 = v4 & v5 ^ v1 & v2 ^ v3;
	v7 = v1 & v2 ^ v3;
	v8 = *(_DWORD *)(result + 508);
	v9 = v5 & ~(v1 & v3) ^ *(_DWORD *)(result + 684);
	v10 = *(_DWORD *)(result + 684) & *(_DWORD *)(result + 120);
	v11 = v1 & v3;
	v12 = *(_DWORD *)(result + 436);
	v13 = v1 & *(_DWORD *)result;
	v14 = *(_DWORD *)(result + 120);
	v15 = *(_DWORD *)(result + 184) ^ *(_DWORD *)(result + 120);
	v16 = v3 | v14;
	v17 = *(_DWORD *)(result + 684) | v14;
	v18 = *(_DWORD *)(result + 416);
	v19 = *(_DWORD *)(result + 388);
	v20 = v13 ^ *(_DWORD *)result;
	v21 = *(_DWORD *)(result + 120) | v2;
	v22 = *(_DWORD *)(result + 184) | *(_DWORD *)(result + 120);
	v23 = *(_DWORD *)(result + 120) | *(_DWORD *)result;
	v24 = v1 & v2 ^ *(_DWORD *)(result + 684);
	v25 = (*(_DWORD *)(result + 492) ^ v2 ^ *(_DWORD *)(result + 336)) & *(_DWORD *)(result + 248);
	v26 = v16 ^ v2;
	v27 = v13 ^ v3;
	v28 = *(_DWORD *)(result + 696);
	v29 = *(_DWORD *)(result + 712);
	v30 = *(_DWORD *)(result + 520);
	v31 = v29 | *(_DWORD *)(result + 120);
	v32 = *(_DWORD *)(result + 216);
	v33 = v1 & v3 ^ v3;
	*(_DWORD *)(result + 508) = v9;
	v34 = v32 & ~v20;
	v35 = v20 & v32;
	v36 = v17 ^ v29;
	v37 = *(_DWORD *)(result + 688);
	v38 = v31 ^ v37;
	v39 = v21 ^ v37;
	v40 = *(_DWORD *)(result + 296);
	*(_DWORD *)(result + 340) = v15;
	*(_DWORD *)(result + 436) = v10;
	v41 = v1 & v40;
	v42 = *(_DWORD *)result;
	*(_DWORD *)(result + 388) = v6;
	v43 = v42 ^ v41;
	v44 = v5 & ~v23;
	v45 = v1 & v5;
	v46 = ~*(_DWORD *)(result + 252);
	v47 = v5 & ~v4;
	v48 = v22 ^ *(_DWORD *)result;
	v49 = *(_DWORD *)(result + 332) ^ *(_DWORD *)(result + 48) ^ (*(_DWORD *)(result + 348) | *(_DWORD *)(result + 252)) ^ (*(_DWORD *)(result + 272) & v46 ^ *(_DWORD *)(result + 352)) & ~*(_DWORD *)(result + 4);
	v50 = *(_DWORD *)(result + 144);
	v51 = ~*(_DWORD *)(result + 144);
	v52 = v49 & v51;
	v53 = v49 | v50;
	v54 = *(_DWORD *)(result + 144);
	v55 = v49 ^ v50;
	v56 = v36 ^ v25;
	v57 = (*(_DWORD *)(result + 504) ^ v52) & *(_DWORD *)(result + 16);
	v58 = ~*(_DWORD *)(result + 112);
	v59 = (v49 | v50) & v58;
	v60 = ~*(_DWORD *)(result + 112);
	v61 = v49 ^ v50 | *(_DWORD *)(result + 112);
	v62 = v54 & ~v49;
	v63 = *(_DWORD *)(result + 332) ^ *(_DWORD *)(result + 48) ^ (*(_DWORD *)(result + 348) | *(_DWORD *)(result + 252)) ^ (*(_DWORD *)(result + 272) & v46 ^ *(_DWORD *)(result + 352)) & ~*(_DWORD *)(result + 4);
	v64 = v58 & v54;
	v65 = v5;
	v66 = v5 | ~v33;
	v67 = v5 & ~v39;
	v68 = v34 ^ v26;
	v69 = v35;
	v70 = v2 ^ v21;
	v71 = v5 & ~v38;
	v72 = v38 & v5;
	v73 = v5 & ~v27;
	*(_DWORD *)(result + 712) = *(_DWORD *)(result + 120) ^ *(_DWORD *)result;
	v74 = v62;
	v75 = v69 ^ v24;
	v76 = v5 & ~v43;
	v77 = v24;
	v78 = v1 & *(_DWORD *)(result + 184);
	v79 = v11 ^ v45;
	v80 = *(_DWORD *)(result + 364) ^ v53;
	v81 = v53 | *(_DWORD *)(result + 112);
	v82 = v64 & v63;
	v83 = *(_DWORD *)(result + 248);
	v84 = v68 & v83;
	v85 = *(_DWORD *)(result + 144) & ~v74;
	v86 = v66 & v83;
	*(_DWORD *)(result + 416) = v47 ^ v26;
	v87 = v76 ^ v70 ^ v83 & ~v75;
	v88 = v71 ^ v10;
	*(_DWORD *)(result + 328) = v72 ^ v15;
	v89 = v65 & ~v48 ^ *(_DWORD *)(result + 712);
	v90 = v67 ^ v78;
	v91 = (v44 ^ v27) & *(_DWORD *)(result + 248);
	v92 = v79 ^ *(_DWORD *)(result + 296);
	v93 = v61 ^ v63;
	v94 = v80 & ~*(_DWORD *)(result + 16);
	v95 = v7 & ~v65 ^ *(_DWORD *)(result + 684);
	v96 = v59 ^ v57 | *(_DWORD *)(result + 80);
	*(_DWORD *)(result + 644) = v86 ^ *(_DWORD *)(result + 416);
	v97 = v84 ^ v6;
	v98 = v9 ^ *(_DWORD *)(result + 236);
	v99 = v88 & *(_DWORD *)(result + 248);
	v100 = (v56 ^ v73) & *(_DWORD *)(result + 152);
	v101 = *(_DWORD *)(result + 248) & ~v90;
	v102 = v89 ^ *(_DWORD *)(result + 244);
	v103 = v91 ^ *(_DWORD *)(result + 328);
	v104 = v92 ^ *(_DWORD *)(result + 36);
	v105 = v74 ^ *(_DWORD *)(result + 112) ^ *(_DWORD *)(result + 16) & ~v61;
	v106 = *(_DWORD *)(result + 248) & ~v95;
	v107 = *(_DWORD *)(result + 152) & ~v97;
	v108 = *(_DWORD *)(result + 644) ^ *(_DWORD *)(result + 44);
	v109 = *(_DWORD *)(result + 152) & ~v87;
	*(_DWORD *)(result + 504) = *(_DWORD *)(result + 16) & ~(v85 ^ v82) ^ v81 ^ v55 ^ v96;
	v110 = v99 ^ v98;
	*(_DWORD *)(result + 48) = v63;
	v111 = v108 ^ v107;
	v112 = v110 ^ v109;
	v113 = v102 ^ v100 ^ v106;
	v114 = *(_DWORD *)(result + 80);
	v115 = v104 ^ v101 ^ *(_DWORD *)(result + 152) & ~v103;
	*(_DWORD *)(result + 720) = v26;
	v116 = ~v114;
	v117 = (v94 ^ v61 ^ v63) & ~v114;
	*(_DWORD *)(result + 44) = v111;
	v118 = v115;
	v119 = v77;
	v120 = *(_DWORD *)(result + 308);
	v121 = ~v113;
	v122 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 520) = v119;
	v123 = v112;
	v124 = (v122 | v120) ^ v19;
	v125 = v1 & *(_DWORD *)(result + 88);
	v126 = *(_DWORD *)(result + 632);
	*(_DWORD *)(result + 236) = v112;
	v127 = v125;
	*(_DWORD *)(result + 696) = v89;
	v128 = v1 & v126;
	v129 = v113;
	*(_DWORD *)(result + 244) = v113;
	v130 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 364) = v105 ^ v117;
	v131 = *(_DWORD *)(result + 120);
	v132 = v130 | *(_DWORD *)(result + 468);
	v133 = v128 ^ v30;
	v134 = v1 & *(_DWORD *)(result + 544);
	v135 = (v131 | *(_DWORD *)(result + 480)) ^ v8;
	v136 = ~v118;
	v137 = (v131 | *(_DWORD *)(result + 408)) ^ *(_DWORD *)(result + 692);
	v138 = (*(_DWORD *)(result + 268) ^ *(_DWORD *)(result + 260) & v46 | *(_DWORD *)(result + 4)) ^ *(_DWORD *)(result + 356) & v46 ^ *(_DWORD *)(result + 160) ^ *(_DWORD *)(result + 360);
	v139 = *(_DWORD *)(result + 224);
	v140 = *(_DWORD *)(result + 524);
	*(_DWORD *)(result + 36) = v118;
	v141 = v118;
	v142 = v138 ^ v140;
	v143 = *(_DWORD *)(result + 96);
	v144 = ~*(_DWORD *)(result + 224);
	v145 = ~*(_DWORD *)(result + 224);
	v146 = ~v138 & *(_DWORD *)(result + 8);
	v147 = v138 | *(_DWORD *)(result + 224);
	v148 = v138 & v144 & *(_DWORD *)(result + 8);
	v149 = ~v138 & *(_DWORD *)(result + 224);
	v150 = v147 & v144 ^ *(_DWORD *)(result + 284);
	v151 = (v142 | v143) ^ v148 ^ v138 ^ v139;
	v152 = ~(v138 & *(_DWORD *)(result + 224));
	v153 = v149 & *(_DWORD *)(result + 8);
	v154 = v138 ^ *(_DWORD *)(result + 8) & (v138 ^ v139);
	v155 = v147 & v144;
	v156 = v138 ^ *(_DWORD *)(result + 8);
	v157 = *(_DWORD *)(result + 8) & ~v147;
	v158 = v152 & *(_DWORD *)(result + 224);
	v159 = *(_DWORD *)(result + 8) & ~(v138 ^ v139);
	v160 = v148 ^ v147 & v144 | v143;
	v161 = v148 ^ (v156 | v143);
	v162 = (v154 | v143) ^ v146 ^ v138;
	v163 = v143 & ~(v146 ^ v138) ^ v154;
	v164 = *(_DWORD *)(result + 8) ^ *(_DWORD *)(result + 4) ^ v158;
	v165 = v152 & *(_DWORD *)(result + 8) ^ v138 & v144;
	v166 = ~*(_DWORD *)(result + 192);
	v167 = v157 ^ v138;
	v168 = v157 ^ v147 ^ (v153 ^ v147 | v143);
	v169 = *(_DWORD *)(result + 8) & ~v158;
	v170 = *(_DWORD *)(result + 740) ^ v149;
	v171 = *(_DWORD *)(result + 224) ^ *(_DWORD *)(result + 148) ^ (v150 | v143) ^ v169 ^ (v151 ^ (v146 ^ v138 ^ (v138 | v143)) & *(_DWORD *)(result + 128)) & v166;
	*(_DWORD *)(result + 332) = v153 ^ v155;
	v172 = *(_DWORD *)(result + 128);
	v173 = v169 ^ v138;
	v174 = *(_DWORD *)(result + 128) & ~(v146 & v143 ^ v138);
	v175 = v162 & v172 ^ v169 ^ v158 ^ (v169 ^ v158 | v143);
	v176 = *(_DWORD *)(result + 332) ^ *(_DWORD *)(result + 76) ^ (v173 | v143);
	v177 = v143 & ~v153;
	v178 = v167 ^ (v158 ^ v159 | v143);
	v179 = v156 ^ *(_DWORD *)(result + 60);
	v180 = v164 ^ v161 & v172;
	v181 = v165 & ~v143;
	v182 = (v172 & ~v163 ^ *(_DWORD *)(result + 744) ^ v160) & v166;
	v183 = ~v143 | ~v170;
	v184 = v171 ^ *(_DWORD *)(result + 128) & ~v168;
	v185 = v174 ^ *(_DWORD *)(result + 320);
	v186 = *(_DWORD *)(result + 192);
	v187 = v176 ^ v178 & *(_DWORD *)(result + 128);
	v188 = v184;
	v189 = v180 ^ v181 ^ v182;
	v190 = *(_DWORD *)(result + 128);
	*(_DWORD *)(result + 148) = v184;
	*(_DWORD *)(result + 160) = v138;
	*(_DWORD *)(result + 260) = v184 & v129;
	*(_DWORD *)(result + 524) = v184 ^ v129;
	v191 = v187 ^ (v175 | v186);
	*(_DWORD *)(result + 336) = v184 & v121;
	*(_DWORD *)(result + 348) = v129 | v184;
	*(_DWORD *)(result + 492) = (v129 | v184) & v121;
	*(_DWORD *)(result + 4) = v189;
	v192 = v189 ^ v141;
	v193 = v179 ^ v177 ^ v183 & v190 ^ (v185 | v186);
	*(_DWORD *)(result + 60) = v193;
	v194 = *(_DWORD *)(result + 120);
	v195 = ~v184;
	v196 = v191;
	*(_DWORD *)(result + 360) = ~v184 & v129;
	*(_DWORD *)(result + 76) = v191;
	*(_DWORD *)(result + 352) = v189 & v141;
	v197 = v194 | *(_DWORD *)(result + 276);
	v198 = v141 & ~(~v189 & v141);
	v199 = v134 ^ *(_DWORD *)(result + 312);
	v200 = (*(_DWORD *)(result + 584) | *(_DWORD *)(result + 252)) ^ *(_DWORD *)(result + 568);
	v201 = ~v189 & v141;
	v202 = *(_DWORD *)(result + 40) ^ *(_DWORD *)(result + 456) ^ (*(_DWORD *)(result + 472) & v46 ^ *(_DWORD *)(result + 564)) & *(_DWORD *)(result + 156);
	v203 = *(_DWORD *)(result + 72);
	v204 = v203;
	v205 = v203 ^ v202;
	v206 = v202 & ~v204;
	v207 = *(_DWORD *)(result + 136) | v205;
	v208 = v202 & *(_DWORD *)(result + 72);
	v209 = v205 ^ *(_DWORD *)(result + 708);
	v210 = v205 ^ *(_DWORD *)(result + 300);
	v211 = v206 & ~*(_DWORD *)(result + 136);
	v212 = *(_DWORD *)(result + 72) & ~v202;
	v213 = ~*(_DWORD *)(result + 136);
	v214 = v207 ^ v205;
	v215 = v202 ^ *(_DWORD *)(result + 512);
	v216 = *(_DWORD *)(result + 72) ^ *(_DWORD *)(result + 180);
	v217 = *(_DWORD *)(result + 104);
	*(_DWORD *)(result + 40) = v202;
	v218 = ~v217;
	v219 = v212 ^ *(_DWORD *)(result + 516);
	*(_DWORD *)(result + 272) = v206;
	*(_DWORD *)(result + 708) = v209;
	v220 = v207 ^ v212 ^ v219 & v218;
	v221 = v202 & ~v206 ^ v208 & v213;
	v222 = v208 & v213 ^ v206;
	v223 = v206 | *(_DWORD *)(result + 136);
	v224 = *(_DWORD *)(result + 104);
	*(_DWORD *)(result + 564) = v222;
	v225 = v221 | v224;
	v226 = v213 & v202;
	*(_DWORD *)(result + 472) = v211;
	v227 = (v208 ^ v211) & v218 ^ v222 ^ (v209 & v218 ^ v213 & v202) & *(_DWORD *)(result + 8) | *(_DWORD *)(result + 224);
	v228 = v214 | *(_DWORD *)(result + 104);
	v229 = v214 & v218;
	v230 = v82 ^ v52;
	v231 = v210 ^ v228 ^ (v228 ^ v202) & *(_DWORD *)(result + 8) | *(_DWORD *)(result + 224);
	v232 = v205 ^ *(_DWORD *)(result + 156) ^ v223;
	v233 = *(_DWORD *)(result + 16);
	v234 = v53 ^ *(_DWORD *)(result + 736);
	v235 = v233 & ~(v85 ^ v63 & v60);
	v236 = v233 & ~v230;
	v237 = *(_DWORD *)(result + 8) & ~(*(_DWORD *)(result + 700) ^ v229);
	v238 = v85 ^ *(_DWORD *)(result + 112) ^ v235;
	v239 = (v85 ^ *(_DWORD *)(result + 256)) & *(_DWORD *)(result + 16) ^ v93 | *(_DWORD *)(result + 80);
	v240 = v216 ^ (v202 | *(_DWORD *)(result + 136));
	v241 = v202 ^ *(_DWORD *)(result + 136);
	v242 = *(_DWORD *)(result + 304) ^ *(_DWORD *)(result + 172) ^ v241;
	v243 = v46 & *(_DWORD *)(result + 448);
	v244 = v213 & v202 & *(_DWORD *)(result + 104) ^ v209;
	v245 = v205 & v213 ^ (v202 | *(_DWORD *)(result + 72)) ^ v225;
	v246 = *(_DWORD *)(result + 136);
	v247 = v240 ^ (v241 | *(_DWORD *)(result + 104)) ^ *(_DWORD *)(result + 8) & ~(v215 & v218 ^ v205 & v213 ^ v205);
	v248 = v246;
	v249 = v246 ^ v212;
	v250 = *(_DWORD *)(result + 8);
	*(_DWORD *)(result + 292) = v249;
	v251 = (v229 ^ v249) & v250;
	v252 = (v226 & v218 ^ v211) & v250;
	v253 = ((v212 | v248) ^ v226 & v218) & v250;
	v254 = *(_DWORD *)(result + 132);
	v255 = *(_DWORD *)(result + 8) & ~v244;
	v256 = v211 ^ *(_DWORD *)(result + 72);
	v257 = v211 & ~v218;
	v258 = v243 ^ *(_DWORD *)(result + 444);
	v259 = v251 ^ v257;
	*(_DWORD *)(result + 284) = v257;
	v260 = *(_DWORD *)(result + 100);
	v261 = *(_DWORD *)(result + 224);
	v262 = *(_DWORD *)(result + 240) ^ *(_DWORD *)(result + 612) ^ *(_DWORD *)(result + 156) & ~v258;
	*(_DWORD *)(result + 240) = v262;
	v263 = v256 & v218 ^ v232 ^ v237 ^ (v259 | v261);
	*(_DWORD *)(result + 320) = v263;
	*(_DWORD *)(result + 180) = v247 ^ v231;
	v264 = v242 ^ v255 ^ (v252 ^ v220) & v145;
	*(_DWORD *)(result + 172) = v264;
	v265 = v245 ^ v253 ^ v227 ^ v260;
	v266 = *(_DWORD *)(result + 112);
	*(_DWORD *)(result + 100) = v265;
	v267 = v262 & v266;
	v268 = ~v265;
	v269 = v265;
	v270 = v254 ^ v28;
	v271 = *(_DWORD *)(result + 464);
	v272 = v262 & v266 ^ v271;
	v273 = ~*(_DWORD *)(result + 176);
	v274 = v270 ^ v127 ^ v262 & ~v124;
	v275 = *(_DWORD *)(result + 68) ^ *(_DWORD *)(result + 396) ^ v262 & *(_DWORD *)(result + 404) ^ (v262 & v51 ^ *(_DWORD *)(result + 656)) & v273 ^ ((v262 & *(_DWORD *)(result + 656) ^ v271) & v273 ^ v262 & v51 ^ *(_DWORD *)(result + 396)) & *(_DWORD *)(result + 24) ^ *(_DWORD *)(result + 208) & ~((v267 ^ v271) & v273 ^ ((v267 ^ *(_DWORD *)(result + 648) | *(_DWORD *)(result + 176)) ^ v267 ^ *(_DWORD *)(result + 376)) & *(_DWORD *)(result + 24));
	v276 = *(_DWORD *)(result + 116);
	v277 = *(_DWORD *)(result + 220) ^ v18 ^ v132 ^ v262 & ~v133;
	v278 = (v189 ^ v141) & v275;
	*(_DWORD *)(result + 132) = v274;
	*(_DWORD *)(result + 220) = v277;
	v279 = v276 ^ v12;
	*(_DWORD *)(result + 632) = v263 | v277;
	v280 = v135 ^ *(_DWORD *)(result + 204);
	v281 = ~v189 & v141;
	*(_DWORD *)(result + 544) = v263 & v277;
	v282 = v262 & *(_DWORD *)(result + 396);
	*(_DWORD *)(result + 68) = v275;
	*(_DWORD *)(result + 276) = v277 & ~(v263 & v277);
	*(_DWORD *)(result + 612) = v275 & v189 & v141 ^ v201 ^ v198 & v274 ^ ~v265 & (v189 ^ v275 ^ v278 & v274);
	v283 = v263 ^ v277;
	*(_DWORD *)(result + 468) = (v263 | v277) & ~v277;
	*(_DWORD *)(result + 740) = v263 & ~v277;
	*(_DWORD *)(result + 304) = v277 & ~v263;
	v284 = v282 ^ *(_DWORD *)(result + 496);
	v285 = *(_DWORD *)(result + 496);
	v286 = v283;
	v287 = v279 ^ v197 ^ v262 & ~v199;
	*(_DWORD *)(result + 512) = v286;
	v288 = v262 & ~v285;
	v289 = *(_DWORD *)(result + 400);
	*(_DWORD *)(result + 400) = v189 ^ v275;
	v290 = *(_DWORD *)(result + 404);
	*(_DWORD *)(result + 408) = v284;
	*(_DWORD *)(result + 464) = (v265 | (v189 & v141 ^ v275) & ~v274) ^ v281 ^ v189 & v275 ^ v136 & v274 & v189;
	v291 = v262 ^ v290;
	v292 = v287;
	v293 = v280 ^ v262 & ~v137;
	v294 = *(_DWORD *)(result + 176) & ~v291 ^ v291;
	*(_DWORD *)(result + 204) = v293;
	v295 = v287;
	*(_DWORD *)(result + 688) = v281 ^ v189 & v275;
	v296 = v262 & ~v271;
	v297 = v288 ^ v271;
	*(_DWORD *)(result + 116) = v295;
	v298 = v288 ^ *(_DWORD *)(result + 396);
	v299 = *(_DWORD *)(result + 32) ^ v200 ^ (v46 & *(_DWORD *)(result + 440) ^ *(_DWORD *)(result + 596)) & *(_DWORD *)(result + 156);
	v300 = v274;
	v301 = *(_DWORD *)(result + 376) ^ v289;
	v302 = *(_DWORD *)(result + 656) ^ *(_DWORD *)(result + 12) ^ v282;
	v303 = ~v189 & v275;
	v304 = v273 & v60 & v262 ^ v262 & v51 ^ *(_DWORD *)(result + 144);
	v305 = (v288 ^ v271) & v273;
	v306 = v291 | *(_DWORD *)(result + 176);
	v307 = v296 ^ *(_DWORD *)(result + 404) ^ v291 & v273;
	v308 = v262 & v273 ^ v296;
	v309 = v303 ^ (v189 | v141);
	v310 = (~v189 ^ v275) & v141;
	v311 = (v189 & v275 ^ v189 & v141) & v300 ^ (v189 | v141);
	v312 = v300 & ~(v275 & ~(v189 ^ v141) ^ v201);
	v313 = *(_DWORD *)(result + 24) & ~(v305 ^ v284);
	v314 = v302 ^ (v297 | *(_DWORD *)(result + 176));
	v315 = v275 & v136 ^ v141;
	v316 = v303 ^ v141;
	v317 = v315;
	v318 = v275 & v136 ^ v189;
	v319 = v309 & v300;
	v320 = v192 ^ v275;
	v321 = (v262 & v271 ^ *(_DWORD *)(result + 428)) & *(_DWORD *)(result + 24);
	v322 = v300 & ~v316 ^ v310;
	v323 = *(_DWORD *)(result + 412) ^ *(_DWORD *)(result + 108) ^ v299 & ~*(_DWORD *)(result + 680) ^ *(_DWORD *)(result + 128) & ~(v299 & ~*(_DWORD *)(result + 652) ^ *(_DWORD *)(result + 676));
	v324 = v320 ^ v311 & ~v265;
	v325 = (v318 ^ v312) & ~v265;
	v326 = ((v201 ^ v303) & v300 ^ v310) & ~v265;
	v327 = v316 & v300 ^ v201;
	v328 = v265 | v310 ^ v201 & v300;
	v329 = v314 ^ v313 ^ *(_DWORD *)(result + 208) & ~(v306 ^ v298 ^ *(_DWORD *)(result + 24) & ~v294);
	v330 = v298 ^ *(_DWORD *)(result + 20) ^ (v272 | *(_DWORD *)(result + 176)) ^ *(_DWORD *)(result + 24) & ~v307;
	v331 = *(_DWORD *)(result + 208) & ~(v307 & *(_DWORD *)(result + 24) ^ v308 ^ *(_DWORD *)(result + 144));
	v332 = v301 ^ *(_DWORD *)(result + 92) ^ v262 ^ v321 ^ (*(_DWORD *)(result + 24) & ~v304 ^ *(_DWORD *)(result + 144)) & *(_DWORD *)(result + 208);
	v333 = ~v265 & v300 & ~v317 ^ v316;
	v334 = v316 | v300;
	v335 = *(_DWORD *)(result + 52) ^ *(_DWORD *)(result + 732) ^ v299 & *(_DWORD *)(result + 640) ^ (*(_DWORD *)(result + 672) ^ v299 & ~*(_DWORD *)(result + 484)) & *(_DWORD *)(result + 128);
	v336 = v300 & ~v198;
	v337 = v323 & ~v293;
	*(_DWORD *)(result + 316) = v324 ^ v336;
	*(_DWORD *)(result + 404) = v327 ^ v325;
	*(_DWORD *)(result + 312) = v328 ^ v319 ^ v189 ^ v278;
	*(_DWORD *)(result + 516) = v329 & v111;
	*(_DWORD *)(result + 108) = v323;
	*(_DWORD *)(result + 648) = v322 ^ v326;
	*(_DWORD *)(result + 12) = v329;
	v338 = *(_DWORD *)(result + 592);
	v339 = v330 ^ v331;
	*(_DWORD *)(result + 20) = v330 ^ v331;
	*(_DWORD *)(result + 92) = v332;
	v340 = v123 & ~(v323 & ~v293);
	*(_DWORD *)(result + 32) = v299;
	*(_DWORD *)(result + 308) = v334 ^ v333;
	v341 = ~(v332 & v129);
	*(_DWORD *)(result + 52) = v335;
	v342 = v341 & v332;
	v343 = *(_DWORD *)(result + 252) | v338;
	v344 = *(_DWORD *)(result + 548);
	v345 = *(_DWORD *)(result + 552);
	*(_DWORD *)(result + 680) = v340;
	v346 = v332 & v121;
	v347 = *(_DWORD *)(result + 128) & ~(*(_DWORD *)(result + 636) & v299 ^ *(_DWORD *)(result + 556)) ^ *(_DWORD *)(result + 124) ^ v344 ^ v299 & ~v345;
	v348 = v193 & v121;
	v349 = v347 & v121;
	v350 = v347 & v129 ^ v129;
	v351 = v341 & v347;
	v352 = v193 & ~(v332 ^ v347 & v121);
	v353 = v347 & v121 ^ v129;
	v354 = v193 & v347 & v129;
	v355 = *(_DWORD *)(result + 164) ^ *(_DWORD *)(result + 724) ^ *(_DWORD *)(result + 432) & v299;
	v356 = (*(_DWORD *)(result + 424) & v299 ^ *(_DWORD *)(result + 716)) & *(_DWORD *)(result + 128);
	v357 = *(_DWORD *)(result + 580) ^ *(_DWORD *)(result + 232) ^ v343;
	v358 = *(_DWORD *)(result + 156) & ~(v46 & *(_DWORD *)(result + 600) ^ *(_DWORD *)(result + 460));
	v359 = v332 & v129 & v347;
	v360 = (v332 | v129) ^ v349;
	v361 = *(_DWORD *)(result + 112);
	*(_DWORD *)(result + 124) = v347;
	v362 = v355 ^ v356;
	v363 = v358 ^ v357;
	*(_DWORD *)(result + 428) = v347 | v286;
	*(_DWORD *)(result + 232) = v358 ^ v357;
	*(_DWORD *)(result + 376) = v332 & v129 ^ v193 & ~v350 ^ v349;
	*(_DWORD *)(result + 552) = v193 & v350 ^ v360;
	*(_DWORD *)(result + 580) = ~v332 & v347 & v193 ^ v332 ^ v129 ^ v347;
	*(_DWORD *)(result + 636) = v193 & v350 ^ (v332 | v129) ^ v359;
	*(_DWORD *)(result + 456) = v193 & ~v347 ^ v346 ^ v359;
	*(_DWORD *)(result + 596) = v352 ^ v351 ^ v332 ^ v129;
	*(_DWORD *)(result + 496) = v360 ^ v193 & ~v353;
	*(_DWORD *)(result + 692) = (v353 | v193) ^ v129;
	*(_DWORD *)(result + 556) = v347 & ~(v332 | v129) ^ v129 ^ v193 & ~(v342 ^ ~v332 & v347);
	*(_DWORD *)(result + 296) = (v347 ^ ~v332) & (v332 | v129) ^ v348;
	*(_DWORD *)(result + 656) = v193 & ~((v332 | v129) ^ v347 & v129) ^ v359;
	*(_DWORD *)(result + 744) = v359 ^ v354;
	*(_DWORD *)(result + 444) = v354 ^ (v332 | v129) ^ (v332 ^ v129) & v347;
	*(_DWORD *)(result + 480) = v193 ^ v129 ^ ~v332 & v347 & v129;
	*(_DWORD *)(result + 356) = (v332 | v129) & ~v193 ^ v347 & ~v342;
	v364 = *(_DWORD *)(result + 280);
	v365 = v269 & ~(v355 ^ v356);
	v366 = v52 & v60 ^ v74 ^ v236 ^ (v234 ^ (v52 | v361)) & v116;
	*(_DWORD *)(result + 700) = v365;
	v367 = (v358 ^ v357) & ~*(_DWORD *)(result + 488);
	v368 = *(_DWORD *)(result + 500) ^ v364;
	v369 = *(_DWORD *)(result + 476) & (v358 ^ v357);
	v370 = *(_DWORD *)(result + 84);
	v371 = (v358 ^ v357) & *(_DWORD *)(result + 628);
	*(_DWORD *)(result + 164) = v355 ^ v356;
	v372 = *(_DWORD *)(result + 228);
	*(_DWORD *)(result + 84) = v368 ^ v370 ^ v371;
	v373 = *(_DWORD *)(result + 140) ^ v366 ^ (v358 ^ v357) & ~(v238 ^ v239);
	v374 = *(_DWORD *)(result + 368) ^ v372 ^ v367;
	v375 = v369 ^ *(_DWORD *)(result + 384);
	v376 = v335 ^ *(_DWORD *)(result + 84);
	v377 = *(_DWORD *)(result + 84);
	*(_DWORD *)(result + 196) ^= v366 ^ (v238 ^ v239) & ~(v358 ^ v357);
	v378 = ~v292;
	v379 = v335 & ~v377;
	v380 = v335 & v377;
	v381 = v377 & ~v335;
	v382 = v292;
	v383 = v335 | v292;
	v384 = v374 ^ v375 & v213;
	v385 = v269 ^ v362;
	v386 = v269 | v362;
	v387 = *(_DWORD *)(result + 196) | v269;
	v388 = v269 & v362;
	v389 = *(_DWORD *)(result + 84) | v292;
	v390 = v373 | v196;
	*(_DWORD *)(result + 396) = v373 | v111;
	v391 = v376;
	v392 = ~v292 & v377;
	v393 = ~v196;
	v394 = v268 & v362;
	v395 = ~v292 & v335 ^ v391;
	v396 = v335 & ~v380;
	v397 = v379 ^ v392;
	v398 = ~v373 & v323;
	v399 = *(_DWORD *)(result + 196) | v362;
	v400 = *(_DWORD *)(result + 196);
	v401 = v269 ^ v362 ^ v387;
	v402 = ~v400 & v365;
	v403 = v395 & v339;
	v404 = v378 & (v335 | *(_DWORD *)(result + 84));
	v405 = *(_DWORD *)(result + 196) | v269 & v362;
	v406 = v335 & ~v380 | v382;
	v407 = *(_DWORD *)(result + 84) ^ v391 & v378;
	v408 = v381 & v378 ^ v380;
	v409 = v339 & ~(v381 ^ v389);
	v410 = v389 ^ v335;
	v411 = (v269 | v362) ^ (*(_DWORD *)(result + 196) | v269 | v362);
	v412 = ~v400 & v269;
	v413 = ~v400 & v394;
	v414 = v400 ^ v362 | v329;
	v415 = ~v400 & (v269 | v362) ^ v269 ^ v362;
	v416 = v269 & ~(v269 & v362) | *(_DWORD *)(result + 196);
	v417 = ~v329 & v269 ^ v365;
	v418 = v403 ^ v380 & ~v378;
	v419 = *(_DWORD *)(result + 396) ^ (v373 | v196);
	v420 = v396 ^ v404;
	v421 = v397 & v339 ^ v380;
	v422 = v380 ^ v383;
	v423 = v406 ^ v381;
	v424 = v404 ^ v381;
	v425 = v408 ^ v339 & ~(v391 ^ v383);
	v426 = v373 & ~v111;
	*(_DWORD *)(result + 736) = v373 & v111;
	v427 = v339 & v383;
	v428 = v409 ^ v410;
	v429 = v413 ^ v388;
	v430 = v416 ^ v388;
	v431 = v388 ^ v412;
	v432 = v412 ^ v362;
	v433 = v417 & v384;
	v434 = v418 | v188;
	v435 = v420 ^ v339 & ~v391;
	v436 = v421 & v195;
	v437 = v423 ^ v339 & ~v407;
	v438 = v398 & ~v293;
	v439 = v425 & v195;
	v440 = v424 ^ v339 & ~v422;
	v441 = v428 & v195;
	v442 = v410 ^ v427;
	v443 = (*(_DWORD *)(result + 196) | v385) ^ v394;
	v444 = v405 ^ v394;
	v445 = v362 ^ *(_DWORD *)(result + 144);
	v446 = v405 ^ v365 | v329;
	v447 = *(_DWORD *)(result + 56);
	v448 = v363 & *(_DWORD *)(result + 620);
	v449 = v411 ^ v365 & v384 & v329 ^ (v399 ^ v362) & v329;
	v450 = v402 & ~v329 ^ v399;
	v451 = v443 | v329;
	v452 = v329 & ~v432;
	v453 = v401 ^ *(_DWORD *)result;
	v454 = v429 & v329;
	v455 = v430 & ~v329;
	v456 = v444 ^ *(_DWORD *)(result + 72);
	v457 = v329 & ~v444 ^ v401;
	v458 = v426 & v329;
	*(_DWORD *)(result + 460) = v426 & ~v196;
	v459 = v419 & ~v329 ^ *(_DWORD *)(result + 460);
	v460 = (v373 ^ v111 ^ ~v196 & v111 | v329) ^ *(_DWORD *)(result + 460);
	v461 = ((v401 | v329) ^ v386) & v384;
	*(_DWORD *)(result + 732) = *(_DWORD *)(result + 196) ^ v365;
	v462 = v415 ^ v447;
	v463 = v450 ^ v433;
	v464 = (v373 ^ v111) & ~v196;
	v465 = (*(_DWORD *)(result + 736) | v196) ^ v373 ^ v111;
	v466 = *(_DWORD *)(result + 396) | v196;
	v467 = (v415 | v329) ^ v384 & ~v414;
	v468 = *(_DWORD *)(result + 396) & ~v111;
	v469 = v466 ^ v426 & v329;
	v470 = v363 & ~*(_DWORD *)(result + 668);
	v471 = *(_DWORD *)(result + 736) & v393;
	v472 = *(_DWORD *)(result + 188);
	v473 = v435 ^ v434;
	*(_DWORD *)(result + 156) = ~v373 & v111;
	*(_DWORD *)(result + 280) = ~v373 & v111 ^ v464;
	v474 = v437 ^ v436;
	v475 = v440 ^ v441;
	v476 = v442 ^ v439;
	v477 = *(_DWORD *)(result + 660);
	v478 = v472 ^ *(_DWORD *)(result + 420);
	*(_DWORD *)(result + 724) = v438 ^ (v373 | v323);
	v479 = v477 ^ v448;
	v480 = *(_DWORD *)(result + 724) ^ v123 & ~((v373 | v323) ^ v337) | v339;
	v481 = v300 & ~v449;
	v482 = v452 ^ v453;
	v483 = *(_DWORD *)(result + 196) ^ v385;
	*(_DWORD *)(result + 484) = v402 ^ v385;
	v484 = v363 & *(_DWORD *)(result + 704);
	v485 = v445 ^ v483 & ~v329;
	*(_DWORD *)(result + 716) = v373 & v323;
	v486 = v451 ^ v483;
	v487 = v465;
	v488 = v467 ^ v411;
	v489 = v471 ^ *(_DWORD *)(result + 396) ^ v419 & v329;
	*(_DWORD *)(result + 448) = v465 ^ v373 & v393 & v329;
	v490 = v456 ^ v455;
	v491 = v446 ^ v402 ^ v385 ^ v461;
	v492 = v431 & ~v329 ^ *(_DWORD *)(result + 732);
	v493 = v462 ^ v329 & ~v402;
	v494 = v373 & v393 ^ v111;
	v495 = v463 & v300;
	v496 = v468 ^ v471;
	*(_DWORD *)(result + 424) = (v373 | v323) & ~v373;
	v497 = v458 ^ *(_DWORD *)(result + 280);
	v498 = v458 ^ (v393 ^ v111) & v373;
	v499 = v473 ^ *(_DWORD *)(result + 208);
	v500 = v474 | v123;
	v501 = v476 ^ *(_DWORD *)(result + 192);
	v502 = v476 ^ *(_DWORD *)(result + 136);
	v503 = v474 & v123;
	v504 = v473 ^ *(_DWORD *)(result + 248);
	v505 = v478 ^ v470;
	v506 = v479 | *(_DWORD *)(result + 136);
	v507 = v373 & ~*(_DWORD *)(result + 716);
	v508 = v484 ^ *(_DWORD *)(result + 380);
	v509 = v459 & ~v384 ^ v489;
	v510 = *(_DWORD *)(result + 396) & v393;
	*(_DWORD *)(result + 488) = *(_DWORD *)(result + 156) & v393;
	*(_DWORD *)(result + 268) = v460 & ~v384 ^ *(_DWORD *)(result + 448);
	v511 = v485 ^ v481;
	v512 = v384 & ~v486;
	v513 = v490 ^ v457 & v384;
	v514 = v493 ^ v495;
	v515 = (v111 & ~*(_DWORD *)(result + 736) ^ v390) & v329;
	v516 = *(_DWORD *)(result + 268) ^ *(_DWORD *)(result + 152);
	v517 = *(_DWORD *)(result + 460) & v329 ^ *(_DWORD *)(result + 488) ^ *(_DWORD *)(result + 396);
	v518 = *(_DWORD *)(result + 424) | v293;
	*(_DWORD *)(result + 208) = v499 ^ v500;
	*(_DWORD *)(result + 248) = v504 ^ v503;
	*(_DWORD *)(result + 192) = v475 & ~v123 ^ v501;
	*(_DWORD *)(result + 640) = v123 & ~v475 ^ v502;
	*(_DWORD *)(result + 140) = v373;
	*(_DWORD *)(result + 188) = v505 ^ v506;
	*(_DWORD *)(result + 704) = v508 & v213;
	*(_DWORD *)(result + 228) = v384;
	*(_DWORD *)result = v488 & v300 ^ v482 ^ v384 & ~v454;
	*(_DWORD *)(result + 56) = v514 ^ v384 & ~v492;
	*(_DWORD *)(result + 144) = v511 ^ v512;
	*(_DWORD *)(result + 72) = v300 & ~v491 ^ v513;
	*(_DWORD *)(result + 256) = v373 & ~v293;
	*(_DWORD *)(result + 300) = ~v293 & (v373 | v323);
	*(_DWORD *)(result + 380) = v329 & ~v419;
	*(_DWORD *)(result + 440) = (v398 & v123 ^ v323 ^ v480) & v264;
	*(_DWORD *)(result + 600) = v438 & v123 ^ v337 | v339;
	*(_DWORD *)(result + 548) = ~v123 & (v323 ^ v293) ^ v438;
	*(_DWORD *)(result + 676) = v373 ^ v123 & ~(v323 ^ v293) ^ ~v293 & (v373 | v323) ^ (v507 ^ v340 | v339);
	*(_DWORD *)(result + 500) = (v398 ^ v293) & v123;
	*(_DWORD *)(result + 476) = v373 | v323;
	*(_DWORD *)(result + 652) = v123 & ~(v398 ^ v293);
	*(_DWORD *)(result + 368) = v510 ^ v373 ^ ~v384 & v469 ^ v329 & ~v496;
	*(_DWORD *)(result + 668) = v487;
	*(_DWORD *)(result + 592) = v111 ^ v469;
	*(_DWORD *)(result + 152) = v516 ^ v509 & ~v323;
	*(_DWORD *)(result + 432) = v518 ^ (v373 | v323);
	*(_DWORD *)(result + 420) = v517 | v384;
	*(_DWORD *)(result + 628) = v373 & v393 ^ v373 ^ v494 & v329 ^ ((v419 | v329) ^ v419) & ~v384 | v323;
	*(_DWORD *)(result + 136) = v515 ^ v494;
	*(_DWORD *)(result + 584) = ((v373 | v323) ^ (v323 | v293)) & v123;
	*(_DWORD *)(result + 620) = v123 & ~((v293 | v507) ^ v398);
	*(_DWORD *)(result + 384) = (v293 | v507) ^ (v373 | v323);
	*(_DWORD *)(result + 660) = ~v293 & (v373 | v323) ^ v398 ^ (v507 ^ v293) & v123;
	*(_DWORD *)(result + 412) = v123 | ~v293 & (v373 | v323) ^ (v373 | v323);
	*(_DWORD *)(result + 568) = v498 ^ v497 & ~v384 | v323;
	*(_DWORD *)(result + 672) = v390 ^ v373;
	return result;
}

//----- (0008B2F4) --------------------------------------------------------
unsigned char* sub_8B2F4(unsigned char* result)
{
	int v1; // r4@1
	int v2; // r10@1
	int v3; // r9@1
	int v4; // r7@1
	int v5; // r8@1
	int v6; // r5@1
	int v7; // ST00_4@1
	int v8; // r11@1
	int v9; // r2@1
	int v10; // lr@1
	int v11; // r10@1
	int v12; // ST1C_4@1
	int v13; // r8@1
	int v14; // r6@1
	int v15; // r2@1
	int v16; // r12@1
	int v17; // r2@1
	int v18; // ST64_4@1
	int v19; // r6@1
	int v20; // r3@1
	int v21; // r5@1
	int v22; // r1@1
	int v23; // r2@1
	int v24; // ST10_4@1
	int v25; // r8@1
	int v26; // ST18_4@1
	int v27; // r7@1
	int v28; // r12@1
	int v29; // ST50_4@1
	int v30; // r10@1
	int v31; // r5@1
	int v32; // r3@1
	int v33; // r2@1
	int v34; // r9@1
	int v35; // r10@1
	int v36; // r6@1
	int v37; // r4@1
	int v38; // r1@1
	int v39; // r7@1
	int v40; // r3@1
	int v41; // r5@1
	int v42; // ST30_4@1
	int v43; // r1@1
	int v44; // ST68_4@1
	int v45; // r12@1
	int v46; // r5@1
	int v47; // r9@1
	int v48; // r5@1
	int v49; // r3@1
	int v50; // ST4C_4@1
	int v51; // r8@1
	int v52; // r2@1
	int v53; // r6@1
	int v54; // ST94_4@1
	int v55; // r7@1
	int v56; // r5@1
	int v57; // ST14_4@1
	int v58; // ST38_4@1
	int v59; // r7@1
	int v60; // lr@1
	int v61; // ST00_4@1
	int v62; // r1@1
	int v63; // r6@1
	int v64; // r3@1
	int v65; // r10@1
	int v66; // r11@1
	int v67; // ST3C_4@1
	int v68; // ST5C_4@1
	int v69; // ST54_4@1
	int v70; // r7@1
	int v71; // ST04_4@1
	int v72; // ST2C_4@1
	int v73; // r4@1
	int v74; // ST24_4@1
	int v75; // r3@1
	int v76; // ST28_4@1
	int v77; // lr@1
	int v78; // ST58_4@1
	int v79; // ST08_4@1
	int v80; // ST44_4@1
	int v81; // r6@1
	int v82; // r1@1
	int v83; // ST0C_4@1
	int v84; // r3@1
	int v85; // r4@1
	int v86; // r5@1
	int v87; // ST60_4@1
	int v88; // r8@1
	int v89; // ST20_4@1
	int v90; // r5@1
	int v91; // r11@1
	int v92; // ST34_4@1
	int v93; // r6@1
	int v94; // r12@1
	int v95; // r5@1
	int v96; // r3@1
	int v97; // r5@1
	int v98; // ST40_4@1
	int v99; // r8@1
	int v100; // ST48_4@1
	int v101; // r3@1
	int v102; // ST44_4@1
	int v103; // r4@1
	int v104; // r7@1
	int v105; // r3@1
	int v106; // r5@1
	int v107; // r1@1
	int v108; // r6@1
	int v109; // r12@1
	int v110; // r4@1
	int v111; // r3@1
	int v112; // r1@1
	int v113; // ST70_4@1
	int v114; // ST24_4@1
	int v115; // ST2C_4@1
	int v116; // r7@1
	int v117; // r6@1
	int v118; // ST8C_4@1
	int v119; // r1@1
	int v120; // ST28_4@1
	int v121; // r3@1
	int v122; // ST7C_4@1
	int v123; // r10@1
	int v124; // r5@1
	int v125; // ST5C_4@1
	int v126; // r8@1
	int v127; // r1@1
	int v128; // r4@1
	int v129; // ST9C_4@1
	int v130; // ST84_4@1
	int v131; // STA0_4@1
	int v132; // lr@1
	int v133; // STA8_4@1
	int v134; // STAC_4@1
	int v135; // ST04_4@1
	int v136; // ST6C_4@1
	int v137; // r2@1
	int v138; // r8@1
	int v139; // ST60_4@1
	int v140; // ST54_4@1
	int v141; // ST74_4@1
	int v142; // ST88_4@1
	int v143; // STB8_4@1
	int v144; // r10@1
	int v145; // ST90_4@1
	int v146; // lr@1
	int v147; // ST78_4@1
	int v148; // r6@1
	int v149; // STD4_4@1
	int v150; // r7@1
	int v151; // ST18_4@1
	int v152; // ST98_4@1
	int v153; // lr@1
	int v154; // r2@1
	int v155; // r6@1
	int v156; // STC0_4@1
	int v157; // r9@1
	int v158; // ST58_4@1
	int v159; // r10@1
	int v160; // r7@1
	int v161; // STD0_4@1
	int v162; // STC8_4@1
	int v163; // r4@1
	int v164; // lr@1
	int v165; // r4@1
	int v166; // STB8_4@1
	int v167; // r8@1
	int v168; // r6@1
	int v169; // r12@1
	int v170; // lr@1
	int v171; // r1@1
	int v172; // ST54_4@1
	int v173; // r5@1
	int v174; // STC4_4@1
	int v175; // r10@1
	int v176; // ST90_4@1
	int v177; // r2@1
	int v178; // r9@1
	int v179; // ST88_4@1
	int v180; // r4@1
	int v181; // r12@1
	int v182; // ST50_4@1
	int v183; // r4@1
	int v184; // r11@1
	int v185; // ST68_4@1
	int v186; // STB4_4@1
	int v187; // ST74_4@1
	int v188; // ST64_4@1
	int v189; // STB0_4@1
	int v190; // r10@1
	int v191; // ST90_4@1
	int v192; // STB8_4@1
	int v193; // r8@1
	int v194; // r1@1
	int v195; // r3@1
	int v196; // STD0_4@1
	int v197; // ST58_4@1
	int v198; // ST74_4@1
	int v199; // r12@1
	int v200; // r3@1
	int v201; // r1@1
	int v202; // lr@1
	int v203; // ST18_4@1
	int v204; // r8@1
	int v205; // STC8_4@1
	int v206; // lr@1
	int v207; // STB0_4@1
	int v208; // r7@1
	int v209; // r3@1
	int v210; // r2@1
	int v211; // r1@1
	int v212; // r6@1
	int v213; // lr@1
	int v214; // r1@1
	int v215; // STB4_4@1
	int v216; // r5@1
	int v217; // r4@1
	int v218; // r1@1
	int v219; // r3@1
	int v220; // ST68_4@1
	int v221; // STC4_4@1
	int v222; // ST50_4@1
	int v223; // ST64_4@1
	int v224; // STCC_4@1
	int v225; // r1@1
	int v226; // ST78_4@1
	int v227; // r2@1
	int v228; // ST1C_4@1
	int v229; // STE4_4@1
	int v230; // ST88_4@1
	int v231; // ST80_4@1
	int v232; // ST90_4@1
	int v233; // r7@1
	int v234; // r11@1
	int v235; // STE0_4@1
	int v236; // r6@1
	int v237; // STB8_4@1
	int v238; // ST14_4@1
	int v239; // STD8_4@1
	int v240; // r8@1
	int v241; // r6@1
	int v242; // r7@1
	int v243; // STDC_4@1
	int v244; // r9@1
	int v245; // r12@1
	int v246; // lr@1
	int v247; // r8@1
	int v248; // r7@1
	int v249; // r6@1
	int v250; // r11@1
	int v251; // STE8_4@1
	int v252; // r6@1
	int v253; // STEC_4@1
	int v254; // STC4_4@1
	int v255; // STBC_4@1
	int v256; // lr@1
	int v257; // r6@1
	int v258; // ST14_4@1
	int v259; // r12@1
	int v260; // STD0_4@1
	int v261; // r8@1
	int v262; // r10@1
	int v263; // r9@1
	int v264; // r8@1
	int v265; // r6@1
	int v266; // r11@1
	int v267; // r2@1
	int v268; // ST88_4@1
	int v269; // r7@1
	int v270; // r5@1
	int v271; // STBC_4@1
	int v272; // r1@1
	int v273; // r6@1
	int v274; // r8@1
	int v275; // STC8_4@1
	int v276; // ST7C_4@1
	int v277; // ST54_4@1
	int v278; // r7@1
	int v279; // ST1C_4@1
	int v280; // r4@1
	int v281; // r6@1
	int v282; // ST34_4@1
	int v283; // r9@1
	int v284; // r2@1
	int v285; // r8@1
	int v286; // ST98_4@1
	int v287; // lr@1
	int v288; // ST1C_4@1
	int v289; // r9@1
	int v290; // r7@1
	int v291; // r12@1
	int v292; // r7@1
	int v293; // r11@1
	int v294; // r1@1
	int v295; // r2@1
	int v296; // ST80_4@1
	int v297; // STD4_4@1
	int v298; // r12@1
	int v299; // r4@1
	int v300; // r3@1
	int v301; // ST88_4@1
	int v302; // r10@1
	int v303; // ST20_4@1
	int v304; // ST90_4@1
	int v305; // STDC_4@1
	int v306; // r5@1
	int v307; // r1@1
	int v308; // r9@1
	int v309; // STE4_4@1
	int v310; // STC0_4@1
	int v311; // r1@1
	int v312; // r11@1
	int v313; // STD8_4@1
	int v314; // lr@1
	int v315; // ST88_4@1
	int v316; // r3@1
	int v317; // ST64_4@1
	int v318; // ST48_4@1
	int v319; // ST7C_4@1
	int v320; // STD0_4@1
	int v321; // ST78_4@1
	int v322; // STE0_4@1
	int v323; // STD4_4@1
	int v324; // ST90_4@1
	int v325; // r9@1
	int v326; // STE8_4@1
	int v327; // STE4_4@1
	int v328; // STC0_4@1
	int v329; // STDC_4@1
	int v330; // STD8_4@1
	int v331; // ST34_4@1
	int v332; // r5@1
	int v333; // r10@1
	int v334; // r5@1
	int v335; // r2@1
	int v336; // r11@1
	int v337; // STBC_4@1
	int v338; // r2@1
	int v339; // STC8_4@1
	int v340; // lr@1
	int v341; // r3@1
	int v342; // STD4_4@1
	int v343; // r9@1
	int v344; // ST50_4@1
	int v345; // ST54_4@1
	int v346; // r11@1
	int v347; // r4@1
	int v348; // r10@1
	int v349; // r8@1
	int v350; // r5@1
	int v351; // r7@1
	int v352; // r2@1
	int v353; // r9@1
	int v354; // STA8_4@1
	int v355; // ST8C_4@1
	int v356; // ST14_4@1
	int v357; // r2@1
	int v358; // STAC_4@1
	int v359; // r12@1
	int v360; // r7@1
	int v361; // r1@1
	int v362; // r7@1
	int v363; // r6@1
	int v364; // r2@1
	int v365; // ST54_4@1
	int v366; // r3@1
	int v367; // r2@1
	int v368; // r1@1
	int v369; // ST80_4@1
	int v370; // r7@1
	int v371; // ST24_4@1
	int v372; // r4@1
	int v373; // ST88_4@1
	int v374; // r5@1
	int v375; // r12@1
	int v376; // r2@1
	int v377; // lr@1
	int v378; // ST60_4@1
	int v379; // r6@1
	int v380; // ST58_4@1
	int v381; // ST20_4@1
	int v382; // lr@1
	int v383; // r5@1
	int v384; // STB0_4@1
	int v385; // r12@1
	int v386; // r7@1
	int v387; // ST04_4@1
	int v388; // r4@1
	int v389; // r10@1
	int v390; // r1@1
	int v391; // ST3C_4@1
	int v392; // r2@1
	int v393; // ST68_4@1
	int v394; // lr@1
	int v395; // ST94_4@1
	int v396; // ST64_4@1
	int v397; // r5@1
	int v398; // r9@1
	int v399; // STD0_4@1
	int v400; // STB4_4@1
	int v401; // STC0_4@1
	int v402; // STD4_4@1
	int v403; // STD8_4@1
	int v404; // ST78_4@1
	int v405; // r6@1
	int v406; // ST24_4@1
	int v407; // STB8_4@1
	int v408; // STC4_4@1
	int v409; // r8@1
	int v410; // STC8_4@1
	int v411; // r2@1
	int v412; // r9@1
	int v413; // ST08_4@1
	int v414; // r1@1
	int v415; // ST60_4@1
	int v416; // ST90_4@1
	int v417; // ST88_4@1
	int v418; // STA0_4@1
	int v419; // STD0_4@1
	int v420; // ST38_4@1
	int v421; // ST84_4@1
	int v422; // STBC_4@1
	int v423; // STD4_4@1
	int v424; // ST54_4@1
	int v425; // STD8_4@1
	int v426; // ST58_4@1
	int v427; // ST28_4@1
	int v428; // r4@1
	int v429; // STB0_4@1
	int v430; // ST98_4@1
	int v431; // r8@1
	int v432; // STB4_4@1
	int v433; // STB8_4@1
	int v434; // r9@1
	int v435; // STC4_4@1
	int v436; // ST08_4@1
	int v437; // ST2C_4@1
	int v438; // ST90_4@1
	int v439; // ST78_4@1
	int v440; // ST84_4@1
	int v441; // ST80_4@1
	int v442; // STA0_4@1
	int v443; // ST30_4@1
	int v444; // ST40_4@1
	int v445; // ST38_4@1
	int v446; // ST4C_4@1
	int v447; // ST54_4@1
	int v448; // ST68_4@1
	int v449; // lr@1
	int v450; // r4@1
	int v451; // ST3C_4@1
	int v452; // ST58_4@1
	int v453; // r8@1
	int v454; // ST44_4@1
	int v455; // r9@1
	int v456; // STB8_4@1
	int v457; // ST2C_4@1
	int v458; // ST64_4@1
	int v459; // r5@1
	int v460; // ST00_4@1
	int v461; // ST30_4@1
	int v462; // ST34_4@1
	int v463; // ST38_4@1
	int v464; // ST4C_4@1
	int v465; // ST3C_4@1
	int v466; // ST44_4@1
	int v467; // r9@1
	int v468; // r4@1
	int v469; // r1@1
	int v470; // r6@1
	int v471; // ST84_4@1
	int v472; // ST90_4@1
	int v473; // ST08_4@1
	int v474; // r4@1
	int v475; // ST00_4@1
	int v476; // ST10_4@1
	int v477; // ST28_4@1
	int v478; // ST30_4@1
	int v479; // ST2C_4@1
	int v480; // ST34_4@1
	int v481; // ST38_4@1
	int v482; // ST4C_4@1
	int v483; // ST44_4@1
	int v484; // r6@1
	int v485; // r3@1
	int v486; // r4@1
	int v487; // r2@1

	v1 = *(_DWORD *)(result + 140);
	v2 = v1 & ~*(_DWORD *)(result + 108);
	v3 = *(_DWORD *)(result + 108) ^ v1;
	v4 = ~*(_DWORD *)(result + 204);
	v5 = *(_DWORD *)(result + 680) ^ *(_DWORD *)(result + 256) ^ v2;
	v6 = *(_DWORD *)(result + 584) ^ *(_DWORD *)(result + 300);
	v7 = *(_DWORD *)(result + 228);
	v8 = *(_DWORD *)(result + 384) ^ *(_DWORD *)(result + 24);
	v9 = *(_DWORD *)(result + 20);
	v10 = ~v9;
	v11 = (*(_DWORD *)(result + 204) | ~v2) & *(_DWORD *)(result + 236);
	v12 = *(_DWORD *)(result + 176) ^ *(_DWORD *)(result + 628) ^ *(_DWORD *)(result + 136) ^ (*(_DWORD *)(result + 516) ^ *(_DWORD *)(result + 672) | v7);
	v13 = v5 & ~v9 ^ *(_DWORD *)(result + 548);
	v14 = (v3 ^ *(_DWORD *)(result + 500) ^ v4 & v1 | v9) ^ *(_DWORD *)(result + 660);
	v15 = *(_DWORD *)(result + 80);
	*(_DWORD *)(result + 176) = v12;
	v16 = v15 ^ *(_DWORD *)(result + 676);
	v17 = *(_DWORD *)(result + 172);
	v18 = v16 ^ v17 & ~v13;
	v19 = v8 ^ (v6 ^ v3) & v10 ^ v11 ^ v17 & ~v14;
	*(_DWORD *)(result + 80) = v18;
	v20 = *(_DWORD *)(result + 424);
	v21 = *(_DWORD *)(result + 600);
	v22 = *(_DWORD *)(result + 236) & ~(*(_DWORD *)(result + 204) ^ v1);
	v23 = *(_DWORD *)(result + 204);
	*(_DWORD *)(result + 24) = v19;
	v24 = v19;
	v25 = ((v23 | v1) ^ v20) & *(_DWORD *)(result + 236);
	v26 = *(_DWORD *)(result + 208) | v19;
	v27 = v3 & v4 ^ *(_DWORD *)(result + 716);
	v28 = v21 ^ *(_DWORD *)(result + 412);
	v29 = ~*(_DWORD *)(result + 208);
	v30 = v1 | *(_DWORD *)(result + 76);
	v31 = *(_DWORD *)(result + 440) ^ *(_DWORD *)(result + 204) ^ *(_DWORD *)(result + 224) ^ v3;
	v32 = ((v30 ^ *(_DWORD *)(result + 44)) & *(_DWORD *)(result + 12) ^ *(_DWORD *)(result + 488)) & ~v7 ^ *(_DWORD *)(result + 592);
	v33 = *(_DWORD *)(result + 380) ^ *(_DWORD *)(result + 736) ^ *(_DWORD *)(result + 420) ^ *(_DWORD *)(result + 568) ^ *(_DWORD *)(result + 168) ^ v30;
	v34 = v27 ^ *(_DWORD *)(result + 620);
	v35 = v31 ^ v25;
	v36 = *(_DWORD *)(result + 364);
	v37 = *(_DWORD *)(result + 252);
	v38 = ((v22 ^ *(_DWORD *)(result + 432) | *(_DWORD *)(result + 20)) ^ *(_DWORD *)(result + 652)) & *(_DWORD *)(result + 172) ^ v28 ^ *(_DWORD *)(result + 184) ^ v27;
	v39 = *(_DWORD *)(result + 232);
	v40 = v32 | *(_DWORD *)(result + 108);
	v41 = *(_DWORD *)(result + 96);
	v42 = v38;
	*(_DWORD *)(result + 184) = v38;
	v43 = v35 ^ v34 & v10;
	v44 = v39 & v36;
	v45 = v41 ^ *(_DWORD *)(result + 368);
	v46 = *(_DWORD *)(result + 232);
	*(_DWORD *)(result + 96) = v45 ^ v40;
	v47 = v36 | v46;
	v48 = *(_DWORD *)(result + 504);
	v49 = v45 ^ v40;
	*(_DWORD *)(result + 168) = v33;
	v50 = v33;
	v51 = v33 & *(_DWORD *)(result + 640);
	v52 = v47 ^ v37 ^ v48;
	v53 = *(_DWORD *)(result + 544);
	v54 = v49 | *(_DWORD *)result;
	v55 = ~*(_DWORD *)result;
	v56 = *(_DWORD *)(result + 544);
	v57 = v43;
	*(_DWORD *)(result + 224) = v43;
	v58 = v55;
	v59 = ~v49;
	v60 = v53 & v52;
	v61 = v49;
	v62 = v52 | *(_DWORD *)(result + 320);
	v63 = *(_DWORD *)(result + 220);
	v64 = *(_DWORD *)(result + 276);
	v65 = v52 | v63;
	*(_DWORD *)(result + 568) = v51;
	v66 = (v52 | v63) ^ v63;
	*(_DWORD *)(result + 252) = v52;
	v67 = v59;
	v68 = v60;
	v69 = (v52 | v56) ^ v64;
	v70 = (*(_DWORD *)(result + 468) | v52) ^ *(_DWORD *)(result + 632);
	v71 = v62;
	v72 = ~v52 & *(_DWORD *)(result + 220) ^ *(_DWORD *)(result + 544);
	v73 = *(_DWORD *)(result + 124);
	v74 = (v52 | v56) ^ *(_DWORD *)(result + 320);
	v75 = *(_DWORD *)(result + 512) ^ *(_DWORD *)(result + 124) ^ *(_DWORD *)(result + 240) ^ (v52 | v63) ^ (*(_DWORD *)(result + 428) ^ v72 | *(_DWORD *)(result + 188)) ^ (*(_DWORD *)(result + 124) & ~(v52 | *(_DWORD *)(result + 632)) ^ v70 ^ (v62 ^ *(_DWORD *)(result + 304) ^ v66 & *(_DWORD *)(result + 124) | *(_DWORD *)(result + 188))) & ~*(_DWORD *)(result + 4);
	v76 = (*(_DWORD *)(result + 468) | v52) ^ *(_DWORD *)(result + 632);
	v77 = ~*(_DWORD *)(result + 188);
	v78 = v75 & ~v24;
	v79 = *(_DWORD *)(result + 316) ^ *(_DWORD *)(result + 120) ^ ~v52 & *(_DWORD *)(result + 404);
	v80 = v78 | *(_DWORD *)(result + 208);
	v81 = (v52 | *(_DWORD *)(result + 308)) ^ *(_DWORD *)(result + 464);
	v82 = ((~v52 | ~*(_DWORD *)(result + 512)) & v73 ^ v62) & v77 ^ v70 ^ *(_DWORD *)(result + 40) ^ v66 & ~*(_DWORD *)(result + 124);
	v83 = v75;
	v84 = *(_DWORD *)(result + 316) ^ *(_DWORD *)(result + 104) ^ v52 & ~*(_DWORD *)(result + 612);
	v85 = (((~v52 & *(_DWORD *)(result + 512) ^ *(_DWORD *)(result + 304)) & *(_DWORD *)(result + 124) ^ *(_DWORD *)(result + 544)) & v77 ^ (~v52 & *(_DWORD *)(result + 740) ^ *(_DWORD *)(result + 320) | v73) ^ v74) & ~*(_DWORD *)(result + 4);
	v86 = v52 | *(_DWORD *)(result + 632);
	*(_DWORD *)(result + 48) ^= *(_DWORD *)(result + 312) ^ ~v52 & *(_DWORD *)(result + 648);
	v87 = v86 ^ *(_DWORD *)(result + 320);
	v88 = *(_DWORD *)(result + 124);
	*(_DWORD *)(result + 240) = v83;
	v89 = v84;
	v90 = *(_DWORD *)(result + 56);
	v91 = v80 ^ v78;
	v92 = v81 ^ *(_DWORD *)(result + 160);
	*(_DWORD *)(result + 160) = v92;
	*(_DWORD *)(result + 104) = v84;
	v93 = v79 & v90;
	v94 = v79 ^ v90;
	v95 = *(_DWORD *)(result + 320);
	*(_DWORD *)(result + 120) = v79;
	v96 = v71 ^ v95;
	v97 = *(_DWORD *)(result + 512);
	v98 = v93;
	v99 = (v96 ^ v88 & ~v72) & v77;
	*(_DWORD *)(result + 312) = v93;
	v100 = v82 ^ v85;
	*(_DWORD *)(result + 40) = v82 ^ v85;
	v101 = *(_DWORD *)(result + 468);
	v102 = v94;
	v103 = (v52 | v97) ^ *(_DWORD *)(result + 304);
	*(_DWORD *)(result + 672) = v94;
	v104 = v71 ^ v101;
	v105 = *(_DWORD *)(result + 124);
	v106 = *(_DWORD *)(result + 124) & ~v87;
	v107 = *(_DWORD *)(result + 32);
	v108 = ~v52 & (*(_DWORD *)(result + 320) ^ *(_DWORD *)(result + 124));
	v109 = v74 & v105;
	v110 = v105 & ~v103;
	v111 = *(_DWORD *)(result + 544);
	*(_DWORD *)(result + 648) = v91;
	v112 = (v108 | *(_DWORD *)(result + 188)) ^ v107 ^ v76 ^ v109 ^ (v106 ^ v68 ^ v99 | *(_DWORD *)(result + 4));
	v113 = *(_DWORD *)result & ~v112;
	v114 = *(_DWORD *)(result + 504) ^ *(_DWORD *)(result + 212) ^ v44;
	v115 = v112;
	v116 = v52 ^ v111 ^ *(_DWORD *)(result + 232) ^ (v65 ^ *(_DWORD *)(result + 632) | *(_DWORD *)(result + 124)) ^ (v104 ^ *(_DWORD *)(result + 124) & (v52 ^ v111) | *(_DWORD *)(result + 188)) ^ (v69 & *(_DWORD *)(result + 124) ^ v104 ^ (v110 ^ v104) & v77 | *(_DWORD *)(result + 4));
	v117 = v112;
	v118 = *(_DWORD *)(result + 260);
	v119 = *(_DWORD *)(result + 704) ^ *(_DWORD *)(result + 344) ^ *(_DWORD *)(result + 28);
	v120 = v117 & v58;
	v121 = *(_DWORD *)(result + 232) & ~*(_DWORD *)(result + 540);
	v122 = v114 & *(_DWORD *)(result + 148);
	v123 = *(_DWORD *)result & ~v113 | v61;
	v124 = *(_DWORD *)(result + 640) & ~v116;
	*(_DWORD *)(result + 32) = v117;
	v125 = v117 & v58 & v67;
	v126 = v117 & v58 | v61;
	v127 = v119 ^ v121;
	*(_DWORD *)(result + 384) = v116;
	v128 = *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 28) = v127;
	v129 = v123 ^ v113;
	*(_DWORD *)(result + 544) = v124;
	*(_DWORD *)(result + 652) = v124;
	v130 = v113 ^ v54;
	*(_DWORD *)(result + 324) = v122 ^ v128;
	v131 = v123 ^ v117 & v58;
	v132 = v125 ^ *(_DWORD *)result;
	*(_DWORD *)(result + 212) = v114;
	*(_DWORD *)(result + 380) = v124 & v50;
	v133 = v132;
	*(_DWORD *)(result + 472) = v83 & v24;
	v134 = v126 ^ v115;
	*(_DWORD *)(result + 716) = v123 ^ v113;
	v135 = v127;
	*(_DWORD *)(result + 440) = v113 ^ v54;
	v136 = v115 | v61;
	*(_DWORD *)(result + 272) = v131;
	v137 = v126 ^ v115;
	*(_DWORD *)(result + 696) = v117 & v58;
	v138 = v26 ^ v24;
	*(_DWORD *)(result + 508) = v125 ^ v117 & v58;
	*(_DWORD *)(result + 328) = v125;
	*(_DWORD *)(result + 340) = v137;
	v139 = ~v127;
	*(_DWORD *)(result + 436) = v132;
	v140 = ~v83 & v24;
	*(_DWORD *)(result + 720) = v115 | v61;
	v141 = (v83 ^ v24) & v29;
	*(_DWORD *)(result + 260) = v114 ^ v118;
	v142 = v140 ^ v24 & v29;
	v143 = v83 ^ v24 ^ v26;
	v144 = v140 ^ *(_DWORD *)(result + 12);
	v145 = (*(_DWORD *)(result + 208) | v83 | v24) ^ v24;
	v146 = ~v127 & *(_DWORD *)(result + 496);
	v147 = v18 | *(_DWORD *)(result + 144);
	v148 = *(_DWORD *)(result + 376) ^ *(_DWORD *)(result + 112) ^ v146 ^ *(_DWORD *)(result + 320) & ~(*(_DWORD *)(result + 636) ^ (*(_DWORD *)(result + 552) | v127));
	v149 = v89 ^ *(_DWORD *)(result + 172);
	v150 = v148 & ~(v78 ^ v24 & v29);
	v151 = *(_DWORD *)(result + 376) ^ *(_DWORD *)(result + 112) ^ v146 ^ *(_DWORD *)(result + 320) & ~(*(_DWORD *)(result + 636) ^ (*(_DWORD *)(result + 552) | v127));
	v152 = v114 & ~*(_DWORD *)(result + 148);
	*(_DWORD *)(result + 424) = v148 & ~(v83 | v24) ^ v91;
	v153 = v148 & ~v138 | v12;
	v154 = (v83 & v24 ^ v24 & v29) & v148 ^ v83 & v24;
	v155 = v78 ^ *(_DWORD *)(result + 68);
	v156 = v144 ^ (v83 & ~v78 | *(_DWORD *)(result + 208));
	v157 = v151 & ~v143;
	v158 = *(_DWORD *)(result + 144) & v151;
	v159 = v83 ^ v24 ^ *(_DWORD *)(result + 208) ^ v150;
	v160 = *(_DWORD *)(result + 208);
	v161 = *(_DWORD *)(result + 92) ^ *(_DWORD *)(result + 208) ^ v83;
	v162 = v155 ^ (v83 ^ v24 | v160);
	v163 = ~v83 & v24;
	*(_DWORD *)(result + 736) = v83 ^ v24 ^ v151;
	v164 = (v140 | v160) ^ v153 ^ v163;
	v165 = v163 ^ v140 & v29;
	v166 = v164;
	v167 = v142 & v151 ^ v29 & v83 & v24;
	v168 = ~v12 & ((v83 | v24) ^ v140 & v29 & ~v151);
	v169 = *(_DWORD *)(result + 424) ^ v24 & ~v12;
	*(_DWORD *)(result + 420) = v141 & v151 ^ v83 & v29;
	v170 = v151 & ~v145;
	v171 = v145 & v151;
	v172 = ~v151 & *(_DWORD *)(result + 144);
	v173 = v151 & ~v18;
	v174 = (v159 | v12) ^ v142 & ~v151;
	v175 = v154 & ~v12 ^ *(_DWORD *)(result + 420);
	v176 = v156 ^ v151 & ~(v141 ^ v24);
	v177 = v151 | *(_DWORD *)(result + 144);
	v178 = *(_DWORD *)(result + 736) ^ *(_DWORD *)(result + 20) ^ (v157 ^ v165 | v12);
	v179 = v166 ^ v165 & v151;
	v180 = *(_DWORD *)(result + 144);
	v181 = v169 | v180;
	v182 = v151 ^ v180;
	v183 = v18;
	v184 = *(_DWORD *)(result + 144) & ~v158 | v18;
	v185 = v158 | v18;
	v186 = v151 & ~(v141 ^ v83 ^ v24) ^ v162 ^ v168;
	v187 = v172 & ~v18;
	v188 = ~v18 & *(_DWORD *)(result + 144);
	v189 = v175 | *(_DWORD *)(result + 144);
	v190 = *(_DWORD *)(result + 144);
	v191 = v176 ^ (v167 | v12);
	v192 = v161 ^ v170 ^ v181;
	v193 = v171 ^ v24 | v12;
	*(_DWORD *)(result + 628) = v183 ^ v151;
	*(_DWORD *)(result + 112) = v151;
	*(_DWORD *)(result + 460) = v173 ^ *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 680) = v147 ^ v158;
	v194 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 344) = v184 ^ v172;
	v195 = *(_DWORD *)(result + 556);
	*(_DWORD *)(result + 676) = v151 ^ v147;
	*(_DWORD *)(result + 704) = v185 ^ v158;
	v196 = v195;
	*(_DWORD *)(result + 556) = v158;
	*(_DWORD *)(result + 576) = (v182 | v183) ^ v194;
	*(_DWORD *)(result + 636) = v187 ^ v177;
	*(_DWORD *)(result + 232) = v177 ^ (v177 | v183);
	*(_DWORD *)(result + 540) = v184 ^ v182;
	*(_DWORD *)(result + 376) = v182;
	*(_DWORD *)(result + 496) = (v173 ^ v177) & ~v190;
	*(_DWORD *)(result + 156) = v173 & ~v190 ^ v182;
	*(_DWORD *)(result + 548) = v188 ^ v182;
	v197 = v192 ^ v193;
	v198 = v191 ^ v189;
	v199 = v114 & ~*(_DWORD *)(result + 524);
	v200 = *(_DWORD *)(result + 336);
	*(_DWORD *)(result + 12) = v191 ^ v189;
	v201 = *(_DWORD *)(result + 492);
	v202 = v199 ^ *(_DWORD *)(result + 244);
	v203 = v178 ^ v179 & ~v190;
	*(_DWORD *)(result + 20) = v203;
	v204 = v122 ^ *(_DWORD *)(result + 492);
	v205 = v202;
	v206 = v114 & *(_DWORD *)(result + 244);
	v207 = v206;
	v208 = v135 & *(_DWORD *)(result + 336) ^ v114 & v200 ^ v201;
	v209 = *(_DWORD *)(result + 640);
	*(_DWORD *)(result + 92) = v197;
	v210 = *(_DWORD *)(result + 8);
	v211 = *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 68) = v186 ^ v174 & ~v190;
	v212 = ~v209;
	v213 = v206 ^ v211;
	v214 = *(_DWORD *)(result + 180);
	v215 = v213;
	v216 = v139 & v205 | v214;
	v217 = (v135 | v214 | v204) ^ v208;
	v218 = *(_DWORD *)(result + 640);
	v219 = v216 ^ v210 ^ v135 ^ v213 ^ v217 & *(_DWORD *)(result + 116);
	v220 = v89 & v218;
	v221 = v219 ^ v218;
	v222 = v219 | v218;
	v223 = ~v219 & v218;
	v224 = ~v219;
	v225 = ~v219 & v61;
	v226 = v219 & v212;
	v227 = v57;
	v228 = *(_DWORD *)(result + 192);
	v229 = v89 ^ *(_DWORD *)(result + 100);
	v230 = v219 & v57;
	v231 = v89 & v212;
	v232 = v219 & *(_DWORD *)(result + 640);
	v233 = ~v225 & v57;
	v234 = v57 & ~(~v225 & v61);
	v235 = v89 & ~v221 ^ v223;
	v236 = *(_DWORD *)(result + 524);
	v237 = v122 ^ v236;
	v238 = v236 & ~v114;
	v239 = v233 ^ v61;
	v240 = v114 & ~*(_DWORD *)(result + 244);
	v241 = *(_DWORD *)(result + 192);
	v242 = v199 ^ *(_DWORD *)(result + 348);
	*(_DWORD *)(result + 8) = v219;
	v243 = v241 & ~(v234 ^ v61);
	*(_DWORD *)(result + 536) = v219 | v61;
	*(_DWORD *)(result + 552) = v225;
	v244 = *(_DWORD *)(result + 348) & ~v114 & v135;
	v245 = (v152 ^ *(_DWORD *)(result + 360)) & v135;
	v246 = (v152 ^ v118) & v135 ^ *(_DWORD *)(result + 348);
	v247 = (v240 ^ *(_DWORD *)(result + 148)) & v135 ^ *(_DWORD *)(result + 336);
	v248 = (v242 | v135) ^ *(_DWORD *)(result + 360) | *(_DWORD *)(result + 180);
	v249 = *(_DWORD *)(result + 596);
	*(_DWORD *)(result + 464) = v219 ^ v61;
	v250 = v135 | v249;
	v251 = *(_DWORD *)(result + 320) ^ v221;
	v252 = *(_DWORD *)(result + 180);
	*(_DWORD *)(result + 492) = v245 ^ v114 ^ v118;
	v253 = v247 ^ v248;
	v254 = ~v252;
	v255 = v246 & ~v252;
	v256 = v227 & ~(v219 | v61);
	*(_DWORD *)(result + 372) = *(_DWORD *)(result + 360) & v114 ^ *(_DWORD *)(result + 336) ^ v244;
	v257 = v238;
	v258 = v227;
	v259 = ~(v219 & v67) & v227;
	*(_DWORD *)(result + 664) = v135 & ~v257 ^ v205 ^ (v257 & v139 ^ v237 | *(_DWORD *)(result + 180));
	v260 = v250 ^ v196;
	*(_DWORD *)(result + 468) = v92 & ~(v256 ^ (v219 ^ v61 | v228)) ^ v256 ^ (v219 ^ v61 | v228);
	v261 = v219 & v67 ^ v227;
	v262 = v219 & v67 & v227;
	*(_DWORD *)(result + 504) = v261;
	*(_DWORD *)(result + 304) = (v225 & ~v227 & v228 ^ v239) & v92 ^ v228 & ~(v61 ^ v230) ^ v261;
	v263 = v219 ^ v61 ^ v230;
	v264 = (v219 ^ v61) & v227 ^ v61;
	*(_DWORD *)(result + 396) = v259 ^ (v219 | v61);
	v265 = ((v219 | v61) ^ v230) & v228 ^ v225;
	v266 = v243 ^ v259 ^ (v219 | v61);
	*(_DWORD *)(result + 516) = v266;
	v267 = *(_DWORD *)(result + 492);
	*(_DWORD *)(result + 300) = v266 ^ (v228 & ~v263 ^ v264) & v92;
	*(_DWORD *)(result + 748) = v267 ^ v255;
	v268 = ~v223 & *(_DWORD *)(result + 640);
	*(_DWORD *)(result + 336) = v265 ^ (v225 & v228 ^ v263) & v92;
	v269 = (v219 | v61) & ~v258;
	*(_DWORD *)(result + 264) = v269;
	v270 = v262 ^ v219 ^ v61;
	v271 = ~v223 & v89;
	v272 = v262 ^ v225 ^ (v256 ^ (v219 | v61)) & v228;
	v273 = v228 & ~(v61 & v258 & v219 ^ v219 ^ v61) ^ v269 ^ v92 & ~(v264 ^ (v219 | v61 | v228));
	v274 = v100 & ~(v222 ^ v220) ^ v220 | *(_DWORD *)(result + 72);
	*(_DWORD *)(result + 660) = v273;
	*(_DWORD *)(result + 584) = v270;
	*(_DWORD *)(result + 564) = v92 & ~v262 ^ v270 ^ v228 & ~v259;
	v275 = v223 & v89 ^ v232;
	v276 = v232 & v89;
	*(_DWORD *)(result + 624) = v259 ^ v61;
	v277 = ~v100;
	*(_DWORD *)(result + 724) = v272;
	*(_DWORD *)(result + 500) = v92 & ~(v259 ^ v61 ^ v256 & v228) ^ v272;
	v278 = v268 ^ v232 & v89 ^ v235 & ~v100;
	v279 = ~(v219 & v67) & v228 ^ v256 ^ (v67 & v258 ^ ~(v219 & v67) & v228) & v92;
	v280 = *(_DWORD *)(result + 72);
	*(_DWORD *)(result + 512) = v268 ^ v232 & v89;
	v281 = ~v280;
	v282 = v226 & v89 ^ v219;
	v283 = (v226 & v89 ^ *(_DWORD *)(result + 640) | v100) ^ *(_DWORD *)(result + 640);
	v284 = (v226 & v89 ^ v222) & ~v100 ^ v229 ^ v268 ^ v274 ^ v258 & ~((v275 ^ v220 & v100) & ~v280 ^ v278);
	*(_DWORD *)(result + 700) = v278;
	v285 = ~*(_DWORD *)(result + 152);
	v286 = v79 & v285;
	v287 = v149 ^ v222 ^ (v223 ^ v231 | *(_DWORD *)(result + 72)) ^ (v282 | v100) ^ v258 & ~(v283 ^ (~v100 & (v226 ^ v89) ^ v220) & ~v280);
	*(_DWORD *)(result + 448) = v279;
	v288 = v287;
	*(_DWORD *)(result + 740) = v198 & ~v284;
	v289 = v271 ^ v232;
	*(_DWORD *)(result + 392) = v268;
	v290 = *(_DWORD *)(result + 152);
	*(_DWORD *)(result + 100) = v284;
	v291 = v290;
	v292 = v290 | v79;
	v293 = (v226 ^ v232 & v89 ^ (v231 ^ v219) & ~v100) & ~v280;
	v294 = ~v100 & v231 ^ v219;
	v295 = v89;
	v296 = *(_DWORD *)(result + 152) & v79;
	*(_DWORD *)(result + 172) = v287;
	v297 = v294 ^ v89 & ~v268;
	v298 = ~v79 & v291;
	v299 = ~v79 & v42;
	v300 = v223 & v89 ^ v222;
	v301 = v251 ^ v232 & v89;
	v302 = *(_DWORD *)(result + 116) & ~v253;
	*(_DWORD *)(result + 276) = *(_DWORD *)(result + 740) ^ v198;
	v303 = v42 & ~v292;
	v304 = v135 | *(_DWORD *)(result + 296);
	v305 = v300 | v100;
	v306 = v289 | v100;
	v307 = v293 ^ v289 & ~v100;
	v308 = v226 ^ *(_DWORD *)(result + 180);
	v309 = v307 ^ v276;
	v310 = v301 ^ v306;
	v311 = v297 & v281;
	v312 = *(_DWORD *)(result + 580) ^ *(_DWORD *)(result + 216) ^ v139 & *(_DWORD *)(result + 480);
	v313 = v223 ^ v295 & ~v222;
	v314 = v79 ^ *(_DWORD *)(result + 152);
	v315 = *(_DWORD *)(result + 320) & ~v260;
	v316 = *(_DWORD *)(result + 152);
	*(_DWORD *)(result + 588) = v302 ^ *(_DWORD *)(result + 748);
	v317 = v292 & v285;
	v318 = (v42 ^ v292) & v285;
	v319 = v316 & ~v296;
	v320 = v304 ^ *(_DWORD *)(result + 692);
	v321 = v42 & v298;
	v322 = v275 & v281;
	v323 = v282 | *(_DWORD *)(result + 72);
	v324 = v299 ^ v292 | *(_DWORD *)result;
	v325 = v308 ^ v271;
	v326 = v258 & ~v309;
	v327 = v310 ^ v311;
	v328 = v303 ^ v314;
	v329 = v313 ^ v305;
	v330 = v224 & v295 ^ v222;
	v331 = v312 ^ v315;
	v332 = (v299 ^ v296) & v58;
	v333 = v332 ^ (v42 ^ *(_DWORD *)(result + 152)) & v79;
	v334 = v332 ^ v299;
	v335 = *(_DWORD *)(result + 152);
	v336 = v42 & v292 ^ v335;
	v337 = v335 ^ v42 & v296;
	v338 = v299 ^ v319;
	v339 = (v42 & v314 ^ v298) & ~v58 | *(_DWORD *)(result + 248);
	v340 = v336 ^ (v303 ^ v292) & v58 ^ (v42 & v298 ^ v296 ^ (v79 & v285 & v42 ^ v298) & v58 | *(_DWORD *)(result + 248));
	v341 = v299 | *(_DWORD *)result;
	v342 = v325 ^ v323;
	v343 = v330 & v277;
	v344 = ~*(_DWORD *)(result + 248);
	v345 = (v135 | *(_DWORD *)(result + 444)) ^ *(_DWORD *)(result + 456);
	v346 = *(_DWORD *)(result + 588) ^ *(_DWORD *)(result + 64);
	v347 = v328 ^ (v318 | *(_DWORD *)result) ^ v339 ^ *(_DWORD *)(result + 244) ^ v331 & ~((v318 | *(_DWORD *)result) ^ v42 & v79 ^ v298 ^ v333 & v344);
	v348 = v197 & ~(v327 ^ v326);
	v349 = v320 & *(_DWORD *)(result + 320) ^ v345;
	v350 = v331 & ~(v334 & v344 ^ v303 & ~v58 ^ v319) ^ v341 ^ v318 ^ (v42 & v79 ^ v317 ^ v318 & v58 | *(_DWORD *)(result + 248)) ^ *(_DWORD *)(result + 36);
	v351 = v340 ^ *(_DWORD *)(result + 236) ^ ((v338 ^ v324) & v344 ^ *(_DWORD *)result & ~(v292 ^ v42 & v296) ^ v337) & v331;
	v352 = v346 & ~(v61 ^ *(_DWORD *)result) ^ v134;
	*(_DWORD *)(result + 612) = v327 ^ v326;
	*(_DWORD *)(result + 488) = v352;
	*(_DWORD *)(result + 692) = v342 ^ v343 ^ (v322 ^ v329) & v258;
	v353 = *(_DWORD *)(result + 200) ^ v349;
	*(_DWORD *)(result + 520) = v133 ^ v346 & v61;
	v354 = (v327 ^ v326) & ~v197;
	*(_DWORD *)(result + 216) = v331;
	v355 = v327 ^ v326 | v197;
	v356 = v351;
	v357 = *(_DWORD *)(result + 348);
	v358 = v203 ^ v351;
	*(_DWORD *)(result + 668) = (v327 ^ v326) & v197;
	v359 = v357 | ~v114;
	*(_DWORD *)(result + 64) = v346;
	v360 = *(_DWORD *)(result + 360);
	*(_DWORD *)(result + 308) = v348;
	*(_DWORD *)(result + 364) = v327 ^ v326 ^ v197;
	*(_DWORD *)(result + 288) = v197 & ~v348;
	*(_DWORD *)(result + 296) = v349;
	v361 = v135 & v254 & ~v207 ^ v135 & v360;
	*(_DWORD *)(result + 444) = v345;
	*(_DWORD *)(result + 200) = v353;
	v362 = *(_DWORD *)(result + 180);
	*(_DWORD *)(result + 592) = v354;
	v363 = (v215 | v135) ^ v207 | v362;
	v364 = *(_DWORD *)result;
	*(_DWORD *)(result + 36) = v350;
	*(_DWORD *)(result + 428) = v355;
	*(_DWORD *)(result + 256) = v355;
	v365 = v115 ^ v364;
	v366 = v115 ^ v364 | v61;
	v367 = *(_DWORD *)(result + 116) & ~v361;
	v368 = *(_DWORD *)(result + 656);
	v369 = v115 & v67;
	v370 = *(_DWORD *)result;
	*(_DWORD *)(result + 244) = v347;
	v371 = v67 & v370;
	v372 = *(_DWORD *)(result + 88);
	*(_DWORD *)(result + 236) = v356;
	*(_DWORD *)(result + 480) = v358;
	v373 = v115 & v67 & v370;
	v374 = *(_DWORD *)(result + 744);
	v375 = v372 ^ v237 ^ v359 & v135 ^ v363 ^ v367;
	v376 = *(_DWORD *)(result + 320);
	v377 = *(_DWORD *)(result + 356) ^ *(_DWORD *)(result + 128) ^ (v135 | v368);
	*(_DWORD *)(result + 88) = v375;
	*(_DWORD *)(result + 128) = v377 ^ (v139 | ~v374) & v376;
	v378 = v375 & v79;
	v379 = v375 & v79 ^ v102;
	v380 = v79 | *(_DWORD *)(result + 56);
	v381 = *(_DWORD *)(result + 88) & ~v79;
	v382 = *(_DWORD *)(result + 88);
	v383 = *(_DWORD *)(result + 108);
	*(_DWORD *)(result + 316) = v382 ^ v79;
	v384 = ~*(_DWORD *)(result + 128);
	v385 = ~*(_DWORD *)(result + 56);
	v386 = v115 & v67 & v370 ^ v365 ^ v383 ^ v346 & ~(v61 ^ v120) ^ ((v115 & v67 ^ v115) & v346 ^ v125 ^ v120 | *(_DWORD *)(result + 128)) ^ ((v61 ^ v120) & v346 ^ v113 ^ v54 ^ ((v366 ^ v365) & v346 ^ v120) & v384 | *(_DWORD *)(result + 248));
	v387 = v381 ^ v98 ^ v378 & ~v83 ^ *(_DWORD *)(result + 204) ^ v24 & ~((v382 ^ v380) & ~v83 ^ v381 ^ v380) ^ (v24 & ~(*(_DWORD *)(result + 316) ^ v379 & ~v83) ^ (v380 & v385 | v83)) & *(_DWORD *)(result + 152);
	v388 = (v365 & v67 ^ v115) & v346;
	v389 = v386 & ~v203;
	v390 = ~v79 & *(_DWORD *)(result + 56);
	v391 = *(_DWORD *)(result + 56) & ~v98;
	v392 = *(_DWORD *)(result + 88) & ~v102;
	v393 = *(_DWORD *)(result + 88) ^ v79 & v385;
	v394 = v346 & (v54 ^ *(_DWORD *)result);
	v395 = v42 & ~v317;
	v396 = v321 ^ v317;
	v397 = v321 ^ *(_DWORD *)(result + 152) | *(_DWORD *)result;
	v398 = *(_DWORD *)(result + 88) & v102;
	v399 = *(_DWORD *)result & ~v346;
	*(_DWORD *)(result + 644) = v386 & ~v389;
	v400 = v378 ^ v98;
	v401 = *(_DWORD *)(result + 88) & v390;
	v402 = v131 ^ v388;
	v403 = v346 & v371;
	v404 = v373 ^ v120;
	v405 = v396 | *(_DWORD *)result;
	v406 = ~v386 & v203;
	v407 = (v392 ^ v98) & ~v83;
	v408 = v392 ^ v79;
	v409 = v381 ^ v79;
	v410 = v398 ^ v102;
	v411 = v398 ^ *(_DWORD *)(result + 56);
	v412 = v399 ^ v373;
	v413 = v369 ^ *(_DWORD *)result;
	v414 = *(_DWORD *)(result + 644);
	*(_DWORD *)(result + 360) = v386 | v203;
	v415 = v414 | v356;
	v416 = v324 ^ v286 | *(_DWORD *)(result + 248);
	v417 = v337 & ~v58;
	v418 = v400 | v83;
	*(_DWORD *)(result + 732) = v401 ^ v98;
	v419 = ((v115 | v61) ^ v115) & v346 ^ v130;
	v420 = v365 ^ (v115 | v61);
	v421 = v380 ^ *(_DWORD *)(result + 220);
	v422 = v346 ^ *(_DWORD *)(result + 124);
	v423 = v402 & v384;
	v424 = (v113 | v61) ^ v120;
	v425 = v404 ^ v403;
	v426 = v391 ^ *(_DWORD *)(result + 116);
	v427 = v203 & v386 & ~v387;
	v428 = v393 & ~v83 ^ v98;
	v429 = v408 & ~v83;
	v430 = v409 & ~v83;
	v431 = v407 ^ v381 ^ v391;
	*(_DWORD *)(result + 268) = (v381 ^ v391) & v83;
	v432 = v410 ^ (v381 ^ v391 | v83);
	v433 = v412 | *(_DWORD *)(result + 128);
	v434 = v346 & ~v413;
	v435 = v369 & ~v346;
	v436 = *(_DWORD *)(result + 360) & ~v356;
	v437 = v417 ^ v416;
	*(_DWORD *)(result + 560) = v418 ^ v381 ^ v98;
	v438 = v420 & v346;
	v439 = v421 ^ v83;
	v440 = v125 ^ v394 | *(_DWORD *)(result + 128);
	v441 = v422 ^ v424;
	v442 = v425 | *(_DWORD *)(result + 128);
	v443 = v405 ^ v395 ^ v319 ^ (v397 ^ v318) & v344;
	v444 = v393 | v83;
	v445 = v426 ^ *(_DWORD *)(result + 88);
	v446 = v83 | ~v393;
	v447 = v428 & v24;
	v448 = v429 ^ *(_DWORD *)(result + 732);
	v449 = v24 & ~v431;
	v450 = v391;
	v451 = (v411 | v83) ^ v102;
	v452 = *(_DWORD *)(result + 88) & ~v450;
	v453 = v102 ^ v381 ^ v430;
	v454 = v24 | ~*(_DWORD *)(result + 268);
	v455 = v434 ^ v433;
	v456 = v387 | (v414 | v356) ^ v406;
	*(_DWORD *)(result + 388) = v436 ^ v389;
	*(_DWORD *)(result + 412) = v436 ^ v203;
	v457 = v331 & v437;
	v458 = v438 ^ v136;
	v459 = v440 ^ v441;
	v460 = *(_DWORD *)(result + 44) ^ v443;
	v461 = v444 ^ v445;
	v462 = v446 & v24;
	v463 = v447 ^ *(_DWORD *)(result + 560);
	*(_DWORD *)(result + 688) = v451 ^ v449;
	v464 = v453 & v24;
	v465 = v454 & *(_DWORD *)(result + 152);
	v466 = v448 ^ v432 & v24;
	v467 = v455 ^ *(_DWORD *)(result + 52);
	v468 = *(_DWORD *)(result + 644);
	v469 = v389 & ~v356 ^ v468;
	v470 = (v386 ^ v203) & ~v356 ^ v427 ^ v386;
	*(_DWORD *)(result + 580) = v468 ^ v436;
	v471 = *(_DWORD *)(result + 388) ^ v427;
	v472 = v456 ^ *(_DWORD *)(result + 412);
	v473 = v458 | *(_DWORD *)(result + 128);
	v474 = (v419 ^ v423) & v344 ^ v459;
	v475 = v460 ^ v457;
	*(_DWORD *)(result + 620) = ~v386 & v198;
	v476 = v461 ^ v462;
	v477 = v463 & *(_DWORD *)(result + 152);
	v478 = v439 ^ v452 ^ v464;
	v479 = *(_DWORD *)(result + 688) ^ v465;
	v480 = *(_DWORD *)(result + 152) & ~v466;
	v481 = v435 ^ v125 ^ v442 | *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 108) = v386;
	*(_DWORD *)(result + 124) = v474;
	*(_DWORD *)(result + 404) = v406 ^ v203 & ~v356;
	v482 = v470 & v288;
	v483 = *(_DWORD *)(result + 580) ^ (v389 | v356) & ~v387;
	v484 = v354 & ~v474;
	v485 = v355 | v474;
	v486 = *(_DWORD *)(result + 620);
	*(_DWORD *)(result + 332) = v484;
	*(_DWORD *)(result + 368) = v485;
	*(_DWORD *)(result + 432) = v473 & v344;
	*(_DWORD *)(result + 280) = v288 & ~((v203 & v386 & ~v356 ^ v203 & v386) & ~v387 ^ v203 & v386 & ~v356 ^ v389) ^ (v387 | v406) ^ v358;
	*(_DWORD *)(result + 44) = v475;
	*(_DWORD *)(result + 204) = v387;
	*(_DWORD *)(result + 684) = v198 & ~v486;
	*(_DWORD *)(result + 632) = v389;
	*(_DWORD *)(result + 220) = v478 ^ v480;
	*(_DWORD *)(result + 132) ^= v479;
	*(_DWORD *)(result + 596) = v203 | v356 | v387;
	*(_DWORD *)(result + 320) = v386 & v198;
	*(_DWORD *)(result + 292) = v386 & ~v198;
	v487 = ((v386 | v356) ^ v389) & ~v387 ^ *(_DWORD *)(result + 404);
	*(_DWORD *)(result + 136) = v198 | v475;
	*(_DWORD *)(result + 476) = v198 & ~v475;
	*(_DWORD *)(result + 408) = v477 ^ v476;
	*(_DWORD *)(result + 52) = v467 ^ v129 ^ v481;
	*(_DWORD *)(result + 484) = v386 | v198;
	*(_DWORD *)(result + 712) = v386 | v198;
	*(_DWORD *)(result + 708) = v288 & ~(~v387 & (v203 | v356) ^ v356) ^ (v389 ^ v203 & ~v356) & ~v387 ^ v406;
	*(_DWORD *)(result + 416) = v487;
	*(_DWORD *)(result + 400) = (v387 | v203) ^ v203 ^ ((v386 ^ v203) & ~v387 ^ v389) & v288;
	*(_DWORD *)(result + 744) = ((v386 ^ v203 | v387) ^ (v389 | v356) ^ v389) & v288;
	*(_DWORD *)(result + 284) = v482 ^ v483;
	*(_DWORD *)(result + 352) = (v356 | v406) & ~v387 ^ v415 ^ v471 & v288;
	*(_DWORD *)(result + 656) = (v469 | v387) ^ (v356 | v406) ^ v389;
	*(_DWORD *)(result + 600) = v203 & ~v387 ^ v386 ^ v356 ^ v472 & v288;
	return result;
}

//----- (0008D114) --------------------------------------------------------
unsigned char* sub_8D114(unsigned char* result)
{
	int v1; // r5@1
	int v2; // r6@1
	int v3; // r4@1
	int v4; // r2@1
	int v5; // r8@1
	int v6; // ST98_4@1
	int v7; // ST14_4@1
	int v8; // r4@1
	int v9; // r3@1
	int v10; // r4@1
	int v11; // ST04_4@1
	int v12; // ST44_4@1
	int v13; // r5@1
	int v14; // ST94_4@1
	int v15; // r3@1
	int v16; // ST9C_4@1
	int v17; // ST4C_4@1
	int v18; // r7@1
	int v19; // r6@1
	int v20; // STC8_4@1
	int v21; // r10@1
	int v22; // r2@1
	int v23; // lr@1
	int v24; // r11@1
	int v25; // r6@1
	int v26; // r12@1
	int v27; // ST48_4@1
	int v28; // r9@1
	int v29; // r1@1
	int v30; // STC4_4@1
	int v31; // lr@1
	int v32; // r4@1
	int v33; // ST60_4@1
	int v34; // r7@1
	int v35; // r11@1
	int v36; // r2@1
	int v37; // ST08_4@1
	int v38; // r1@1
	int v39; // r4@1
	int v40; // r3@1
	int v41; // STCC_4@1
	int v42; // ST90_4@1
	int v43; // r8@1
	int v44; // r9@1
	int v45; // r2@1
	int v46; // r3@1
	int v47; // r12@1
	int v48; // r2@1
	int v49; // r5@1
	int v50; // lr@1
	int v51; // r6@1
	int v52; // ST68_4@1
	int v53; // lr@1
	int v54; // ST144_4@1
	int v55; // ST148_4@1
	int v56; // r6@1
	int v57; // r5@1
	int v58; // ST17C_4@1
	int v59; // r12@1
	int v60; // r1@1
	int v61; // r2@1
	int v62; // ST14C_4@1
	int v63; // ST10_4@1
	int v64; // ST74_4@1
	int v65; // r5@1
	int v66; // r12@1
	int v67; // r1@1
	int v68; // r8@1
	int v69; // r10@1
	int v70; // r4@1
	int v71; // ST20_4@1
	int v72; // r5@1
	int v73; // STB8_4@1
	int v74; // r1@1
	int v75; // r6@1
	int v76; // ST54_4@1
	int v77; // STD4_4@1
	int v78; // ST3C_4@1
	int v79; // ST50_4@1
	int v80; // ST88_4@1
	int v81; // ST6C_4@1
	int v82; // STD8_4@1
	int v83; // ST150_4@1
	int v84; // r1@1
	int v85; // r4@1
	int v86; // r12@1
	int v87; // r1@1
	int v88; // ST154_4@1
	int v89; // ST78_4@1
	int v90; // r5@1
	int v91; // r12@1
	int v92; // r2@1
	int v93; // ST34_4@1
	int v94; // STE4_4@1
	int v95; // STAC_4@1
	int v96; // STF0_4@1
	int v97; // ST58_4@1
	int v98; // ST0C_4@1
	int v99; // STDC_4@1
	int v100; // STE8_4@1
	int v101; // ST5C_4@1
	int v102; // STE0_4@1
	int v103; // ST7C_4@1
	int v104; // STB0_4@1
	int v105; // r3@1
	int v106; // ST24_4@1
	int v107; // ST18_4@1
	int v108; // r4@1
	int v109; // ST1C_4@1
	int v110; // r12@1
	int v111; // r4@1
	int v112; // r5@1
	int v113; // ST2C_4@1
	int v114; // r4@1
	int v115; // ST160_4@1
	int v116; // lr@1
	int v117; // r2@1
	int v118; // ST15C_4@1
	int v119; // ST30_4@1
	int v120; // ST04_4@1
	int v121; // ST158_4@1
	int v122; // STBC_4@1
	int v123; // r6@1
	int v124; // ST28_4@1
	int v125; // STEC_4@1
	int v126; // STA0_4@1
	int v127; // ST70_4@1
	int v128; // STA4_4@1
	int v129; // r4@1
	int v130; // STC0_4@1
	int v131; // lr@1
	int v132; // ST1C_4@1
	int v133; // ST84_4@1
	int v134; // r12@1
	int v135; // ST18_4@1
	int v136; // r6@1
	int v137; // r5@1
	int v138; // STA8_4@1
	int v139; // r11@1
	int v140; // r9@1
	int v141; // ST164_4@1
	int v142; // ST64_4@1
	int v143; // r3@1
	int v144; // r11@1
	int v145; // ST24_4@1
	int v146; // ST38_4@1
	int v147; // STB4_4@1
	int v148; // r8@1
	int v149; // ST8C_4@1
	int v150; // r10@1
	int v151; // r7@1
	int v152; // ST0C_4@1
	int v153; // ST80_4@1
	int v154; // r8@1
	int v155; // r11@1
	int v156; // r9@1
	int v157; // STF8_4@1
	int v158; // STF4_4@1
	int v159; // STA8_4@1
	int v160; // r1@1
	int v161; // r2@1
	int v162; // STB8_4@1
	int v163; // r12@1
	int v164; // r6@1
	int v165; // ST1C_4@1
	int v166; // r7@1
	int v167; // r9@1
	int v168; // r5@1
	int v169; // lr@1
	int v170; // r12@1
	int v171; // r6@1
	int v172; // r1@1
	int v173; // ST38_4@1
	int v174; // r6@1
	int v175; // ST1C_4@1
	int v176; // r7@1
	int v177; // r12@1
	int v178; // STA8_4@1
	int v179; // r11@1
	int v180; // STD0_4@1
	int v181; // ST0C_4@1
	int v182; // r1@1
	int v183; // r7@1
	int v184; // ST34_4@1
	int v185; // ST38_4@1
	int v186; // ST100_4@1
	int v187; // ST108_4@1
	int v188; // r2@1
	int v189; // ST80_4@1
	int v190; // r3@1
	int v191; // ST118_4@1
	int v192; // STF4_4@1
	int v193; // STFC_4@1
	int v194; // ST24_4@1
	int v195; // r6@1
	int v196; // ST08_4@1
	int v197; // ST170_4@1
	int v198; // ST104_4@1
	int v199; // r2@1
	int v200; // ST10C_4@1
	int v201; // r12@1
	int v202; // ST16C_4@1
	int v203; // ST114_4@1
	int v204; // ST168_4@1
	int v205; // ST110_4@1
	int v206; // r4@1
	int v207; // r11@1
	int v208; // lr@1
	int v209; // r4@1
	int v210; // ST11C_4@1
	int v211; // ST88_4@1
	int v212; // ST13C_4@1
	int v213; // STB4_4@1
	int v214; // STC0_4@1
	int v215; // r5@1
	int v216; // r1@1
	int v217; // STB8_4@1
	int v218; // ST134_4@1
	int v219; // ST128_4@1
	int v220; // ST124_4@1
	int v221; // ST130_4@1
	int v222; // ST8C_4@1
	int v223; // ST12C_4@1
	int v224; // r3@1
	int v225; // ST174_4@1
	int v226; // ST6C_4@1
	int v227; // ST04_4@1
	int v228; // STBC_4@1
	int v229; // r10@1
	int v230; // ST64_4@1
	int v231; // ST34_4@1
	int v232; // r9@1
	int v233; // ST138_4@1
	int v234; // r2@1
	int v235; // r4@1
	int v236; // ST120_4@1
	int v237; // r6@1
	int v238; // r1@1
	int v239; // ST04_4@1
	int v240; // ST38_4@1
	int v241; // lr@1
	int v242; // r1@1
	int v243; // r11@1
	int v244; // r8@1
	int v245; // ST88_4@1
	int v246; // r4@1
	int v247; // r10@1
	int v248; // ST34_4@1
	int v249; // r2@1
	int v250; // r8@1
	int v251; // r6@1
	int v252; // ST68_4@1
	int v253; // ST11C_4@1
	int v254; // r12@1
	int v255; // ST0C_4@1
	int v256; // r6@1
	int v257; // r6@1
	int v258; // lr@1
	int v259; // ST88_4@1
	int v260; // ST13C_4@1
	int v261; // r1@1
	int v262; // r12@1
	int v263; // ST140_4@1
	int v264; // r6@1
	int v265; // ST178_4@1
	int v266; // r2@1
	int v267; // ST198_4@1
	int v268; // ST180_4@1
	int v269; // ST184_4@1
	int v270; // r9@1
	int v271; // ST188_4@1
	int v272; // STBC_4@1
	int v273; // r6@1
	int v274; // r4@1
	int v275; // ST138_4@1
	int v276; // ST14C_4@1
	int v277; // ST194_4@1
	int v278; // ST3C_4@1
	int v279; // ST190_4@1
	int v280; // ST1A4_4@1
	int v281; // r8@1
	int v282; // ST1A0_4@1
	int v283; // r12@1
	int v284; // ST1B0_4@1
	int v285; // ST34_4@1
	int v286; // ST124_4@1
	int v287; // ST6C_4@1
	int v288; // r4@1
	int v289; // STB8_4@1
	int v290; // r1@1
	int v291; // ST1B4_4@1
	int v292; // STB4_4@1
	int v293; // r6@1
	int v294; // ST34_4@1
	int v295; // STC0_4@1
	int v296; // r4@1
	int v297; // lr@1
	int v298; // r12@1
	int v299; // ST88_4@1
	int v300; // ST184_4@1
	int v301; // ST1A0_4@1
	int v302; // r1@1
	int v303; // ST1A8_4@1
	int v304; // ST124_4@1
	int v305; // STB8_4@1
	int v306; // STBC_4@1
	int v307; // r9@1
	int v308; // r1@1
	int v309; // ST20_4@1
	int v310; // ST88_4@1
	int v311; // r2@1
	int v312; // ST12C_4@1
	int v313; // r7@1
	int v314; // ST04_4@1
	int v315; // r8@1
	int v316; // r11@1
	int v317; // ST3C_4@1
	int v318; // STB8_4@1
	int v319; // lr@1
	int v320; // r2@1
	int v321; // ST130_4@1
	int v322; // ST60_4@1
	int v323; // ST134_4@1
	int v324; // r4@1
	int v325; // r3@1
	int v326; // r4@1
	int v327; // r1@1
	int v328; // r8@1
	int v329; // ST138_4@1
	int v330; // r7@1
	int v331; // r5@1
	int v332; // r3@1
	int v333; // r12@1
	int v334; // r4@1
	int v335; // r2@1
	int v336; // r7@1
	int v337; // r1@1
	int v338; // ST40_4@1
	int v339; // ST6C_4@1
	int v340; // STC0_4@1
	int v341; // STB4_4@1
	int v342; // r12@1
	int v343; // r9@1
	int v344; // ST14_4@1
	int v345; // ST94_4@1
	int v346; // r12@1
	int v347; // ST84_4@1
	int v348; // r10@1
	int v349; // r1@1
	int v350; // r8@1
	int v351; // ST50_4@1
	int v352; // r5@1
	int v353; // r7@1
	int v354; // ST10_4@1
	int v355; // r10@1
	int v356; // r6@1
	int v357; // r11@1
	int v358; // r2@1
	int v359; // r1@1
	int v360; // r5@1
	int v361; // STD8_4@1
	int v362; // lr@1
	int v363; // ST100_4@1
	int v364; // ST104_4@1
	int v365; // r12@1
	int v366; // r4@1
	int v367; // ST78_4@1
	int v368; // ST54_4@1
	int v369; // ST84_4@1
	int v370; // STB4_4@1
	int v371; // r9@1
	int v372; // r2@1
	int v373; // ST94_4@1
	int v374; // STC8_4@1
	int v375; // r11@1
	int v376; // r3@1
	int v377; // r9@1
	int v378; // STD0_4@1
	int v379; // r5@1
	int v380; // ST44_4@1
	int v381; // STA0_4@1
	int v382; // ST70_4@1
	int v383; // r1@1
	int v384; // r7@1
	int v385; // r6@1
	int v386; // lr@1
	int v387; // ST84_4@1
	int v388; // r12@1
	int v389; // r4@1
	int v390; // STA8_4@1
	int v391; // ST78_4@1
	int v392; // r2@1
	int v393; // ST10_4@1
	int v394; // r10@1
	int v395; // r8@1
	int v396; // lr@1
	int v397; // r6@1
	int v398; // ST54_4@1
	int v399; // lr@1
	int v400; // r1@1
	int v401; // r11@1
	int v402; // r1@1
	int v403; // r7@1
	int v404; // ST54_4@1
	int v405; // r6@1
	int v406; // r7@1
	int v407; // ST38_4@1
	int v408; // lr@1
	int v409; // r11@1
	int v410; // r10@1
	int v411; // ST84_4@1
	int v412; // r8@1
	int v413; // ST94_4@1
	int v414; // r2@1
	int v415; // r3@1
	int v416; // ST4C_4@1
	int v417; // ST1C_4@1
	int v418; // STA4_4@1
	int v419; // r3@1
	int v420; // ST14_4@1
	int v421; // r4@1
	int v422; // r9@1
	int v423; // r3@1
	int v424; // ST88_4@1
	int v425; // ST98_4@1
	int v426; // r2@1
	int v427; // r1@1
	int v428; // ST84_4@1
	int v429; // ST54_4@1
	int v430; // STC0_4@1
	int v431; // r6@1
	int v432; // STA0_4@1
	int v433; // r10@1
	int v434; // r5@1
	int v435; // STA8_4@1
	int v436; // r12@1
	int v437; // r7@1
	int v438; // STC8_4@1
	int v439; // r9@1
	int v440; // r3@1
	int v441; // r8@1
	int v442; // r10@1
	int v443; // STCC_4@1
	int v444; // r6@1
	int v445; // ST98_4@1
	int v446; // ST88_4@1
	int v447; // STB4_4@1
	int v448; // STC4_4@1
	int v449; // r7@1
	int v450; // lr@1
	int v451; // r3@1
	int v452; // r8@1
	int v453; // STB0_4@1
	int v454; // r10@1
	int v455; // STC0_4@1
	int v456; // ST90_4@1
	int v457; // lr@1
	int v458; // r5@1
	int v459; // ST24_4@1
	int v460; // ST7C_4@1
	int v461; // ST6C_4@1
	int v462; // r2@1
	int v463; // ST94_4@1
	int v464; // ST54_4@1
	int v465; // r1@1
	int v466; // r9@1
	int v467; // r10@1
	int v468; // STC0_4@1
	int v469; // STB4_4@1
	int v470; // r11@1
	int v471; // lr@1
	int v472; // STA0_4@1
	int v473; // r5@1
	int v474; // STAC_4@1
	int v475; // STD4_4@1
	int v476; // STC8_4@1
	int v477; // STCC_4@1
	int v478; // STDC_4@1
	int v479; // ST48_4@1
	int v480; // STE0_4@1
	int v481; // ST4C_4@1
	int v482; // STE4_4@1
	int v483; // STF0_4@1
	int v484; // STEC_4@1
	int v485; // r4@1
	int v486; // STF4_4@1
	int v487; // ST118_4@1
	int v488; // r2@1
	int v489; // STF8_4@1
	int v490; // ST104_4@1
	int v491; // STFC_4@1
	int v492; // ST108_4@1
	int v493; // r1@1
	int v494; // ST30_4@1
	int v495; // ST98_4@1
	int v496; // ST110_4@1
	int v497; // ST18_4@1
	int v498; // ST34_4@1
	int v499; // STB0_4@1
	int v500; // ST90_4@1
	int v501; // ST78_4@1
	int v502; // STA0_4@1
	int v503; // STAC_4@1
	int v504; // STA8_4@1
	int v505; // r3@1
	int v506; // ST5C_4@1
	int v507; // ST9C_4@1
	int v508; // r1@1
	int v509; // r10@1
	int v510; // ST70_4@1
	int v511; // r12@1
	int v512; // ST64_4@1
	int v513; // lr@1
	int v514; // r5@1
	int v515; // r11@1
	int v516; // r5@1
	int v517; // r11@1
	int v518; // ST24_4@1
	int v519; // ST20_4@1
	int v520; // STC4_4@1
	int v521; // STCC_4@1
	int v522; // r5@1
	int v523; // r9@1
	int v524; // ST30_4@1
	int v525; // STD4_4@1
	int v526; // STD0_4@1
	int v527; // ST60_4@1
	int v528; // ST40_4@1
	int v529; // ST5C_4@1
	int v530; // ST18_4@1
	int v531; // r10@1
	int v532; // ST4C_4@1
	int v533; // r6@1
	int v534; // ST48_4@1
	int v535; // lr@1
	int v536; // r11@1
	int v537; // ST80_4@1
	int v538; // STA0_4@1
	int v539; // r3@1
	int v540; // ST8C_4@1
	int v541; // r4@1
	int v542; // r5@1
	int v543; // r3@1
	int v544; // r7@1
	int v545; // r6@1

	v1 = *(_DWORD *)(result + 132);
	v2 = *(_DWORD *)(result + 12);
	v3 = (*(_DWORD *)(result + 520) | *(_DWORD *)(result + 128)) ^ *(_DWORD *)(result + 432) ^ *(_DWORD *)(result + 488) ^ *(_DWORD *)(result + 164);
	v4 = v3 ^ *(_DWORD *)(result + 132);
	v5 = v4 & *(_DWORD *)(result + 12);
	v6 = v3 & v1;
	v7 = (*(_DWORD *)(result + 520) | *(_DWORD *)(result + 128)) ^ *(_DWORD *)(result + 432) ^ *(_DWORD *)(result + 488) ^ *(_DWORD *)(result + 164);
	v8 = ~v3;
	v9 = v8 & v2;
	v10 = v8 & v1 & v2;
	v11 = v9;
	v12 = v7 & ~*(_DWORD *)(result + 132);
	v13 = v7 ^ v9;
	v14 = v7 | *(_DWORD *)(result + 132);
	v15 = *(_DWORD *)(result + 52);
	v16 = v6 & *(_DWORD *)(result + 12);
	v17 = ~*(_DWORD *)(result + 100);
	v18 = v12 ^ *(_DWORD *)(result + 12);
	v19 = *(_DWORD *)(result + 100);
	v20 = (v5 ^ v6) & v17;
	v21 = v13 | v19;
	v22 = *(_DWORD *)(result + 12) & ~v4 ^ v14;
	v23 = (v5 ^ v6) & v19;
	v24 = v5 ^ v6 | v19;
	v25 = *(_DWORD *)(result + 148) ^ *(_DWORD *)(result + 300) ^ *(_DWORD *)(result + 468) & ~*(_DWORD *)(result + 128);
	v26 = *(_DWORD *)(result + 132);
	*(_DWORD *)(result + 148) = v25;
	v27 = v25;
	v28 = v16 | *(_DWORD *)(result + 100);
	*(_DWORD *)(result + 164) = v7;
	*(_DWORD *)(result + 412) = v5 ^ v6 ^ v20;
	v29 = v22 ^ v23;
	*(_DWORD *)(result + 688) = v10 ^ v7 ^ v21;
	v30 = v11 ^ v26 ^ v28;
	v31 = v16 ^ v12 ^ v18 & v17;
	v32 = *(_DWORD *)(result + 656);
	v33 = ~v25;
	v34 = ~v25 & v15;
	*(_DWORD *)(result + 644) = v22 ^ v24;
	v35 = v15 & ~v34;
	v36 = v25 & v15;
	v37 = v32;
	*(_DWORD *)(result + 656) = v29;
	v38 = v25 ^ v15;
	*(_DWORD *)(result + 432) = v25 & ~v15;
	v39 = v25 | v15;
	v40 = *(_DWORD *)(result + 12);
	*(_DWORD *)(result + 300) = v36;
	v41 = v31;
	v42 = v40 ^ *(_DWORD *)(result + 108);
	v43 = v5 ^ v7;
	v44 = *(_DWORD *)(result + 744) ^ *(_DWORD *)(result + 416);
	v45 = *(_DWORD *)(result + 360);
	v46 = *(_DWORD *)(result + 596);
	*(_DWORD *)(result + 360) = v38;
	v47 = v46 ^ v45;
	v48 = *(_DWORD *)(result + 740);
	v49 = *(_DWORD *)(result + 100) & ~v13;
	v50 = v47 ^ (*(_DWORD *)(result + 108) | *(_DWORD *)(result + 236));
	v51 = *(_DWORD *)(result + 324);
	v52 = ~*(_DWORD *)(result + 244);
	*(_DWORD *)(result + 480) = v30;
	*(_DWORD *)(result + 312) = v39;
	*(_DWORD *)(result + 388) = v41;
	v53 = v50 & *(_DWORD *)(result + 172);
	v54 = v11 ^ v48;
	v55 = v49 ^ v43;
	v56 = v51 & *(_DWORD *)(result + 28) ^ *(_DWORD *)(result + 524) | *(_DWORD *)(result + 180);
	v57 = *(_DWORD *)(result + 336);
	v58 = v43 & v17;
	v59 = *(_DWORD *)(result + 128) | *(_DWORD *)(result + 448);
	v60 = *(_DWORD *)(result + 304) ^ *(_DWORD *)(result + 4);
	v61 = *(_DWORD *)(result + 128);
	*(_DWORD *)(result + 296) = v39;
	v62 = v33 & *(_DWORD *)(result + 244);
	v63 = v60 ^ (v61 | v57);
	v64 = *(_DWORD *)(result + 76) ^ *(_DWORD *)(result + 500) ^ (*(_DWORD *)(result + 660) | *(_DWORD *)(result + 128));
	v65 = v59 ^ *(_DWORD *)(result + 564) ^ *(_DWORD *)(result + 60);
	v66 = *(_DWORD *)(result + 16) ^ *(_DWORD *)(result + 664) ^ *(_DWORD *)(result + 116) & ~(v56 ^ *(_DWORD *)(result + 372));
	v67 = *(_DWORD *)(result + 76) ^ *(_DWORD *)(result + 500) ^ (*(_DWORD *)(result + 660) | *(_DWORD *)(result + 128));
	v68 = *(_DWORD *)(result + 36);
	v69 = *(_DWORD *)(result + 220);
	v70 = *(_DWORD *)(result + 680);
	v71 = v65;
	*(_DWORD *)(result + 60) = v65;
	v72 = *(_DWORD *)(result + 636);
	*(_DWORD *)(result + 560) = v35;
	*(_DWORD *)(result + 672) = v34;
	*(_DWORD *)(result + 4) = v63;
	*(_DWORD *)(result + 76) = v67;
	v73 = v63 | v68;
	v74 = *(_DWORD *)(result + 460);
	v75 = v66 & ~v70;
	v76 = v63 & v69;
	v77 = v75 ^ v72;
	v78 = v66;
	v79 = v63 | v69;
	v80 = *(_DWORD *)(result + 676) & v66 ^ *(_DWORD *)(result + 576);
	v81 = *(_DWORD *)(result + 704) & v66 ^ v74;
	v82 = *(_DWORD *)(result + 156) & v66 ^ *(_DWORD *)(result + 540);
	v84 = v66 & ~*(_DWORD *)(result + 548) ^ v74;
	v83 = v84;
	v85 = *(_DWORD *)(result + 384);
	v86 = v66 & ~*(_DWORD *)(result + 556) ^ *(_DWORD *)(result + 496);
	v87 = *(_DWORD *)(result + 48) & ~(v84 & v85 ^ v86);
	v88 = v86;
	v89 = *(_DWORD *)(result + 48);
	v90 = *(_DWORD *)(result + 712);
	v91 = *(_DWORD *)(result + 140) ^ v77 ^ v85 & ~v82 ^ v87;
	v92 = *(_DWORD *)(result + 684);
	v93 = ~v91 & *(_DWORD *)(result + 12);
	v94 = ~v91 & *(_DWORD *)(result + 620);
	v95 = ~v91;
	v96 = ~v91 & *(_DWORD *)(result + 108);
	v97 = *(_DWORD *)(result + 140) ^ v77 ^ v85 & ~v82 ^ v87;
	v98 = *(_DWORD *)(result + 24) ^ v37 ^ v53;
	v99 = *(_DWORD *)(result + 484);
	v100 = v93 ^ v42;
	v101 = v97 | *(_DWORD *)(result + 620);
	v102 = v97 | v90;
	v103 = ~*(_DWORD *)(result + 44);
	v104 = (v91 | *(_DWORD *)(result + 12)) ^ *(_DWORD *)(result + 108);
	v105 = v101 ^ v90 ^ (v96 ^ *(_DWORD *)(result + 12) | *(_DWORD *)(result + 44));
	v106 = v97 & ~*(_DWORD *)(result + 284);
	v107 = *(_DWORD *)(result + 224) ^ *(_DWORD *)(result + 280);
	v108 = *(_DWORD *)(result + 184);
	v109 = v97 & ~*(_DWORD *)(result + 352);
	*(_DWORD *)(result + 684) = v101 ^ v92 ^ (v94 ^ v90 | *(_DWORD *)(result + 44));
	v110 = v108;
	v111 = *(_DWORD *)(result + 708);
	*(_DWORD *)(result + 284) = v105;
	v112 = v110 ^ v111;
	v113 = v98 ^ v97 & ~v44;
	*(_DWORD *)(result + 24) = v113;
	v114 = *(_DWORD *)(result + 232);
	v115 = (v93 ^ v42) & v103 ^ v104;
	*(_DWORD *)(result + 636) = v115;
	v116 = (v97 | v42) ^ v92;
	v117 = *(_DWORD *)(result + 136);
	v118 = v116;
	*(_DWORD *)(result + 232) = v116;
	*(_DWORD *)(result + 136) = v117 ^ v104;
	v119 = v107 ^ v109;
	*(_DWORD *)(result + 224) = v107 ^ v109;
	v120 = v112 ^ v106;
	*(_DWORD *)(result + 184) = v112 ^ v106;
	v121 = v99 ^ v102 ^ v93 & v103;
	*(_DWORD *)(result + 460) = v121;
	v122 = v75 ^ v114;
	v123 = *(_DWORD *)(result + 384);
	v124 = ~v123;
	v125 = *(_DWORD *)(result + 292);
	v126 = v63 ^ *(_DWORD *)(result + 220);
	v127 = ~v63 & *(_DWORD *)(result + 220);
	v128 = ~v76;
	v129 = *(_DWORD *)(result + 68);
	v130 = v78 & ~*(_DWORD *)(result + 344) ^ *(_DWORD *)(result + 628);
	v131 = v130 & ~v123 ^ *(_DWORD *)(result + 252) ^ v81 ^ ((v80 | v123) ^ v122) & v89;
	v132 = v131 & ~v68;
	v133 = v131 & ~v63;
	v134 = v131 ^ v68;
	v135 = v130 & ~v123 ^ *(_DWORD *)(result + 252) ^ v81 ^ ((v80 | v123) ^ v122) & v89;
	v136 = v131 & ~v63 ^ v131;
	v137 = ~v131 & v68;
	v138 = v131 & v68;
	v139 = v137 & ~v63;
	v140 = (v131 | v63 | v129) ^ v137;
	v141 = ~v131;
	v142 = v136 & ~v129;
	v143 = (v131 & v68 ^ (v131 | v63) | v129) ^ v139;
	v144 = v131 ^ v68 ^ *(_DWORD *)(result + 120) ^ v139;
	v145 = v131 & ~v132;
	v146 = v131 | v68;
	v147 = v132 & ~v63;
	v148 = v131 ^ v68 | v63;
	v149 = v137 | v63;
	v150 = v142 ^ v145 ^ v148 ^ *(_DWORD *)(result + 100) & ~v143;
	v151 = (v131 | v63) ^ v131;
	v152 = v131 & ~v63 ^ v137;
	v153 = v148 ^ v146;
	v154 = v144 ^ (v136 | v129);
	v155 = (v140 ^ v132 & ~v63) & *(_DWORD *)(result + 100);
	v156 = v151 | v129;
	v157 = v134 & ~v63 ^ v132;
	v158 = v138 ^ *(_DWORD *)(result + 104);
	v159 = v151 & ~v129;
	v160 = v132;
	v161 = (v145 | v129) ^ v73;
	v162 = (v137 | v63) ^ v142 ^ v137;
	v163 = v132 ^ v89;
	v164 = v131 & ~v63 ^ v137;
	v165 = v164 | v129;
	v166 = v164 & ~v129;
	v167 = v156 ^ v164;
	v168 = v63 | v146;
	v169 = (v146 ^ v131 & ~v63 | v129) ^ v153;
	v170 = v163 ^ v149 ^ v166;
	v171 = v158 ^ (v160 | v63);
	v172 = v166 ^ v145;
	v173 = v171;
	v174 = v165;
	v175 = v154 ^ v155 ^ v150 & *(_DWORD *)(result + 132);
	v176 = *(_DWORD *)(result + 100);
	v177 = v170 ^ v176 & ~(v174 ^ v152) ^ *(_DWORD *)(result + 132) & ~(v153 ^ v159 ^ *(_DWORD *)(result + 100) & v162);
	v178 = ~v76 & v63;
	v179 = ~*(_DWORD *)(result + 220);
	v180 = v63 & v179;
	v181 = v93 ^ *(_DWORD *)(result + 620);
	v182 = v176 & ~v172 ^ v168 & ~v129 ^ v173 ^ *(_DWORD *)(result + 132) & ~(*(_DWORD *)(result + 100) & ~v169 ^ v147);
	v183 = v97 & ~*(_DWORD *)(result + 400);
	v184 = v167 ^ *(_DWORD *)(result + 160) ^ (v129 | ~v145) & *(_DWORD *)(result + 100);
	v185 = (*(_DWORD *)(result + 100) & ~v161 ^ v157 ^ v142) & *(_DWORD *)(result + 132);
	v186 = v135 & ~v79;
	v187 = ~v76 & v135;
	v188 = *(_DWORD *)(result + 80) ^ *(_DWORD *)(result + 600);
	*(_DWORD *)(result + 400) = *(_DWORD *)(result + 44) & v181;
	v189 = v188 ^ v183;
	*(_DWORD *)(result + 80) = v188 ^ v183;
	*(_DWORD *)(result + 120) = v175;
	*(_DWORD *)(result + 596) = v175 | v120;
	*(_DWORD *)(result + 540) = ~v175 & (v175 | v120);
	*(_DWORD *)(result + 352) = ~v175 & v120;
	*(_DWORD *)(result + 156) = v175 & ~(v175 & v120);
	*(_DWORD *)(result + 160) = v185 ^ v184;
	v190 = *(_DWORD *)(result + 212);
	*(_DWORD *)(result + 416) = v175 & v120;
	*(_DWORD *)(result + 548) = v175 ^ v120;
	v191 = v135 & v76 ^ v79;
	*(_DWORD *)(result + 628) = v175 & ~v120;
	v192 = v135 ^ v126;
	v193 = v135 & v127 ^ v76;
	v194 = v177;
	*(_DWORD *)(result + 48) = v177;
	*(_DWORD *)(result + 676) = v135 ^ v126;
	v195 = *(_DWORD *)(result + 220);
	v196 = v182;
	*(_DWORD *)(result + 744) = v182;
	*(_DWORD *)(result + 292) = v193;
	v197 = v126 & v135 ^ v195;
	*(_DWORD *)(result + 564) = v197;
	v198 = v135 & ~v178 ^ v63;
	v199 = v78;
	*(_DWORD *)(result + 440) = v198;
	v200 = v187 ^ v76;
	v201 = v78 | *(_DWORD *)(result + 384);
	v202 = v135 & ~v79 ^ v79;
	*(_DWORD *)(result + 524) = v202;
	v203 = v135 & v179 ^ v63;
	v204 = v133 ^ v79;
	*(_DWORD *)(result + 484) = v133 ^ v79;
	v205 = v63 & v179 & v135 ^ v63;
	*(_DWORD *)(result + 660) = v200;
	*(_DWORD *)(result + 500) = v203;
	v206 = *(_DWORD *)(result + 384);
	v207 = *(_DWORD *)(result + 640);
	v208 = v206;
	v209 = v206 & ~v80;
	v210 = v208 & ~v130;
	*(_DWORD *)(result + 444) = v205;
	*(_DWORD *)(result + 304) = v191;
	v211 = v81 ^ v190;
	v212 = v89 & ~(v209 ^ v122);
	v213 = v78 ^ v207;
	v214 = v78 & ~v207;
	v215 = v199 & ~(v199 & ~v207);
	v216 = (*(_DWORD *)(result + 384) | v78 ^ v207) ^ *(_DWORD *)(result + 568) ^ v215;
	v217 = v207 & ~v78;
	*(_DWORD *)(result + 16) = v78 | v207;
	v218 = v207 & ~v78 | *(_DWORD *)(result + 384);
	v219 = v201 ^ v78 & ~v207;
	v220 = v215 ^ v78 & v124;
	v221 = v78 & v207 & v124;
	v222 = v199 & ~(v199 & ~v207);
	v223 = v78 & v207;
	v224 = *(_DWORD *)(result + 16) ^ *(_DWORD *)(result + 28) ^ (*(_DWORD *)(result + 384) | v199 & ~(v199 & ~v207)) ^ *(_DWORD *)(result + 168) & ~(v221 ^ v207) ^ *(_DWORD *)(result + 200) & ~((v201 ^ v199 & ~v207) & *(_DWORD *)(result + 168) ^ v199 & v207 ^ v201) ^ *(_DWORD *)(result + 104) & ~(v216 & *(_DWORD *)(result + 200) ^ v220 ^ *(_DWORD *)(result + 168) & ~(v199 ^ v218));
	v225 = ~*(_DWORD *)(result + 612);
	v226 = v224 & v225;
	v227 = v224 & *(_DWORD *)(result + 612);
	v228 = *(_DWORD *)(result + 364);
	v229 = v224 & *(_DWORD *)(result + 592);
	v230 = v229 ^ *(_DWORD *)(result + 92);
	v231 = v229 | *(_DWORD *)(result + 124);
	v232 = v228 ^ *(_DWORD *)(result + 112) ^ v227 ^ (v226 ^ *(_DWORD *)(result + 308) | *(_DWORD *)(result + 124)) ^ (*(_DWORD *)(result + 668) & v224 ^ *(_DWORD *)(result + 368) ^ *(_DWORD *)(result + 124) & v71 & v227) & v52 ^ (v226 | ~*(_DWORD *)(result + 124)) & v71;
	v233 = v224 ^ *(_DWORD *)(result + 612);
	v234 = v227 ^ *(_DWORD *)(result + 308) ^ (v230 | *(_DWORD *)(result + 124)) ^ v71 & ~(*(_DWORD *)(result + 308) ^ (*(_DWORD *)(result + 612) ^ v226 | *(_DWORD *)(result + 124)));
	v235 = *(_DWORD *)(result + 92) ^ v224 & ~*(_DWORD *)(result + 92) ^ v231 ^ v71 & ~(v224 & ~*(_DWORD *)(result + 92) ^ (v227 | *(_DWORD *)(result + 124)));
	v236 = (v201 ^ *(_DWORD *)(result + 16)) & *(_DWORD *)(result + 168);
	v237 = *(_DWORD *)(result + 168) & *(_DWORD *)(result + 200) & (v78 & v124 ^ v207);
	v238 = v227 ^ *(_DWORD *)(result + 124) & ~v227;
	v239 = *(_DWORD *)(result + 692);
	v240 = ~*(_DWORD *)(result + 124);
	v241 = v228 ^ *(_DWORD *)(result + 216) ^ v226 ^ v231 ^ v71 & ~(*(_DWORD *)(result + 308) ^ *(_DWORD *)(result + 332) ^ *(_DWORD *)(result + 428) & v224);
	v242 = v233 ^ *(_DWORD *)(result + 128) ^ v230 & v240 ^ v238 & v71;
	v243 = v224 & v52;
	v244 = v211 ^ v210;
	v245 = v234 | *(_DWORD *)(result + 244);
	v246 = v235 & v52;
	v247 = v224 | *(_DWORD *)(result + 244);
	v248 = v244 ^ v212;
	v249 = *(_DWORD *)(result + 104);
	*(_DWORD *)(result + 28) = v224;
	v250 = v249 & ~(v237 ^ v236);
	*(_DWORD *)(result + 112) = v232;
	v251 = *(_DWORD *)(result + 16);
	v252 = ~v224 & v239;
	*(_DWORD *)(result + 340) = v222;
	*(_DWORD *)(result + 456) = v251;
	*(_DWORD *)(result + 492) = v250;
	*(_DWORD *)(result + 364) = v113 & v232;
	*(_DWORD *)(result + 588) = v213;
	v253 = v222 ^ *(_DWORD *)(result + 652);
	v254 = ~v224 & *(_DWORD *)(result + 244);
	v255 = v232;
	*(_DWORD *)(result + 696) = v217;
	*(_DWORD *)(result + 216) = v241 ^ v245;
	v256 = *(_DWORD *)(result + 384);
	*(_DWORD *)(result + 396) = v113 & ~(v113 & v232);
	*(_DWORD *)(result + 724) = v223 ^ v256;
	v257 = v242 ^ v246;
	v258 = v224 ^ *(_DWORD *)(result + 244);
	*(_DWORD *)(result + 652) = v253;
	v259 = v247 & ~v224;
	v260 = v254 ^ v243 & v239;
	v261 = v224 & ~*(_DWORD *)(result + 256) ^ *(_DWORD *)(result + 592);
	v262 = v224 & *(_DWORD *)(result + 244);
	v263 = v257;
	*(_DWORD *)(result + 128) = v257;
	v264 = *(_DWORD *)(result + 64);
	v265 = v232 ^ v113;
	*(_DWORD *)(result + 368) = v232 ^ v113;
	v266 = v248;
	v267 = v259 ^ v78;
	v268 = v224 ^ v264;
	v269 = (v224 & v239 & v33 ^ v260) & v248 ^ v258;
	v270 = (v224 & ~v228 ^ *(_DWORD *)(result + 612)) & v240;
	v271 = v224 & *(_DWORD *)(result + 308);
	v272 = v261 | *(_DWORD *)(result + 124);
	v273 = v233 & v240 ^ v226;
	v274 = v262 & v239 ^ v62;
	v275 = v262 & v239 ^ v262;
	v276 = v258 ^ *(_DWORD *)(result + 88) ^ v252;
	v277 = v248 & ~v274;
	v278 = v224 & ~v262;
	v279 = v273 & v71;
	v280 = v252 ^ v262 | v27;
	v281 = v220 & *(_DWORD *)(result + 168);
	v282 = (v262 ^ v224 & v239) & v33;
	v283 = v258 & v239;
	v284 = v221 ^ v223;
	v285 = (v213 & v124 ^ v223) & *(_DWORD *)(result + 168);
	v286 = *(_DWORD *)(result + 168) & ~v219;
	v287 = v218 ^ *(_DWORD *)(result + 16);
	v288 = v217;
	v289 = v214 & v124 ^ v217;
	v290 = *(_DWORD *)(result + 168) & v223 ^ *(_DWORD *)(result + 16) ^ v288 & v124;
	v291 = (v221 ^ v214 ^ v281) & *(_DWORD *)(result + 200);
	v292 = v288 & v124 ^ v213;
	v293 = v285;
	*(_DWORD *)(result + 508) = v292;
	v294 = v266;
	v295 = v281 ^ *(_DWORD *)(result + 544);
	v296 = v239 & ~v259 ^ v258;
	v297 = v258 & v239 ^ v258 ^ v282;
	v298 = v259 ^ v283 | v27;
	v299 = v269 ^ (v296 | v27);
	v300 = *(_DWORD *)(result + 200) & ~v290;
	v301 = (v222 ^ v218) & *(_DWORD *)(result + 168);
	v302 = *(_DWORD *)(result + 428);
	v303 = v289 ^ v286;
	v304 = v224 & ~*(_DWORD *)(result + 288) ^ v302 ^ v272;
	v305 = v302 ^ *(_DWORD *)(result + 200) ^ v271 ^ v270;
	v306 = v71 & ~(v224 & v240);
	v307 = *(_DWORD *)(result + 408);
	v308 = (v278 ^ v239 | v27) ^ v267 ^ v239 & ~v278 ^ v266 & ~(v243 & v239 ^ v243 ^ (v278 | v27)) ^ v307 & ~(v297 ^ (v252 ^ v224 ^ v280) & v266);
	v309 = (v275 | v27) ^ v278 ^ v239 ^ *(_DWORD *)(result + 8) ^ v277 ^ v307 & ~(v266 & v27 & (v224 & v239 ^ *(_DWORD *)(result + 244)) ^ v224 & v239 ^ v275 & v27);
	v310 = v247 & v239 ^ v268 ^ v298 ^ ((v224 ^ v239 | v27) ^ v260) & v266 ^ v299 & v307;
	v311 = (v247 ^ v224 & v239) & v33 ^ v276 ^ (v247 & ~v224 | v27) & v266 ^ ((v247 | v27) ^ v252 ^ v239 & v266 & ~v247) & v307;
	*(_DWORD *)(result + 88) = v311;
	v312 = ~v255 & v194;
	v313 = v305 ^ v306 ^ (v279 ^ v304 | *(_DWORD *)(result + 244));
	v314 = v308;
	v315 = v308 & ~v312;
	v316 = *(_DWORD *)(result + 168) & ~(*(_DWORD *)(result + 16) & v124);
	v317 = v308 & v196;
	*(_DWORD *)(result + 668) = v255 & ~v113;
	*(_DWORD *)(result + 532) = v311 & v175;
	*(_DWORD *)(result + 424) = v313;
	*(_DWORD *)(result + 728) = v175 & ~v311;
	*(_DWORD *)(result + 8) = v309;
	v318 = (v255 | v113) & ~v113;
	*(_DWORD *)(result + 288) = (v309 | v119) ^ v119;
	v319 = v311 ^ v175;
	v320 = v311 | v175;
	*(_DWORD *)(result + 464) = (v310 | v263) ^ v310;
	*(_DWORD *)(result + 428) = ~v309 & v119;
	*(_DWORD *)(result + 264) = v255 | v113;
	v321 = v319;
	*(_DWORD *)(result + 64) = v310;
	*(_DWORD *)(result + 452) = v308;
	*(_DWORD *)(result + 608) = v309 | v119;
	v322 = ~v309 & v196;
	*(_DWORD *)(result + 516) = v318;
	*(_DWORD *)(result + 592) = ~v255 & v113;
	v323 = v315 ^ v194;
	v324 = *(_DWORD *)(result + 380);
	*(_DWORD *)(result + 648) = v319;
	*(_DWORD *)(result + 764) = v308 ^ v196;
	*(_DWORD *)(result + 468) = v322;
	v325 = v292 ^ v324;
	*(_DWORD *)(result + 760) = v309 | v196;
	*(_DWORD *)(result + 792) = v308 & v196;
	*(_DWORD *)(result + 308) = v308 | v196;
	v326 = *(_DWORD *)(result + 200);
	v327 = v315 ^ v194;
	v328 = v326 & ~v295;
	*(_DWORD *)(result + 736) = v320;
	*(_DWORD *)(result + 528) = v320;
	v329 = ~v314 & v196;
	*(_DWORD *)(result + 472) = v327;
	*(_DWORD *)(result + 796) = v314 & ~v317;
	*(_DWORD *)(result + 748) = v301 ^ v253;
	*(_DWORD *)(result + 804) = v329;
	v330 = *(_DWORD *)(result + 104);
	*(_DWORD *)(result + 380) = v287;
	v331 = (v284 ^ v316 ^ v291) & v330;
	v332 = (v325 ^ v300) & v330;
	v333 = v326 & ~v303 ^ *(_DWORD *)(result + 748);
	v334 = v7;
	v335 = *(_DWORD *)(result + 228) ^ v293 ^ v287;
	v336 = *(_DWORD *)(result + 12);
	*(_DWORD *)(result + 512) = v333;
	v337 = ~v63 & v79;
	v338 = v335 ^ v328 ^ v331;
	v339 = ~v12 & v7;
	v340 = v12 & *(_DWORD *)(result + 12);
	v341 = v135 & v63;
	v342 = v336 & ~v14 ^ v14;
	v343 = ~v12 & *(_DWORD *)(result + 12) ^ v12;
	v344 = *(_DWORD *)(result + 188) ^ v332 ^ *(_DWORD *)(result + 512);
	v345 = v135 & ~v337;
	v346 = v339 ^ v334 & v336 ^ v342 & v17;
	v347 = v133 ^ v76;
	v348 = v345 ^ v79;
	v349 = v337 ^ v135 & v63 | v344;
	v350 = ~v338 & (v334 & v336 ^ v334 ^ v58) ^ (v343 | *(_DWORD *)(result + 100)) ^ v343;
	v351 = v77 ^ *(_DWORD *)(result + 196) ^ v82 & v124 ^ v89 & ~(v124 & v83 ^ v88);
	v352 = v63 ^ v135 & v63;
	v353 = v344 & ~v348;
	v354 = *(_DWORD *)(result + 12) & ~v339;
	v355 = v349 ^ v348;
	v356 = v344 & v127 ^ v198;
	v357 = v126 ^ *(_DWORD *)(result + 240);
	v358 = v344 & ~v352;
	v359 = v135 & *(_DWORD *)(result + 220);
	v360 = v186 ^ v344;
	v361 = v186 ^ v178;
	v362 = v344 & ~v347;
	v363 = v347 & v344;
	v364 = v338 | v334 ^ v340 ^ v20;
	v365 = v346 ^ *(_DWORD *)(result + 72);
	v366 = v341 ^ v180;
	v367 = v180 & v135 ^ *(_DWORD *)(result + 220);
	v368 = v345 ^ *(_DWORD *)(result + 220);
	v369 = v354 ^ v12;
	*(_DWORD *)(result + 344) = v344 & v141 ^ v191;
	v370 = v353 ^ v203;
	v371 = v358 ^ v200;
	v372 = *(_DWORD *)(result + 124);
	*(_DWORD *)(result + 708) = v371;
	v373 = v355 | v372;
	v374 = v357 ^ v187;
	v375 = v344 & v359;
	v376 = v360 & v240;
	v377 = v344 & v366;
	*(_DWORD *)(result + 600) = v362 ^ v202;
	v378 = v365 ^ v364;
	v379 = v344 & ~v127;
	v380 = v359 ^ v178;
	*(_DWORD *)(result + 576) = v344 & (v135 ^ v127) ^ v197;
	v381 = v344 & ~v368;
	v382 = v369 | *(_DWORD *)(result + 100);
	v383 = *(_DWORD *)(result + 344) ^ *(_DWORD *)(result + 32);
	v384 = v356 & v240 ^ *(_DWORD *)(result + 708);
	v385 = v370 | *(_DWORD *)(result + 124);
	v386 = *(_DWORD *)(result + 124);
	v387 = v344 & ~v361 | v386;
	v388 = v367 & ~v344 | v386;
	v389 = *(_DWORD *)(result + 600) ^ v376;
	v390 = v363 ^ v193 | v386;
	v391 = v354 ^ v6;
	v392 = v17 & v354;
	v393 = v378 ^ (v350 | v351);
	*(_DWORD *)(result + 704) = v377 ^ v204;
	*(_DWORD *)(result + 716) = v379 ^ v192;
	v394 = v373 ^ *(_DWORD *)(result + 576);
	v395 = v380 ^ *(_DWORD *)(result + 384) ^ v344 & v128;
	v396 = v383 ^ v385;
	v397 = *(_DWORD *)(result + 612) | v384;
	v398 = v396;
	v399 = v374 ^ v375 ^ v387;
	v400 = v338 | *(_DWORD *)(result + 276);
	v401 = v390 ^ *(_DWORD *)(result + 704);
	*(_DWORD *)(result + 624) = v388 ^ *(_DWORD *)(result + 716);
	v402 = v400 ^ v392 ^ v391;
	v403 = v398;
	v404 = v399 ^ v389 & v225;
	v405 = v397 ^ v403;
	v406 = v395 ^ (v205 ^ v381) & v240;
	v407 = v196 & ~(v196 & v393);
	v408 = v236 ^ *(_DWORD *)(result + 16);
	v409 = v401 | *(_DWORD *)(result + 612);
	v410 = v394 & v225 ^ *(_DWORD *)(result + 624);
	v411 = v95 & v99 ^ *(_DWORD *)(result + 108);
	v412 = *(_DWORD *)(result + 44) & ~v104;
	*(_DWORD *)(result + 272) = v310 | v405;
	v413 = *(_DWORD *)(result + 108) ^ v96;
	*(_DWORD *)(result + 732) = ~v338 & (v339 ^ v340 ^ v382) ^ v30;
	*(_DWORD *)(result + 228) = v338;
	*(_DWORD *)(result + 328) = v263 | v405;
	v414 = v175 & ~v404;
	*(_DWORD *)(result + 188) = v344;
	v415 = v408 & *(_DWORD *)(result + 200);
	*(_DWORD *)(result + 32) = v405;
	v416 = v196 & ~v393;
	v417 = v410 ^ *(_DWORD *)(result + 40);
	*(_DWORD *)(result + 372) = v414;
	v418 = (v309 | v196 & v393) ^ v196 & ~(v196 & v393);
	*(_DWORD *)(result + 260) = v415;
	*(_DWORD *)(result + 240) = v404;
	v419 = *(_DWORD *)(result + 320);
	*(_DWORD *)(result + 276) = v402 | v351;
	v420 = v406 ^ v409;
	*(_DWORD *)(result + 448) = v321 | v404;
	v421 = v94 ^ v419;
	v422 = v419;
	v423 = *(_DWORD *)(result + 732);
	*(_DWORD *)(result + 72) = v393;
	*(_DWORD *)(result + 740) = ((v338 | v54) ^ v41) & ~v351 ^ v423;
	*(_DWORD *)(result + 180) = v410;
	v424 = v255 & ~v194;
	v425 = v314 & ~(v255 ^ v194);
	v426 = v411 & v103 ^ v101;
	*(_DWORD *)(result + 40) = v417;
	v427 = ~v338 & (v412 ^ v413) ^ v412 ^ v100;
	*(_DWORD *)(result + 336) = v406 ^ v409;
	v428 = v101 ^ *(_DWORD *)(result + 620);
	*(_DWORD *)(result + 520) = v407;
	*(_DWORD *)(result + 404) = v418;
	*(_DWORD *)(result + 356) = v416;
	v429 = v255 & ~v424;
	v430 = v115 ^ *(_DWORD *)(result + 168);
	*(_DWORD *)(result + 144) ^= *(_DWORD *)(result + 740);
	v431 = (v95 & v422 | *(_DWORD *)(result + 44)) ^ v95 & v99 ^ v42;
	v432 = v314 & ~v255;
	v433 = v314 & v255 & v194;
	v434 = v433 ^ v429;
	v435 = v314 & ~v194 ^ v255 & v194 ^ *(_DWORD *)(result + 144) & ~(v425 ^ v255);
	v436 = *(_DWORD *)(result + 144) & ~(v314 ^ v429);
	v437 = *(_DWORD *)(result + 144);
	v438 = v437 & ~(v314 & (v255 ^ v194) ^ v194);
	v439 = v425 ^ (v255 | v194);
	v440 = v433 ^ (v255 | v194);
	v441 = v194 & ~v314 & v437;
	v442 = v314 & v255 ^ v424;
	v443 = v421 & v103 ^ v101 | v338;
	v444 = v431 ^ *(_DWORD *)(result + 176);
	*(_DWORD *)(result + 664) = v426 & ~v338 ^ v430 ^ (v427 | v64);
	*(_DWORD *)(result + 584) = (v196 | v393) & ~v196;
	v445 = ~v309 & (v196 ^ v393);
	v446 = ~v314 & (v314 | v196);
	v447 = *(_DWORD *)(result + 144) & ~v434;
	v448 = *(_DWORD *)(result + 144) & ~(v432 ^ v194);
	v449 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 720) = v436 ^ v255;
	v450 = v314 & ~v429 ^ v255 ^ v194 ^ v441;
	v451 = v314 & ~v429 ^ v194 ^ v440 & v449;
	v452 = v442 ^ v438;
	v453 = v450;
	v454 = v309 | *(_DWORD *)(result + 584);
	v455 = v314 & v312 ^ v255 ^ v194;
	v456 = (v309 | v196) ^ v416;
	v457 = v339 ^ v16;
	v458 = v413 & v103;
	v459 = (v309 | v196) ^ v196;
	v460 = ~v309 & (v196 | v393);
	v461 = ~v196 & v314;
	v462 = v309 | v196 ^ v393;
	v463 = v196 & v393 ^ v445;
	v464 = v196 ^ v322;
	*(_DWORD *)(result + 772) = v323 ^ v447;
	v465 = v455 ^ v448;
	v466 = v432 ^ v255 ^ v449 & ~v439;
	v467 = v454 ^ v416;
	v468 = v456 | v119;
	*(_DWORD *)(result + 176) = (~v338 & v428 ^ v118) & ~v64 ^ v444 ^ v443;
	v469 = v102 ^ v125 | *(_DWORD *)(result + 44);
	v470 = v125 & ~v95;
	v471 = *(_DWORD *)(result + 100) & ~v457;
	v472 = v458 ^ v428;
	v473 = ~v119;
	v474 = v309 & ~v119;
	v475 = v459 & ~v119;
	v476 = (~v309 & v393 ^ v416) & ~v119;
	v477 = v416 & ~v309;
	v478 = (v309 ^ v407) & ~v119;
	v479 = *(_DWORD *)(result + 584) ^ v462;
	*(_DWORD *)(result + 580) = v462 ^ v393;
	v480 = v119 | v445;
	v481 = v119 | v463;
	v482 = v464 & ~v119;
	v483 = v453 | v420;
	v484 = v453 & v420;
	v485 = v435 & v420 ^ *(_DWORD *)(result + 720);
	v486 = v435 & ~v420;
	v487 = v446 | *(_DWORD *)(result + 664);
	v488 = ~*(_DWORD *)(result + 664);
	v489 = v294 ^ v451;
	v490 = v451 ^ v135;
	v491 = v420 & ~v465;
	v492 = v465 & ~v420;
	v493 = v119;
	v494 = v467 | v119;
	v495 = v468 ^ v456;
	v496 = v318 | *(_DWORD *)(result + 176);
	v497 = v391 ^ v471;
	v498 = v470 ^ v469;
	v499 = v472 & ~v338;
	v500 = v459 ^ v474;
	v501 = v459 | v493;
	v502 = v475 ^ v309;
	v503 = v322 ^ (v196 | v393);
	v504 = v460 ^ v407 | v493;
	v505 = v493;
	v506 = v407 | v493;
	*(_DWORD *)(result + 604) = (v309 | v393) ^ v196;
	v507 = v477 ^ v196;
	v508 = (~v196 & v393 & ~v309 ^ v196 & v393) & v473;
	v509 = v322 ^ v196 & v393;
	*(_DWORD *)(result + 752) = (v309 | v196) ^ v196 ^ v393;
	v510 = v480 ^ v322;
	v511 = v481 ^ (v309 | v196);
	v512 = v463 & v473;
	v513 = v482 ^ *(_DWORD *)(result + 580);
	v514 = *(_DWORD *)(result + 772);
	*(_DWORD *)(result + 776) = *(_DWORD *)(result + 772) ^ v484;
	v515 = v514;
	v516 = *(_DWORD *)(result + 720);
	*(_DWORD *)(result + 780) = v515 ^ v483;
	v517 = v486 ^ v516;
	v518 = v461 & v488 ^ v317;
	v519 = v314 ^ v196 | *(_DWORD *)(result + 664);
	v520 = (v420 & ~v452 ^ v466) & v189;
	v521 = v189 & ~((v452 | v420) ^ v466);
	v522 = v418 ^ v494;
	v523 = (v479 ^ v478) & ~v417;
	v524 = *(_DWORD *)(result + 476) ^ v100;
	v525 = (v338 | v55) ^ v497;
	v526 = ~v338 & v498;
	v527 = v502 & ~v417;
	v528 = *(_DWORD *)(result + 604) ^ v506;
	v529 = v509 ^ v504;
	v530 = v503 ^ v481;
	v531 = v512 ^ v479;
	v532 = v513 | v417;
	v533 = (v464 | v505) ^ *(_DWORD *)(result + 752);
	v534 = *(_DWORD *)(result + 780) ^ v351;
	v535 = v189 & ~v485 ^ *(_DWORD *)(result + 776);
	v536 = v189 & ~v517;
	v537 = *(_DWORD *)(result + 664) | v314 & ~v317;
	v538 = *(_DWORD *)(result + 664) | v314;
	v539 = *(_DWORD *)(result + 664);
	*(_DWORD *)(result + 392) = v522;
	v540 = v539 | v196;
	*(_DWORD *)(result + 196) = v314 ^ v519;
	*(_DWORD *)(result + 808) = v317 & v488;
	*(_DWORD *)(result + 212) = v489 ^ v491 ^ v520;
	*(_DWORD *)(result + 252) = v490 ^ v492 ^ v521;
	v541 = v495 & ~v417 ^ v522;
	v542 = *(_DWORD *)(result + 176);
	*(_DWORD *)(result + 680) = (v265 ^ v496) & ~*(_DWORD *)(result + 144);
	*(_DWORD *)(result + 700) = v541;
	*(_DWORD *)(result + 320) = v542 & ~v318;
	*(_DWORD *)(result + 632) = v525 | v351;
	*(_DWORD *)(result + 712) = v526 ^ v524;
	v543 = ~*(_DWORD *)(result + 176);
	*(_DWORD *)(result + 332) = ~v255 & v113 & v543;
	*(_DWORD *)(result + 376) = v113 & v543;
	*(_DWORD *)(result + 280) = v64 | v121 ^ v499;
	*(_DWORD *)(result + 544) = v460 ^ v393 ^ v501 ^ (v500 | v417);
	*(_DWORD *)(result + 104) = v528 ^ (v476 ^ v196 & ~(v196 & v393) | v417);
	*(_DWORD *)(result + 552) = v508 ^ v507 ^ v527;
	*(_DWORD *)(result + 316) = v529 ^ v523;
	*(_DWORD *)(result + 784) = v534 ^ v536;
	*(_DWORD *)(result + 488) = v530;
	*(_DWORD *)(result + 256) = (v511 | v417) ^ v530;
	*(_DWORD *)(result + 756) = (v510 | v417) ^ v531;
	*(_DWORD *)(result + 116) = v420 & ~(v487 ^ v314);
	*(_DWORD *)(result + 200) = v531;
	*(_DWORD *)(result + 140) = v535 ^ v97;
	*(_DWORD *)(result + 572) = v533;
	*(_DWORD *)(result + 348) = v532 ^ v533;
	v544 = *(_DWORD *)(result + 808);
	v545 = *(_DWORD *)(result + 196);
	*(_DWORD *)(result + 504) = v535;
	*(_DWORD *)(result + 324) = v255 & v543;
	*(_DWORD *)(result + 496) = v488 & v196;
	*(_DWORD *)(result + 536) = v317 ^ v329 & v488 ^ (v487 ^ v314) & ~v420;
	*(_DWORD *)(result + 768) = v537 ^ v446;
	*(_DWORD *)(result + 476) = v487 ^ v314;
	*(_DWORD *)(result + 420) = v314 & ~v317 ^ v538;
	*(_DWORD *)(result + 556) = (v314 | v196) & v420 ^ v461 & v488;
	*(_DWORD *)(result + 568) = v519 ^ ((v314 | v196) & v488 ^ v314 ^ v196) & ~v420;
	*(_DWORD *)(result + 268) = v545 & ~v420;
	*(_DWORD *)(result + 436) = v461 ^ ~v420 & v196 ^ (v314 ^ v196) & v488;
	*(_DWORD *)(result + 788) = v544 ^ v314;
	*(_DWORD *)(result + 616) = v314 ^ v196 ^ v540;
	*(_DWORD *)(result + 620) = v518 ^ (v317 | v420);
	*(_DWORD *)(result + 800) = v420 & ~v518 ^ v317;
	return result;
}

//----- (0008F0B0) --------------------------------------------------------
unsigned char* sub_8F0B0(unsigned char* result)
{
	int v1; // r7@1
	int v2; // r5@1
	int v3; // r12@1
	int v4; // r11@1
	int v5; // ST08_4@1
	int v6; // lr@1
	int v7; // r3@1
	int v8; // r9@1
	int v9; // r10@1
	int v10; // r6@1
	int v11; // r2@1
	int v12; // r2@1
	int v13; // ST68_4@1
	int v14; // r3@1
	int v15; // ST38_4@1
	int v16; // ST44_4@1
	int v17; // STD0_4@1
	int v18; // r2@1
	int v19; // ST9C_4@1
	int v20; // ST98_4@1
	int v21; // r7@1
	int v22; // STA0_4@1
	int v23; // lr@1
	int v24; // STC4_4@1
	int v25; // r5@1
	int v26; // STBC_4@1
	int v27; // STC8_4@1
	int v28; // STCC_4@1
	int v29; // ST18_4@1
	int v30; // ST24_4@1
	int v31; // r4@1
	int v32; // r2@1
	int v33; // ST14_4@1
	int v34; // r4@1
	int v35; // ST54_4@1
	int v36; // STC0_4@1
	int v37; // ST34_4@1
	int v38; // r3@1
	int v39; // ST10_4@1
	int v40; // ST70_4@1
	int v41; // ST6C_4@1
	int v42; // ST28_4@1
	int v43; // r2@1
	int v44; // r5@1
	int v45; // ST74_4@1
	int v46; // r1@1
	int v47; // ST00_4@1
	int v48; // ST58_4@1
	int v49; // ST78_4@1
	int v50; // lr@1
	int v51; // r1@1
	int v52; // r9@1
	int v53; // ST60_4@1
	int v54; // r10@1
	int v55; // r5@1
	int v56; // r7@1
	int v57; // r1@1
	int v58; // ST0C_4@1
	int v59; // lr@1
	int v60; // r6@1
	int v61; // ST2C_4@1
	int v62; // ST4C_4@1
	int v63; // r4@1
	int v64; // r3@1
	int v65; // r12@1
	int v66; // r1@1
	int v67; // ST50_4@1
	int v68; // r11@1
	int v69; // ST04_4@1
	int v70; // ST1C_4@1
	int v71; // ST64_4@1
	int v72; // ST7C_4@1
	int v73; // ST80_4@1
	int v74; // ST3C_4@1
	int v75; // r9@1
	int v76; // ST40_4@1
	int v77; // r12@1
	int v78; // ST5C_4@1
	int v79; // ST30_4@1
	int v80; // ST20_4@1
	int v81; // r5@1
	int v82; // ST90_4@1
	int v83; // lr@1
	int v84; // ST88_4@1
	int v85; // STA4_4@1
	int v86; // ST8C_4@1
	int v87; // r4@1
	int v88; // ST80_4@1
	int v89; // r11@1
	int v90; // ST0C_4@1
	int v91; // STAC_4@1
	int v92; // STD4_4@1
	int v93; // STDC_4@1
	int v94; // ST84_4@1
	int v95; // ST50_4@1
	int v96; // r6@1
	int v97; // r1@1
	int v98; // ST7C_4@1
	int v99; // r3@1
	int v100; // r2@1
	int v101; // STEC_4@1
	int v102; // STA8_4@1
	int v103; // STA4_4@1
	int v104; // ST90_4@1
	int v105; // lr@1
	int v106; // STE8_4@1
	int v107; // ST0C_4@1
	int v108; // ST48_4@1
	int v109; // ST2C_4@1
	int v110; // r7@1
	int v111; // r12@1
	int v112; // r4@1
	int v113; // STD4_4@1
	int v114; // STB8_4@1
	int v115; // STAC_4@1
	int v116; // STD8_4@1
	int v117; // r6@1
	int v118; // STB0_4@1
	int v119; // STE0_4@1
	int v120; // r9@1
	int v121; // r5@1
	int v122; // STDC_4@1
	int v123; // r11@1
	int v124; // r2@1
	int v125; // r3@1
	int v126; // ST7C_4@1
	int v127; // STE4_4@1
	int v128; // ST04_4@1
	int v129; // ST48_4@1
	int v130; // STA4_4@1
	int v131; // r4@1
	int v132; // r8@1
	int v133; // ST20_4@1
	int v134; // ST00_4@1
	int v135; // ST1C_4@1
	int v136; // r7@1
	int v137; // ST88_4@1
	int v138; // ST84_4@1
	int v139; // r9@1
	int v140; // r6@1
	int v141; // r10@1
	int v142; // r5@1
	int v143; // STA8_4@1
	int v144; // lr@1
	int v145; // ST1C_4@1
	int v146; // r2@1
	int v147; // ST48_4@1
	int v148; // r5@1
	int v149; // r12@1
	int v150; // r2@1
	int v151; // lr@1
	int v152; // STA8_4@1
	int v153; // r9@1
	int v154; // STA4_4@1
	int v155; // r3@1
	int v156; // r1@1
	int v157; // r9@1
	int v158; // ST04_4@1
	int v159; // r3@1
	int v160; // r1@1
	int v161; // r6@1
	int v162; // lr@1
	int v163; // r1@1
	int v164; // ST30_4@1
	int v165; // ST20_4@1
	int v166; // ST00_4@1
	int v167; // ST88_4@1
	int v168; // ST50_4@1
	int v169; // ST84_4@1
	int v170; // r1@1
	int v171; // lr@1
	int v172; // r12@1
	int v173; // r2@1
	int v174; // r7@1
	int v175; // lr@1
	int v176; // r1@1
	int v177; // ST34_4@1
	int v178; // ST4C_4@1
	int v179; // r6@1
	int v180; // r3@1
	int v181; // r8@1
	int v182; // r2@1
	int v183; // STD4_4@1
	int v184; // r10@1
	int v185; // lr@1
	int v186; // r2@1
	int v187; // STB4_4@1
	int v188; // r8@1
	int v189; // STAC_4@1
	int v190; // r3@1
	int v191; // r9@1
	int v192; // r1@1
	int v193; // r6@1
	int v194; // lr@1
	int v195; // ST88_4@1
	int v196; // r4@1
	int v197; // r7@1
	int v198; // r11@1
	int v199; // r3@1
	int v200; // r5@1
	int v201; // r8@1
	int v202; // r10@1
	int v203; // r2@1
	int v204; // r12@1
	int v205; // r2@1
	int v206; // r9@1
	int v207; // r2@1
	int v208; // r12@1
	int v209; // r4@1
	int v210; // r3@1
	int v211; // r12@1
	int v212; // r5@1
	int v213; // ST00_4@1
	int v214; // r3@1
	int v215; // r10@1
	int v216; // r7@1
	int v217; // ST50_4@1
	int v218; // r9@1
	int v219; // r8@1
	int v220; // ST04_4@1
	int v221; // r12@1
	int v222; // r5@1
	int v223; // r3@1
	int v224; // ST1C_4@1
	int v225; // ST6C_4@1
	int v226; // r5@1
	int v227; // ST94_4@1
	int v228; // STB4_4@1
	int v229; // r7@1
	int v230; // ST20_4@1
	int v231; // STB8_4@1
	int v232; // STB0_4@1
	int v233; // r2@1
	int v234; // ST84_4@1
	int v235; // ST8C_4@1
	int v236; // r3@1
	int v237; // r3@1
	int v238; // r6@1
	int v239; // lr@1
	int v240; // r9@1
	int v241; // STD8_4@1
	int v242; // STE8_4@1
	int v243; // STD4_4@1
	int v244; // ST74_4@1
	int v245; // ST44_4@1
	int v246; // STE0_4@1
	int v247; // STDC_4@1
	int v248; // STF0_4@1
	int v249; // r10@1
	int v250; // STEC_4@1
	int v251; // STFC_4@1
	int v252; // STF8_4@1
	int v253; // ST70_4@1
	int v254; // STD0_4@1
	int v255; // STE4_4@1
	int v256; // r5@1
	int v257; // STF4_4@1
	int v258; // r6@1
	int v259; // r1@1
	int v260; // ST18_4@1
	int v261; // ST20_4@1
	int v262; // ST6C_4@1
	int v263; // r11@1
	int v264; // r8@1
	int v265; // ST8C_4@1
	int v266; // ST94_4@1
	int v267; // r1@1
	int v268; // ST34_4@1
	int v269; // r3@1
	int v270; // STB0_4@1
	int v271; // lr@1
	int v272; // r3@1
	int v273; // r12@1
	int v274; // STB4_4@1
	int v275; // r2@1
	int v276; // ST7C_4@1
	int v277; // r11@1
	int v278; // ST1C_4@1
	int v279; // r5@1
	int v280; // r4@1
	int v281; // STB8_4@1
	int v282; // r12@1
	int v283; // r9@1
	int v284; // r6@1
	int v285; // STD8_4@1
	int v286; // ST20_4@1
	int v287; // STD0_4@1
	int v288; // ST18_4@1
	int v289; // r1@1
	int v290; // ST94_4@1
	int v291; // ST28_4@1
	int v292; // STB0_4@1
	int v293; // r4@1
	int v294; // r3@1
	int v295; // ST1C_4@1
	int v296; // ST8C_4@1
	int v297; // ST90_4@1
	int v298; // STAC_4@1
	int v299; // r12@1
	int v300; // r11@1
	int v301; // r1@1
	int v302; // r7@1
	int v303; // r5@1
	int v304; // ST18_4@1
	int v305; // r3@1
	int v306; // lr@1
	int v307; // ST78_4@1
	int v308; // r4@1
	int v309; // ST1C_4@1
	int v310; // ST14_4@1
	int v311; // r2@1
	int v312; // ST34_4@1
	int v313; // r2@1
	int v314; // r10@1
	int v315; // r1@1
	int v316; // ST50_4@1
	int v317; // r3@1
	int v318; // ST28_4@1
	int v319; // r7@1
	int v320; // ST88_4@1
	int v321; // r1@1
	int v322; // r12@1
	int v323; // lr@1
	int v324; // r3@1
	int v325; // ST24_4@1
	int v326; // ST10_4@1
	int v327; // ST60_4@1
	int v328; // r11@1
	int v329; // ST7C_4@1
	int v330; // ST64_4@1
	int v331; // r8@1
	int v332; // ST80_4@1
	int v333; // ST44_4@1
	int v334; // r12@1
	int v335; // STB8_4@1
	int v336; // r4@1
	int v337; // ST74_4@1
	int v338; // ST08_4@1
	int v339; // r5@1
	int v340; // ST84_4@1
	int v341; // r12@1
	int v342; // lr@1
	int v343; // ST54_4@1
	int v344; // STD8_4@1
	int v345; // STB8_4@1
	int v346; // ST74_4@1
	int v347; // r4@1
	int v348; // r6@1
	int v349; // r5@1
	int v350; // STD0_4@1
	int v351; // ST7C_4@1
	int v352; // ST6C_4@1
	int v353; // ST78_4@1
	int v354; // ST70_4@1
	int v355; // ST38_4@1
	int v356; // ST58_4@1
	int v357; // ST84_4@1
	int v358; // STB4_4@1
	int v359; // r9@1
	int v360; // STB8_4@1
	int v361; // r4@1
	int v362; // STAC_4@1
	int v363; // r12@1
	int v364; // STB0_4@1
	int v365; // r1@1
	int v366; // ST80_4@1
	int v367; // r8@1
	int v368; // lr@1
	int v369; // r11@1
	int v370; // r10@1
	int v371; // ST2C_4@1
	int v372; // ST30_4@1
	int v373; // r6@1
	int v374; // r2@1
	int v375; // ST68_4@1
	int v376; // ST58_4@1
	int v377; // r4@1
	int v378; // r5@1
	int v379; // ST44_4@1
	int v380; // ST54_4@1
	int v381; // r11@1
	int v382; // r1@1
	int v383; // ST18_4@1
	int v384; // ST38_4@1
	int v385; // r10@1
	int v386; // ST20_4@1
	int v387; // ST60_4@1
	int v388; // r3@1
	int v389; // ST30_4@1
	int v390; // r7@1
	int v391; // r9@1
	int v392; // r10@1
	int v393; // STA4_4@1
	int v394; // ST20_4@1
	int v395; // ST40_4@1
	int v396; // ST84_4@1
	int v397; // ST5C_4@1
	int v398; // STB0_4@1
	int v399; // r2@1
	int v400; // STAC_4@1
	int v401; // r10@1
	int v402; // ST90_4@1
	int v403; // ST58_4@1
	int v404; // r4@1
	int v405; // r3@1
	int v406; // ST70_4@1
	int v407; // r8@1
	int v408; // r3@1
	int v409; // r3@1
	int v410; // r5@1
	int v411; // r8@1
	int v412; // r3@1
	int v413; // ST10_4@1
	int v414; // r11@1
	int v415; // r8@1
	int v416; // ST68_4@1
	int v417; // ST38_4@1
	int v418; // ST64_4@1
	int v419; // ST54_4@1
	int v420; // ST44_4@1
	int v421; // STB4_4@1
	int v422; // STB8_4@1
	int v423; // ST8C_4@1
	int v424; // r5@1
	int v425; // ST18_4@1
	int v426; // r11@1
	int v427; // ST94_4@1
	int v428; // r3@1
	int v429; // r6@1
	int v430; // lr@1
	int v431; // ST6C_4@1
	int v432; // r4@1
	int v433; // ST8C_4@1
	int v434; // ST78_4@1
	int v435; // ST64_4@1
	int v436; // ST44_4@1
	int v437; // r6@1
	int v438; // ST68_4@1
	int v439; // r2@1
	int v440; // r1@1
	int v441; // ST34_4@1
	int v442; // r1@1
	int v443; // r5@1
	int v444; // r8@1
	int v445; // r3@1
	int v446; // r4@1
	int v447; // r12@1
	int v448; // r8@1
	int v449; // ST30_4@1
	int v450; // r6@1
	int v451; // r6@1
	int v452; // STA0_4@1
	int v453; // r6@1
	int v454; // r2@1
	int v455; // r4@1
	int v456; // ST64_4@1
	int v457; // r10@1
	int v458; // r7@1
	int v459; // r3@1
	int v460; // ST54_4@1
	int v461; // ST7C_4@1
	int v462; // r2@1
	int v463; // r1@1
	int v464; // ST50_4@1
	int v465; // lr@1
	int v466; // ST38_4@1
	int v467; // r5@1
	int v468; // r4@1
	int v469; // r11@1
	int v470; // ST74_4@1
	int v471; // r1@1
	int v472; // ST70_4@1
	int v473; // ST48_4@1
	int v474; // r11@1
	int v475; // ST80_4@1
	int v476; // STD8_4@1
	int v477; // ST68_4@1
	int v478; // r12@1
	int v479; // STF4_4@1
	int v480; // STFC_4@1
	int v481; // STF8_4@1
	int v482; // r7@1
	int v483; // r6@1
	int v484; // r3@1
	int v485; // ST6C_4@1
	int v486; // r1@1
	int v487; // ST94_4@1
	int v488; // ST00_4@1
	int v489; // STB8_4@1
	int v490; // r5@1
	int v491; // ST78_4@1
	int v492; // STE4_4@1
	int v493; // STE0_4@1
	int v494; // STE8_4@1
	int v495; // r1@1
	int v496; // r6@1
	int v497; // ST50_4@1
	int v498; // ST7C_4@1
	int v499; // STD0_4@1
	int v500; // ST40_4@1
	int v501; // ST94_4@1
	int v502; // STF0_4@1
	int v503; // ST80_4@1
	int v504; // r4@1
	int v505; // r11@1
	int v506; // r10@1
	int v507; // STD4_4@1
	int v508; // ST3C_4@1
	int v509; // ST2C_4@1
	int v510; // r2@1
	int v511; // r6@1
	int v512; // ST64_4@1
	int v513; // ST7C_4@1
	int v514; // r5@1
	int v515; // r12@1
	int v516; // ST10_4@1
	int v517; // r3@1
	int v518; // r12@1
	int v519; // r2@1
	int v520; // r4@1
	int v521; // r5@1
	int v522; // r11@1
	int v523; // ST18_4@1
	int v524; // r5@1
	int v525; // r1@1
	int v526; // r6@1
	int v527; // r3@1
	int v528; // r4@1
	int v529; // ST2C_4@1
	int v530; // r3@1
	int v531; // r12@1
	int v532; // lr@1
	int v533; // ST0C_4@1
	int v534; // r4@1
	int v535; // r9@1
	int v536; // r3@1
	int v537; // r10@1
	int v538; // ST18_4@1
	int v539; // ST14_4@1
	int v540; // r8@1
	int v541; // r1@1
	int v542; // lr@1
	int v543; // r6@1
	int v544; // r12@1

	v1 = *(_DWORD *)(result + 664);
	v2 = *(_DWORD *)(result + 792);
	v3 = v1 | *(_DWORD *)(result + 744);
	v4 = *(_DWORD *)(result + 548);
	v5 = *(_DWORD *)(result + 712) ^ *(_DWORD *)(result + 152) ^ ((*(_DWORD *)(result + 284) | *(_DWORD *)(result + 228)) ^ *(_DWORD *)(result + 136) | *(_DWORD *)(result + 76));
	v6 = v1 | *(_DWORD *)(result + 336);
	v7 = v3 ^ *(_DWORD *)(result + 308);
	v8 = v5 & ~*(_DWORD *)(result + 416);
	v9 = *(_DWORD *)(result + 416);
	v10 = ~*(_DWORD *)(result + 336);
	v11 = *(_DWORD *)(result + 420);
	*(_DWORD *)(result + 792) = (v6 | v2) ^ *(_DWORD *)(result + 476);
	v12 = v11 & v10 ^ v7;
	v13 = v8 ^ v4;
	v14 = *(_DWORD *)(result + 768);
	*(_DWORD *)(result + 420) = v12;
	*(_DWORD *)(result + 152) = v5;
	v15 = v5 & ~v4;
	v16 = v8;
	v17 = v5 & v4;
	v18 = ~v1;
	v19 = v3 & v10 ^ v14;
	v20 = (v6 | *(_DWORD *)(result + 796)) ^ *(_DWORD *)(result + 496);
	v21 = (v1 | *(_DWORD *)(result + 452)) ^ *(_DWORD *)(result + 804);
	v22 = v3 ^ *(_DWORD *)(result + 116);
	v23 = v2 & ~v18;
	v24 = *(_DWORD *)(result + 788);
	v25 = *(_DWORD *)(result + 120);
	v26 = v23;
	v27 = *(_DWORD *)(result + 764) & v18 | *(_DWORD *)(result + 336);
	v28 = *(_DWORD *)(result + 616);
	v29 = v5 & ~v25;
	v30 = v5 & v25;
	v31 = *(_DWORD *)(result + 120) ^ v5 & v25;
	v32 = *(_DWORD *)(result + 240);
	*(_DWORD *)(result + 768) = v8 ^ v4;
	v33 = ~v32;
	v34 = v31 & ~v32;
	v35 = v29 ^ v9;
	v36 = v21;
	v37 = v5 & *(_DWORD *)(result + 88);
	v38 = *(_DWORD *)(result + 528);
	v39 = *(_DWORD *)(result + 280) ^ *(_DWORD *)(result + 684) ^ *(_DWORD *)(result + 96) ^ (*(_DWORD *)(result + 400) | *(_DWORD *)(result + 228));
	v40 = *(_DWORD *)(result + 156);
	v41 = v5 & *(_DWORD *)(result + 596);
	v42 = v8 ^ *(_DWORD *)(result + 628);
	v43 = *(_DWORD *)(result + 160);
	v44 = *(_DWORD *)(result + 352);
	v45 = v5 & ~*(_DWORD *)(result + 156) ^ v40;
	v46 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 96) = v39;
	v47 = v43;
	v48 = v5 & v44;
	v49 = v41 ^ v46;
	v50 = v39 ^ *(_DWORD *)(result + 64);
	v51 = *(_DWORD *)(result + 88);
	v52 = *(_DWORD *)(result + 532);
	*(_DWORD *)(result + 780) = v42;
	v53 = v50;
	v54 = v39 ^ *(_DWORD *)(result + 224);
	v55 = v33 & ~*(_DWORD *)(result + 728);
	v56 = v5 & ~v51;
	v57 = *(_DWORD *)(result + 648);
	*(_DWORD *)(result + 772) = v30;
	v58 = v5 & v52;
	v59 = v5 & v38;
	*(_DWORD *)(result + 504) = v35;
	v60 = v37 ^ v38;
	v61 = v5 & v52 ^ *(_DWORD *)(result + 120);
	v62 = v5 & ~v57;
	*(_DWORD *)(result + 232) = v45;
	v63 = v5 & ~v57 ^ v57 ^ v34;
	*(_DWORD *)(result + 480) = v48;
	v64 = v57 & ~v5;
	*(_DWORD *)(result + 156) = v49;
	v65 = v5 & ~*(_DWORD *)(result + 736) ^ v57;
	v66 = *(_DWORD *)(result + 224);
	v67 = v65;
	v68 = v5 ^ *(_DWORD *)(result + 120);
	v69 = v39 & ~v66;
	*(_DWORD *)(result + 392) = v39 | v66;
	*(_DWORD *)(result + 684) = v53;
	v70 = v39 | *(_DWORD *)(result + 8);
	v71 = ~v39;
	v72 = ~v39 & *(_DWORD *)(result + 224);
	v73 = v55 & v5;
	v74 = *(_DWORD *)(result + 56) ^ *(_DWORD *)(result + 276) ^ *(_DWORD *)(result + 412) & ~*(_DWORD *)(result + 228) ^ *(_DWORD *)(result + 644);
	v75 = v52 ^ *(_DWORD *)(result + 220) ^ v56 ^ v60 & v33;
	v76 = v39 & ~*(_DWORD *)(result + 32);
	v77 = ~*(_DWORD *)(result + 8);
	v78 = ~*(_DWORD *)(result + 32);
	v79 = v72 & v77;
	v80 = v39 & v77;
	v81 = *(_DWORD *)(result + 392);
	v82 = v59 ^ *(_DWORD *)(result + 728) | *(_DWORD *)(result + 240);
	v83 = v58 ^ *(_DWORD *)(result + 88);
	v84 = (v54 | *(_DWORD *)(result + 8)) ^ v54;
	v85 = v67 & v33;
	v86 = ~v39 & *(_DWORD *)(result + 64);
	v87 = v63 & ~v74 ^ v73;
	v88 = v76 ^ v39;
	v89 = (v68 | *(_DWORD *)(result + 240)) ^ v5;
	v90 = *(_DWORD *)(result + 632) ^ *(_DWORD *)(result + 656) ^ *(_DWORD *)result;
	v91 = *(_DWORD *)(result + 228) | *(_DWORD *)(result + 688);
	v92 = v69 & v77 ^ v69;
	v93 = *(_DWORD *)(result + 224) & v39 ^ *(_DWORD *)(result + 8);
	v94 = v54 ^ *(_DWORD *)(result + 608);
	v95 = ~v69 & v39;
	v96 = (v81 ^ *(_DWORD *)(result + 428)) & v43;
	v97 = ~v39 & *(_DWORD *)(result + 224);
	v98 = v72 | *(_DWORD *)(result + 8);
	v99 = v75 ^ (v64 & v33 ^ v61 | v74);
	*(_DWORD *)(result + 760) = *(_DWORD *)(result + 392) & v77 ^ v54;
	v100 = *(_DWORD *)(result + 24);
	*(_DWORD *)(result + 404) = v79 ^ v97;
	v101 = v87 | v100;
	v102 = v85 ^ v61;
	v103 = v83 ^ v82;
	v104 = v86 ^ v76;
	v105 = v76 ^ v39 | *(_DWORD *)(result + 128);
	v106 = v89 & ~v74;
	v107 = v90 ^ v91;
	v108 = v69 & v77 & v47;
	v109 = ~*(_DWORD *)(result + 128);
	v110 = ~v69 & v47;
	v111 = v39 & v77 & v47 ^ *(_DWORD *)(result + 288);
	v112 = v92 ^ v47 & ~v70;
	v113 = v93 | v47;
	v114 = v84 & ~v47 ^ *(_DWORD *)(result + 288);
	v115 = (v54 ^ v80) & v47;
	v116 = v47 & ~v94;
	v117 = v96 ^ v80;
	v118 = v54 ^ *(_DWORD *)(result + 8);
	v119 = v70 ^ v39;
	v120 = v39 ^ *(_DWORD *)(result + 8);
	v121 = v47 & ~(v81 ^ v70) ^ *(_DWORD *)(result + 404);
	v122 = v47 & ~*(_DWORD *)(result + 404);
	v123 = v109 & v47;
	v124 = v69 ^ v98;
	*(_DWORD *)(result + 696) = v98 ^ v95;
	v125 = v99 ^ v101;
	v126 = v53 ^ *(_DWORD *)(result + 32);
	v127 = v106 ^ v103;
	v128 = *(_DWORD *)(result + 760) ^ v108;
	v129 = v112 & v109;
	v130 = v79 & v47 | *(_DWORD *)(result + 128);
	v131 = v79 & v47 ^ v70;
	v132 = v113 ^ v84;
	v133 = v114 | *(_DWORD *)(result + 128);
	v134 = v115 ^ v94;
	v135 = v118 ^ v110;
	v136 = v109 & v117;
	v137 = v121 | *(_DWORD *)(result + 128);
	v138 = v123 & ~v120;
	v139 = *(_DWORD *)(result + 696) ^ v116;
	v140 = v125 & *(_DWORD *)(result + 252);
	v141 = v107 & ~(v105 ^ *(_DWORD *)(result + 64));
	v142 = *(_DWORD *)(result + 24);
	v143 = v102 ^ (v30 & ~v33 | v74) ^ *(_DWORD *)(result + 204);
	*(_DWORD *)(result + 288) = v131 ^ v129;
	*(_DWORD *)(result + 584) = v128 ^ v111 & v109;
	*(_DWORD *)(result + 600) = v132 ^ v130;
	v144 = v127 & ~v142;
	*(_DWORD *)(result + 524) = v134 ^ v133;
	*(_DWORD *)(result + 428) = v136 ^ v135;
	*(_DWORD *)(result + 400) = v139 ^ v138;
	*(_DWORD *)(result + 200) = v124 ^ v122 ^ v137;
	v145 = ~v125;
	v146 = *(_DWORD *)(result + 252);
	*(_DWORD *)(result + 356) = v79 ^ v95 ^ v123 & ~v119;
	*(_DWORD *)(result + 220) = v125;
	*(_DWORD *)(result + 732) = v125 & ~v140;
	v147 = ~v146;
	v148 = v125 | v146;
	*(_DWORD *)(result + 532) = v125 & ~v146;
	v149 = v125 ^ v146;
	v150 = v146 & ~v125;
	v151 = v143 ^ v144;
	v152 = v149;
	*(_DWORD *)(result + 712) = v149;
	v153 = v30 ^ *(_DWORD *)(result + 88);
	v154 = (v86 ^ v76) & v109 ^ v126 ^ v141;
	v155 = v5 & *(_DWORD *)(result + 728);
	v156 = *(_DWORD *)(result + 240);
	*(_DWORD *)(result + 520) = v154;
	v157 = v156 & ~v153;
	v158 = v155;
	v159 = v155 ^ *(_DWORD *)(result + 88);
	v160 = *(_DWORD *)(result + 736);
	*(_DWORD *)(result + 740) = v150;
	*(_DWORD *)(result + 472) = v140;
	v161 = v151;
	v162 = v160;
	v163 = *(_DWORD *)(result + 448);
	v164 = v161;
	*(_DWORD *)(result + 204) = v161;
	v165 = v148;
	*(_DWORD *)(result + 804) = v148;
	v166 = v162 ^ v163;
	v167 = v37 & v33;
	v168 = v159 | *(_DWORD *)(result + 240);
	v169 = v62 ^ *(_DWORD *)(result + 120);
	v170 = *(_DWORD *)(result + 148);
	v171 = *(_DWORD *)(result + 260) ^ *(_DWORD *)(result + 724) ^ *(_DWORD *)(result + 492) ^ *(_DWORD *)(result + 84) ^ *(_DWORD *)(result + 168) & ~(*(_DWORD *)(result + 384) ^ *(_DWORD *)(result + 16));
	v172 = *(_DWORD *)(result + 360);
	v173 = v171 & ~v170;
	v174 = *(_DWORD *)(result + 260) ^ *(_DWORD *)(result + 724) ^ *(_DWORD *)(result + 492) ^ *(_DWORD *)(result + 84) ^ *(_DWORD *)(result + 168) & ~(*(_DWORD *)(result + 384) ^ *(_DWORD *)(result + 16));
	v175 = v171 & v170;
	v176 = *(_DWORD *)(result + 408);
	v177 = v175;
	v178 = *(_DWORD *)(result + 260) ^ *(_DWORD *)(result + 724) ^ *(_DWORD *)(result + 492) ^ *(_DWORD *)(result + 84) ^ *(_DWORD *)(result + 168) & ~(*(_DWORD *)(result + 384) ^ *(_DWORD *)(result + 16));
	v179 = v174 & ~*(_DWORD *)(result + 560);
	v180 = *(_DWORD *)(result + 432) & v174 ^ v172 ^ v176 & ~(v173 ^ v172);
	v181 = v176 & ~(v173 ^ *(_DWORD *)(result + 296)) ^ v179;
	v182 = *(_DWORD *)(result + 408);
	v183 = v182 & ~(v175 ^ *(_DWORD *)(result + 52));
	v184 = v179 ^ *(_DWORD *)(result + 672) ^ v182 & ~(v178 & *(_DWORD *)(result + 52));
	v185 = v182 ^ *(_DWORD *)(result + 88);
	v186 = *(_DWORD *)(result + 20);
	v187 = v181 | v186;
	v188 = v180 | v186;
	v189 = *(_DWORD *)(result + 432) ^ *(_DWORD *)(result + 672) & v178;
	v190 = (v157 ^ v30) & ~v74 ^ v168 ^ *(_DWORD *)(result + 88);
	v191 = ~v74 & *(_DWORD *)(result + 120) ^ v185 ^ v29;
	v192 = v169 ^ v167 ^ (v29 & v33 ^ *(_DWORD *)(result + 120) | v74);
	v193 = v174 & *(_DWORD *)(result + 300) ^ *(_DWORD *)(result + 312) ^ (*(_DWORD *)(result + 300) ^ v179) & *(_DWORD *)(result + 408) ^ v187;
	v194 = v184 ^ v188;
	v195 = v177 ^ *(_DWORD *)(result + 312) ^ (v172 | ~v178) & *(_DWORD *)(result + 408) ^ (v183 ^ v189 | *(_DWORD *)(result + 20));
	v196 = (v74 | *(_DWORD *)(result + 372)) ^ v166 ^ v5 ^ *(_DWORD *)(result + 132);
	v197 = *(_DWORD *)(result + 208) ^ v193;
	v198 = *(_DWORD *)(result + 396);
	v199 = v190 | *(_DWORD *)(result + 24);
	v200 = v191 ^ (v158 ^ *(_DWORD *)(result + 728) | *(_DWORD *)(result + 240));
	v201 = v192 | *(_DWORD *)(result + 24);
	v202 = v194 | *(_DWORD *)(result + 236);
	v203 = v177 ^ *(_DWORD *)(result + 312) ^ (v172 | ~v178) & *(_DWORD *)(result + 408) ^ (v183 ^ v189 | *(_DWORD *)(result + 20));
	*(_DWORD *)(result + 496) = v165 & v145;
	v204 = v203;
	v205 = *(_DWORD *)(result + 236);
	v206 = v205;
	v207 = v204 | v205;
	v208 = v196 ^ v199;
	*(_DWORD *)(result + 360) = v207;
	v209 = *(_DWORD *)(result + 592);
	v210 = v208;
	v211 = v200 ^ v201;
	v212 = *(_DWORD *)(result + 64);
	v213 = v210;
	*(_DWORD *)(result + 132) = v210;
	v214 = v197 ^ v202;
	v215 = v194 & v206;
	v216 = v214;
	v217 = v39 & v212;
	v218 = ~v214;
	v219 = v39 | *(_DWORD *)(result + 32);
	v220 = v211;
	*(_DWORD *)(result + 616) = v211;
	v221 = v41 ^ *(_DWORD *)(result + 596);
	v222 = *(_DWORD *)(result + 364);
	*(_DWORD *)(result + 208) = v214;
	v223 = v214 | v222;
	v224 = v216;
	v225 = v5 & ~*(_DWORD *)(result + 540);
	v226 = v216;
	v227 = v216 | *(_DWORD *)(result + 24);
	v228 = v218 & v209;
	v229 = *(_DWORD *)(result + 248) ^ v193 ^ v215;
	v230 = v29 ^ *(_DWORD *)(result + 596);
	v231 = v218 & *(_DWORD *)(result + 668);
	v232 = v223 ^ v198;
	v233 = (v226 | *(_DWORD *)(result + 112)) ^ v209 ^ *(_DWORD *)(result + 332);
	v234 = v217 ^ v219;
	v235 = v86 ^ *(_DWORD *)(result + 32);
	v236 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 516) |= v226;
	v237 = v16 ^ v236 | v229;
	v238 = *(_DWORD *)(result + 24);
	v239 = v218 & *(_DWORD *)(result + 364) ^ v209;
	v240 = v218 & v238;
	v241 = v238 ^ *(_DWORD *)(result + 680);
	v242 = (v230 | v229) ^ v45;
	v243 = (v233 | *(_DWORD *)(result + 144)) ^ v226;
	v244 = v39 & ~v217;
	v245 = v39 | *(_DWORD *)(result + 64);
	v246 = v239 & *(_DWORD *)(result + 176) ^ *(_DWORD *)(result + 516);
	v247 = v240 ^ v198 | *(_DWORD *)(result + 176);
	v248 = v237 ^ v48;
	v249 = (v229 | v29 ^ *(_DWORD *)(result + 540)) ^ v30;
	v250 = v30 ^ v40;
	v251 = (v177 ^ *(_DWORD *)(result + 432)) & *(_DWORD *)(result + 408);
	v252 = v178 & *(_DWORD *)(result + 312) ^ *(_DWORD *)(result + 296);
	v253 = v17 ^ *(_DWORD *)(result + 352);
	v254 = (~v39 ^ v78) & v245 | *(_DWORD *)(result + 128);
	v255 = (v229 | v221) ^ v225 ^ *(_DWORD *)(result + 596) | v107;
	v256 = *(_DWORD *)(result + 128);
	*(_DWORD *)(result + 284) = (v225 ^ *(_DWORD *)(result + 352)) & v229 ^ v35;
	v257 = v249 ^ ((v230 | v229) ^ v42 | v107);
	v258 = v227 ^ v209;
	v259 = *(_DWORD *)(result + 264);
	v260 = v227 ^ v259;
	v261 = v228 ^ v209;
	v262 = v104 & v256 ^ v126 ^ ((v256 | v104) ^ v235) & v107;
	v263 = ~*(_DWORD *)(result + 176);
	v264 = v231 & v263;
	v265 = (v224 | v259) ^ v241 ^ (v228 ^ v259) & v263;
	v266 = *(_DWORD *)(result + 92) ^ *(_DWORD *)(result + 320) ^ v227 ^ v209;
	v267 = v232 & v263 ^ v258 | *(_DWORD *)(result + 144);
	v268 = (*(_DWORD *)(result + 176) | v232) ^ *(_DWORD *)(result + 516);
	v269 = *(_DWORD *)(result + 144);
	v270 = v240 ^ *(_DWORD *)(result + 376) | v269;
	v271 = *(_DWORD *)(result + 516) ^ *(_DWORD *)(result + 364) ^ (v231 ^ *(_DWORD *)(result + 364) | *(_DWORD *)(result + 176)) | v269;
	v272 = *(_DWORD *)(result + 368);
	v273 = (v240 ^ v272) & *(_DWORD *)(result + 176);
	v274 = *(_DWORD *)(result + 12) ^ v272 ^ v247;
	v275 = (v240 ^ *(_DWORD *)(result + 24)) & v263 ^ v243;
	v276 = v245 ^ *(_DWORD *)(result + 32);
	v277 = v107 & ~(v244 ^ v76 ^ v234 & v109) ^ v254 ^ v245 ^ *(_DWORD *)(result + 32);
	v278 = *(_DWORD *)(result + 20) ^ *(_DWORD *)(result + 24) ^ *(_DWORD *)(result + 324) ^ v224;
	*(_DWORD *)(result + 396) = v267 ^ v268;
	*(_DWORD *)(result + 492) = (v15 | v229) ^ v13;
	v279 = v260 & *(_DWORD *)(result + 144) ^ v264;
	v280 = v261 & *(_DWORD *)(result + 144) ^ v273;
	v281 = v30 & v229 ^ v42 ^ v242 & ~v107;
	v282 = v265 & v33;
	v283 = v255 ^ *(_DWORD *)(result + 492);
	v284 = *(_DWORD *)(result + 284) ^ *(_DWORD *)(result + 236) ^ v248 & ~v107;
	v285 = *(_DWORD *)(result + 408) & ~v189;
	v286 = v229;
	v287 = v229 | v250;
	v288 = v266 ^ v270;
	v289 = *(_DWORD *)(result + 240);
	v290 = v229 | v253;
	v291 = v279 | v289;
	v292 = *(_DWORD *)(result + 216) & ~v257;
	v293 = v280 | v289;
	v294 = v278;
	v295 = v274 ^ v246 & ~*(_DWORD *)(result + 144);
	v296 = v262 ^ *(_DWORD *)(result + 124);
	v297 = v283 ^ *(_DWORD *)(result + 44);
	v298 = *(_DWORD *)(result + 216) & v281;
	v299 = v282 ^ *(_DWORD *)(result + 396);
	v300 = v229 & v277;
	v301 = v285 ^ v178 ^ *(_DWORD *)(result + 560);
	v302 = *(_DWORD *)(result + 20);
	*(_DWORD *)(result + 248) = v286;
	v303 = v291 ^ v288;
	v304 = v292 ^ v284;
	v305 = v294 ^ v271 ^ v293;
	v306 = v295 ^ v275 & v33;
	v307 = v290 ^ v49;
	v308 = v299 ^ *(_DWORD *)(result + 68);
	*(_DWORD *)(result + 752) = v307;
	*(_DWORD *)(result + 92) = v303;
	v309 = v305;
	*(_DWORD *)(result + 788) = v305;
	v310 = v306;
	*(_DWORD *)(result + 12) = v306;
	*(_DWORD *)(result + 68) = v308;
	*(_DWORD *)(result + 124) = v296 ^ v300;
	v311 = v268;
	v312 = v308;
	*(_DWORD *)(result + 580) = v283;
	*(_DWORD *)(result + 368) = v311;
	*(_DWORD *)(result + 572) = v287 ^ v15;
	v313 = *(_DWORD *)(result + 236);
	*(_DWORD *)(result + 20) = v301 ^ (v252 ^ v251 | v302);
	v314 = v195 & v313;
	v315 = v217;
	v316 = v296 ^ v300;
	v317 = v315 ^ *(_DWORD *)(result + 272);
	v318 = v297 ^ v298;
	*(_DWORD *)(result + 44) = v297 ^ v298;
	*(_DWORD *)(result + 236) = v292 ^ v284;
	v319 = v30;
	v320 = v287 ^ v15;
	v321 = *(_DWORD *)(result + 128) & ~(v245 & v78) ^ v317 ^ v107 & ~((v276 | *(_DWORD *)(result + 128)) ^ v317);
	v322 = v53 ^ v76;
	v323 = v30 ^ *(_DWORD *)(result + 540);
	v324 = v39 & ~*(_DWORD *)(result + 64);
	v325 = *(_DWORD *)(result + 20) ^ *(_DWORD *)(result + 640) ^ v314;
	v326 = *(_DWORD *)(result + 256) ^ *(_DWORD *)(result + 172) ^ (v325 | *(_DWORD *)(result + 756));
	v327 = v245 & v71;
	v328 = ~v309 & v164;
	v329 = v286 | v323;
	v330 = v322 & v109 ^ *(_DWORD *)(result + 32);
	v331 = v234 & *(_DWORD *)(result + 128) ^ v88;
	v332 = v244 | *(_DWORD *)(result + 32);
	v333 = v309 & v164 ^ v326;
	v334 = (v309 | v164) & ~v164;
	v335 = ~v286 & (*(_DWORD *)(result + 416) ^ v319) ^ v35;
	v336 = ((v286 | v323) ^ v15) & ~v107;
	v337 = v5 & ~*(_DWORD *)(result + 596);
	v338 = (v321 | v286) ^ v262 ^ *(_DWORD *)(result + 108);
	v339 = ~v309 & v326;
	v340 = v326 & ~v334;
	v341 = v339 ^ v334;
	v342 = v339 ^ v309 ^ v164;
	v343 = v326 & ~(v309 | v164);
	v344 = v164 ^ *(_DWORD *)(result + 24);
	v345 = v335 ^ v336;
	v346 = v329 ^ v337;
	v347 = *(_DWORD *)(result + 32) | v327;
	v348 = v340;
	v349 = v309 ^ v340;
	v350 = v326 & ~v164 ^ *(_DWORD *)(result + 184);
	v351 = v307 ^ *(_DWORD *)(result + 244) ^ (~v286 & v253 ^ v15 | v107);
	v352 = ~v286 & v15 ^ *(_DWORD *)(result + 596);
	v353 = *(_DWORD *)(result + 216) & ~v345;
	v354 = (v286 | *(_DWORD *)(result + 596)) ^ v48 ^ *(_DWORD *)(result + 120);
	v355 = v347 ^ v107 & *(_DWORD *)(result + 464);
	v356 = v347 | *(_DWORD *)(result + 128);
	v357 = v286 & (v324 ^ *(_DWORD *)(result + 328) ^ v332 ^ v331 & v107);
	v358 = v338 & ~(v326 & ~(v309 ^ v164) ^ v309 & v164 ^ v304 & ~(v309 & v326 ^ v164));
	v359 = v309 & v326 & ~v164 ^ v309 ^ v164 ^ (v309 ^ v164 ^ v326) & v304;
	v360 = v304 & ~v341 ^ v164;
	v361 = v348 ^ (v309 | v164);
	v362 = v342 & v304 ^ v164;
	v363 = ((v309 & v164 | ~v164) & v326 ^ (v328 ^ v309 & v326) & v304) & v338;
	v364 = v304 & ~v333 ^ v328 ^ v309 & v326;
	v365 = (v309 & v164 | ~v164) & v326;
	v366 = v338 & ~(v309 & v164);
	v367 = v304 & v326 & v328 ^ (v309 | v164) ^ v365;
	v368 = v338 & ~(v309 ^ (v309 | v164) & v326 ^ v333 & v304);
	v369 = v326 & ~(v309 | v164) ^ v309 & v164 ^ v326 & ~(v309 ^ v164) & v338;
	v370 = ((v309 ^ v164) & v326 | v304) ^ *(_DWORD *)(result + 80);
	v371 = v353 ^ v351;
	v372 = v355 ^ v356;
	v373 = v357 ^ v327 ^ v324 & v78 ^ *(_DWORD *)(result + 128) ^ v330 & v107 ^ *(_DWORD *)(result + 52);
	v374 = v344 ^ ~v309 & v326 ^ v349 & v304;
	v375 = *(_DWORD *)(result + 224) ^ v304 ^ v333;
	v376 = v304 & ~v361;
	v377 = v370 ^ v361;
	v378 = v365 & v304 ^ v343;
	v379 = *(_DWORD *)(result + 140) & ~v369;
	v380 = v325 | *(_DWORD *)(result + 700);
	v381 = *(_DWORD *)(result + 612) ^ *(_DWORD *)(result + 104);
	v382 = *(_DWORD *)(result + 36) ^ v320 ^ v352 & ~v107;
	v383 = (v354 ^ (v346 | v107)) & *(_DWORD *)(result + 216);
	v384 = v154 ^ *(_DWORD *)(result + 164);
	v385 = v286 & ~v372;
	v386 = *(_DWORD *)(result + 140) & ~(v359 ^ v358);
	v387 = v375 ^ v338 & ~v367 ^ *(_DWORD *)(result + 140) & ~(v360 ^ v363);
	v388 = v350 ^ v309 ^ v366 ^ v376 ^ (v362 ^ v368) & *(_DWORD *)(result + 140);
	*(_DWORD *)(result + 224) = v387;
	v389 = v381 ^ v380;
	v390 = v383 ^ v382;
	*(_DWORD *)(result + 184) = v388;
	v391 = v384 ^ v385;
	*(_DWORD *)(result + 80) = v377 ^ v379 ^ v338 & ~v378;
	v392 = v338 & ~v364 ^ v374 ^ v386;
	*(_DWORD *)(result + 244) = v353 ^ v351;
	v393 = ~(v353 ^ v351);
	v394 = v393 & v220;
	*(_DWORD *)(result + 548) = v394;
	v395 = v353 ^ v351 ^ v220;
	*(_DWORD *)(result + 628) = v395;
	v396 = ~v373 & v220;
	v397 = ~v373;
	v398 = v392;
	v399 = v316 | v381 ^ v380;
	*(_DWORD *)(result + 24) = v392;
	*(_DWORD *)(result + 36) = v383 ^ v382;
	*(_DWORD *)(result + 264) = v396;
	*(_DWORD *)(result + 164) = v391;
	*(_DWORD *)(result + 108) = v338;
	v400 = v373;
	*(_DWORD *)(result + 52) = v373;
	v401 = (v312 | v383 ^ v382) & ~v312;
	*(_DWORD *)(result + 172) = v326;
	*(_DWORD *)(result + 700) = v399;
	*(_DWORD *)(result + 640) = v325;
	v402 = v213 & v147 & ~v312;
	*(_DWORD *)(result + 612) = v381 ^ v380;
	v403 = v353 ^ v351 | v220;
	v404 = *(_DWORD *)(result + 800);
	v405 = ~(v381 ^ v380);
	*(_DWORD *)(result + 408) = (v381 ^ v380) & v316;
	v406 = v404;
	*(_DWORD *)(result + 104) = v405 & v399;
	v407 = v405 & v316;
	v408 = *(_DWORD *)(result + 316);
	*(_DWORD *)(result + 800) = v407;
	*(_DWORD *)(result + 764) = (v381 ^ v380) & ~v152;
	v409 = v408 & ~v325;
	v410 = *(_DWORD *)(result + 100) ^ *(_DWORD *)(result + 348);
	*(_DWORD *)(result + 560) = v381 ^ v380 ^ v316;
	*(_DWORD *)(result + 324) = v353 ^ v351 | v381 ^ v380;
	v411 = v410 ^ v409;
	v412 = v312 ^ v383 ^ v382 | v410 ^ v409;
	v413 = v411;
	v414 = ~v411;
	v415 = (v383 ^ v382) & ~v411;
	v416 = v401 ^ v414 & ~(v383 ^ v382) & v312;
	v417 = v312 ^ v415;
	v418 = v312 & v414;
	v419 = v412 ^ v383 ^ v382;
	v420 = ~v312 & (v383 ^ v382) & ~v414;
	v421 = v412 & ~v213;
	v422 = v312 | v383 ^ v382 | v413;
	v423 = (v312 ^ v383 ^ v382) & v414;
	v424 = (v312 | v413) ^ v390 ^ (v412 ^ v390 | v213);
	v425 = *(_DWORD *)(result + 544) ^ *(_DWORD *)(result + 692) ^ (*(_DWORD *)(result + 552) | v325);
	v426 = (v412 ^ v312) & ~v213;
	v427 = (v213 | v312 ^ v415) ^ v312 ^ v390;
	v428 = v418 ^ v312 ^ v390;
	v429 = v420 & v213 ^ (v312 | v413) ^ v312 ^ v390;
	v430 = v418 ^ (v312 | v390) ^ ((v312 | v413) ^ v312 ^ v390) & ~v213;
	v431 = v213 & ~v420;
	v432 = (v419 | v213) ^ v423;
	v433 = v416 & v213;
	v434 = (v413 | v390) ^ v312 ^ v390 ^ (v416 | v213);
	v435 = (v415 ^ v390) & ~v213 ^ v312 & v390;
	v436 = (v312 ^ v415) & ~v213 ^ v390;
	v437 = v429 | *(_DWORD *)(result + 252);
	v438 = v312 ^ v415 ^ v213;
	v439 = (v312 ^ (v312 | v413)) & v213 ^ v428 ^ (v433 | *(_DWORD *)(result + 252));
	v440 = *(_DWORD *)(result + 544) ^ *(_DWORD *)(result + 692) ^ (*(_DWORD *)(result + 552) | v325);
	*(_DWORD *)(result + 648) = v371 | v425;
	v441 = ~v440;
	v442 = v395 | v440;
	*(_DWORD *)(result + 136) = v439;
	*(_DWORD *)(result + 592) = v437 ^ v419 ^ v431;
	*(_DWORD *)(result + 364) = v424 & v147 ^ v436;
	*(_DWORD *)(result + 256) = v432 & v147 ^ v426 ^ v428;
	v443 = *(_DWORD *)(result + 408);
	*(_DWORD *)(result + 720) = v438 ^ v434 & v147;
	*(_DWORD *)(result + 348) = v395 & v441;
	*(_DWORD *)(result + 672) = v435 ^ v430 & v147;
	*(_DWORD *)(result + 276) = v427 ^ (v401 | v413) ^ (v421 ^ v422) & v147;
	*(_DWORD *)(result + 680) = v213 & ~v415 ^ v417 ^ v402;
	v444 = *(_DWORD *)(result + 648);
	*(_DWORD *)(result + 100) = v413;
	*(_DWORD *)(result + 604) = v389 & ~v443;
	*(_DWORD *)(result + 728) = v389 & ~v316;
	*(_DWORD *)(result + 552) = (v425 | v220) ^ v220;
	*(_DWORD *)(result + 544) = v444 ^ v395;
	v445 = *(_DWORD *)(result + 348) ^ v394;
	v446 = *(_DWORD *)(result + 620);
	*(_DWORD *)(result + 692) = v425;
	v447 = v325 & v22;
	v448 = ~v310 & *(_DWORD *)(result + 784);
	*(_DWORD *)(result + 636) = v394 ^ (v425 | v220);
	v449 = ~v310;
	*(_DWORD *)(result + 376) = v442 ^ v395;
	v450 = *(_DWORD *)(result + 424);
	*(_DWORD *)(result + 724) = v442 ^ v394;
	v451 = ~v450;
	v452 = v451;
	v453 = (v325 & ~v446 ^ v406) & v451;
	*(_DWORD *)(result + 416) = v395 ^ (v394 | v425);
	v454 = *(_DWORD *)(result + 72);
	v455 = *(_DWORD *)(result + 784);
	*(_DWORD *)(result + 736) = v371 & v441 & v220;
	v456 = v454;
	v457 = v310 & ~v455;
	v458 = v310 | v455;
	*(_DWORD *)(result + 540) = v445;
	v459 = *(_DWORD *)(result + 536);
	v460 = ~v448 & v455;
	v461 = v213 & ~v457;
	v462 = *(_DWORD *)(result + 228);
	*(_DWORD *)(result + 608) = v394 & v441 ^ v220;
	*(_DWORD *)(result + 280) = v403 & v441 ^ v371;
	v463 = (v310 | v455) ^ v213;
	v464 = ~v310 & v213;
	v465 = v459 ^ v462 ^ v447 ^ v453;
	v466 = ~v448 & v213;
	v467 = v391 & ~(v310 ^ v213);
	v468 = v213 & ~v460;
	v469 = *(_DWORD *)(result + 784);
	v470 = v448 & v213;
	v471 = v391 & ~v463 ^ v461 ^ v469;
	v472 = ~v458 & v213;
	v473 = v465 | v338;
	v474 = (v310 ^ v469) & v213;
	v475 = v458 ^ v466;
	v476 = v448 & v213 ^ v448;
	v477 = (v465 | v338) & ~v465;
	v478 = v467 ^ ~v310 & (v213 ^ *(_DWORD *)(result + 784));
	v479 = v413 & ~v471;
	v480 = v213 & *(_DWORD *)(result + 784) & v310;
	v481 = ~v458 & v413 & v391;
	v482 = v391 & ~(v310 & v213 ^ v310);
	v483 = v391 & ~(v448 ^ v310 & v213) ^ v448 ^ v310 & v213;
	v484 = *(_DWORD *)(result + 140);
	v485 = v484 & ~v477;
	v486 = ~(v465 & v338);
	v487 = v486 & v465;
	v488 = v486 & v484;
	v489 = v461 ^ v391 & ~(v468 ^ v457);
	v490 = v413 & ~(v464 ^ v460 ^ v467);
	v491 = v475 & ~v391 ^ v464 ^ v460;
	v492 = v391 & ~(v464 ^ v460);
	v493 = v464 ^ *(_DWORD *)(result + 784);
	v494 = v464 ^ v460 ^ (v464 ^ v310) & v391;
	v495 = v483 ^ v479;
	v496 = v465 & ~v338;
	v497 = (v465 ^ v338) & *(_DWORD *)(result + 140);
	v498 = v318 & ~(v465 & v338 & *(_DWORD *)(result + 140) ^ v465);
	v499 = v457 ^ v456 ^ v466 ^ v391 & ~(v466 ^ v310) ^ v413 & ~(v472 & v391 ^ v476);
	v500 = *(_DWORD *)(result + 140) & ~v487;
	v501 = v491 ^ v74;
	v502 = v391 & ~v475;
	v503 = v448 ^ *(_DWORD *)(result + 144) ^ v466;
	v504 = (v470 ^ v457) & v391;
	v505 = v474 ^ v457 ^ (v474 ^ v310) & v391;
	v506 = v496 & ~*(_DWORD *)(result + 140);
	v507 = v497 ^ v496;
	*(_DWORD *)(result + 116) = v496 ^ *(_DWORD *)(result + 140);
	v508 = v371 & ~v220;
	v509 = v465 ^ v338 ^ *(_DWORD *)(result + 140);
	v510 = v499 ^ v495 & v465;
	*(_DWORD *)(result + 300) = v497 ^ v465 & v338;
	v511 = (v318 | v485 ^ v465 ^ v338) ^ *(_DWORD *)(result + 116);
	v512 = (v500 ^ v498) & ~v310;
	*(_DWORD *)(result + 56) = v501 ^ v489 & v413 ^ v465 & ~(v478 ^ v490);
	v513 = (v485 ^ v465 ^ v338) & ~v318 ^ *(_DWORD *)(result + 300);
	*(_DWORD *)(result + 656) = v394 & v441 ^ v394;
	*(_DWORD *)(result + 316) = v441 & v220 ^ v220;
	*(_DWORD *)(result + 320) = v425 ^ v394;
	*(_DWORD *)(result + 460) = (v403 | v425) ^ v403;
	*(_DWORD *)(result + 388) = (v508 | v425) ^ v394;
	v514 = *(_DWORD *)(result + 56);
	*(_DWORD *)(result + 328) = (v393 ^ v441) & v220;
	*(_DWORD *)(result + 536) = v509 ^ v318 ^ v512;
	*(_DWORD *)(result + 644) = v514 | v398;
	*(_DWORD *)(result + 144) = (v493 ^ v492 ^ v413 & ~v494) & v465 ^ v504 ^ v503 ^ v413 & ~v505;
	*(_DWORD *)(result + 756) = v488;
	*(_DWORD *)(result + 72) = v510;
	*(_DWORD *)(result + 412) = (v387 | v510) & ~v510;
	*(_DWORD *)(result + 168) = ~v510 & v387;
	*(_DWORD *)(result + 528) = v387 ^ v510;
	*(_DWORD *)(result + 228) = v465;
	*(_DWORD *)result = v465 & ~(v482 ^ v481 ^ v480) ^ v491 ^ v107 ^ (v460 ^ v472 ^ v502 | v413);
	v515 = (v500 | v318) ^ *(_DWORD *)(result + 140);
	*(_DWORD *)(result + 260) = v387 | v510;
	*(_DWORD *)(result + 352) = v510 & ~v387;
	v516 = v515;
	*(_DWORD *)(result + 272) = v387 & v510;
	v517 = *(_DWORD *)(result + 808);
	*(_DWORD *)(result + 464) = v510 & ~(v387 & v510);
	*(_DWORD *)(result + 384) = (v497 ^ (v465 | v338)) & ~v318 ^ v509 ^ (v507 & ~v318 | v310);
	v518 = v178 ^ v28 ^ v27 ^ v325 & ~v517;
	*(_DWORD *)(result + 332) = v506 & ~v318 ^ v338 ^ (v488 ^ (v318 | v465) ^ v465 | v310);
	v519 = ~v465 & *(_DWORD *)(result + 140);
	v520 = v36 | *(_DWORD *)(result + 336);
	*(_DWORD *)(result + 620) = v477;
	v521 = *(_DWORD *)(result + 268);
	*(_DWORD *)(result + 668) = (v511 | v310) ^ v513;
	v522 = v26 ^ v521;
	*(_DWORD *)(result + 296) = v516;
	v523 = v520 ^ v24;
	v524 = *(_DWORD *)(result + 140);
	*(_DWORD *)(result + 312) = v485;
	v525 = (v488 ^ v465 & v338) & ~v318;
	v526 = *(_DWORD *)(result + 188);
	v527 = *(_DWORD *)(result + 196);
	v528 = *(_DWORD *)(result + 556);
	*(_DWORD *)(result + 16) = v500 ^ v338;
	v529 = v526;
	v530 = v518 ^ (v527 & v325 ^ v20) & v452;
	v531 = v530 & ~v220;
	v532 = (v519 ^ v465 | v318) ^ *(_DWORD *)(result + 140);
	v533 = v530;
	v534 = v325 & ~v528 ^ v523;
	*(_DWORD *)(result + 556) = v530 ^ v220;
	v535 = v530 & v220;
	v536 = *(_DWORD *)(result + 556);
	v537 = v535 ^ (v400 | v220);
	v538 = v532 | v310;
	v539 = v525 | v310;
	*(_DWORD *)(result + 808) = v535;
	v540 = v500 ^ v338 ^ (v318 | v473);
	v541 = *(_DWORD *)(result + 140);
	*(_DWORD *)(result + 448) = v540;
	v542 = v541 & ~v473;
	v543 = v536 & v397 ^ v531;
	v544 = v531 & v397 ^ v535;
	*(_DWORD *)(result + 188) = v19 ^ v529 ^ v325 & ~v522 ^ (v534 | *(_DWORD *)(result + 424));
	*(_DWORD *)(result + 84) = v533;
	*(_DWORD *)(result + 776) = ((v524 | v318) ^ v485) & v449 ^ v516;
	*(_DWORD *)(result + 632) = v540 ^ v538;
	*(_DWORD *)(result + 308) = v539 ^ (v519 ^ v477 | v318) ^ v488;
	*(_DWORD *)(result + 432) = v449 & (v488 ^ v338) ^ v542;
	*(_DWORD *)(result + 196) = v533 & v397;
	*(_DWORD *)(result + 488) = v542;
	*(_DWORD *)(result + 268) = v309 & (v220 ^ v536 & v397);
	*(_DWORD *)(result + 476) = v543 & v309;
	*(_DWORD *)(result + 468) = v309 & ~(v536 ^ (v400 | v220)) ^ v544;
	*(_DWORD *)(result + 796) = v544;
	*(_DWORD *)(result + 688) = (v396 ^ v220 | v309) ^ v537;
	*(_DWORD *)(result + 372) = v309 & ~v537;
	return result;
}

//----- (000910A8) --------------------------------------------------------
unsigned char* sub_910A8(unsigned char* result)
{
	int v1; // r1@1
	int v2; // ST08_4@1
	int v3; // r10@1
	int v4; // r5@1
	int v5; // ST04_4@1
	int v6; // r4@1
	int v7; // r8@1
	int v8; // ST3C_4@1
	int v9; // ST38_4@1
	int v10; // ST18_4@1
	int v11; // ST0C_4@1
	int v12; // ST14_4@1
	int v13; // ST34_4@1
	int v14; // ST44_4@1
	int v15; // ST40_4@1
	int v16; // ST24_4@1
	int v17; // ST48_4@1
	int v18; // ST10_4@1
	int v19; // ST04_4@1
	int v20; // r5@1
	int v21; // r2@1
	int v22; // r4@1
	int v23; // r5@1
	int v24; // r6@1
	int v25; // lr@1
	int v26; // r7@1
	int v27; // ST18_4@1
	int v28; // ST14_4@1
	int v29; // r1@1
	int v30; // r12@1
	int v31; // ST0C_4@1
	int v32; // ST04_4@1
	int v33; // ST20_4@1
	int v34; // r1@1
	int v35; // r9@1
	int v36; // ST4C_4@1
	int v37; // ST28_4@1
	int v38; // r3@1
	int v39; // ST2C_4@1
	int v40; // ST18_4@1
	int v41; // r3@1
	int v42; // r6@1
	int v43; // lr@1
	int v44; // ST30_4@1
	int v45; // ST40_4@1
	int v46; // STD8_4@1
	int v47; // ST14_4@1
	int v48; // r7@1
	int v49; // r12@1
	int v50; // r8@1
	int v51; // ST10_4@1
	int v52; // lr@1
	int v53; // ST1C_4@1
	int v54; // r6@1
	int v55; // r9@1
	int v56; // r4@1
	int v57; // r1@1
	int v58; // ST28_4@1
	int v59; // ST38_4@1
	int v60; // ST5C_4@1
	int v61; // ST68_4@1
	int v62; // r6@1
	int v63; // r5@1
	int v64; // ST10_4@1
	int v65; // r2@1
	int v66; // ST4C_4@1
	int v67; // ST64_4@1
	int v68; // ST60_4@1
	int v69; // ST3C_4@1
	int v70; // lr@1
	int v71; // ST5C_4@1
	int v72; // ST54_4@1
	int v73; // ST68_4@1
	int v74; // ST40_4@1
	int v75; // ST2C_4@1
	int v76; // r8@1
	int v77; // r2@1
	int v78; // r3@1
	int v79; // r1@1
	int v80; // ST58_4@1
	int v81; // r9@1
	int v82; // ST04_4@1
	int v83; // r3@1
	int v84; // r11@1
	int v85; // ST10_4@1
	int v86; // ST20_4@1
	int v87; // r1@1
	int v88; // r3@1
	int v89; // r8@1
	int v90; // ST04_4@1
	int v91; // r2@1
	int v92; // r4@1
	int v93; // r6@1
	int v94; // r1@1
	int v95; // r12@1
	int v96; // r7@1
	int v97; // r6@1
	int v98; // lr@1
	int v99; // ST50_4@1
	int v100; // r1@1
	int v101; // ST08_4@1
	int v102; // r6@1
	int v103; // ST90_4@1
	int v104; // r3@1
	int v105; // r4@1
	int v106; // r12@1
	int v107; // r4@1
	int v108; // r12@1
	int v109; // r3@1
	int v110; // ST5C_4@1
	int v111; // r6@1
	int v112; // ST0C_4@1
	int v113; // ST38_4@1
	int v114; // ST80_4@1
	int v115; // r1@1
	int v116; // STCC_4@1
	int v117; // r7@1
	int v118; // r5@1
	int v119; // ST84_4@1
	int v120; // ST04_4@1
	int v121; // r3@1
	int v122; // ST4C_4@1
	int v123; // ST74_4@1
	int v124; // ST3C_4@1
	int v125; // r2@1
	int v126; // ST60_4@1
	int v127; // ST40_4@1
	int v128; // r1@1
	int v129; // ST48_4@1
	int v130; // ST64_4@1
	int v131; // ST20_4@1
	int v132; // r7@1
	int v133; // ST70_4@1
	int v134; // STE0_4@1
	int v135; // ST34_4@1
	int v136; // r6@1
	int v137; // ST2C_4@1
	int v138; // r1@1
	int v139; // lr@1
	int v140; // r8@1
	int v141; // r4@1
	int v142; // r3@1
	int v143; // r2@1
	int v144; // ST10_4@1
	int v145; // r5@1
	int v146; // STB0_4@1
	int v147; // r10@1
	int v148; // r5@1
	int v149; // STAC_4@1
	int v150; // r1@1
	int v151; // r3@1
	int v152; // r5@1
	int v153; // r4@1
	int v154; // lr@1
	int v155; // r3@1
	int v156; // r9@1
	int v157; // ST28_4@1
	int v158; // ST58_4@1
	int v159; // r3@1
	int v160; // r12@1
	int v161; // lr@1
	int v162; // ST6C_4@1
	int v163; // r2@1
	int v164; // r4@1
	int v165; // r1@1
	int v166; // lr@1
	int v167; // r6@1
	int v168; // ST68_4@1
	int v169; // r7@1
	int v170; // ST88_4@1
	int v171; // r1@1
	int v172; // r4@1
	int v173; // ST34_4@1
	int v174; // r6@1
	int v175; // ST20_4@1
	int v176; // r5@1
	int v177; // r2@1
	int v178; // r1@1
	int v179; // r12@1
	int v180; // r11@1
	int v181; // r3@1
	int v182; // r12@1
	int v183; // r9@1
	int v184; // ST78_4@1
	int v185; // r3@1
	int v186; // ST74_4@1
	int v187; // lr@1
	int v188; // ST34_4@1
	int v189; // r5@1
	int v190; // ST7C_4@1
	int v191; // r10@1
	int v192; // lr@1
	int v193; // ST88_4@1
	int v194; // ST84_4@1
	int v195; // r1@1
	int v196; // r3@1
	int v197; // ST48_4@1
	int v198; // r5@1
	int v199; // ST8C_4@1
	int v200; // r8@1
	int v201; // r6@1
	int v202; // ST68_4@1
	int v203; // lr@1
	int v204; // ST6C_4@1
	int v205; // r4@1
	int v206; // r12@1
	int v207; // r6@1
	int v208; // r1@1
	int v209; // r7@1
	int v210; // r5@1
	int v211; // lr@1
	int v212; // r9@1
	int v213; // r2@1
	int v214; // ST88_4@1
	int v215; // ST78_4@1
	int v216; // ST58_4@1
	int v217; // STBC_4@1
	int v218; // ST74_4@1
	int v219; // r5@1
	int v220; // r9@1
	int v221; // ST7C_4@1
	int v222; // r3@1
	int v223; // r5@1
	int v224; // ST60_4@1
	int v225; // r7@1
	int v226; // STA4_4@1
	int v227; // ST8C_4@1
	int v228; // ST9C_4@1
	int v229; // r3@1
	int v230; // ST34_4@1
	int v231; // STC0_4@1
	int v232; // ST64_4@1
	int v233; // r4@1
	int v234; // r1@1
	int v235; // r12@1
	int v236; // r2@1
	int v237; // ST6C_4@1
	int v238; // ST1C_4@1
	int v239; // ST48_4@1
	int v240; // r10@1
	int v241; // ST20_4@1
	int v242; // r12@1
	int v243; // ST78_4@1
	int v244; // ST88_4@1
	int v245; // r1@1
	int v246; // lr@1
	int v247; // STA8_4@1
	int v248; // r12@1
	int v249; // r1@1
	int v250; // STB8_4@1
	int v251; // STB4_4@1
	int v252; // r8@1
	int v253; // r1@1
	int v254; // r10@1
	int v255; // r5@1
	int v256; // r4@1
	int v257; // r9@1
	int v258; // r3@1
	int v259; // lr@1
	int v260; // ST48_4@1
	int v261; // r12@1
	int v262; // ST20_4@1
	int v263; // ST60_4@1
	int v264; // ST6C_4@1
	int v265; // r6@1
	int v266; // ST1C_4@1
	int v267; // ST10_4@1
	int v268; // ST40_4@1
	int v269; // ST64_4@1
	int v270; // ST74_4@1
	int v271; // ST78_4@1
	int v272; // ST7C_4@1
	int v273; // r3@1
	int v274; // r2@1
	int v275; // ST88_4@1
	int v276; // r1@1
	int v277; // ST84_4@1
	int v278; // r9@1
	int v279; // ST34_4@1
	int v280; // r4@1
	int v281; // r5@1
	int v282; // r10@1
	int v283; // ST3C_4@1
	int v284; // ST9C_4@1
	int v285; // STA0_4@1
	int v286; // ST1C_4@1
	int v287; // STB8_4@1
	int v288; // STB4_4@1
	int v289; // r1@1
	int v290; // ST64_4@1
	int v291; // r3@1
	int v292; // ST78_4@1
	int v293; // ST34_4@1
	int v294; // r3@1
	int v295; // r4@1
	int v296; // ST20_4@1
	int v297; // ST8C_4@1
	int v298; // STC4_4@1
	int v299; // r7@1
	int v300; // ST40_4@1
	int v301; // STA4_4@1
	int v302; // ST74_4@1
	int v303; // STDC_4@1
	int v304; // r1@1
	int v305; // ST98_4@1
	int v306; // r6@1
	int v307; // r3@1
	int v308; // ST58_4@1
	int v309; // r5@1
	int v310; // ST60_4@1
	int v311; // ST7C_4@1
	int v312; // ST18_4@1
	int v313; // r5@1
	int v314; // r3@1
	int v315; // ST88_4@1
	int v316; // ST10_4@1
	int v317; // r12@1
	int v318; // r9@1
	int v319; // ST44_4@1
	int v320; // STC8_4@1
	int v321; // ST48_4@1
	int v322; // ST94_4@1
	int v323; // r4@1
	int v324; // r5@1
	int v325; // STA4_4@1
	int v326; // STE4_4@1
	int v327; // r6@1
	int v328; // r1@1
	int v329; // r12@1
	int v330; // r8@1
	int v331; // STBC_4@1
	int v332; // lr@1
	int v333; // ST04_4@1
	int v334; // STCC_4@1
	int v335; // r11@1
	int v336; // r9@1
	int v337; // ST10_4@1
	int v338; // STD4_4@1
	int v339; // lr@1
	int v340; // r4@1
	int v341; // ST80_4@1
	int v342; // STE4_4@1
	int v343; // STEC_4@1
	int v344; // STF4_4@1
	int v345; // r8@1
	int v346; // STFC_4@1
	int v347; // r4@1
	int v348; // r12@1
	int v349; // STF0_4@1
	int v350; // ST2C_4@1
	int v351; // ST104_4@1
	int v352; // r7@1
	int v353; // ST04_4@1
	int v354; // ST5C_4@1
	int v355; // r8@1
	int v356; // r1@1
	int v357; // r11@1
	int v358; // r12@1
	int v359; // STA4_4@1
	int v360; // r4@1
	int v361; // STCC_4@1
	int v362; // r9@1
	int v363; // r7@1
	int v364; // ST24_4@1
	int v365; // STC4_4@1
	int v366; // STDC_4@1
	int v367; // STA8_4@1
	int v368; // r4@1
	int v369; // r10@1
	int v370; // r2@1
	int v371; // STBC_4@1
	int v372; // r8@1
	int v373; // ST78_4@1
	int v374; // r3@1
	int v375; // ST88_4@1
	int v376; // r6@1
	int v377; // ST64_4@1
	int v378; // r7@1
	int v379; // r9@1
	int v380; // ST1C_4@1
	int v381; // r3@1
	int v382; // r3@1
	int v383; // r5@1
	int v384; // r4@1
	int v385; // r2@1
	int v386; // r6@1
	int v387; // ST08_4@1
	int v388; // r7@1
	int v389; // r1@1
	int v390; // r11@1
	int v391; // ST54_4@1
	int v392; // ST58_4@1
	int v393; // r5@1
	int v394; // r12@1
	int v395; // r1@1
	int v396; // r4@1
	int v397; // r7@1
	int v398; // r1@1
	int v399; // r6@1
	int v400; // r1@1

	v1 = *(_DWORD *)(result + 264);
	v2 = *(_DWORD *)(result + 20) ^ *(_DWORD *)(result + 360);
	v3 = *(_DWORD *)(result + 28) ^ *(_DWORD *)(result + 792) ^ *(_DWORD *)(result + 568) & *(_DWORD *)(result + 640) ^ (*(_DWORD *)(result + 436) & *(_DWORD *)(result + 640) ^ *(_DWORD *)(result + 420) | *(_DWORD *)(result + 424));
	v4 = *(_DWORD *)(result + 616);
	v5 = *(_DWORD *)(result + 84);
	v6 = *(_DWORD *)(result + 808);
	v7 = ~*(_DWORD *)(result + 52);
	*(_DWORD *)(result + 28) = v3;
	v8 = (v5 | v4) & ~v4;
	v9 = (v5 | v4) & v7;
	v10 = *(_DWORD *)(result + 196) ^ *(_DWORD *)(result + 788) & ~((v5 | *(_DWORD *)(result + 52)) ^ v6);
	v11 = *(_DWORD *)(result + 52) ^ *(_DWORD *)(result + 372) ^ (v5 | v4);
	v12 = v9 ^ *(_DWORD *)(result + 556) ^ *(_DWORD *)(result + 788) & ~(v1 ^ v8);
	v13 = ~v3 & *(_DWORD *)(result + 408);
	v14 = v2 ^ *(_DWORD *)(result + 192);
	v15 = v4 & ~v6;
	v16 = *(_DWORD *)(result + 400) & v14 ^ *(_DWORD *)(result + 600) ^ *(_DWORD *)(result + 148);
	v17 = v7 & v5 ^ (v5 | v4);
	v18 = v3 | *(_DWORD *)(result + 612);
	v19 = (v16 | *(_DWORD *)(result + 636)) ^ *(_DWORD *)(result + 348);
	v20 = v16 & ~(v7 & v6 ^ *(_DWORD *)(result + 476));
	v21 = v3 & ~(~v16 & *(_DWORD *)(result + 320) ^ *(_DWORD *)(result + 316) ^ (~v16 & *(_DWORD *)(result + 244) ^ *(_DWORD *)(result + 460)) & *(_DWORD *)(result + 212));
	v22 = v10 & v16 ^ v12;
	v23 = v20 ^ v11;
	v24 = (*(_DWORD *)(result + 212) & ~v19 ^ v19) & v3;
	v25 = v16 & ~*(_DWORD *)(result + 540) ^ *(_DWORD *)(result + 376) ^ *(_DWORD *)(result + 212) & ~(~v16 & *(_DWORD *)(result + 316) ^ *(_DWORD *)(result + 656)) ^ v3 & ~(*(_DWORD *)(result + 212) & ~((v16 | *(_DWORD *)(result + 552)) ^ *(_DWORD *)(result + 608)) ^ (*(_DWORD *)(result + 388) | v16) ^ *(_DWORD *)(result + 544));
	v26 = *(_DWORD *)(result + 628) ^ *(_DWORD *)(result + 88) ^ (v16 | *(_DWORD *)(result + 692)) ^ v16 & *(_DWORD *)(result + 212);
	v27 = *(_DWORD *)(result + 452) ^ *(_DWORD *)(result + 416) ^ ~v16 & *(_DWORD *)(result + 328) ^ *(_DWORD *)(result + 212) & ((v16 | *(_DWORD *)(result + 548)) ^ *(_DWORD *)(result + 648));
	v28 = *(_DWORD *)(result + 236) & ~v22;
	v29 = ~v3 & *(_DWORD *)(result + 408);
	v30 = v23 ^ *(_DWORD *)(result + 640) ^ v22 & ~*(_DWORD *)(result + 236);
	*(_DWORD *)(result + 640) = v30;
	v31 = v29 ^ *(_DWORD *)(result + 800);
	v32 = ~*(_DWORD *)(result + 244);
	v33 = v18 ^ *(_DWORD *)(result + 604);
	v34 = v32 & *(_DWORD *)(result + 800);
	v35 = ~v3 & *(_DWORD *)(result + 700);
	v36 = ~v3 & *(_DWORD *)(result + 560);
	v37 = v3 | *(_DWORD *)(result + 700);
	v38 = v27;
	v39 = v3 | *(_DWORD *)(result + 408);
	v40 = v30;
	v41 = v38 ^ v24;
	v42 = *(_DWORD *)(result + 52);
	v43 = v25 ^ *(_DWORD *)(result + 64);
	v44 = v23 ^ v14 ^ v28;
	*(_DWORD *)(result + 796) = v44;
	v45 = v15 ^ v42;
	v46 = v26 ^ v21;
	*(_DWORD *)(result + 88) = v26 ^ v21;
	v47 = v43;
	*(_DWORD *)(result + 64) = v43;
	v48 = v18 ^ *(_DWORD *)(result + 104);
	v49 = v33 ^ *(_DWORD *)(result + 324);
	v50 = v17 & *(_DWORD *)(result + 788);
	v51 = v34 & ~v3;
	v52 = v35 ^ *(_DWORD *)(result + 604);
	v53 = v41;
	v54 = v35 ^ *(_DWORD *)(result + 124);
	v55 = v36 ^ *(_DWORD *)(result + 700);
	*(_DWORD *)(result + 452) = v41;
	v56 = v37 ^ *(_DWORD *)(result + 408);
	v57 = ~v3 & *(_DWORD *)(result + 728);
	v58 = ~v3 & *(_DWORD *)(result + 612);
	v59 = v9 ^ v8;
	v60 = v52 ^ v51;
	v61 = v54 | *(_DWORD *)(result + 244);
	v62 = *(_DWORD *)(result + 244);
	v63 = (*(_DWORD *)(result + 104) ^ v39) & v62;
	v64 = ~*(_DWORD *)(result + 92);
	v65 = *(_DWORD *)(result + 700) ^ v58;
	v66 = v16 & (v45 ^ v50);
	v67 = v60 ^ (v49 | *(_DWORD *)(result + 92));
	v68 = (v31 & v32 ^ v48) & v64;
	v69 = v64 & v62 & v3;
	v70 = v61 ^ v39;
	v71 = v56 ^ *(_DWORD *)(result + 216) ^ v55 & v32;
	v72 = *(_DWORD *)(result + 60) ^ *(_DWORD *)(result + 200) ^ v14 & ~*(_DWORD *)(result + 356);
	v73 = (v57 ^ *(_DWORD *)(result + 800)) & v32;
	v74 = (v57 ^ *(_DWORD *)(result + 728)) & v32;
	v75 = v57 ^ *(_DWORD *)(result + 560);
	v76 = v65 ^ *(_DWORD *)(result + 424);
	v77 = v65 & v32;
	v78 = v32 & ((v3 | *(_DWORD *)(result + 560)) ^ *(_DWORD *)(result + 700));
	v79 = *(_DWORD *)(result + 736);
	v80 = v16 | v79;
	v81 = v16 & v79;
	v82 = v59 ^ *(_DWORD *)(result + 268) ^ v66;
	v83 = v78 ^ v33;
	v84 = (*(_DWORD *)(result + 244) & ~(v13 ^ *(_DWORD *)(result + 408)) ^ v31) & v64 ^ *(_DWORD *)(result + 244) ^ *(_DWORD *)(result + 560) ^ v3;
	v85 = v67 & v72 ^ v71 ^ v68;
	v86 = *(_DWORD *)(result + 236) & v82;
	v87 = (v75 | *(_DWORD *)(result + 244)) ^ *(_DWORD *)(result + 124) ^ (v3 | *(_DWORD *)(result + 604)) ^ (v77 ^ v58 ^ *(_DWORD *)(result + 612) | *(_DWORD *)(result + 92));
	v88 = v76 ^ v73 ^ (v70 | *(_DWORD *)(result + 92)) ^ v72 & ~v83;
	v89 = v72 & ~(v63 ^ v31 ^ v69) ^ *(_DWORD *)(result + 128) ^ v84;
	v90 = v82 | *(_DWORD *)(result + 236);
	v91 = v67 & v72 ^ v71 ^ v68;
	v92 = *(_DWORD *)(result + 248) ^ *(_DWORD *)(result + 688) ^ v16 & *(_DWORD *)(result + 468) ^ v86;
	v93 = *(_DWORD *)(result + 688) ^ v16 & *(_DWORD *)(result + 468);
	v94 = (v74 ^ (v3 | *(_DWORD *)(result + 124))) & v72 ^ *(_DWORD *)(result + 112) ^ v87;
	v95 = v80 ^ *(_DWORD *)(result + 280) ^ *(_DWORD *)(result + 212) & ~(~v16 & *(_DWORD *)(result + 636) ^ *(_DWORD *)(result + 724)) ^ *(_DWORD *)(result + 8) ^ v3 & ~(v81 ^ *(_DWORD *)(result + 376) ^ (*(_DWORD *)(result + 552) & ~v16 ^ *(_DWORD *)(result + 376)) & *(_DWORD *)(result + 212));
	*(_DWORD *)(result + 112) = v94;
	v96 = v94;
	v97 = v93 ^ *(_DWORD *)(result + 208);
	*(_DWORD *)(result + 216) = v91;
	*(_DWORD *)(result + 248) = v92;
	v98 = ~v91;
	v99 = v92;
	*(_DWORD *)(result + 324) = ~v91 & v92;
	*(_DWORD *)(result + 424) = v88;
	v100 = v40 & ~v88;
	v101 = v95;
	v102 = v97 ^ v90;
	v103 = v88 & v40;
	v104 = v14 & ~*(_DWORD *)(result + 584);
	v105 = *(_DWORD *)(result + 4);
	*(_DWORD *)(result + 8) = v95;
	*(_DWORD *)(result + 556) = v100;
	v106 = v105;
	v107 = *(_DWORD *)(result + 524);
	*(_DWORD *)(result + 196) = v100;
	*(_DWORD *)(result + 800) = v100;
	v108 = v106 ^ v107 ^ v104;
	*(_DWORD *)(result + 208) = v102;
	v109 = v102;
	v110 = ~v102;
	v111 = *(_DWORD *)(result + 788);
	*(_DWORD *)(result + 128) = v89;
	*(_DWORD *)(result + 328) = v103;
	v112 = v89;
	v113 = v109;
	v114 = ~v89;
	v115 = v96;
	v116 = v109 ^ v111;
	v117 = *(_DWORD *)(result + 144);
	v118 = *(_DWORD *)(result + 220);
	v119 = v115 & v117;
	v120 = v115;
	v121 = *(_DWORD *)(result + 256);
	v122 = ~v117;
	v123 = v115 & ~v117;
	v124 = v108 & *(_DWORD *)(result + 740);
	v125 = *(_DWORD *)(result + 720) ^ *(_DWORD *)(result + 120);
	v126 = v108 & *(_DWORD *)(result + 252);
	v127 = v108 & ~*(_DWORD *)(result + 472);
	v128 = *(_DWORD *)(result + 24);
	v129 = v108 & v118;
	v130 = v108 & v118 ^ v118;
	v131 = (v125 ^ (v121 | v108)) & ~v128;
	v132 = v125 ^ (v121 | v108);
	v133 = v125 ^ (v121 | v108);
	v134 = ~v132;
	v135 = ~v132 & v128;
	v136 = v108 & ~*(_DWORD *)(result + 712);
	v137 = v108;
	v138 = v98 & v132;
	v139 = v85 | v132;
	v140 = *(_DWORD *)(result + 160) ^ *(_DWORD *)(result + 136) ^ (v108 | *(_DWORD *)(result + 680));
	v141 = *(_DWORD *)(result + 24) & ~v135;
	v142 = *(_DWORD *)(result + 56) & ~v131;
	v143 = *(_DWORD *)(result + 24);
	v144 = *(_DWORD *)(result + 744) ^ *(_DWORD *)(result + 592) ^ (v108 | *(_DWORD *)(result + 672));
	v145 = *(_DWORD *)(result + 804);
	*(_DWORD *)(result + 372) = v132 | v143;
	v146 = v132 ^ v143;
	v147 = v108 & ~v145;
	v148 = *(_DWORD *)(result + 220);
	*(_DWORD *)(result + 136) = v142;
	*(_DWORD *)(result + 256) = v138;
	*(_DWORD *)(result + 320) = v138;
	v149 = v138;
	*(_DWORD *)(result + 376) = v138;
	v150 = *(_DWORD *)(result + 612);
	*(_DWORD *)(result + 540) = v141;
	*(_DWORD *)(result + 460) = v135;
	v151 = *(_DWORD *)(result + 804);
	v152 = v147 ^ v148 ^ v150 & ~(v148 ^ v136);
	v153 = *(_DWORD *)(result + 712);
	*(_DWORD *)(result + 672) = v139;
	v154 = v136 ^ v151;
	v155 = *(_DWORD *)(result + 220);
	*(_DWORD *)(result + 592) = v131;
	v156 = v108 & ~v155;
	v157 = v140;
	v158 = v154;
	v159 = *(_DWORD *)(result + 612) & ~(v153 ^ v129) ^ v130;
	*(_DWORD *)(result + 724) = v132 & v143;
	*(_DWORD *)(result + 608) = v132 ^ v143;
	*(_DWORD *)(result + 160) = v140;
	v160 = v154 & *(_DWORD *)(result + 612);
	v161 = v136 ^ *(_DWORD *)(result + 252);
	*(_DWORD *)(result + 744) = v144;
	v162 = v161;
	*(_DWORD *)(result + 120) = v133;
	v163 = *(_DWORD *)(result + 612) & ~v161;
	v164 = *(_DWORD *)(result + 496);
	v165 = *(_DWORD *)(result + 712) & *(_DWORD *)(result + 612);
	*(_DWORD *)(result + 496) = *(_DWORD *)(result + 372);
	v166 = v147 ^ *(_DWORD *)(result + 804);
	v167 = *(_DWORD *)(result + 532);
	v168 = v127 ^ v164;
	v169 = *(_DWORD *)(result + 612) & ~(v127 ^ v164);
	v170 = v165 & v137;
	*(_DWORD *)(result + 476) = v149;
	v171 = *(_DWORD *)(result + 188);
	v172 = v137 & v167 ^ *(_DWORD *)(result + 740) ^ v163;
	v173 = v159 | v171;
	v174 = v167 ^ *(_DWORD *)(result + 764);
	v175 = ~v171;
	v176 = v152 & ~v171 ^ v169;
	v177 = *(_DWORD *)(result + 612);
	v178 = *(_DWORD *)(result + 124);
	v179 = *(_DWORD *)(result + 252) ^ *(_DWORD *)(result + 40) ^ v156 ^ v160 ^ v173;
	*(_DWORD *)(result + 48) ^= *(_DWORD *)(result + 276) ^ *(_DWORD *)(result + 364) & ~v137;
	v180 = v179 ^ v178 & ~v176;
	v181 = *(_DWORD *)(result + 144);
	v182 = *(_DWORD *)(result + 48) & v181;
	v183 = ~*(_DWORD *)(result + 48) & v181;
	v184 = ~*(_DWORD *)(result + 48);
	v185 = v123 ^ v183;
	v186 = v166 & v177;
	v187 = *(_DWORD *)(result + 48);
	v188 = v187 ^ *(_DWORD *)(result + 144);
	v189 = v170 ^ v129;
	v190 = v182;
	v191 = v187 & v122;
	v192 = v119 ^ v187 & v122;
	v193 = v185 & ~v53;
	v194 = v120 & v183;
	v195 = (v189 | *(_DWORD *)(result + 188)) ^ v174 ^ *(_DWORD *)(result + 336) ^ v137;
	v196 = *(_DWORD *)(result + 48) | *(_DWORD *)(result + 144);
	v197 = v180 & ~*(_DWORD *)(result + 224);
	v198 = v124 ^ *(_DWORD *)(result + 804);
	v199 = v192 & v53;
	v200 = v130 & *(_DWORD *)(result + 612) ^ v168;
	v201 = v162 & ~*(_DWORD *)(result + 612);
	v202 = v195 ^ (v126 ^ *(_DWORD *)(result + 740) ^ v186 ^ v172 & v175) & *(_DWORD *)(result + 124);
	v203 = v120 & ~v188;
	v204 = v186 ^ v198;
	v205 = v198 ^ *(_DWORD *)(result + 612);
	v206 = v201 ^ v158;
	v207 = v120 & ~(v196 & v184);
	v208 = v120 & ~v196 ^ *(_DWORD *)(result + 48);
	v209 = v53 & ~((v120 ^ v196) & v184);
	v210 = v53 & ~(v203 ^ v188);
	v211 = v203 ^ *(_DWORD *)(result + 144);
	v212 = v193 ^ v211;
	v213 = ~v190 & *(_DWORD *)(result + 48);
	v214 = v199 ^ v211;
	v215 = v212;
	v216 = v120 & ~v190 ^ *(_DWORD *)(result + 144) ^ (v120 & v190 ^ v188) & v53;
	v217 = (*(_DWORD *)(result + 612) & ~v126 ^ *(_DWORD *)(result + 252)) & v175;
	v218 = v120 ^ v191 ^ v210;
	v219 = *(_DWORD *)(result + 352);
	v220 = v180 & v219;
	v221 = v209 ^ v120 ^ v196;
	v222 = v180 & ~*(_DWORD *)(result + 260) ^ v219 ^ (v197 ^ v219) & v101;
	v223 = v180 & ~*(_DWORD *)(result + 528);
	v224 = v194 ^ v188 ^ v208 & v53;
	v225 = v180 & ~*(_DWORD *)(result + 272) ^ *(_DWORD *)(result + 72);
	v226 = v222 & v144;
	v227 = *(_DWORD *)(result + 272) ^ *(_DWORD *)(result + 612) ^ v223;
	v228 = v144 & ~((v180 & *(_DWORD *)(result + 224) ^ *(_DWORD *)(result + 352)) & v101 ^ *(_DWORD *)(result + 72));
	v229 = *(_DWORD *)(result + 72) ^ v223;
	v230 = v204 ^ v205 & v175;
	v231 = v137 & *(_DWORD *)(result + 472) ^ *(_DWORD *)(result + 220) ^ *(_DWORD *)(result + 612) & ~(*(_DWORD *)(result + 712) ^ v124) ^ v200 & v175;
	v232 = v206 & v175;
	v233 = *(_DWORD *)(result + 80);
	v234 = *(_DWORD *)(result + 144) & ~v53 ^ v207;
	v235 = v233 & ~(v120 & ~v213 ^ v53 & v122);
	v236 = v197 & v101;
	v237 = *(_DWORD *)(result + 260) ^ v197 ^ v197 & v101;
	v238 = v235;
	v239 = v233 & ~v215;
	v240 = v214 & v233;
	v241 = v233 & ~v234;
	v242 = v180 ^ *(_DWORD *)(result + 528);
	v243 = v242 ^ *(_DWORD *)(result + 692);
	v244 = v101 & ~v242 ^ *(_DWORD *)(result + 72);
	v245 = *(_DWORD *)(result + 272);
	v246 = v220 ^ *(_DWORD *)(result + 72);
	v247 = v101 & ~(v180 & v245);
	v248 = (v220 ^ v245 ^ (v180 ^ *(_DWORD *)(result + 272)) & v101) & v144;
	v249 = *(_DWORD *)(result + 528);
	v250 = v248;
	v251 = v249 ^ *(_DWORD *)(result + 100);
	v252 = v249 & ~v101 ^ v220;
	v253 = v218 ^ v239;
	v254 = v221 ^ v240;
	v255 = v101 & ~v229;
	v256 = v229 & v101 ^ v220;
	v257 = v224 ^ v241;
	v258 = v238 ^ v216;
	v259 = v144 & ~v246;
	v260 = v243 ^ (v180 | ~*(_DWORD *)(result + 224)) & v101;
	v261 = v244 & v144;
	v262 = v101 & v225 ^ v180 & ~*(_DWORD *)(result + 412) ^ *(_DWORD *)(result + 464) ^ v144 & ~v237;
	v263 = (v225 ^ v236) & v144;
	v264 = v144 & ~(v236 ^ v180);
	v265 = v180 ^ *(_DWORD *)(result + 172) ^ v247;
	v266 = *(_DWORD *)(result + 252) ^ *(_DWORD *)(result + 240) ^ (v137 & ~*(_DWORD *)(result + 732) ^ *(_DWORD *)(result + 472) | *(_DWORD *)(result + 612)) ^ v232;
	v267 = *(_DWORD *)(result + 124) & ~v230;
	v268 = *(_DWORD *)(result + 32) ^ v127 ^ *(_DWORD *)(result + 712) ^ *(_DWORD *)(result + 612) & ~(v124 ^ *(_DWORD *)(result + 252)) ^ v217;
	v269 = *(_DWORD *)(result + 124) & v231;
	v270 = *(_DWORD *)(result + 212) ^ v258;
	v271 = v258 ^ *(_DWORD *)(result + 252);
	v272 = v202 & ~v253;
	v273 = v253 & ~v202;
	v274 = v254 & ~v202;
	v275 = v202 & ~v254;
	v276 = v257 ^ *(_DWORD *)(result + 140);
	v277 = v257 ^ *(_DWORD *)(result + 784);
	v278 = v227 ^ (v180 & *(_DWORD *)(result + 168) ^ *(_DWORD *)(result + 260)) & v101 ^ v259;
	v279 = (v101 & ~(v180 ^ *(_DWORD *)(result + 72)) ^ *(_DWORD *)(result + 260) ^ v228) & v40;
	v280 = v40 & ~(v256 ^ v250);
	*(_DWORD *)(result + 40) = v180;
	v281 = v255 ^ v251 ^ v264;
	v282 = v266 ^ v267;
	v283 = v268 ^ v269;
	*(_DWORD *)(result + 212) = v273 ^ v270;
	v284 = v271 ^ v272;
	v285 = v277 ^ v274;
	v286 = v276 ^ v275;
	v287 = v260 ^ v261 ^ v279;
	*(_DWORD *)(result + 692) = v287;
	v288 = v278 ^ v40 & ~(v252 ^ v226);
	*(_DWORD *)(result + 168) = v288;
	*(_DWORD *)(result + 252) = v271 ^ v272;
	*(_DWORD *)(result + 784) = v277 ^ v274;
	v289 = v268 ^ v269;
	v290 = v112 | v289;
	v291 = *(_DWORD *)result;
	v292 = (v112 | v289) & v114;
	*(_DWORD *)(result + 32) = v289;
	v293 = v281 ^ v280;
	*(_DWORD *)(result + 100) = v281 ^ v280;
	v294 = v112 | v291;
	v295 = *(_DWORD *)result;
	v296 = v265 ^ v263 ^ v40 & ~v262;
	*(_DWORD *)(result + 172) = v296;
	v297 = v112 ^ v289;
	v298 = v292 ^ v294;
	*(_DWORD *)(result + 336) = v202;
	v299 = v289;
	v300 = v294;
	v301 = v112 ^ v289 | *(_DWORD *)result;
	*(_DWORD *)(result + 140) = v286;
	v302 = v112 & ~v289;
	v303 = v112 & ~v295;
	v304 = v292 ^ v303 ^ (v292 ^ v294) & v47;
	v305 = v290 & ~v295;
	v306 = *(_DWORD *)(result + 428);
	v307 = *(_DWORD *)(result + 288) & v14;
	v308 = ~v295;
	v309 = *(_DWORD *)(result + 76);
	v310 = v112 & v299;
	*(_DWORD *)(result + 240) = v282;
	v311 = v309 ^ v306 ^ v307;
	v312 = *(_DWORD *)(result + 96) ^ *(_DWORD *)(result + 384) ^ v311 & ~*(_DWORD *)(result + 776);
	v313 = *(_DWORD *)(result + 108);
	*(_DWORD *)(result + 176) ^= *(_DWORD *)(result + 668) ^ v311 & ~*(_DWORD *)(result + 432);
	v314 = *(_DWORD *)(result + 176) & v120;
	v315 = v101 & ~v312;
	v316 = v120 | *(_DWORD *)(result + 176);
	v317 = *(_DWORD *)(result + 176) | ~v316;
	v318 = v112 ^ v313 ^ v300 & v47;
	v319 = v282 & ~v120;
	v320 = v120 & ~*(_DWORD *)(result + 176);
	v321 = *(_DWORD *)(result + 176) ^ v120;
	v322 = v282 & v120;
	v323 = v290 & ~v295 ^ v112 & v299 ^ (v301 ^ v292) & v47 ^ (v304 | v312);
	v324 = v301;
	v325 = v317 & v282;
	v326 = v282 & ~v120 ^ v320;
	v327 = v318 ^ v324 ^ (v302 & v308 ^ v283 ^ v47 & ~v300) & ~v312;
	v328 = v317 & v113 ^ *(_DWORD *)(result + 176);
	v329 = v282 & ~v120 ^ v120;
	v330 = v282 & v120 ^ (v282 | v113) ^ *(_DWORD *)(result + 176);
	v331 = v114 & v283;
	v332 = v116 ^ v314 ^ v325;
	v333 = v316 ^ *(_DWORD *)(result + 92);
	v334 = v282 & ~v316;
	v335 = v314 & v110 ^ v321 ^ v282 & ~v316 | *(_DWORD *)(result + 144);
	v336 = v330 & v122;
	v337 = v327 ^ v99 & ~v323;
	v338 = v332 ^ (v328 | *(_DWORD *)(result + 144));
	v339 = v110 & v122 & v326;
	v340 = v114 & v283;
	v341 = ~v101 & v312;
	v342 = v282 ^ *(_DWORD *)(result + 12) ^ v282 & v110 ^ v321 ^ (v113 & ~v329 | *(_DWORD *)(result + 144));
	v343 = v283 ^ *(_DWORD *)(result + 52);
	v344 = ((v297 ^ v300) & v47 ^ v290 ^ (~(v112 & v299) & v112 | *(_DWORD *)result)) & ~v312;
	v345 = v340 & v308 ^ v112;
	v346 = v101 ^ v312 ^ v137;
	v347 = v282 & ~v314;
	v348 = v333 ^ (v282 & v110 ^ v322 | *(_DWORD *)(result + 144));
	v349 = v345;
	v350 = v338 ^ *(_DWORD *)(result + 24) & ~(v339 ^ v321 & v282 & v110);
	v351 = (v101 | v312) ^ v16 ^ (v101 ^ v312) & v112;
	v352 = v321 ^ v322 ^ (v334 ^ v320) & v110;
	v353 = (*(_DWORD *)(result + 176) & ~v282 & v110 ^ v314 ^ v335) & *(_DWORD *)(result + 24) ^ v342;
	v354 = (v296 | v286) & ~v286;
	v355 = v348 ^ v325 ^ (v347 | v113) ^ *(_DWORD *)(result + 24) & ~(v320 & v282 ^ v314 ^ v336 ^ (v347 | v113));
	v356 = ((v314 | v113) ^ v321 ^ v347 | *(_DWORD *)(result + 144)) ^ v352;
	v357 = v101 & v312 & v112;
	v358 = v112 & ~(v101 | v312) ^ v101 ^ v312;
	v359 = v355;
	v360 = ~(v101 & ~v312);
	*(_DWORD *)(result + 68) ^= v321 ^ v320 & v282 ^ (v113 | v319 ^ v321) ^ (v334 ^ (v113 | *(_DWORD *)(result + 176))) & v122 ^ *(_DWORD *)(result + 24) & ~v356;
	*(_DWORD *)(result + 108) = v337;
	*(_DWORD *)(result + 12) = v353;
	*(_DWORD *)(result + 788) = v350;
	v361 = ~v341 & v112;
	*(_DWORD *)(result + 96) = v312;
	v362 = v112 & ~(v360 & v101);
	*(_DWORD *)(result + 76) = v311;
	*(_DWORD *)(result + 92) = v355;
	v363 = v47 & ~v312 & ~v290 ^ (v298 | v47);
	v364 = v101 ^ v311 ^ v357 ^ (v361 ^ v360 & v101 | v157) ^ ((v357 ^ v101 & v312) & v157 ^ v358) & v44 ^ (((v101 ^ v312) & v112 ^ v101 & ~v312 | v157) ^ v312 ^ v362 ^ v44 & ~(v358 ^ v101 & v312 & ~v157)) & *(_DWORD *)(result + 224);
	v365 = (v290 ^ v303) & v47;
	v366 = v363 & v99;
	v367 = v331 ^ v305;
	v368 = v360 & v112 ^ v346 ^ ((v101 ^ v312) & v112 ^ v101 | v157) ^ *(_DWORD *)(result + 224) & ~((~v101 & v112 ^ v101 & v312) & ~v157 ^ (~v101 & v112 ^ v315 & ~v157) & v44);
	v369 = (v112 & ~(v101 ^ v312) ^ v101) & ~v157 ^ v351 ^ v44 & ~(v112 & ~(v101 ^ v312) & v157 ^ v101) ^ *(_DWORD *)(result + 224) & ~((v357 ^ (v101 | v312)) & ~v157 ^ v357 ^ v312 ^ v44 & ~(v341 ^ ~v101 & v157));
	v370 = v310 | *(_DWORD *)result;
	v371 = v310 & v308 ^ v112 ^ v47 & ~v292;
	v372 = ((v300 ^ v112) & ~v47 | v312) ^ v343 ^ v310 & v308 ^ v47 & (v308 | ~v112) ^ v99 & ~(v349 ^ v344);
	*(_DWORD *)(result + 52) = v372;
	v373 = ~v337 & (v296 ^ v286);
	*(_DWORD *)(result + 544) = (~v296 & v286 ^ (v337 | v286) | v350) ^ (v354 | v337);
	*(_DWORD *)(result + 4) = v368 ^ v44 & ~(v112 & ~v157 & v315 ^ v341 ^ v362);
	v374 = (v296 | v286) & ~v286;
	*(_DWORD *)(result + 388) = v296 ^ v286 ^ v337 ^ (~v296 & v286 & ~v337 ^ v286 | v350);
	*(_DWORD *)(result + 400) = (v296 ^ v286 | v337) ^ v354 ^ (v373 ^ v296) & ~v350;
	*(_DWORD *)(result + 532) = (v374 ^ v337) & ~v350 ^ (~v337 ^ ~v296) & v286;
	*(_DWORD *)(result + 548) = v373 ^ v374 ^ ((v337 | v296 & v286) ^ (v296 | v286)) & ~v350;
	*(_DWORD *)(result + 488) = (v350 | v286 ^ v373) ^ v373;
	*(_DWORD *)(result + 280) = ~v337 & v296 ^ v296 & v286 ^ (v286 ^ ~v337 & (v296 | v286)) & ~v350;
	v375 = v370 ^ v290;
	v376 = v296 | v286 | v337;
	*(_DWORD *)(result + 600) = v296 & v286 ^ v373 ^ ((v337 | v286) ^ (v296 | v286) | v350);
	*(_DWORD *)(result + 764) = v296 & v286 ^ v376 ^ ((v337 | v286) ^ v296 & ~v286 | v350);
	*(_DWORD *)(result + 360) = v296 & v286 & ~v350 ^ v376 ^ (v296 | v286);
	*(_DWORD *)(result + 428) = (v337 | v286) ^ v286 ^ ~v350 & (v337 ^ v296);
	*(_DWORD *)(result + 464) = ((v337 | v296) ^ v296) & v350 ^ (v337 | v296);
	*(_DWORD *)(result + 200) = (v337 | v296) ^ v296 ^ (v337 | v296 | v350);
	v377 = (v286 ^ (v354 | v337) | v350) ^ v286 ^ (v354 | v337);
	v378 = v359 & ~v288;
	*(_DWORD *)(result + 804) = v378;
	*(_DWORD *)(result + 288) = v378;
	*(_DWORD *)(result + 732) = v378 ^ v288;
	*(_DWORD *)(result + 472) = v288 & v359;
	*(_DWORD *)(result + 104) = ((v337 | v286) ^ v296 | v350) ^ v286;
	v379 = v364 & v353 & ~v337;
	v380 = v364 & ~v353;
	*(_DWORD *)(result + 192) = v293 & v353;
	*(_DWORD *)(result + 356) = v369 & ~v287 ^ v287;
	*(_DWORD *)(result + 16) = v287 & v369;
	*(_DWORD *)(result + 560) = (v364 | v353 | v337) ^ v380;
	*(_DWORD *)(result + 604) = (v364 ^ v353 | v337) ^ v353;
	*(_DWORD *)(result + 648) = v202 & ~v103;
	*(_DWORD *)(result + 416) = v202 & v103;
	*(_DWORD *)(result + 20) = v293 & v353 | v285;
	*(_DWORD *)(result + 316) = ~v293 & v353;
	*(_DWORD *)(result + 528) = v296 ^ v376 ^ (v296 ^ (v354 | v337) | v350);
	*(_DWORD *)(result + 272) = v377;
	*(_DWORD *)(result + 756) = v380 | v337;
	*(_DWORD *)(result + 412) = (v364 | v353) ^ (v337 | v353);
	*(_DWORD *)(result + 408) = (v337 | v353) ^ v353;
	*(_DWORD *)(result + 448) = v380 ^ v337;
	*(_DWORD *)(result + 264) = v379 ^ v380;
	*(_DWORD *)(result + 364) = v379 ^ (v364 | v353);
	*(_DWORD *)(result + 808) = v337 | v353;
	*(_DWORD *)(result + 260) = ~v337 & v353 ^ v353;
	*(_DWORD *)(result + 276) = ~v337 & v353;
	v381 = *(_DWORD *)(result + 124);
	*(_DWORD *)(result + 148) = v369;
	*(_DWORD *)(result + 432) = v369 & ~v372;
	*(_DWORD *)(result + 680) = v372 | v369;
	*(_DWORD *)(result + 568) = v372 | v369;
	*(_DWORD *)(result + 712) = v372 | v369;
	*(_DWORD *)(result + 792) = v372 | v369;
	*(_DWORD *)(result + 740) = v380 ^ (v337 | v353);
	*(_DWORD *)(result + 348) = v364;
	v382 = v367 ^ v381 ^ v47 & ~(v310 ^ v300) ^ (v47 & v302 ^ v283 & v308 | v312) ^ (~v310 & v47 ^ v375 ^ (v305 ^ v283 ^ v47 & ~(v302 ^ v300) | v312)) & v99;
	v383 = v157 ^ v72 ^ v112 ^ v101 ^ v312 ^ (v357 ^ v312 ^ ~v157 & v312 & (v112 ^ v101) ^ ~v341 & v44) & *(_DWORD *)(result + 224);
	v384 = (v364 ^ v353) & ~v337;
	v385 = *(_DWORD *)(result + 164) ^ *(_DWORD *)result ^ v302;
	*(_DWORD *)(result + 124) = v382;
	v386 = ~v337 & v364;
	*(_DWORD *)(result + 468) = v382 & v284;
	v387 = v385 ^ v365 ^ v366 ^ (v371 | v312);
	v388 = v387 & ~v293;
	v389 = ~v387 & v293;
	*(_DWORD *)(result + 688) = v387 & v353;
	v390 = ~v388 & v387;
	v391 = ~v387 ^ *(_DWORD *)(result + 688);
	v392 = *(_DWORD *)(result + 688) & v293;
	*(_DWORD *)(result + 60) = v383 ^ (v341 ^ v361 | ~v157) & v44;
	*(_DWORD *)(result + 436) = v384 ^ v364 & v353;
	*(_DWORD *)(result + 164) = v387;
	*(_DWORD *)(result + 728) = v384 ^ v353;
	*(_DWORD *)(result + 420) = v384;
	*(_DWORD *)(result + 656) = v384 ^ (v364 | v353);
	*(_DWORD *)(result + 312) = v380 ^ (v353 & ~v364 | v337);
	*(_DWORD *)(result + 620) = (v353 & ~v364 | v337) ^ v353;
	*(_DWORD *)(result + 352) = v364 ^ v353 ^ v386;
	v393 = *(_DWORD *)(result + 468);
	*(_DWORD *)(result + 116) = v386 ^ v353;
	*(_DWORD *)(result + 296) = v353 & ~v364 ^ v337;
	*(_DWORD *)(result + 552) = v353 & ~v364 & ~v337 ^ (v364 | v353);
	*(_DWORD *)(result + 700) = v364 | v337;
	v394 = v389 ^ v293 & v353;
	*(_DWORD *)(result + 524) = v393 ^ v284;
	*(_DWORD *)(result + 636) = v382 ^ v284;
	*(_DWORD *)(result + 612) = ~v293 & v353 ^ (v293 | v387);
	*(_DWORD *)(result + 736) = v389 & v353 ^ v389;
	*(_DWORD *)(result + 628) = v387 ^ v389 & v353;
	*(_DWORD *)(result + 300) = v293 ^ v353 & ~v389;
	*(_DWORD *)(result + 780) = ~v388 & v353 ^ v389;
	*(_DWORD *)(result + 384) = v388 ^ (v293 | v387) & v353;
	*(_DWORD *)(result + 520) = v388 & v353 ^ v388;
	*(_DWORD *)(result + 492) = v388 & v353 ^ v389;
	*(_DWORD *)(result + 572) = v353 & ~v390 ^ v388;
	v395 = v388 & v353 ^ v293 ^ v387;
	*(_DWORD *)(result + 580) = v390 ^ v388 & v353;
	*(_DWORD *)(result + 232) = v293 & v391;
	v396 = *(_DWORD *)(result + 152);
	v397 = *(_DWORD *)(result + 332);
	*(_DWORD *)(result + 768) = v390 ^ v392;
	*(_DWORD *)(result + 268) = v395;
	v398 = *(_DWORD *)(result + 536);
	*(_DWORD *)(result + 668) = v394;
	*(_DWORD *)(result + 504) = (v293 ^ v353) & ~v387;
	v399 = v353 & ~(v293 | v387);
	*(_DWORD *)(result + 776) = v293 ^ v387 ^ ~v387 & v353;
	*(_DWORD *)(result + 284) = v353 & ~(v293 ^ v387) | v285;
	*(_DWORD *)(result + 480) = (v293 ^ v387) & v353;
	v400 = v398 ^ v396 ^ v311 & v397;
	*(_DWORD *)(result + 156) = v399 ^ (v293 | v387);
	*(_DWORD *)(result + 584) = (v293 ^ v387) & v353 ^ (v293 | v387);
	*(_DWORD *)(result + 772) = v399;
	*(_DWORD *)(result + 720) = (v149 ^ v134 & v400) & v99;
	*(_DWORD *)(result + 752) = (v400 & ~v146 ^ v133) & ~v46;
	*(_DWORD *)(result + 332) = v134 & v400;
	*(_DWORD *)(result + 536) = v400 & ~(v134 & v400);
	*(_DWORD *)(result + 596) = v133 | v400;
	*(_DWORD *)(result + 152) = v400;
	return result;
}

//----- (00092E08) --------------------------------------------------------
unsigned char* sub_92E08(unsigned char* result)
{
	int v1; // r3@1
	int v2; // r5@1
	int v3; // ST34_4@1
	int v4; // ST28_4@1
	int v5; // r7@1
	int v6; // r1@1
	int v7; // r2@1
	int v8; // ST40_4@1
	int v9; // r3@1
	int v10; // r7@1
	int v11; // r4@1
	int v12; // r5@1
	int v13; // r2@1
	int v14; // lr@1
	int v15; // r4@1
	int v16; // ST08_4@1
	int v17; // r3@1
	int v18; // r8@1
	int v19; // r5@1
	int v20; // ST54_4@1
	int v21; // r1@1
	int v22; // r6@1
	int v23; // ST0C_4@1
	int v24; // r7@1
	int v25; // ST24_4@1
	int v26; // r5@1
	int v27; // ST00_4@1
	int v28; // r2@1
	int v29; // r9@1
	int v30; // r4@1
	int v31; // r1@1
	int v32; // r7@1
	int v33; // ST3C_4@1
	int v34; // ST14_4@1
	int v35; // r3@1
	int v36; // ST10_4@1
	int v37; // lr@1
	int v38; // r10@1
	int v39; // r5@1
	int v40; // r12@1
	int v41; // ST18_4@1
	int v42; // lr@1
	int v43; // r3@1
	int v44; // ST04_4@1
	int v45; // r6@1
	int v46; // ST78_4@1
	int v47; // r5@1
	int v48; // ST38_4@1
	int v49; // ST2C_4@1
	int v50; // ST84_4@1
	int v51; // r4@1
	int v52; // r3@1
	int v53; // r11@1
	int v54; // ST90_4@1
	int v55; // ST8C_4@1
	int v56; // ST1C_4@1
	int v57; // r9@1
	int v58; // ST88_4@1
	int v59; // r6@1
	int v60; // ST44_4@1
	int v61; // r2@1
	int v62; // ST58_4@1
	int v63; // r8@1
	int v64; // r5@1
	int v65; // r4@1
	int v66; // r3@1
	int v67; // r7@1
	int v68; // ST94_4@1
	int v69; // r4@1
	int v70; // r7@1
	int v71; // lr@1
	int v72; // r1@1
	int v73; // ST08_4@1
	int v74; // ST20_4@1
	int v75; // r4@1
	int v76; // r6@1
	int v77; // r2@1
	int v78; // r3@1
	int v79; // r11@1
	int v80; // r4@1
	int v81; // r3@1
	int v82; // r5@1
	int v83; // ST04_4@1
	int v84; // r1@1
	int v85; // r2@1
	int v86; // ST30_4@1
	int v87; // r7@1
	int v88; // ST08_4@1
	int v89; // r3@1
	int v90; // ST14_4@1
	int v91; // r4@1
	int v92; // r2@1
	int v93; // r8@1
	int v94; // r7@1
	int v95; // r2@1
	int v96; // r6@1
	int v97; // r4@1
	int v98; // r7@1
	int v99; // r2@1
	int v100; // r11@1
	int v101; // ST28_4@1
	int v102; // r1@1
	int v103; // r12@1
	int v104; // STC4_4@1
	int v105; // ST38_4@1
	int v106; // r5@1
	int v107; // lr@1
	int v108; // ST80_4@1
	int v109; // r5@1
	int v110; // ST98_4@1
	int v111; // r2@1
	int v112; // r3@1
	int v113; // r12@1
	int v114; // ST10_4@1
	int v115; // ST20_4@1
	int v116; // ST18_4@1
	int v117; // ST04_4@1
	int v118; // r1@1
	int v119; // ST0C_4@1
	int v120; // lr@1
	int v121; // r7@1
	int v122; // ST4C_4@1
	int v123; // ST30_4@1
	int v124; // ST2C_4@1
	int v125; // r11@1
	int v126; // ST60_4@1
	int v127; // r6@1
	int v128; // r4@1
	int v129; // ST5C_4@1
	int v130; // ST3C_4@1
	int v131; // ST50_4@1
	int v132; // ST68_4@1
	int v133; // r12@1
	int v134; // r5@1
	int v135; // STB4_4@1
	int v136; // STA0_4@1
	int v137; // STA4_4@1
	int v138; // r1@1
	int v139; // ST28_4@1
	int v140; // ST7C_4@1
	int v141; // STB8_4@1
	int v142; // STA8_4@1
	int v143; // ST64_4@1
	int v144; // r10@1
	int v145; // r6@1
	int v146; // STB0_4@1
	int v147; // lr@1
	int v148; // r3@1
	int v149; // ST9C_4@1
	int v150; // STAC_4@1
	int v151; // r7@1
	int v152; // r6@1
	int v153; // r8@1
	int v154; // lr@1
	int v155; // ST44_4@1
	int v156; // ST48_4@1
	int v157; // r3@1
	int v158; // ST74_4@1
	int v159; // ST34_4@1
	int v160; // r10@1
	int v161; // r3@1
	int v162; // ST30_4@1
	int v163; // ST10_4@1
	int v164; // r4@1
	int v165; // ST2C_4@1
	int v166; // r4@1
	int v167; // ST4C_4@1
	int v168; // ST04_4@1
	int v169; // ST38_4@1
	int v170; // r6@1
	int v171; // ST80_4@1
	int v172; // r1@1
	int v173; // ST5C_4@1
	int v174; // r1@1
	int v175; // r5@1
	int v176; // ST28_4@1
	int v177; // lr@1
	int v178; // r5@1
	int v179; // ST20_4@1
	int v180; // r3@1
	int v181; // ST6C_4@1
	int v182; // ST70_4@1
	int v183; // r5@1
	int v184; // STA8_4@1
	int v185; // r1@1
	int v186; // ST9C_4@1
	int v187; // STA4_4@1
	int v188; // STAC_4@1
	int v189; // ST48_4@1
	int v190; // lr@1
	int v191; // r6@1
	int v192; // r10@1
	int v193; // STA0_4@1
	int v194; // ST50_4@1
	int v195; // r3@1
	int v196; // ST98_4@1
	int v197; // r1@1
	int v198; // r5@1
	int v199; // ST18_4@1
	int v200; // r7@1
	int v201; // r8@1
	int v202; // r11@1
	int v203; // lr@1
	int v204; // r12@1
	int v205; // ST44_4@1
	int v206; // r3@1
	int v207; // r6@1
	int v208; // r2@1
	int v209; // r7@1
	int v210; // r1@1
	int v211; // r3@1
	int v212; // ST2C_4@1
	int v213; // r12@1
	int v214; // r2@1
	int v215; // r3@1
	int v216; // r12@1
	int v217; // lr@1
	int v218; // r6@1
	int v219; // r8@1
	int v220; // r3@1
	int v221; // r8@1
	int v222; // r9@1
	int v223; // ST60_4@1
	int v224; // ST70_4@1
	int v225; // ST48_4@1
	int v226; // ST30_4@1
	int v227; // ST0C_4@1
	int v228; // ST5C_4@1
	int v229; // ST34_4@1
	int v230; // ST50_4@1
	int v231; // ST7C_4@1
	int v232; // r2@1
	int v233; // r11@1
	int v234; // r5@1
	int v235; // r6@1
	int v236; // r4@1
	int v237; // r1@1
	int v238; // r7@1
	int v239; // r3@1
	int v240; // r3@1
	int v241; // r5@1
	int v242; // r7@1
	int v243; // ST28_4@1
	int v244; // r6@1
	int v245; // r4@1
	int v246; // r8@1
	int v247; // r4@1
	int v248; // ST3C_4@1
	int v249; // r12@1
	int v250; // ST18_4@1
	int v251; // lr@1
	int v252; // r6@1
	int v253; // r1@1
	int v254; // r5@1
	int v255; // r6@1
	int v256; // r7@1
	int v257; // r5@1
	int v258; // ST80_4@1
	int v259; // ST0C_4@1
	int v260; // ST24_4@1
	int v261; // r2@1
	int v262; // r3@1
	int v263; // lr@1
	int v264; // r7@1
	int v265; // r1@1
	int v266; // r5@1
	int v267; // r12@1
	int v268; // r10@1
	int v269; // r5@1
	int v270; // r3@1
	int v271; // r2@1
	int v272; // ST64_4@1
	int v273; // r9@1
	int v274; // r5@1
	int v275; // ST38_4@1
	int v276; // ST74_4@1
	int v277; // ST58_4@1
	int v278; // r8@1
	int v279; // r4@1
	int v280; // r3@1
	int v281; // ST54_4@1
	int v282; // r7@1
	int v283; // ST00_4@1
	int v284; // r9@1
	int v285; // r6@1
	int v286; // r10@1
	int v287; // r6@1
	int v288; // ST88_4@1
	int v289; // STC0_4@1
	int v290; // ST84_4@1
	int v291; // ST28_4@1
	int v292; // r7@1
	int v293; // ST98_4@1
	int v294; // r12@1
	int v295; // lr@1
	int v296; // r10@1
	int v297; // r2@1
	int v298; // r4@1
	int v299; // ST00_4@1
	int v300; // lr@1
	int v301; // r10@1
	int v302; // ST9C_4@1
	int v303; // ST78_4@1
	int v304; // STA0_4@1
	int v305; // r3@1
	int v306; // r4@1
	int v307; // ST24_4@1
	int v308; // r2@1
	int v309; // r4@1
	int v310; // r1@1
	int v311; // ST74_4@1
	int v312; // r12@1
	int v313; // r8@1
	int v314; // ST40_4@1
	int v315; // ST30_4@1
	int v316; // lr@1
	int v317; // r9@1
	int v318; // r10@1
	int v319; // r6@1
	int v320; // ST8C_4@1
	int v321; // lr@1
	int v322; // r6@1
	int v323; // r2@1
	int v324; // r8@1
	int v325; // r5@1
	int v326; // ST8C_4@1
	int v327; // r5@1
	int v328; // r9@1
	int v329; // ST94_4@1
	int v330; // r3@1
	int v331; // ST54_4@1
	int v332; // ST90_4@1
	int v333; // r7@1
	int v334; // r1@1
	int v335; // ST40_4@1
	int v336; // r8@1
	int v337; // r12@1
	int v338; // r3@1
	int v339; // r10@1
	int v340; // r4@1
	int v341; // lr@1
	int v342; // STB8_4@1
	int v343; // STB0_4@1
	int v344; // r1@1
	int v345; // r5@1
	int v346; // STA4_4@1
	int v347; // STA8_4@1
	int v348; // STAC_4@1
	int v349; // r7@1
	int v350; // ST40_4@1
	int v351; // ST30_4@1
	int v352; // r11@1
	int v353; // ST78_4@1
	int v354; // r2@1
	int v355; // ST64_4@1
	int v356; // ST50_4@1
	int v357; // ST68_4@1
	int v358; // ST58_4@1
	int v359; // ST90_4@1
	int v360; // r4@1
	int v361; // STC8_4@1
	int v362; // r1@1
	int v363; // STB4_4@1
	int v364; // STBC_4@1
	int v365; // lr@1
	int v366; // ST84_4@1
	int v367; // ST94_4@1
	int v368; // ST10_4@1
	int v369; // r3@1
	int v370; // r1@1
	int v371; // ST80_4@1
	int v372; // STD4_4@1
	int v373; // STD8_4@1
	int v374; // STD0_4@1
	int v375; // ST60_4@1
	int v376; // r2@1
	int v377; // ST10_4@1
	int v378; // r12@1
	int v379; // r5@1
	int v380; // r2@1
	int v381; // r1@1
	int v382; // r5@1
	int v383; // r8@1
	int v384; // lr@1
	int v385; // r1@1
	int v386; // lr@1
	int v387; // ST2C_4@1
	int v388; // STB4_4@1
	int v389; // r5@1
	int v390; // ST80_4@1
	int v391; // r11@1
	int v392; // r12@1
	int v393; // ST3C_4@1
	int v394; // ST7C_4@1
	int v395; // ST9C_4@1
	int v396; // ST6C_4@1
	int v397; // ST78_4@1
	int v398; // ST34_4@1
	int v399; // ST88_4@1
	int v400; // STAC_4@1
	int v401; // ST50_4@1
	int v402; // STB0_4@1
	int v403; // STC8_4@1
	int v404; // ST48_4@1
	int v405; // STCC_4@1
	int v406; // STD8_4@1
	int v407; // STD4_4@1
	int v408; // STA8_4@1
	int v409; // ST3C_4@1
	int v410; // ST84_4@1
	int v411; // ST14_4@1
	int v412; // r2@1
	int v413; // ST54_4@1
	int v414; // r5@1
	int v415; // r5@1
	int v416; // r4@1
	int v417; // r6@1
	int v418; // ST00_4@1
	int v419; // r1@1
	int v420; // ST50_4@1
	int v421; // ST3C_4@1
	int v422; // r3@1
	int v423; // r10@1
	int v424; // ST34_4@1
	int v425; // r9@1
	int v426; // ST44_4@1
	int v427; // ST48_4@1
	int v428; // ST64_4@1
	int v429; // ST58_4@1
	int v430; // r4@1
	int v431; // r6@1
	int v432; // r5@1
	int v433; // ST5C_4@1
	int v434; // r3@1
	int v435; // r7@1
	int v436; // ST04_4@1
	int v437; // ST70_4@1
	int v438; // lr@1
	int v439; // ST28_4@1
	int v440; // r4@1
	int v441; // r3@1
	int v442; // r6@1
	int v443; // r7@1
	int v444; // ST74_4@1
	int v445; // r11@1
	int v446; // r1@1
	int v447; // r6@1

	v1 = *(_DWORD *)(result + 592) & *(_DWORD *)(result + 152);
	v2 = v1 ^ *(_DWORD *)(result + 120);
	v3 = *(_DWORD *)(result + 592) & *(_DWORD *)(result + 152);
	v4 = *(_DWORD *)(result + 152) & ~*(_DWORD *)(result + 592);
	v5 = ~*(_DWORD *)(result + 88);
	v6 = (*(_DWORD *)(result + 644) ^ v1) & v5;
	v7 = v1 ^ *(_DWORD *)(result + 608);
	v8 = ~*(_DWORD *)(result + 88);
	v9 = *(_DWORD *)(result + 56);
	v10 = *(_DWORD *)(result + 132) ^ *(_DWORD *)(result + 24) ^ v4 ^ v2 & v5;
	v11 = v9 & ~v2;
	v12 = *(_DWORD *)(result + 152);
	v13 = v7 | v9;
	v14 = *(_DWORD *)(result + 152);
	v15 = v11 ^ v10;
	v16 = *(_DWORD *)(result + 120) & v12;
	v17 = *(_DWORD *)(result + 672) ^ v12;
	v18 = v14 | *(_DWORD *)(result + 216);
	v19 = *(_DWORD *)(result + 240);
	*(_DWORD *)(result + 624) = v13;
	v20 = ~v19;
	v21 = (v6 ^ v13) & ~v19;
	v22 = ~*(_DWORD *)(result + 216);
	v23 = v22 & v16;
	v24 = *(_DWORD *)(result + 248) & ~v17;
	v25 = v18 ^ *(_DWORD *)(result + 332);
	v26 = *(_DWORD *)(result + 120);
	v27 = v15 ^ v21;
	v28 = v22 & v16 ^ *(_DWORD *)(result + 536);
	*(_DWORD *)(result + 132) = v15 ^ v21;
	v29 = v16 ^ v26;
	v30 = v24 ^ v25;
	v31 = *(_DWORD *)(result + 596);
	v32 = v16 ^ v26 | *(_DWORD *)(result + 88);
	v33 = ~v14;
	v34 = v30;
	v35 = ~v14 & *(_DWORD *)(result + 120);
	v36 = v35;
	v37 = *(_DWORD *)(result + 152);
	v38 = v37 ^ *(_DWORD *)(result + 120);
	v39 = *(_DWORD *)(result + 216);
	v40 = v38 ^ *(_DWORD *)(result + 376);
	*(_DWORD *)(result + 760) = v28;
	v41 = v22 & v37;
	v42 = v37 & ~*(_DWORD *)(result + 372);
	v43 = v35 ^ v22 & v16;
	v44 = v31 | v39;
	v45 = v42 & *(_DWORD *)(result + 56);
	v46 = *(_DWORD *)(result + 612);
	v47 = *(_DWORD *)(result + 496);
	*(_DWORD *)(result + 672) = v30;
	v48 = v42;
	v49 = v47 & *(_DWORD *)(result + 152);
	v50 = *(_DWORD *)(result + 780);
	v51 = *(_DWORD *)(result + 248);
	v52 = v43 & v51 ^ v28;
	v53 = v41 ^ *(_DWORD *)(result + 152) ^ v40 & v51;
	v54 = *(_DWORD *)(result + 772);
	v55 = *(_DWORD *)(result + 572);
	v56 = *(_DWORD *)(result + 540) ^ *(_DWORD *)(result + 616) ^ v49 ^ v32 ^ *(_DWORD *)(result + 56) & ~(v42 ^ *(_DWORD *)(result + 460)) ^ (v29 ^ *(_DWORD *)(result + 752) ^ v45 | *(_DWORD *)(result + 240));
	v57 = *(_DWORD *)(result + 4);
	v58 = *(_DWORD *)(result + 232);
	v59 = *(_DWORD *)(result + 248);
	v60 = v36 ^ v44;
	v61 = *(_DWORD *)result | v16 ^ v44 ^ *(_DWORD *)(result + 720);
	v62 = v27 & *(_DWORD *)(result + 736) ^ *(_DWORD *)(result + 268);
	v63 = v38 | *(_DWORD *)(result + 216);
	v64 = *(_DWORD *)(result + 324) ^ *(_DWORD *)(result + 332) ^ v63;
	v65 = *(_DWORD *)result;
	v66 = v52 | *(_DWORD *)result;
	v67 = *(_DWORD *)(result + 192);
	*(_DWORD *)(result + 576) = v62;
	v68 = v67;
	v69 = ~v65;
	v70 = v66 ^ v34;
	v71 = ((v59 | v36 ^ v44) ^ v40) & v69;
	v72 = v44;
	v73 = *(_DWORD *)(result + 184) & ~(v38 & v59 ^ v44 ^ v61) ^ v66 ^ v34;
	v74 = v69;
	v75 = v64 ^ v53 & v69;
	v76 = (v36 | *(_DWORD *)(result + 216)) ^ *(_DWORD *)(result + 332);
	v77 = *(_DWORD *)(result + 120);
	v78 = *(_DWORD *)(result + 184);
	v79 = v44 & *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 616) = v56;
	v80 = v78 & ~v75;
	v81 = *(_DWORD *)(result + 152);
	*(_DWORD *)(result + 704) = v70;
	v82 = v81 | v77;
	v83 = v76 ^ v79;
	v84 = v72 ^ *(_DWORD *)(result + 332);
	v85 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 720) = v73;
	v86 = v23 ^ v85;
	v87 = v73 ^ *(_DWORD *)(result + 236);
	v88 = *(_DWORD *)(result + 248) ^ *(_DWORD *)(result + 244) ^ v63 ^ v36 ^ v71 ^ v80;
	v89 = *(_DWORD *)(result + 248);
	v90 = v87;
	v91 = *(_DWORD *)(result + 608) & *(_DWORD *)(result + 152);
	v92 = *(_DWORD *)(result + 56);
	*(_DWORD *)(result + 236) = v87;
	v93 = v33 & v92;
	v94 = *(_DWORD *)(result + 724);
	*(_DWORD *)(result + 404) = v76;
	v95 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 192) = v82;
	v96 = v4 ^ v95 ^ v93;
	v97 = v91 ^ *(_DWORD *)(result + 24);
	v98 = v94 & ~*(_DWORD *)(result + 152);
	*(_DWORD *)(result + 244) = v88;
	v99 = *(_DWORD *)(result + 56);
	*(_DWORD *)(result + 684) = v83;
	v100 = (v89 & ~v84 | *(_DWORD *)result) ^ v83;
	v101 = *(_DWORD *)(result + 152) & ~*(_DWORD *)(result + 608);
	v102 = *(_DWORD *)(result + 240) | (v96 | *(_DWORD *)(result + 88)) ^ v48 ^ *(_DWORD *)(result + 120) ^ v98 & *(_DWORD *)(result + 56);
	v103 = v82 ^ *(_DWORD *)(result + 256);
	v104 = *(_DWORD *)(result + 356);
	v105 = v38 ^ *(_DWORD *)(result + 216);
	v106 = *(_DWORD *)(result + 248);
	v107 = ((*(_DWORD *)(result + 320) ^ *(_DWORD *)(result + 152)) & v106 ^ v86) & v74 ^ v89 & ~v38 ^ v38;
	v108 = *(_DWORD *)(result + 248) & ~(*(_DWORD *)(result + 536) ^ v41);
	v109 = v103 & v106 ^ v38 ^ ((v36 ^ *(_DWORD *)(result + 476)) & *(_DWORD *)(result + 248) ^ v60 | *(_DWORD *)result);
	v110 = ((v23 ^ *(_DWORD *)(result + 152)) & *(_DWORD *)(result + 248) ^ v25) & v74;
	v111 = *(_DWORD *)(result + 608) ^ *(_DWORD *)(result + 220) ^ v49 ^ v99 & ~v101 ^ (v97 & *(_DWORD *)(result + 56) ^ v3 | *(_DWORD *)(result + 88)) ^ v102;
	v112 = v100 ^ *(_DWORD *)(result + 36) ^ v107 & *(_DWORD *)(result + 184);
	v113 = *(_DWORD *)(result + 68);
	v114 = v27 ^ *(_DWORD *)(result + 68);
	v115 = v112 | v27;
	v116 = v111 | *(_DWORD *)(result + 252);
	v117 = ~v27 & v113;
	v118 = v27 & ~v113;
	v119 = v111 ^ *(_DWORD *)(result + 252);
	v120 = ((v112 | v118) ^ v118) & *(_DWORD *)(result + 100);
	v121 = v27 & ~v112;
	v122 = v109 & *(_DWORD *)(result + 184);
	v123 = v121 ^ v118;
	v124 = ~v112 & v117;
	v125 = *(_DWORD *)(result + 124);
	v126 = *(_DWORD *)(result + 152) & ~*(_DWORD *)(result + 540);
	v127 = ~v112 & v114 ^ v117;
	v128 = *(_DWORD *)(result + 68);
	*(_DWORD *)(result + 36) = v112;
	v129 = v111 & *(_DWORD *)(result + 252);
	*(_DWORD *)(result + 220) = v111;
	v130 = *(_DWORD *)(result + 56) & ~(v101 ^ *(_DWORD *)(result + 372));
	v131 = ~(~v111 & v116);
	v132 = (v90 | *(_DWORD *)(result + 488)) ^ *(_DWORD *)(result + 272);
	v133 = v121 ^ v117;
	v134 = ~*(_DWORD *)(result + 100);
	v135 = v121 & *(_DWORD *)(result + 100) ^ v121 ^ v118 | v57;
	v136 = *(_DWORD *)(result + 252) & ~(v120 ^ v121 ^ v117 ^ (((v112 | v27) ^ v117) & v134 ^ v121 | v57));
	v137 = (v124 ^ *(_DWORD *)(result + 68)) & v134;
	v138 = *(_DWORD *)(result + 100) | v117;
	v139 = v112 | v117;
	v140 = v90 | *(_DWORD *)(result + 104);
	v141 = (v27 | v128) ^ *(_DWORD *)(result + 48) ^ v112 ^ v138;
	v142 = v127 ^ v138;
	v143 = (v90 | *(_DWORD *)(result + 548)) ^ *(_DWORD *)(result + 600);
	v144 = v127 & v134 ^ v27;
	v145 = v112 | v27 | v128;
	v146 = ((v112 | v27 | v128) ^ (v27 | v128)) & v134;
	v147 = (v112 | *(_DWORD *)(result + 100)) ^ v114;
	v148 = *(_DWORD *)(result + 100);
	v149 = v147;
	v150 = v145 ^ v114 | v148;
	v151 = v148 & ~(v121 ^ v117) ^ v115;
	v152 = v144 ^ (v133 & v134 ^ v115 | v57);
	v153 = ~v111 & v125;
	v154 = v123 ^ v134 & v117;
	v155 = (v90 | *(_DWORD *)(result + 764)) ^ *(_DWORD *)(result + 532);
	v156 = (v90 | *(_DWORD *)(result + 280)) ^ *(_DWORD *)(result + 400);
	v157 = *(_DWORD *)(result + 252);
	v158 = (v90 | *(_DWORD *)(result + 200)) ^ *(_DWORD *)(result + 360);
	v159 = ~v111 & v157;
	v160 = v125 & ~v129;
	v161 = ~v157;
	v162 = v129 & v125;
	v163 = *(_DWORD *)(result + 44) ^ v105 ^ v108 ^ v110 ^ v122;
	*(_DWORD *)(result + 44) = v163;
	v164 = v117 & ~v57 ^ v124 ^ v146;
	v165 = v149 ^ v151 & ~v57;
	v166 = v164 | *(_DWORD *)(result + 252);
	v167 = v141 ^ v154 & ~v57 ^ v152 & v161;
	v168 = v136 ^ v165 ^ *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 392) = v168;
	v169 = v140 ^ *(_DWORD *)(result + 528);
	v170 = v111 & v161 & v125;
	v171 = v57 | ~(v111 & v161 ^ v129 & v125);
	v172 = *(_DWORD *)(result + 68);
	*(_DWORD *)(result + 48) = v167;
	v173 = v161 & (v172 ^ v139 ^ v137 ^ v142 & ~v57);
	v174 = *(_DWORD *)(result + 252);
	v175 = *(_DWORD *)(result + 68) & v27 ^ *(_DWORD *)(result + 160) ^ v139 ^ v150;
	v176 = ~v119 & v125;
	v177 = v175 ^ v166 ^ v135;
	v178 = *(_DWORD *)(result + 252);
	v179 = v177;
	*(_DWORD *)(result + 160) = v177;
	v180 = v160 ^ v178;
	v181 = v125 & v57 & v116 ^ v170 ^ v174;
	v182 = v57 & ~(v153 ^ v174) ^ v153;
	v183 = v131 & v57;
	v184 = v155 ^ *(_DWORD *)(result + 184);
	v185 = v160 ^ v116;
	v186 = v131 & v125 ^ v119 ^ (v125 & ~v116 ^ v119) & v57;
	v187 = v180 & v57 ^ v160 ^ v116;
	v188 = v156 ^ *(_DWORD *)(result + 24);
	v189 = *(_DWORD *)(result + 24) & *(_DWORD *)(result + 152) ^ *(_DWORD *)(result + 496);
	v190 = v57 & ~(v159 & v125 ^ v111) ^ v170;
	v191 = v170 & v57 ^ v160;
	v192 = v160 ^ v111;
	v193 = v190;
	v194 = v192 ^ (v116 ^ v125) & v57;
	v195 = *(_DWORD *)(result + 524) ^ v57 & ~v185;
	v196 = v192 & ~v57 ^ v185;
	v197 = v111 & v125 ^ v119;
	v198 = v183 ^ v119 ^ v125;
	v199 = v191 ^ v159;
	v200 = *(_DWORD *)(result + 168);
	v201 = v153 ^ v111 ^ v57 & ~(v111 ^ v162);
	v202 = v200 & ~(v57 & ~(v176 ^ v111) ^ v197);
	v203 = v200 & ~(~v119 & v57 ^ *(_DWORD *)(result + 636));
	v204 = ((v176 ^ v119) & v57 ^ *(_DWORD *)(result + 468)) & v200;
	v205 = *(_DWORD *)(result + 744);
	v206 = v200 & ~v195;
	v207 = v57 & ~v162 ^ v197 ^ v187 & v200;
	*(_DWORD *)(result + 612) = v198 ^ v171 & v200;
	v208 = v200 & ~v186;
	*(_DWORD *)(result + 372) = v181 ^ v200 & ~v182;
	*(_DWORD *)(result + 324) = v88 | *(_DWORD *)(result + 732);
	v209 = ~v88 & *(_DWORD *)(result + 92);
	*(_DWORD *)(result + 232) = v206 ^ v194;
	*(_DWORD *)(result + 356) = v209;
	*(_DWORD *)(result + 572) = v196 ^ v208;
	*(_DWORD *)(result + 636) = v201 ^ v202;
	*(_DWORD *)(result + 644) = v203 ^ v199;
	v210 = *(_DWORD *)(result + 152);
	v211 = *(_DWORD *)(result + 460);
	*(_DWORD *)(result + 476) = v193 ^ v204;
	v212 = v173 ^ v205 ^ v165;
	*(_DWORD *)(result + 780) = v212;
	v213 = v211 & v210 ^ *(_DWORD *)(result + 592);
	v214 = v126 ^ v211;
	v215 = *(_DWORD *)(result + 88);
	*(_DWORD *)(result + 772) = v207;
	v216 = v214 ^ (v213 | v215);
	v217 = v189 & v8;
	v218 = v126 ^ *(_DWORD *)(result + 592);
	v219 = *(_DWORD *)(result + 664) ^ *(_DWORD *)(result + 308) ^ *(_DWORD *)(result + 632) & *(_DWORD *)(result + 76);
	v220 = v219;
	v221 = v219 ^ *(_DWORD *)(result + 424);
	v222 = *(_DWORD *)(result + 640);
	v223 = v221 & v222;
	v224 = v220 & *(_DWORD *)(result + 424);
	v225 = ~v220 & *(_DWORD *)(result + 424);
	v226 = v224 & v222;
	v227 = ~v220;
	v228 = v221;
	v229 = v220;
	v230 = v220 & *(_DWORD *)(result + 640);
	v231 = *(_DWORD *)(result + 640) & ~v221;
	v232 = *(_DWORD *)(result + 136) ^ *(_DWORD *)(result + 204) ^ v217 ^ v218 ^ (v216 ^ v130) & v20;
	v233 = *(_DWORD *)(result + 648) ^ *(_DWORD *)(result + 556) ^ *(_DWORD *)(result + 228) ^ v221 ^ (*(_DWORD *)(result + 424) ^ *(_DWORD *)(result + 336) & v231) & *(_DWORD *)(result + 452) ^ (v230 & *(_DWORD *)(result + 336) ^ v230 ^ v220 ^ *(_DWORD *)(result + 452) & ~((v221 & v222 ^ v224) & *(_DWORD *)(result + 336) ^ v225 ^ v224 & v222)) & ~v205;
	v234 = *(_DWORD *)(result + 428) & ~v90;
	v235 = v233 & *(_DWORD *)(result + 728);
	v236 = *(_DWORD *)(result + 80) ^ *(_DWORD *)(result + 388);
	v237 = *(_DWORD *)(result + 224);
	v238 = *(_DWORD *)(result + 544);
	v239 = ~v90 & *(_DWORD *)(result + 464);
	*(_DWORD *)(result + 204) = v232;
	v240 = v239 ^ v236;
	v241 = v232 & ~(v234 ^ v238);
	v243 = v233 & ~*(_DWORD *)(result + 552);
	v242 = v233 & ~*(_DWORD *)(result + 552);
	v244 = (v235 ^ *(_DWORD *)(result + 700)) & v163;
	v245 = *(_DWORD *)(result + 352);
	*(_DWORD *)(result + 80) = v240 ^ v158 & v232;
	v246 = v242 ^ v245;
	v247 = *(_DWORD *)(result + 316) & ~v27 ^ *(_DWORD *)(result + 736);
	v248 = v184 ^ v232 & ~v169;
	v249 = v143 ^ v132 & v232 ^ v237;
	v250 = v188 ^ v241;
	v251 = v246 ^ v244;
	v252 = v188 ^ v241;
	v253 = *(_DWORD *)(result + 736);
	v254 = *(_DWORD *)(result + 640);
	*(_DWORD *)(result + 24) = v252;
	v255 = ~v27 & v253;
	v256 = v227 & v254;
	v257 = *(_DWORD *)(result + 584);
	v258 = v251;
	*(_DWORD *)(result + 184) = v248;
	v259 = v249;
	*(_DWORD *)(result + 224) = v249;
	v260 = v27 & *(_DWORD *)(result + 504);
	v261 = *(_DWORD *)(result + 768);
	*(_DWORD *)(result + 696) = v256;
	*(_DWORD *)(result + 464) = v225;
	v262 = v27 & ~*(_DWORD *)(result + 580);
	v263 = v27 & ~v257 ^ *(_DWORD *)(result + 492);
	v264 = *(_DWORD *)(result + 784);
	*(_DWORD *)(result + 664) = v229;
	v265 = *(_DWORD *)(result + 480);
	v266 = *(_DWORD *)(result + 12);
	*(_DWORD *)(result + 228) = v233;
	v267 = v27 & v266;
	v268 = v27 | *(_DWORD *)(result + 628);
	v269 = *(_DWORD *)(result + 156);
	*(_DWORD *)(result + 728) = v258;
	v270 = v262 ^ *(_DWORD *)(result + 776) ^ (v255 ^ v261 | *(_DWORD *)(result + 784)) ^ *(_DWORD *)(result + 72);
	v271 = v233 & (v62 ^ *(_DWORD *)(result + 284)) ^ (v260 ^ v265 | *(_DWORD *)(result + 784)) ^ v27 & ~v54 ^ *(_DWORD *)(result + 300) ^ *(_DWORD *)(result + 144);
	v272 = *(_DWORD *)(result + 420);
	v273 = v27 & v46 ^ v50 ^ (v27 & ~v269 ^ *(_DWORD *)(result + 384) | *(_DWORD *)(result + 784));
	v274 = v271 & ~v250;
	v275 = v270 ^ v233 & ~(v263 ^ v247 & ~v264);
	v276 = v233 & ~((v267 ^ *(_DWORD *)(result + 520)) & ~v264 ^ v27 & *(_DWORD *)(result + 688) ^ *(_DWORD *)(result + 768));
	v277 = *(_DWORD *)(result + 140) & ~(v233 & ~*(_DWORD *)(result + 312) ^ *(_DWORD *)(result + 620) ^ *(_DWORD *)(result + 604) & ~v233 & v163);
	v278 = v233 & *(_DWORD *)(result + 364);
	v279 = v27 & ~*(_DWORD *)(result + 668) ^ v55 ^ (v268 ^ v68 | *(_DWORD *)(result + 784)) ^ *(_DWORD *)(result + 56);
	v280 = (v233 | ~*(_DWORD *)(result + 276)) & v163;
	v281 = v233 & *(_DWORD *)(result + 264) ^ *(_DWORD *)(result + 296);
	v282 = v233 & ~(v27 & *(_DWORD *)(result + 668) ^ *(_DWORD *)(result + 20) ^ v58);
	v283 = *(_DWORD *)(result + 552) ^ *(_DWORD *)(result + 152) ^ v233 & *(_DWORD *)(result + 560) ^ v163 & ~(v233 & ~*(_DWORD *)(result + 740) ^ *(_DWORD *)(result + 408));
	v284 = v273 ^ *(_DWORD *)result;
	*(_DWORD *)(result + 144) = v271;
	*(_DWORD *)(result + 504) = v274;
	*(_DWORD *)(result + 420) = v274;
	v285 = *(_DWORD *)(result + 336);
	*(_DWORD *)(result + 724) = v212 & v275;
	v286 = v224 & ~v285;
	*(_DWORD *)(result + 284) = v271 & v250;
	v287 = *(_DWORD *)(result + 756);
	*(_DWORD *)(result + 756) = v274 ^ v250;
	v288 = v243 ^ v287;
	*(_DWORD *)(result + 552) = v243 ^ v287;
	*(_DWORD *)(result + 180) = v212 & ~v275;
	*(_DWORD *)(result + 72) = v275;
	*(_DWORD *)(result + 256) = v275 & ~v212;
	*(_DWORD *)(result + 536) = v212 ^ v275;
	v289 = v281 ^ v280;
	*(_DWORD *)(result + 276) = v281 ^ v280;
	v290 = v278 ^ v272;
	*(_DWORD *)(result + 364) = v278 ^ v272;
	v291 = v279 ^ v282;
	*(_DWORD *)(result + 56) = v279 ^ v282;
	v292 = v283 ^ v277;
	*(_DWORD *)(result + 388) = v212 & ~(v212 & v275);
	v293 = ~v212 & (v212 | v275);
	v294 = v229 | *(_DWORD *)(result + 424);
	v295 = v229 & ~*(_DWORD *)(result + 424);
	v296 = (v230 ^ v229 ^ v286) & *(_DWORD *)(result + 452);
	v297 = *(_DWORD *)(result + 336) & v229;
	*(_DWORD *)(result + 316) = v212 | v275;
	v298 = v295;
	v299 = v284 ^ v276;
	v300 = v294 & *(_DWORD *)(result + 640);
	*(_DWORD *)result = v284 ^ v276;
	v301 = v226 ^ v297 ^ v296;
	v302 = v298;
	v303 = ~v298;
	v304 = v300;
	v305 = *(_DWORD *)(result + 84) ^ *(_DWORD *)(result + 196) ^ v229 ^ *(_DWORD *)(result + 336) & ~v298;
	v306 = *(_DWORD *)(result + 452);
	v307 = v292;
	*(_DWORD *)(result + 152) = v292;
	v308 = v306 & ~(v297 ^ v225 ^ v300);
	v309 = *(_DWORD *)(result + 148);
	v310 = *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 776) = v293;
	v311 = ~v309;
	v312 = v310 & ~v56;
	*(_DWORD *)(result + 84) = v305 ^ (v301 | v205) ^ v308;
	v313 = v56 & ~v309;
	v314 = v56 & ~v313;
	v315 = v56 ^ *(_DWORD *)(result + 148);
	v316 = ~*(_DWORD *)(result + 52);
	v317 = v56 & v316 ^ v313;
	v318 = v56 | *(_DWORD *)(result + 148);
	v319 = v56 & v310 & v316;
	v320 = *(_DWORD *)(result + 84) & ~(v313 ^ *(_DWORD *)(result + 432));
	v321 = v312 & v316;
	v322 = v319 ^ v318;
	v323 = (*(_DWORD *)(result + 52) | v56) ^ v313;
	v324 = v318 | *(_DWORD *)(result + 52);
	v325 = v320;
	v326 = (v312 ^ *(_DWORD *)(result + 680) | *(_DWORD *)(result + 84)) ^ v317;
	v327 = v325 ^ v317;
	v328 = v324 ^ v56;
	v329 = *(_DWORD *)(result + 84) & v324;
	v330 = *(_DWORD *)(result + 84) & ~(v56 & v310 ^ *(_DWORD *)(result + 712)) ^ (*(_DWORD *)(result + 52) | v314) ^ v314;
	v331 = (*(_DWORD *)(result + 52) | v315) & *(_DWORD *)(result + 84) ^ *(_DWORD *)(result + 792) ^ v56;
	v332 = *(_DWORD *)(result + 788) & v327;
	v333 = *(_DWORD *)(result + 788) & ~v326;
	v334 = *(_DWORD *)(result + 260);
	v335 = *(_DWORD *)(result + 568) ^ v315 ^ v323 & *(_DWORD *)(result + 84);
	v336 = *(_DWORD *)(result + 84) & ~v309 ^ (v312 | *(_DWORD *)(result + 52)) ^ *(_DWORD *)(result + 148);
	v337 = v233 & ~*(_DWORD *)(result + 700) ^ *(_DWORD *)(result + 12);
	v338 = v330 & *(_DWORD *)(result + 788);
	v339 = v233 & ~*(_DWORD *)(result + 656) ^ *(_DWORD *)(result + 436);
	v340 = v163 & ~(v233 & ~*(_DWORD *)(result + 412) ^ *(_DWORD *)(result + 808));
	v341 = v321 ^ v315 ^ *(_DWORD *)(result + 84) & ~v328;
	*(_DWORD *)(result + 448) ^= v233;
	v342 = v322 ^ v329 ^ v338;
	v343 = v331 ^ v332;
	v344 = v233 & v334 ^ *(_DWORD *)(result + 12);
	v345 = v233 & *(_DWORD *)(result + 116);
	v346 = v303 & *(_DWORD *)(result + 640);
	v347 = v335 ^ v333;
	v348 = v341 ^ *(_DWORD *)(result + 788) & ~v336;
	v349 = v342 ^ *(_DWORD *)(result + 248) ^ (v335 ^ v333) & v90;
	v350 = v168 ^ v248;
	v351 = v168 | v248;
	v352 = ~v168 & v248;
	v353 = v230 ^ *(_DWORD *)(result + 424);
	v354 = (v331 ^ v332) & ~v90 ^ v348;
	v355 = v299 & ~(v168 ^ v248);
	v356 = v168 & v248;
	v357 = v299 & ~(v168 | v248);
	v358 = ~v168 & (v168 | v248);
	v359 = v352 & v299;
	v360 = *(_DWORD *)(result + 448) ^ v229 ^ v337 & v163 ^ (v339 ^ v340) & *(_DWORD *)(result + 140);
	v361 = (v345 ^ *(_DWORD *)(result + 436)) & v163 ^ v290;
	v362 = (v344 & v163 ^ v288) & *(_DWORD *)(result + 140);
	v363 = v354 ^ *(_DWORD *)(result + 640);
	v364 = (v224 ^ *(_DWORD *)(result + 800)) & *(_DWORD *)(result + 336);
	v365 = v223 & *(_DWORD *)(result + 336) ^ v353 ^ (*(_DWORD *)(result + 416) ^ *(_DWORD *)(result + 424) ^ v346) & *(_DWORD *)(result + 452);
	v366 = v299 & ~v358;
	v367 = v352 & v299 ^ (v168 | v248);
	v368 = *(_DWORD *)(result + 96) ^ v258;
	v369 = v289 ^ v362;
	v370 = *(_DWORD *)(result + 796) ^ v348;
	v371 = v302 ^ *(_DWORD *)(result + 328);
	v372 = v223 ^ v228;
	v373 = v353 & *(_DWORD *)(result + 336);
	v374 = v302 ^ *(_DWORD *)(result + 640);
	v375 = ~v168 & v299 ^ v168;
	v376 = *(_DWORD *)(result + 424);
	v377 = v368 ^ *(_DWORD *)(result + 140) & ~v361;
	*(_DWORD *)(result + 96) = v377;
	v378 = v304 ^ v376;
	v379 = *(_DWORD *)(result + 176);
	*(_DWORD *)(result + 260) = v369;
	*(_DWORD *)(result + 176) = v369 ^ v379;
	*(_DWORD *)(result + 412) = v360;
	*(_DWORD *)(result + 744) = v365 | v205;
	*(_DWORD *)(result + 800) = v364 ^ v371;
	*(_DWORD *)(result + 796) = v370 ^ v90 & ~v343;
	*(_DWORD *)(result + 688) = v363 & ~v360;
	*(_DWORD *)(result + 500) = v363;
	*(_DWORD *)(result + 492) = v363 | v360;
	*(_DWORD *)(result + 248) = v349;
	*(_DWORD *)(result + 656) = v304 ^ v376;
	*(_DWORD *)(result + 752) = v363 ^ (v363 | v360);
	v380 = *(_DWORD *)(result + 640);
	*(_DWORD *)(result + 496) = v212 | v363 | v360;
	v381 = *(_DWORD *)(result + 336);
	*(_DWORD *)(result + 768) = v349 & ~(v299 & ~(v168 ^ v248) ^ v168 & v248) ^ (v168 | v248) & v299 ^ v168 ^ v248;
	*(_DWORD *)(result + 740) = v299 & ~v358 ^ v168 & v248 ^ v349 & ~((v168 | v248) & v299 ^ v168 ^ v248);
	*(_DWORD *)(result + 76) = v367 & v349 ^ v375;
	v382 = *(_DWORD *)(result + 424);
	*(_DWORD *)(result + 560) = v168 & v299 & v349 ^ v352 ^ v299 & ~(v168 | v248);
	v383 = (v372 ^ v373) & *(_DWORD *)(result + 452);
	v384 = (v346 ^ v229 ^ v381 & ~v374) & *(_DWORD *)(result + 452);
	v385 = *(_DWORD *)(result + 336);
	*(_DWORD *)(result + 680) = v349 & ~(v299 & ~(v168 | v248) ^ (v168 | v248)) ^ v299 & ~(v168 | v248) ^ (v168 | v248);
	*(_DWORD *)(result + 480) = ~v168 & v299 ^ (v168 | v248) ^ (v168 ^ v248 ^ v299) & v349;
	v386 = v378 ^ *(_DWORD *)(result + 28) ^ v384 ^ v385 & ~(~v225 & v382 ^ v231) ^ (~v225 & v380 ^ v229 ^ v383 ^ v385 & ~(v231 ^ v228) | v205);
	v387 = v386 | *(_DWORD *)(result + 692);
	v388 = ~*(_DWORD *)(result + 692);
	v389 = *(_DWORD *)(result + 148);
	v390 = v387 & v389;
	v391 = *(_DWORD *)(result + 88) ^ v88 ^ v386 & v388 ^ v387 & v389 ^ v56 & ~((*(_DWORD *)(result + 692) ^ *(_DWORD *)(result + 148)) & ~v88 & v386 ^ v386 & *(_DWORD *)(result + 692)) ^ (~v88 & v56 & v386 & *(_DWORD *)(result + 692) ^ v88 & *(_DWORD *)(result + 148) & v386 ^ v389 | *(_DWORD *)(result + 212));
	v392 = v168 & ~v291;
	v393 = v168 & ~v248;
	v394 = *(_DWORD *)(result + 148) & ~(~(v386 & v388) & v386);
	v395 = v168 & ~(v168 & v391);
	v396 = v168 & ~v391 ^ v392;
	v397 = v299 & ~v356;
	v398 = v168 & ~v356;
	v399 = v391 & ~v291;
	v400 = v396 | v307;
	v401 = v168 & ~(v168 & v391) ^ (v168 | v291);
	v402 = (v168 | v391) & ~v168;
	v403 = v398 ^ v393 & v299;
	*(_DWORD *)(result + 620) = v349 & v299;
	v404 = ~v386 & *(_DWORD *)(result + 148);
	v405 = (v357 ^ v393) & v349;
	v406 = v347 | v90;
	v407 = v342 ^ *(_DWORD *)(result + 208);
	v408 = v350 & v299 ^ v393;
	v409 = v366 ^ v349 & ~(v393 & v299);
	*(_DWORD *)(result + 524) = v349 & ~*(_DWORD *)(result + 620);
	v410 = ~(v386 & v388) & *(_DWORD *)(result + 148);
	v411 = ~v386 & *(_DWORD *)(result + 692);
	*(_DWORD *)(result + 540) = (v359 ^ v168) & v349;
	*(_DWORD *)(result + 668) = (v355 ^ v168) & v349 ^ v350;
	*(_DWORD *)(result + 460) = v355 ^ v351 ^ (v350 & v299 ^ v350) & v349;
	*(_DWORD *)(result + 320) = (v168 & v299 ^ v168) & v349 ^ v355 ^ v168;
	*(_DWORD *)(result + 516) = v408 ^ v405;
	*(_DWORD *)(result + 104) = v349 & ~(v358 ^ v397) ^ v367;
	*(_DWORD *)(result + 580) = v350 & v299 ^ v358 ^ v349 & ~v403;
	*(_DWORD *)(result + 592) = v409 ^ v398;
	*(_DWORD *)(result + 156) = v397 ^ v168 ^ v349 & ~v375;
	*(_DWORD *)(result + 764) = v375 & v349 ^ v398 ^ v299 & ~v398;
	v412 = *(_DWORD *)(result + 524);
	*(_DWORD *)(result + 208) = v407 ^ v406;
	*(_DWORD *)(result + 308) = v299 | v349;
	*(_DWORD *)(result + 312) = v377 & ~v349;
	*(_DWORD *)(result + 292) = v377 & ~v412;
	*(_DWORD *)(result + 264) = ~v349 & (v299 | v349);
	*(_DWORD *)(result + 444) = v299 & ~v349;
	*(_DWORD *)(result + 300) = v349 ^ v299;
	v413 = v410 ^ v386;
	*(_DWORD *)(result + 376) = v410 ^ v386;
	*(_DWORD *)(result + 384) = ((v387 ^ v394 | v88) ^ v404) & v56;
	*(_DWORD *)(result + 596) = v349 & ~v299;
	*(_DWORD *)(result + 28) = v386;
	*(_DWORD *)(result + 428) = v411;
	*(_DWORD *)(result + 88) = v391;
	*(_DWORD *)(result + 628) = v168 & v391 ^ (v168 | v291) ^ v400 ^ (v307 | ~v396) & v250;
	v414 = *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 280) = v402 ^ v291 ^ v250 & ~(((v168 | v291) ^ v168) & v307) ^ (v401 | v307);
	v415 = v411 & v414;
	*(_DWORD *)(result + 568) = v307 & ~((v168 | v391) ^ (v168 | v291)) ^ (v168 | v291) ^ v391 ^ v250 & ~((v168 | v291) ^ v391 | v307);
	*(_DWORD *)(result + 604) = v250 & ~(v400 ^ v392) ^ v307 & ~((v168 | v391) ^ v399);
	v416 = *(_DWORD *)(result + 692);
	*(_DWORD *)(result + 648) = v401 ^ v307 ^ ((v168 | v391) ^ v392 ^ ~v307 & (v168 ^ v391)) & v250;
	*(_DWORD *)(result + 520) = v386 ^ v416;
	v417 = *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 632) = (v168 | v291) & v307 ^ v402 ^ v250 & ~(v401 ^ (v307 | (v168 | v391) ^ v291));
	v418 = v88 & ~(v390 ^ v387) ^ *(_DWORD *)(result + 520) ^ *(_DWORD *)(result + 8) ^ v417 ^ v56 & ~(v415 ^ (v390 ^ v387) & v88) ^ ((v415 ^ v411 ^ v88 & v311) & v56 ^ (v411 ^ v417) & v88 | *(_DWORD *)(result + 212));
	v419 = *(_DWORD *)(result + 452) ^ *(_DWORD *)(result + 16) ^ v88 ^ (v88 & v388 ^ v104) & v56;
	v420 = *(_DWORD *)(result + 520) & *(_DWORD *)(result + 148);
	v421 = v396 & ~v307;
	v422 = (v404 ^ v387 | v88) ^ *(_DWORD *)(result + 148) ^ (v404 & v88 ^ v386 & v388 ^ v394) & v56;
	*(_DWORD *)(result + 352) = v420 ^ v411;
	v423 = (v415 ^ v411 ^ v387 & v88) & v56;
	v424 = v259 & ~(v418 ^ v179);
	v425 = ~v418 & v259;
	v426 = ~v179 & v418;
	v427 = v418 & ~(v418 & v179);
	v428 = *(_DWORD *)(result + 520) ^ v419;
	v429 = (v291 | v395) ^ v168 & ~v391 | v307;
	v430 = v168 ^ v391 ^ v291;
	v431 = (v395 ^ (v391 | v291)) & ~v307 ^ v399;
	v432 = (v391 | v291) ^ v391 ^ v421;
	v433 = v168 ^ (v168 ^ v391 | v291);
	v434 = v422 | *(_DWORD *)(result + 212);
	v435 = *(_DWORD *)(result + 520) ^ v420;
	v436 = ~v418 & (v418 | v179);
	v437 = *(_DWORD *)(result + 352) ^ v387 & v88;
	*(_DWORD *)(result + 296) = ~v418 & v179;
	v438 = v418 & v179 & v259;
	v439 = v430 ^ v429;
	v440 = v250 & ~v431;
	v441 = v434 ^ v428;
	v442 = v435 & v88;
	v443 = v259 ^ v418 ^ v179;
	v444 = *(_DWORD *)(result + 296) ^ (v418 ^ v179 & v259) & v377;
	v445 = *(_DWORD *)(result + 296) & v259;
	*(_DWORD *)(result + 700) = v441;
	v446 = v438 ^ v418 & v179;
	*(_DWORD *)(result + 736) = v440 ^ v439;
	*(_DWORD *)(result + 200) = v433 ^ v421 ^ v432 & v250;
	*(_DWORD *)(result + 564) = v442 ^ v413;
	v447 = *(_DWORD *)(result + 212);
	*(_DWORD *)(result + 416) = v275 | v418;
	*(_DWORD *)(result + 344) = v418 | v293;
	*(_DWORD *)(result + 608) = v437 ^ v423 | v447;
	*(_DWORD *)(result + 8) = v418;
	*(_DWORD *)(result + 396) = v441 & v167;
	*(_DWORD *)(result + 16) = v441 & ~v167;
	*(_DWORD *)(result + 584) = v179 ^ v424 ^ v377 & ~v436;
	*(_DWORD *)(result + 712) = v179 ^ v436 & ~v377;
	*(_DWORD *)(result + 468) = v445 ^ ~(v418 | v179) & v377;
	*(_DWORD *)(result + 116) = v436 ^ v179 & ~v377;
	*(_DWORD *)(result + 432) = v443 ^ (~(v418 | v179) & v259 ^ (v418 | v179)) & ~v377;
	*(_DWORD *)(result + 548) = v444 ^ v445;
	*(_DWORD *)(result + 136) = v377 & ~(v179 & v259) ^ v443;
	*(_DWORD *)(result + 792) = (v418 | v179) & v259 ^ v179 ^ v377 & ~(v425 ^ v418 ^ v179);
	*(_DWORD *)(result + 20) = (v425 ^ v418 & v179) & ~v377 ^ v425;
	*(_DWORD *)(result + 640) = v179 ^ (v427 ^ v424 | v377);
	*(_DWORD *)(result + 488) = (v418 ^ v179 ^ v259 & ~v179) & v377 ^ v427 ^ v425;
	*(_DWORD *)(result + 408) = v418 & ~v259 ^ v377 & ~(v425 ^ v418);
	*(_DWORD *)(result + 120) = v377 & ~(v426 & v259) ^ v425 ^ v418;
	*(_DWORD *)(result + 196) = (v438 ^ v426) & ~v377;
	*(_DWORD *)(result + 328) = v446;
	*(_DWORD *)(result + 368) = v446 & ~v377;
	*(_DWORD *)(result + 556) = v418 & v179 & v377 ^ v425;
	return result;
}

//----- (00094BDC) --------------------------------------------------------
unsigned char* sub_94BDC(unsigned char* result)
{
	int v1; // r7@1
	int v2; // r5@1
	int v3; // ST04_4@1
	int v4; // r9@1
	int v5; // ST08_4@1
	int v6; // r8@1
	int v7; // ST20_4@1
	int v8; // r6@1
	int v9; // r10@1
	int v10; // ST3C_4@1
	int v11; // ST24_4@1
	int v12; // r4@1
	int v13; // ST28_4@1
	int v14; // ST10_4@1
	int v15; // ST78_4@1
	int v16; // ST7C_4@1
	int v17; // ST1C_4@1
	int v18; // ST44_4@1
	int v19; // r3@1
	int v20; // r4@1
	int v21; // ST84_4@1
	int v22; // r2@1
	int v23; // r5@1
	int v24; // ST0C_4@1
	int v25; // r11@1
	int v26; // r7@1
	int v27; // ST40_4@1
	int v28; // r1@1
	int v29; // ST18_4@1
	int v30; // ST4C_4@1
	int v31; // ST74_4@1
	int v32; // ST98_4@1
	int v33; // lr@1
	int v34; // r8@1
	int v35; // r1@1
	int v36; // ST48_4@1
	int v37; // ST8C_4@1
	int v38; // ST50_4@1
	int v39; // ST94_4@1
	int v40; // r2@1
	int v41; // ST2C_4@1
	int v42; // lr@1
	int v43; // r6@1
	int v44; // lr@1
	int v45; // r5@1
	int v46; // r11@1
	int v47; // r12@1
	int v48; // r2@1
	int v49; // r10@1
	int v50; // ST38_4@1
	int v51; // r6@1
	int v52; // r2@1
	int v53; // r1@1
	int v54; // STB8_4@1
	int v55; // r3@1
	int v56; // r5@1
	int v57; // ST14_4@1
	int v58; // ST30_4@1
	int v59; // r1@1
	int v60; // r9@1
	int v61; // ST04_4@1
	int v62; // ST10_4@1
	int v63; // r5@1
	int v64; // r10@1
	int v65; // r4@1
	int v66; // r6@1
	int v67; // r1@1
	int v68; // r12@1
	int v69; // r3@1
	int v70; // r12@1
	int v71; // r3@1
	int v72; // r2@1
	int v73; // r5@1
	int v74; // r3@1
	int v75; // ST6C_4@1
	int v76; // ST18_4@1
	int v77; // r1@1
	int v78; // r12@1
	int v79; // r1@1
	int v80; // r5@1
	int v81; // STBC_4@1
	int v82; // ST60_4@1
	int v83; // ST58_4@1
	int v84; // ST54_4@1
	int v85; // ST70_4@1
	int v86; // ST64_4@1
	int v87; // ST88_4@1
	int v88; // r12@1
	int v89; // ST30_4@1
	int v90; // ST34_4@1
	int v91; // STA0_4@1
	int v92; // ST80_4@1
	int v93; // ST5C_4@1
	int v94; // ST68_4@1
	int v95; // ST90_4@1
	int v96; // r3@1
	int v97; // r8@1
	int v98; // r12@1
	int v99; // lr@1
	int v100; // r6@1
	int v101; // r9@1
	int v102; // r7@1
	int v103; // r2@1
	int v104; // r10@1
	int v105; // r2@1
	int v106; // r1@1
	int v107; // r4@1
	int v108; // STC0_4@1
	int v109; // r7@1
	int v110; // r6@1
	int v111; // r5@1
	int v112; // r5@1
	int v113; // r3@1
	int v114; // r6@1
	int v115; // r4@1
	int v116; // r12@1
	int v117; // r2@1
	int v118; // ST08_4@1
	int v119; // r7@1
	int v120; // r6@1
	int v121; // lr@1
	int v122; // r4@1
	int v123; // r5@1
	int v124; // ST10_4@1
	int v125; // ST9C_4@1
	int v126; // STA4_4@1
	int v127; // r1@1
	int v128; // r2@1
	int v129; // STA8_4@1
	int v130; // ST60_4@1
	int v131; // r6@1
	int v132; // lr@1
	int v133; // ST50_4@1
	int v134; // r3@1
	int v135; // ST2C_4@1
	int v136; // ST58_4@1
	int v137; // r8@1
	int v138; // ST80_4@1
	int v139; // ST64_4@1
	int v140; // ST8C_4@1
	int v141; // r7@1
	int v142; // ST54_4@1
	int v143; // r12@1
	int v144; // ST3C_4@1
	int v145; // ST14_4@1
	int v146; // ST68_4@1
	int v147; // r3@1
	int v148; // r5@1
	int v149; // STAC_4@1
	int v150; // STB0_4@1
	int v151; // lr@1
	int v152; // STB4_4@1
	int v153; // r2@1
	int v154; // ST5C_4@1
	int v155; // ST20_4@1
	int v156; // r2@1
	int v157; // r10@1
	int v158; // ST48_4@1
	int v159; // STA0_4@1
	int v160; // r1@1
	int v161; // r11@1
	int v162; // lr@1
	int v163; // r6@1
	int v164; // r12@1
	int v165; // r4@1
	int v166; // r7@1
	int v167; // ST9C_4@1
	int v168; // ST70_4@1
	int v169; // r2@1
	int v170; // ST24_4@1
	int v171; // STA4_4@1
	int v172; // ST88_4@1
	int v173; // ST90_4@1
	int v174; // r8@1
	int v175; // ST38_4@1
	int v176; // ST28_4@1
	int v177; // ST80_4@1
	int v178; // r1@1
	int v179; // ST64_4@1
	int v180; // r9@1
	int v181; // ST60_4@1
	int v182; // ST68_4@1
	int v183; // STAC_4@1
	int v184; // STB0_4@1
	int v185; // ST48_4@1
	int v186; // ST54_4@1
	int v187; // r10@1
	int v188; // STC4_4@1
	int v189; // ST30_4@1
	int v190; // r4@1
	int v191; // r2@1
	int v192; // r3@1
	int v193; // STB4_4@1
	int v194; // r7@1
	int v195; // STC0_4@1
	int v196; // ST24_4@1
	int v197; // r11@1
	int v198; // r6@1
	int v199; // r10@1
	int v200; // ST04_4@1
	int v201; // r5@1
	int v202; // r7@1
	int v203; // ST34_4@1
	int v204; // ST0C_4@1
	int v205; // lr@1
	int v206; // r9@1
	int v207; // r4@1
	int v208; // r2@1
	int v209; // r6@1
	int v210; // r4@1
	int v211; // r10@1
	int v212; // ST24_4@1
	int v213; // r11@1
	int v214; // r1@1
	int v215; // r4@1
	int v216; // r3@1
	int v217; // ST34_4@1
	int v218; // ST60_4@1
	int v219; // lr@1
	int v220; // r5@1
	int v221; // r4@1
	int v222; // r1@1
	int v223; // r2@1
	int v224; // r10@1
	int v225; // ST5C_4@1
	int v226; // lr@1
	int v227; // r5@1
	int v228; // ST70_4@1
	int v229; // ST48_4@1
	int v230; // ST24_4@1
	int v231; // lr@1
	int v232; // STB0_4@1
	int v233; // STA8_4@1
	int v234; // r12@1
	int v235; // r1@1
	int v236; // r2@1
	int v237; // r5@1
	int v238; // ST04_4@1
	int v239; // r6@1
	int v240; // STAC_4@1
	int v241; // r7@1
	int v242; // r2@1
	int v243; // ST58_4@1
	int v244; // STA4_4@1
	int v245; // r5@1
	int v246; // r6@1
	int v247; // ST68_4@1
	int v248; // r3@1
	int v249; // r12@1
	int v250; // STB4_4@1
	int v251; // ST20_4@1
	int v252; // r5@1
	int v253; // r11@1
	int v254; // r6@1
	int v255; // r4@1
	int v256; // ST98_4@1
	int v257; // r1@1
	int v258; // ST4C_4@1
	int v259; // r7@1
	int v260; // r11@1
	int v261; // r5@1
	int v262; // r12@1
	int v263; // ST9C_4@1
	int v264; // r8@1
	int v265; // r7@1
	int v266; // ST0C_4@1
	int v267; // ST30_4@1
	int v268; // r11@1
	int v269; // STC8_4@1
	int v270; // lr@1
	int v271; // ST28_4@1
	int v272; // r1@1
	int v273; // STA0_4@1
	int v274; // STE0_4@1
	int v275; // r3@1
	int v276; // ST14_4@1
	int v277; // STD8_4@1
	int v278; // r4@1
	int v279; // ST8C_4@1
	int v280; // ST3C_4@1
	int v281; // STDC_4@1
	int v282; // r2@1
	int v283; // r3@1
	int v284; // ST14_4@1
	int v285; // r6@1
	int v286; // STE4_4@1
	int v287; // STD0_4@1
	int v288; // STCC_4@1
	int v289; // lr@1
	int v290; // STEC_4@1
	int v291; // STC0_4@1
	int v292; // ST90_4@1
	int v293; // STC4_4@1
	int v294; // STF4_4@1
	int v295; // STF0_4@1
	int v296; // lr@1
	int v297; // r3@1
	int v298; // r6@1
	int v299; // r4@1
	int v300; // ST88_4@1
	int v301; // ST58_4@1
	int v302; // r5@1
	int v303; // r1@1
	int v304; // r3@1
	int v305; // r2@1
	int v306; // ST70_4@1
	int v307; // r5@1
	int v308; // ST9C_4@1
	int v309; // STA8_4@1
	int v310; // STD4_4@1
	int v311; // ST7C_4@1
	int v312; // ST8C_4@1
	int v313; // r7@1
	int v314; // ST70_4@1
	int v315; // STB4_4@1
	int v316; // r2@1
	int v317; // ST38_4@1
	int v318; // r5@1
	int v319; // STDC_4@1
	int v320; // ST14_4@1
	int v321; // r9@1
	int v322; // r12@1
	int v323; // lr@1
	int v324; // STAC_4@1
	int v325; // STC8_4@1
	int v326; // STD8_4@1
	int v327; // STE0_4@1
	int v328; // r3@1
	int v329; // ST5C_4@1
	int v330; // r5@1
	int v331; // r11@1
	int v332; // r9@1
	int v333; // ST78_4@1
	int v334; // ST7C_4@1
	int v335; // ST2C_4@1
	int v336; // STA0_4@1
	int v337; // r2@1
	int v338; // ST80_4@1
	int v339; // r9@1
	int v340; // ST78_4@1
	int v341; // ST8C_4@1
	int v342; // ST38_4@1
	int v343; // ST2C_4@1
	int v344; // ST18_4@1
	int v345; // ST14_4@1
	int v346; // ST9C_4@1
	int v347; // STA0_4@1
	int v348; // r12@1
	int v349; // r2@1
	int v350; // r6@1
	int v351; // ST60_4@1
	int v352; // r3@1
	int v353; // lr@1
	int v354; // r9@1
	int v355; // r3@1
	int v356; // ST88_4@1
	int v357; // ST98_4@1
	int v358; // r7@1
	int v359; // r6@1
	int v360; // r11@1
	int v361; // STAC_4@1
	int v362; // ST58_4@1
	int v363; // r10@1
	int v364; // r11@1
	int v365; // ST64_4@1
	int v366; // r7@1
	int v367; // ST70_4@1
	int v368; // ST34_4@1
	int v369; // r4@1
	int v370; // ST64_4@1
	int v371; // ST30_4@1
	int v372; // ST54_4@1
	int v373; // r9@1
	int v374; // r6@1
	int v375; // ST58_4@1
	int v376; // ST70_4@1
	int v377; // ST60_4@1
	int v378; // r7@1
	int v379; // ST64_4@1
	int v380; // ST90_4@1
	int v381; // r2@1
	int v382; // r8@1
	int v383; // ST78_4@1
	int v384; // r1@1
	int v385; // ST0C_4@1
	int v386; // STAC_4@1
	int v387; // ST7C_4@1
	int v388; // r12@1
	int v389; // ST40_4@1
	int v390; // STA8_4@1
	int v391; // r2@1
	int v392; // r6@1
	int v393; // r4@1
	int v394; // r1@1
	int v395; // r3@1
	int v396; // ST5C_4@1
	int v397; // r3@1
	int v398; // r9@1
	int v399; // STA8_4@1
	int v400; // ST70_4@1
	int v401; // ST54_4@1
	int v402; // ST24_4@1
	int v403; // ST40_4@1
	int v404; // r7@1
	int v405; // ST3C_4@1
	int v406; // ST58_4@1
	int v407; // ST74_4@1
	int v408; // STB4_4@1
	int v409; // r5@1
	int v410; // STF4_4@1
	int v411; // ST68_4@1
	int v412; // ST8C_4@1
	int v413; // STD4_4@1
	int v414; // STF0_4@1
	int v415; // STD8_4@1
	int v416; // ST60_4@1
	int v417; // ST5C_4@1
	int v418; // r6@1
	int v419; // r7@1
	int v420; // r5@1
	int v421; // ST0C_4@1
	int v422; // r10@1
	int v423; // lr@1
	int v424; // ST2C_4@1
	int v425; // ST30_4@1
	int v426; // ST5C_4@1
	int v427; // r2@1
	int v428; // r12@1
	int v429; // ST3C_4@1
	int v430; // ST24_4@1
	int v431; // r6@1
	int v432; // ST60_4@1
	int v433; // r11@1
	int v434; // ST48_4@1
	int v435; // r4@1
	int v436; // ST4C_4@1
	int v437; // ST40_4@1
	int v438; // r1@1
	int v439; // r5@1
	int v440; // ST30_4@1
	int v441; // lr@1
	int v442; // r1@1
	int v443; // ST38_4@1
	int v444; // r6@1
	int v445; // r11@1
	int v446; // r7@1
	int v447; // r5@1
	int v448; // ST0C_4@1
	int v449; // r1@1
	int v450; // ST30_4@1
	int v451; // ST10_4@1
	int v452; // r2@1
	int v453; // r1@1
	int v454; // r3@1
	int v455; // r6@1
	int v456; // r7@1
	int v457; // r3@1
	int v458; // r6@1
	int v459; // r4@1
	int v460; // r1@1
	int v461; // r2@1
	int v462; // r12@1
	int v463; // r8@1
	int v464; // r4@1
	int v465; // r10@1
	int v466; // r7@1
	int v467; // r3@1
	int v468; // r9@1
	int v469; // r1@1
	int v470; // r6@1
	int v471; // r2@1

	v1 = ~*(_DWORD *)(result + 28);
	v2 = v1 & *(_DWORD *)(result + 168);
	v3 = *(_DWORD *)(result + 168);
	v4 = ~v2;
	v5 = *(_DWORD *)(result + 28) ^ v3;
	v6 = v2 & *(_DWORD *)(result + 92);
	v7 = v1 & *(_DWORD *)(result + 168);
	v8 = ~*(_DWORD *)(result + 244);
	v9 = ~v2 & *(_DWORD *)(result + 92);
	v10 = v2 & v8;
	v11 = ~*(_DWORD *)(result + 244);
	v12 = v5 ^ *(_DWORD *)(result + 112) ^ v9 ^ (v6 | *(_DWORD *)(result + 244)) ^ *(_DWORD *)(result + 124) & ~(*(_DWORD *)(result + 732) ^ (v2 ^ *(_DWORD *)(result + 288)) & *(_DWORD *)(result + 244)) ^ (*(_DWORD *)(result + 124) | ~(*(_DWORD *)(result + 28) ^ v2 & v8)) & *(_DWORD *)(result + 60);
	v13 = v1 & *(_DWORD *)(result + 92);
	v14 = v13 & *(_DWORD *)(result + 244);
	v15 = *(_DWORD *)(result + 24) & v12;
	v16 = *(_DWORD *)(result + 24) & ~v15;
	v17 = v5 ^ *(_DWORD *)(result + 112) ^ v9 ^ (v6 | *(_DWORD *)(result + 244)) ^ *(_DWORD *)(result + 124) & ~(*(_DWORD *)(result + 732) ^ (v2 ^ *(_DWORD *)(result + 288)) & *(_DWORD *)(result + 244)) ^ (*(_DWORD *)(result + 124) | ~(*(_DWORD *)(result + 28) ^ v2 & v8)) & *(_DWORD *)(result + 60);
	v18 = *(_DWORD *)(result + 24) | v12;
	v19 = *(_DWORD *)(result + 124) & ~(~v2 & *(_DWORD *)(result + 244) ^ v7) ^ v13 & *(_DWORD *)(result + 244);
	v20 = v12 & *(_DWORD *)(result + 144);
	v21 = *(_DWORD *)(result + 144) & ~v16;
	v22 = *(_DWORD *)(result + 356) ^ *(_DWORD *)(result + 92) ^ v5 ^ ((v6 ^ v1 & *(_DWORD *)(result + 168)) & v8 ^ *(_DWORD *)(result + 92)) & *(_DWORD *)(result + 124);
	v23 = *(_DWORD *)(result + 144) & ~v16;
	v24 = *(_DWORD *)(result + 64) ^ *(_DWORD *)(result + 564) ^ *(_DWORD *)(result + 384) ^ *(_DWORD *)(result + 608);
	v25 = *(_DWORD *)(result + 144) & ~v18;
	*(_DWORD *)(result + 64) = v24;
	v26 = *(_DWORD *)(result + 24);
	v27 = v20;
	*(_DWORD *)(result + 704) = v13;
	v28 = *(_DWORD *)(result + 60);
	*(_DWORD *)(result + 464) = v22;
	v29 = v28 & ~v19 ^ v22;
	*(_DWORD *)(result + 112) = v17;
	v30 = v23 ^ v26;
	v31 = v18 ^ *(_DWORD *)(result + 504);
	v32 = v25 ^ *(_DWORD *)(result + 24);
	v33 = *(_DWORD *)(result + 28);
	v34 = v33 & ~v3;
	v35 = *(_DWORD *)(result + 92);
	*(_DWORD *)(result + 552) = v23 ^ v26;
	v36 = v3 | v33;
	v37 = v34 & ~v8;
	v38 = v35 & ~(v3 | v33);
	v39 = (v9 ^ v34) & v8;
	v40 = *(_DWORD *)(result + 700);
	v41 = *(_DWORD *)(result + 92) & ~v34;
	v42 = v17 ^ *(_DWORD *)(result + 48);
	*(_DWORD *)(result + 504) = v31;
	v43 = v42;
	v44 = v40 & ~v42;
	v45 = *(_DWORD *)(result + 48);
	*(_DWORD *)(result + 600) = v32;
	v46 = v17 | v45;
	v47 = v17 & ~v45;
	v48 = *(_DWORD *)(result + 20);
	v49 = v45;
	v50 = v43;
	v51 = *(_DWORD *)(result + 128) ^ v29;
	*(_DWORD *)(result + 672) = v14;
	v52 = v48 & v51 ^ *(_DWORD *)(result + 196);
	v53 = *(_DWORD *)(result + 468);
	v54 = v20 ^ v17;
	v55 = *(_DWORD *)(result + 116) & v51;
	*(_DWORD *)(result + 808) = v20 ^ v17;
	v56 = v3;
	v57 = v47;
	v58 = v44 ^ v49;
	v59 = v51 & ~v53;
	v60 = v4 & v3;
	v61 = v51;
	v62 = v56 & *(_DWORD *)(result + 28);
	v63 = v55 ^ *(_DWORD *)(result + 792);
	v64 = *(_DWORD *)(result + 148) ^ *(_DWORD *)(result + 488) ^ v51 & ~*(_DWORD *)(result + 368);
	v65 = *(_DWORD *)(result + 556) & v51 ^ *(_DWORD *)(result + 120);
	v66 = *(_DWORD *)(result + 548);
	v67 = v59 ^ *(_DWORD *)(result + 4) ^ *(_DWORD *)(result + 584);
	v68 = *(_DWORD *)(result + 348);
	v69 = *(_DWORD *)(result + 136);
	*(_DWORD *)(result + 128) = v61;
	v70 = v68 ^ v69;
	v71 = *(_DWORD *)(result + 796);
	v72 = v71 & ~v52;
	v73 = v64 ^ v71 & ~v63;
	*(_DWORD *)(result + 520) = v29;
	v74 = v67 ^ v65 & v71;
	v75 = v73;
	v76 = v70 ^ v66 & v61 ^ v72;
	*(_DWORD *)(result + 348) = v76;
	v77 = *(_DWORD *)(result + 80);
	*(_DWORD *)(result + 148) = v73;
	v78 = v17 & v77;
	v79 = *(_DWORD *)(result + 396);
	v80 = *(_DWORD *)(result + 312);
	v81 = v74;
	*(_DWORD *)(result + 4) = v74;
	v82 = v78;
	v83 = v57 ^ v79;
	v84 = v46 & *(_DWORD *)(result + 700);
	v85 = v44 ^ v46;
	v86 = v17 & *(_DWORD *)(result + 48);
	v87 = v57 & *(_DWORD *)(result + 700);
	v88 = *(_DWORD *)(result + 80) & ~v58;
	v89 = v61 & *(_DWORD *)(result + 444);
	v90 = *(_DWORD *)(result + 700) & ~v46;
	v91 = *(_DWORD *)(result + 92) & ~v60;
	v92 = v61 & *(_DWORD *)(result + 620) ^ *(_DWORD *)(result + 524);
	v93 = v62 & *(_DWORD *)(result + 92);
	v94 = v88;
	v95 = v24 & v80 ^ *(_DWORD *)(result + 308);
	v96 = *(_DWORD *)(result + 60) & ~((*(_DWORD *)(result + 472) ^ v37) & *(_DWORD *)(result + 124) ^ *(_DWORD *)(result + 28) ^ *(_DWORD *)(result + 324) ^ v38) ^ *(_DWORD *)(result + 216) ^ v10 ^ v41 ^ *(_DWORD *)(result + 124) & ~(v34 ^ *(_DWORD *)(result + 804) ^ v39);
	v97 = v96 & *(_DWORD *)(result + 560);
	v98 = v96 & *(_DWORD *)(result + 156);
	v99 = v96 & ~*(_DWORD *)(result + 320) ^ *(_DWORD *)(result + 460);
	v100 = *(_DWORD *)(result + 76);
	v101 = *(_DWORD *)(result + 244);
	v102 = *(_DWORD *)(result + 580);
	v103 = *(_DWORD *)(result + 516) & v96;
	*(_DWORD *)(result + 712) = v61 & *(_DWORD *)(result + 640) ^ *(_DWORD *)(result + 60) ^ *(_DWORD *)(result + 432) ^ *(_DWORD *)(result + 796) & ~(v61 & *(_DWORD *)(result + 712) ^ *(_DWORD *)(result + 408));
	v104 = v101 ^ v102 ^ v103;
	v105 = *(_DWORD *)(result + 592) ^ v96 & ~v100;
	v106 = *(_DWORD *)(result + 244) & ~v5;
	v107 = v96 & ~*(_DWORD *)(result + 764);
	v108 = v41 ^ v5;
	v109 = *(_DWORD *)(result + 36) ^ *(_DWORD *)(result + 768) ^ v96 & *(_DWORD *)(result + 680);
	v110 = *(_DWORD *)(result + 152);
	v111 = v97 ^ *(_DWORD *)(result + 668);
	*(_DWORD *)(result + 216) = v96;
	v112 = v111 | v110;
	v113 = *(_DWORD *)(result + 44) ^ *(_DWORD *)(result + 480) ^ v96 & ~*(_DWORD *)(result + 540);
	v114 = *(_DWORD *)(result + 152);
	v115 = v107 ^ *(_DWORD *)(result + 740) | v114;
	v116 = (v98 ^ *(_DWORD *)(result + 104)) & ~v114;
	v117 = v105 ^ *(_DWORD *)(result + 236);
	v118 = v104 ^ v99 & ~v114;
	*(_DWORD *)(result + 320) = v118;
	v119 = v109 ^ v112;
	v120 = *(_DWORD *)(result + 596);
	v121 = v113 ^ v115;
	v122 = *(_DWORD *)(result + 664);
	v123 = v121;
	v124 = v117 ^ v116;
	*(_DWORD *)(result + 236) = v117 ^ v116;
	v125 = v61 & v120;
	v126 = v89 ^ *(_DWORD *)(result + 248);
	v127 = *(_DWORD *)(result + 124) & ~(v106 ^ *(_DWORD *)(result + 28));
	v128 = *(_DWORD *)(result + 424);
	v129 = v92 | *(_DWORD *)(result + 96);
	v130 = v82 ^ v46;
	v131 = *(_DWORD *)(result + 336);
	v132 = (v128 | v122) ^ *(_DWORD *)(result + 696);
	v133 = v119;
	v134 = *(_DWORD *)(result + 744);
	*(_DWORD *)(result + 36) = v119;
	v135 = v123;
	*(_DWORD *)(result + 44) = v123;
	v136 = *(_DWORD *)(result + 80) & ~v83;
	v137 = (v132 | ~v131) & *(_DWORD *)(result + 452);
	v138 = v84 ^ v86;
	v139 = *(_DWORD *)(result + 700) & ~v57;
	v140 = v94 ^ *(_DWORD *)(result + 16);
	v141 = *(_DWORD *)(result + 188) ^ *(_DWORD *)(result + 800) ^ v134 ^ v137;
	v142 = v84 ^ v57;
	v143 = *(_DWORD *)(result + 700);
	v144 = *(_DWORD *)(result + 188) ^ *(_DWORD *)(result + 800) ^ v134 ^ v137;
	v145 = v131 ^ *(_DWORD *)(result + 572) ^ (*(_DWORD *)(result + 476) | v141);
	v146 = *(_DWORD *)(result + 80) & ~v85;
	v147 = *(_DWORD *)(result + 80) & ~(v46 ^ v143);
	v148 = *(_DWORD *)(result + 244);
	v149 = v128 ^ v36 ^ v13;
	v150 = v91 | v148;
	v151 = v17 & *(_DWORD *)(result + 700);
	v152 = (v36 | v148) ^ v36 ^ v127;
	v153 = v93;
	v154 = *(_DWORD *)(result + 96) & ~(v61 & ~*(_DWORD *)(result + 248) ^ *(_DWORD *)(result + 248)) ^ v61 & ~*(_DWORD *)(result + 248) ^ *(_DWORD *)(result + 444);
	v155 = v7 ^ v153;
	v156 = *(_DWORD *)(result + 80);
	v157 = (~v17 & *(_DWORD *)(result + 700) ^ v46) & v156;
	v158 = v156 & ~v151;
	v159 = v151 ^ v50 ^ *(_DWORD *)(result + 80) & (v143 & v50 ^ v17);
	v160 = v90 ^ v50;
	v161 = v61 & ~*(_DWORD *)(result + 620);
	v162 = v108 & v11;
	v163 = v161 ^ *(_DWORD *)(result + 264);
	v164 = v141 | *(_DWORD *)(result + 372);
	v165 = v61 & *(_DWORD *)(result + 248);
	v166 = v125;
	v167 = ~v17 & *(_DWORD *)(result + 48) ^ v87 ^ v157;
	v168 = v95 ^ v166;
	v169 = *(_DWORD *)(result + 96);
	v170 = (v61 & *(_DWORD *)(result + 300) ^ *(_DWORD *)(result + 248)) & *(_DWORD *)(result + 96);
	*(_DWORD *)(result + 32) ^= *(_DWORD *)(result + 232) ^ v164;
	v171 = v169 & ~v126;
	v172 = v130 ^ v139;
	v173 = v138 ^ v136;
	v174 = v61 & ~*(_DWORD *)(result + 308);
	v175 = ~v145;
	v176 = v160 ^ v146;
	v177 = v90 ^ v147;
	v178 = *(_DWORD *)result & v61;
	v179 = v158 ^ v142;
	v180 = v89 ^ *(_DWORD *)(result + 596);
	v181 = v149 ^ v150;
	v182 = *(_DWORD *)(result + 60) & ~v152;
	v183 = v162 ^ v155;
	v184 = *(_DWORD *)(result + 96) & ~v89;
	v185 = *(_DWORD *)(result + 96) & ~v178 ^ v180;
	v186 = v24 & ~(v61 & *(_DWORD *)(result + 96) ^ v163);
	v187 = v165 ^ *(_DWORD *)(result + 248);
	v188 = v165 & ~*(_DWORD *)(result + 96) & v24;
	v189 = v170 ^ v180;
	v190 = v61 & ~*(_DWORD *)(result + 300);
	v191 = v190 ^ *(_DWORD *)(result + 308);
	v192 = *(_DWORD *)(result + 108) ^ v191;
	v193 = v61 & *(_DWORD *)(result + 308);
	v194 = *(_DWORD *)(result + 96);
	v195 = v191 ^ (v174 ^ *(_DWORD *)(result + 620) | v194);
	v196 = v24 & ~(v129 ^ v180);
	v197 = (v161 ^ *(_DWORD *)result ^ (v161 ^ *(_DWORD *)(result + 596)) & *(_DWORD *)(result + 96)) & v24;
	v198 = v163 ^ *(_DWORD *)(result + 52) ^ (*(_DWORD *)(result + 596) ^ v178) & *(_DWORD *)(result + 96);
	v199 = v187 ^ *(_DWORD *)(result + 96) & ~*(_DWORD *)result & v61 ^ v187 & ~*(_DWORD *)(result + 96) & v24;
	v200 = v189 ^ v154 & v24;
	v201 = *(_DWORD *)(result + 620) ^ *(_DWORD *)(result + 124) ^ *(_DWORD *)(result + 292) ^ v193 ^ (v194 & ~(v174 ^ *(_DWORD *)(result + 308)) ^ v190 ^ *(_DWORD *)(result + 300)) & v24;
	v202 = *(_DWORD *)(result + 144);
	v203 = v172 ^ *(_DWORD *)(result + 252) ^ (v173 | v145);
	v204 = ~*(_DWORD *)(result + 144);
	v205 = v179 ^ *(_DWORD *)(result + 140) ^ v145 & ~v167 ^ (v176 ^ v159 & v145) & v204;
	v206 = v181 ^ v182 ^ *(_DWORD *)(result + 124) & ~v183;
	v207 = *(_DWORD *)(result + 164);
	*(_DWORD *)(result + 384) = v206;
	v208 = v185 ^ v186 ^ v207;
	v209 = v198 ^ v196;
	v210 = *(_DWORD *)(result + 32);
	v211 = v199 | v210;
	v212 = v192 ^ v184 ^ v197;
	v213 = (v168 ^ v171) & ~v210;
	v214 = ~v210 & v200;
	v215 = v195 ^ v188 | *(_DWORD *)(result + 32);
	*(_DWORD *)(result + 336) = v145;
	v216 = v205;
	*(_DWORD *)(result + 252) = (v140 & ~v145 ^ v177 | v202) ^ v203;
	v217 = v208 ^ v211;
	v218 = v212 ^ v214;
	v219 = v201 ^ v215;
	v220 = *(_DWORD *)(result + 412);
	v221 = *(_DWORD *)(result + 500);
	v222 = v219;
	*(_DWORD *)(result + 164) = v208 ^ v211;
	v223 = v206 ^ v221 | v220;
	v224 = ~v220;
	v225 = v206 ^ v221;
	v226 = v206 & ~*(_DWORD *)(result + 500);
	v227 = *(_DWORD *)(result + 500);
	*(_DWORD *)(result + 108) = v218;
	v228 = v226;
	v229 = v209 ^ v213;
	*(_DWORD *)(result + 52) = v209 ^ v213;
	v230 = v222;
	v231 = v206 & v227 & v224;
	*(_DWORD *)(result + 124) = v222;
	v232 = ~v144;
	v233 = v206 & v227;
	v234 = v224 & v227 & ~v206;
	v235 = *(_DWORD *)(result + 644) & ~v144;
	v236 = *(_DWORD *)(result + 780) & ~(v223 ^ v228);
	v237 = *(_DWORD *)(result + 500);
	v238 = v216;
	v239 = *(_DWORD *)(result + 612) ^ *(_DWORD *)(result + 240);
	*(_DWORD *)(result + 140) = v216;
	v240 = v234;
	v241 = v239 ^ v235;
	v242 = v236 ^ v206 & v224 ^ v237;
	v243 = v206 | v237;
	v244 = ~*(_DWORD *)(result + 780);
	v245 = ~*(_DWORD *)(result + 24);
	v246 = *(_DWORD *)(result + 780);
	v247 = v17 & v245;
	v248 = v246 & ~(v231 ^ v206);
	v249 = v234 ^ v206 | v246;
	v250 = v241 & v245;
	v251 = v241;
	v252 = (v27 ^ *(_DWORD *)(result + 24)) & v241 ^ v30;
	v253 = v32 ^ v250;
	v254 = v243 ^ *(_DWORD *)(result + 412);
	v255 = ((v228 ^ v206 & v224) & v244 ^ *(_DWORD *)(result + 752) | v145) ^ v249 ^ v254;
	v256 = ~v17 & *(_DWORD *)(result + 24);
	v257 = v241 & ~v27 ^ *(_DWORD *)(result + 12);
	v258 = v247 & *(_DWORD *)(result + 144);
	v259 = *(_DWORD *)(result + 208);
	v260 = v253 | v259;
	v261 = v252 | v259;
	v262 = v167 & ~v145;
	v263 = v256 & *(_DWORD *)(result + 144);
	v264 = v255 ^ *(_DWORD *)(result + 228) ^ (v248 ^ v231 ^ (v242 | v145)) & *(_DWORD *)(result + 700);
	v265 = (v159 & ~v145 ^ v176) & v204;
	v266 = v257 ^ v263 ^ v15 ^ v261 ^ (v258 & v251 ^ v31 ^ v260 | *(_DWORD *)(result + 176));
	v267 = *(_DWORD *)(result + 628) ^ *(_DWORD *)(result + 132) ^ (*(_DWORD *)(result + 200) | v251);
	v268 = v238 & ~v264;
	v269 = *(_DWORD *)(result + 780) & ~(v206 ^ *(_DWORD *)(result + 492));
	v270 = v233 ^ *(_DWORD *)(result + 688);
	v271 = v179 ^ *(_DWORD *)(result + 784) ^ v262 ^ v265;
	v272 = v145;
	v273 = v264 & ~v238;
	v274 = v144 ^ v243;
	v275 = v140 & v145;
	v276 = v270 ^ *(_DWORD *)(result + 496);
	v277 = v270 & *(_DWORD *)(result + 780);
	v278 = *(_DWORD *)(result + 780) & ~v254 ^ *(_DWORD *)(result + 752);
	v279 = v238 & ~v76;
	v280 = v217 & v267;
	v281 = *(_DWORD *)(result + 780) & ~v240;
	*(_DWORD *)(result + 228) = v264;
	v282 = v177 ^ v275;
	v283 = v276;
	v284 = v272;
	v285 = v173 & v272;
	v286 = v283 & v175;
	v287 = v278 | v272;
	v288 = v282 | *(_DWORD *)(result + 144);
	v289 = v15 ^ *(_DWORD *)(result + 284);
	*(_DWORD *)(result + 132) = v267;
	*(_DWORD *)(result + 784) = v271;
	*(_DWORD *)(result + 12) = v266;
	*(_DWORD *)(result + 240) = v251;
	v290 = v289 & v251;
	v291 = v256 & v251;
	*(_DWORD *)(result + 468) = v217 & v267;
	v292 = v16 ^ *(_DWORD *)(result + 420);
	v293 = *(_DWORD *)(result + 24) ^ *(_DWORD *)(result + 144);
	v294 = v263 ^ v250;
	v295 = v251 & ~v263;
	v296 = *(_DWORD *)(result + 212) ^ v172 ^ v285;
	v297 = v243 & v224 ^ *(_DWORD *)(result + 28);
	v298 = v228 & v224 ^ *(_DWORD *)(result + 500);
	v299 = (*(_DWORD *)(result + 412) | v243) ^ v225;
	v300 = v296;
	v301 = v228 & v224 ^ ~v206 & v243 ^ v277;
	v302 = v206 & ~v233;
	v303 = v206 | *(_DWORD *)(result + 412);
	v304 = v297 ^ v302;
	v305 = (v225 & v224 ^ v225 ^ v228 & v244) & v175;
	v306 = v225 & v224 & *(_DWORD *)(result + 780) ^ v233 ^ (v302 | *(_DWORD *)(result + 412));
	v307 = *(_DWORD *)(result + 780);
	v308 = v301 ^ (v269 ^ v225 & v224 ^ v225) & v175;
	v309 = v274 ^ (v233 | *(_DWORD *)(result + 412)) ^ v298 & *(_DWORD *)(result + 780);
	v310 = v264 ^ v279 | v266;
	v311 = (v279 ^ v238 | v266) ^ *(_DWORD *)(result + 412) ^ v268;
	v312 = v306 ^ (v307 & v206 & v224 ^ v303 | v284);
	v313 = *(_DWORD *)(result + 780);
	v314 = ((v303 | v307) ^ v206 & v224) & v175;
	v315 = v299 & ~v313 ^ v305;
	v316 = v264 & ~v76;
	v317 = *(_DWORD *)(result + 84) ^ v225 ^ v281;
	v318 = v264 & ~v273;
	v319 = (v266 & ~(v273 ^ (v238 | v76)) ^ v268 & v76) & v135;
	v320 = v304 ^ v313 & ~v299 ^ v287;
	v321 = v264 & v238 & ~v76;
	v322 = ~v266 & v268 & v76 ^ ((v264 | v238 | v76) ^ (v264 | v238) ^ v268 & ~v266) & v135 ^ v76;
	v323 = v266 & v135 & ~v318 ^ ((v268 | v76) ^ (v264 | v238) | v266) ^ v321 ^ (v264 | v238);
	v324 = v264 ^ v238 ^ v76 ^ *(_DWORD *)(result + 152) ^ ((v264 ^ v238 | v76) ^ v268) & ~v266;
	v325 = v135 & ~(v316 & v266 ^ (v268 | v76) ^ (v264 | v238));
	v326 = v264 ^ v238 ^ v76 ^ v266 & ~((v238 | v76) ^ v238) ^ *(_DWORD *)(result + 96);
	v327 = v135 & ~(v268 & v76 ^ v266 & ~(v264 ^ v238)) ^ (v321 ^ v264 & v238) & ~v266;
	v328 = v135 & ~((v264 | v238 | v266) ^ v316) ^ (v268 | v76);
	v329 = v217 & v267 & v264;
	v330 = *(_DWORD *)(result + 176) ^ v238 ^ v310 ^ (v318 | v76) ^ v135 & ~((v264 ^ v238) & v266);
	v331 = ~(v217 & v267) & v217;
	v332 = v311 ^ v321;
	v333 = v135 & ~((v273 & ~v76 ^ (v264 | v238)) & ~v266 ^ (~v238 ^ ~v76) & v264);
	v334 = v331 ^ ~v217 & v264;
	v335 = *(_DWORD *)(result + 700) & ~v312;
	v336 = *(_DWORD *)(result + 700) & ~v315;
	v337 = *(_DWORD *)(result + 700) & ~v308;
	*(_DWORD *)(result + 768) = v264 & v217 ^ v267;
	v338 = v331 ^ ~v217 & v264 | v271;
	v339 = v332 ^ v333;
	v340 = v264 & ~v331;
	v341 = v338 ^ *(_DWORD *)(result + 768);
	v342 = v317 ^ v314 ^ v335;
	v343 = v309 ^ v286 ^ v336;
	v344 = v320 ^ v337;
	v345 = v300 ^ v288;
	*(_DWORD *)(result + 152) = v324 ^ v325 ^ v218 & ~v322;
	*(_DWORD *)(result + 764) = v330 ^ v323 & v218;
	v346 = v339 ^ v328 & v218;
	v347 = v326 ^ v319 ^ v218 & ~v327;
	*(_DWORD *)(result + 412) = v346;
	*(_DWORD *)(result + 96) = v347;
	v348 = v217 ^ v267;
	v349 = v217 | v267;
	*(_DWORD *)(result + 212) = v300 ^ v288;
	v350 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 104) = v217 & ~v267 & ~v271 ^ (v264 & ~v271 ^ v329 | v266) ^ v340;
	v351 = (v217 | v267) & ~v217;
	v352 = *(_DWORD *)(result + 92);
	v353 = v290 ^ *(_DWORD *)(result + 756);
	*(_DWORD *)(result + 668) = (v264 ^ v217 ^ ((~(v217 & v267) ^ v264) & v217 | v271)) & v266 ^ v341;
	v354 = v18 ^ v350 ^ v352;
	v355 = *(_DWORD *)(result + 208);
	*(_DWORD *)(result + 28) = v344;
	v356 = v217 & v267 ^ v264;
	*(_DWORD *)(result + 548) = v329 ^ v267;
	*(_DWORD *)(result + 460) = v343;
	*(_DWORD *)(result + 84) = v342;
	v357 = ~v355;
	v358 = *(_DWORD *)(result + 220);
	v359 = *(_DWORD *)(result + 736);
	v360 = v251 | *(_DWORD *)(result + 604);
	*(_DWORD *)(result + 644) = v217 ^ v267;
	*(_DWORD *)(result + 620) = v217 | v267;
	v361 = ~(v217 & v267) & v264;
	v362 = v217 & ~v267 & v264;
	v363 = v359 ^ v358 ^ v360;
	v364 = v264 & v217 ^ v217 & v267;
	v365 = v351 ^ (v217 ^ v267) & v264 | v271;
	v366 = v356 & ~v271 ^ v264 & ~(v217 ^ v267);
	v367 = v267 & ~v264 & ~v271 ^ v329 ^ v267;
	v368 = v230 & v363;
	v369 = v365 ^ v267;
	v370 = v351 ^ v271;
	v371 = v230 | v363;
	v372 = v354 ^ v353 & ~v355 ^ v295 ^ (v291 & v355 ^ v292 | *(_DWORD *)(result + 176));
	v373 = v338 ^ v349 | v266;
	v374 = v362 ^ v349 ^ (v364 | v271) ^ (v369 | v266);
	v375 = (v361 ^ v348 ^ (v348 & v264 ^ v349 | v271)) & ~v266;
	v376 = v367 | v266;
	v377 = v334 & ~v271;
	v378 = (v366 ^ v280) & ~v266;
	v379 = v370 ^ v340;
	v380 = ~v230;
	v381 = v264 ^ v349 ^ v266 ^ (v356 | v271);
	v382 = v343 & ~v363;
	v383 = ~v230 & v343;
	v384 = v230 & v363 & v343;
	v385 = v230 ^ v363;
	v386 = v343 & ~(v230 & ~(v230 & v363));
	v387 = v343 & v230;
	v388 = (v230 | v363) & v343;
	v389 = *(_DWORD *)(result + 648) ^ *(_DWORD *)(result + 204);
	*(_DWORD *)(result + 20) = v374;
	*(_DWORD *)(result + 592) = v381;
	v390 = ~v251 & *(_DWORD *)(result + 632);
	*(_DWORD *)(result + 612) = v375 ^ v341;
	*(_DWORD *)(result + 352) = v377 ^ v373;
	*(_DWORD *)(result + 92) = v372;
	*(_DWORD *)(result + 264) = v376 ^ v379;
	*(_DWORD *)(result + 432) = v378 ^ v329;
	*(_DWORD *)(result + 376) = v372 | v118;
	*(_DWORD *)(result + 136) = (v230 | v118) ^ v230 | v372;
	*(_DWORD *)(result + 284) = v372 & ~v118;
	*(_DWORD *)(result + 544) = v230 ^ v363 ^ v382;
	*(_DWORD *)(result + 740) = v383 ^ v363;
	*(_DWORD *)(result + 528) = v343 & (v230 ^ v363);
	*(_DWORD *)(result + 604) = v382 ^ v363;
	*(_DWORD *)(result + 580) = v384;
	*(_DWORD *)(result + 736) = v382;
	*(_DWORD *)(result + 420) = v230 ^ v363;
	*(_DWORD *)(result + 292) = v384 ^ v363;
	*(_DWORD *)(result + 428) = v230 & v363 ^ v384;
	*(_DWORD *)(result + 564) = v384 ^ v230 ^ v363;
	*(_DWORD *)(result + 408) = v343 & ~(v230 & ~(v230 & v363)) ^ v230 ^ v363;
	*(_DWORD *)(result + 116) = v230 & v363 ^ v343 & v230;
	*(_DWORD *)(result + 300) = v230 & ~(v230 & v363) ^ v383;
	*(_DWORD *)(result + 220) = v363;
	v391 = v389 ^ v390;
	*(_DWORD *)(result + 560) = v343 & ~(v230 | v363) ^ v230;
	*(_DWORD *)(result + 584) = v388 ^ v230 & v363;
	v392 = *(_DWORD *)(result + 208);
	*(_DWORD *)(result + 244) = v388 ^ (v230 | v363);
	v393 = v293 ^ v17 ^ v251 ^ *(_DWORD *)(result + 788);
	v394 = *(_DWORD *)(result + 280);
	v395 = (v258 ^ v247) & v251 ^ *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 204) = v389 ^ v390;
	v396 = ~v238 & v124;
	v397 = v393 ^ (v392 | v395) ^ (v251 & ~v17 ^ v54 ^ v294 & v357 | *(_DWORD *)(result + 176));
	v398 = v394 ^ *(_DWORD *)(result + 616) ^ ~v251 & *(_DWORD *)(result + 568);
	v399 = ~v124 & (v389 ^ v390);
	v400 = v344 & ~v118;
	v401 = ~v238 & v391;
	v402 = v238 & ~v124;
	v403 = ~v396 & v391;
	v404 = (v124 ^ v238) & v391;
	v405 = v391 & ~(v124 ^ v238);
	v406 = v229 ^ v397;
	v407 = ~v344 & v118;
	v408 = v404 & v397;
	v409 = ~v363 & v387;
	v410 = v251 & v247;
	v411 = ~v396 & v124 ^ v401;
	v412 = v396 ^ v238 & v391;
	v413 = (v404 ^ v396) & v397;
	v414 = v404 ^ v402 | v397;
	v415 = v391 & ~v402 ^ v404 & v397;
	v416 = v18 & ~*(_DWORD *)(result + 144);
	v417 = v387 ^ v363;
	v418 = v409 ^ v368;
	*(_DWORD *)(result + 492) = v386 ^ v371 & v380;
	*(_DWORD *)(result + 608) = v371 & v380 ^ v343;
	*(_DWORD *)(result + 472) = v383 & v363 ^ v385;
	v419 = v385 ^ v409;
	v420 = v409 ^ v363;
	*(_DWORD *)(result + 356) = v418;
	*(_DWORD *)(result + 496) = v371 & v380 ^ v383;
	v421 = v229 | v397;
	v422 = v397 & ~v398;
	v423 = v229 ^ v397 | v398;
	*(_DWORD *)(result + 200) = v420;
	*(_DWORD *)(result + 444) = v371 ^ v343;
	*(_DWORD *)(result + 680) = v419;
	*(_DWORD *)(result + 596) = v417;
	v424 = v397 & ~(v229 & v397);
	*(_DWORD *)(result + 360) = (v238 | v124) & v397 ^ v411;
	v425 = (v229 | v397) & ~v397;
	*(_DWORD *)(result + 532) = v412 ^ (v391 & ~(~(~v238 & v124) & v124) ^ v238 & ~v124) & v397;
	*(_DWORD *)(result + 788) = v397;
	*(_DWORD *)(result + 120) = v397 & ~(v403 ^ v238) ^ v403;
	v426 = v397 & ~v229;
	*(_DWORD *)(result + 752) = v401 ^ (v238 ^ ~v124 & v391) & v397 ^ v124;
	*(_DWORD *)(result + 792) = v397 & ~(v401 ^ v238) ^ (v238 | v124);
	*(_DWORD *)(result + 732) = ~(~v238 & v124) & v397 ^ (v238 | v124) & v391 ^ v124 ^ v238;
	*(_DWORD *)(result + 368) = v401 ^ v124 ^ v238 ^ v397 & ~(v238 & v391);
	*(_DWORD *)(result + 632) = v405 ^ v397 & ~(v405 ^ v124);
	*(_DWORD *)(result + 572) = (v238 | v124) ^ v399 ^ v397 & ~(v405 ^ v402);
	*(_DWORD *)(result + 556) = v413 ^ (v238 | v124);
	*(_DWORD *)(result + 60) = v408 ^ (v238 | v124);
	*(_DWORD *)(result + 476) = v411 ^ v414;
	*(_DWORD *)(result + 312) = v415 ^ v402;
	*(_DWORD *)(result + 804) = v124 ^ v238 ^ v391 & v124 ^ (v405 ^ v238 & v124) & v397;
	*(_DWORD *)(result + 540) = (v403 | v397) ^ v403;
	v427 = v416 ^ v410;
	*(_DWORD *)(result + 16) = (v400 & v345 ^ v344 & v118) & v398;
	v428 = v229 & ~v397;
	*(_DWORD *)(result + 720) = v344 & ~v118 & v398 ^ (v407 | ~v118) & v345;
	v429 = v425 ^ v422;
	v430 = v229 | v398;
	*(_DWORD *)(result + 648) = v425;
	v431 = (v424 | v398) ^ v229 ^ v342 & ~(v423 ^ v229 & v397);
	v432 = v229 ^ v397 ^ (v397 | v398);
	*(_DWORD *)(result + 616) = v398;
	*(_DWORD *)(result + 400) = v428;
	v433 = v425 ^ v229 & ~v398;
	v434 = v17 & ~v251 ^ v258;
	v435 = v258 ^ v18 | v251;
	v436 = v427 & v357 ^ *(_DWORD *)(result + 756);
	v437 = v293 ^ v17 ^ *(_DWORD *)(result + 68);
	v438 = (v423 ^ v421) & v342 ^ v426 & ~v398 ^ v424;
	v439 = *(_DWORD *)(result + 208);
	*(_DWORD *)(result + 656) = v421 & ~v398 ^ v406;
	v440 = v424 ^ v423 & v342 ^ v421 & ~v398 ^ (v342 & (v424 ^ (v397 | v398)) ^ v432) & v75;
	v441 = v342 & ~(v430 ^ v428) ^ *(_DWORD *)(result + 656) ^ (v342 & ~v429 ^ v426) & v75;
	v442 = v421 ^ v398 ^ v342 & ~v433 ^ v75 & ~v438;
	v443 = v342 & ~(v422 ^ v397) ^ v406 ^ (v421 | v398) ^ v431 & v75;
	v444 = v443 ^ *(_DWORD *)(result + 248) ^ v440 & ~v124;
	v445 = (v434 | v439) ^ v435 ^ v437 ^ (v436 ^ v251 & ~(v21 ^ v17)) & ~*(_DWORD *)(result + 176);
	v446 = v345 & ~(v344 | v118);
	v447 = v344 ^ v118 ^ v344 & v345;
	v448 = v442 ^ *(_DWORD *)(result + 500) ^ v441 & ~v124;
	v449 = v442 ^ *(_DWORD *)(result + 796) ^ v124 & ~v441;
	v450 = v124 & ~v440;
	v451 = v443 ^ *(_DWORD *)(result + 208);
	*(_DWORD *)(result + 68) = v445;
	*(_DWORD *)(result + 156) = v347 & ~v444;
	*(_DWORD *)(result + 208) = v445 | v81;
	*(_DWORD *)(result + 568) = v118 ^ ~v398 & v344 ^ (v407 | ~v118) & v345;
	*(_DWORD *)(result + 452) = (~v344 & v345 ^ (v344 | v118) | v398) ^ ~v344 & v345 ^ v344;
	*(_DWORD *)(result + 728) = v398 & ~(v344 & v345);
	*(_DWORD *)(result + 696) = ~v398 & v446 ^ v345;
	*(_DWORD *)(result + 280) = v345 ^ v344 ^ v118 ^ (v446 | v398);
	*(_DWORD *)(result + 640) = v407 ^ v344 & v345 ^ (~v344 & v345 ^ v400) & ~v398;
	*(_DWORD *)(result + 396) = (v400 & v345 ^ v344 | v398) ^ v447;
	*(_DWORD *)(result + 76) = (v344 | v398) ^ v344 ^ v407 & v345;
	*(_DWORD *)(result + 744) = v447 ^ (v407 & v345 ^ v118 | v398);
	*(_DWORD *)(result + 480) = (v344 | v118) ^ v345 ^ ((~v344 ^ v345) & v118 | v398);
	*(_DWORD *)(result + 260) = v448 & v346;
	*(_DWORD *)(result + 232) = v448;
	*(_DWORD *)(result + 796) = v449;
	*(_DWORD *)(result + 488) = v451 ^ v450;
	*(_DWORD *)(result + 296) = ~v347 & v444;
	*(_DWORD *)(result + 664) = ~v344 & (v345 ^ v118) & ~v398;
	v452 = *(_DWORD *)(result + 156);
	*(_DWORD *)(result + 248) = v444;
	*(_DWORD *)(result + 524) = ~v347 & v449;
	*(_DWORD *)(result + 372) = v118 & v398 ^ v345 & ~(v344 | v118);
	v453 = v347 ^ v444;
	v454 = v347 & v444;
	*(_DWORD *)(result + 688) = (v345 & ~(v344 ^ v118) ^ v344 ^ v118 | v398) ^ ~v344 & v345 ^ v344;
	v455 = v444 | v347;
	*(_DWORD *)(result + 328) = v455;
	*(_DWORD *)(result + 800) = v455;
	*(_DWORD *)(result + 176) = ~v445 & v133;
	v456 = *(_DWORD *)(result + 636);
	*(_DWORD *)(result + 424) = v454;
	*(_DWORD *)(result + 276) = v347 & ~v452;
	*(_DWORD *)(result + 308) = v453;
	*(_DWORD *)(result + 364) = v445 ^ v133;
	v457 = *(_DWORD *)(result + 40);
	*(_DWORD *)(result + 448) = v445 | v133;
	*(_DWORD *)(result + 288) = (v445 | v133) & ~v445;
	v458 = *(_DWORD *)(result + 316);
	v459 = *(_DWORD *)(result + 772);
	*(_DWORD *)(result + 516) = v445 & ~(v445 & v133);
	v460 = v457 ^ v459 ^ v456 & v232;
	v461 = *(_DWORD *)(result + 256);
	v462 = v460 & ~v458 ^ v458;
	v463 = *(_DWORD *)(result + 8);
	v464 = v460 & *(_DWORD *)(result + 780) ^ *(_DWORD *)(result + 724);
	v465 = v460 & v458;
	v466 = v460 & ~*(_DWORD *)(result + 776);
	v467 = v460 & v244 ^ *(_DWORD *)(result + 72);
	*(_DWORD *)(result + 40) = v460;
	v468 = v460 & v244 ^ v458;
	v469 = v460 ^ v458;
	v470 = v465 ^ v461;
	v471 = *(_DWORD *)(result + 224);
	*(_DWORD *)(result + 628) = v464;
	*(_DWORD *)(result + 272) = v445 & v133;
	*(_DWORD *)(result + 776) = v466;
	*(_DWORD *)(result + 188) = v469;
	*(_DWORD *)(result + 772) = v465;
	*(_DWORD *)(result + 636) = v470;
	*(_DWORD *)(result + 436) = v462 & ~v471;
	*(_DWORD *)(result + 324) = v468 ^ (v467 | v463);
	*(_DWORD *)(result + 316) = v464 & v463;
	return result;
}

//----- (00096984) --------------------------------------------------------
unsigned char* sub_96984(unsigned char* result)
{
	int v1; // r2@1
	int v2; // ST60_4@1
	int v3; // r3@1
	int v4; // ST68_4@1
	int v5; // lr@1
	int v6; // ST70_4@1
	int v7; // r1@1
	int v8; // r2@1
	int v9; // r6@1
	int v10; // r3@1
	int v11; // ST50_4@1
	int v12; // r5@1
	int v13; // r3@1
	int v14; // ST10_4@1
	int v15; // ST08_4@1
	int v16; // ST58_4@1
	int v17; // ST8C_4@1
	int v18; // ST18_4@1
	int v19; // ST00_4@1
	int v20; // r1@1
	int v21; // ST30_4@1
	int v22; // ST44_4@1
	int v23; // ST90_4@1
	int v24; // ST5C_4@1
	int v25; // ST04_4@1
	int v26; // r3@1
	int v27; // r4@1
	int v28; // ST78_4@1
	int v29; // STB0_4@1
	int v30; // ST0C_4@1
	int v31; // lr@1
	int v32; // r6@1
	int v33; // ST34_4@1
	int v34; // r8@1
	int v35; // ST24_4@1
	int v36; // r12@1
	int v37; // ST48_4@1
	int v38; // STC0_4@1
	int v39; // STA8_4@1
	int v40; // r5@1
	int v41; // r2@1
	int v42; // STF8_4@1
	int v43; // r9@1
	int v44; // r1@1
	int v45; // r4@1
	int v46; // r3@1
	int v47; // r2@1
	int v48; // r1@1
	int v49; // ST14_4@1
	int v50; // STFC_4@1
	int v51; // r5@1
	int v52; // r8@1
	int v53; // r9@1
	int v54; // r1@1
	int v55; // ST18_4@1
	int v56; // r11@1
	int v57; // ST08_4@1
	int v58; // ST64_4@1
	int v59; // ST2C_4@1
	int v60; // r12@1
	int v61; // ST38_4@1
	int v62; // ST20_4@1
	int v63; // r4@1
	int v64; // r10@1
	int v65; // ST1C_4@1
	int v66; // r2@1
	int v67; // r7@1
	int v68; // r5@1
	int v69; // ST28_4@1
	int v70; // r1@1
	int v71; // r3@1
	int v72; // ST54_4@1
	int v73; // ST2C_4@1
	int v74; // r12@1
	int v75; // r1@1
	int v76; // r4@1
	int v77; // ST18_4@1
	int v78; // r4@1
	int v79; // ST0C_4@1
	int v80; // r7@1
	int v81; // ST04_4@1
	int v82; // STAC_4@1
	int v83; // r2@1
	int v84; // r9@1
	int v85; // r3@1
	int v86; // r10@1
	int v87; // r1@1
	int v88; // ST3C_4@1
	int v89; // r7@1
	int v90; // r9@1
	int v91; // r12@1
	int v92; // r1@1
	int v93; // ST54_4@1
	int v94; // r11@1
	int v95; // r3@1
	int v96; // r1@1
	int v97; // r7@1
	int v98; // ST08_4@1
	int v99; // ST4C_4@1
	int v100; // r5@1
	int v101; // STD0_4@1
	int v102; // STA4_4@1
	int v103; // ST2C_4@1
	int v104; // ST14_4@1
	int v105; // ST7C_4@1
	int v106; // ST18_4@1
	int v107; // ST74_4@1
	int v108; // r7@1
	int v109; // r12@1
	int v110; // ST88_4@1
	int v111; // r5@1
	int v112; // ST28_4@1
	int v113; // ST60_4@1
	int v114; // ST6C_4@1
	int v115; // STBC_4@1
	int v116; // ST80_4@1
	int v117; // ST84_4@1
	int v118; // STA0_4@1
	int v119; // STC8_4@1
	int v120; // r8@1
	int v121; // lr@1
	int v122; // r6@1
	int v123; // r4@1
	int v124; // r5@1
	int v125; // ST04_4@1
	int v126; // r10@1
	int v127; // ST64_4@1
	int v128; // r2@1
	int v129; // ST1C_4@1
	int v130; // ST20_4@1
	int v131; // r6@1
	int v132; // r3@1
	int v133; // r12@1
	int v134; // r11@1
	int v135; // ST9C_4@1
	int v136; // r4@1
	int v137; // r9@1
	int v138; // STB4_4@1
	int v139; // r6@1
	int v140; // r8@1
	int v141; // r5@1
	int v142; // STE4_4@1
	int v143; // STC4_4@1
	int v144; // ST20_4@1
	int v145; // STCC_4@1
	int v146; // lr@1
	int v147; // r6@1
	int v148; // STD4_4@1
	int v149; // lr@1
	int v150; // r1@1
	int v151; // STF0_4@1
	int v152; // r7@1
	int v153; // r12@1
	int v154; // r1@1
	int v155; // r7@1
	int v156; // STD8_4@1
	int v157; // r5@1
	int v158; // STDC_4@1
	int v159; // r1@1
	int v160; // r7@1
	int v161; // r3@1
	int v162; // r12@1
	int v163; // r11@1
	int v164; // STEC_4@1
	int v165; // r7@1
	int v166; // r3@1
	int v167; // r5@1
	int v168; // STB8_4@1
	int v169; // r4@1
	int v170; // STE0_4@1
	int v171; // lr@1
	int v172; // r10@1
	int v173; // r8@1
	int v174; // STE8_4@1
	int v175; // r5@1
	int v176; // STB4_4@1
	int v177; // r5@1
	int v178; // lr@1
	int v179; // r2@1
	int v180; // r9@1
	int v181; // r6@1
	int v182; // r12@1
	int v183; // r8@1
	int v184; // lr@1
	int v185; // STEC_4@1
	int v186; // r3@1
	int v187; // ST20_4@1
	int v188; // ST58_4@1
	int v189; // r8@1
	int v190; // r11@1
	int v191; // ST8C_4@1
	int v192; // r3@1
	int v193; // ST1C_4@1
	int v194; // r1@1
	int v195; // r5@1
	int v196; // r6@1
	int v197; // r3@1
	int v198; // lr@1
	int v199; // r7@1
	int v200; // lr@1
	int v201; // r8@1
	int v202; // r11@1
	int v203; // r2@1
	int v204; // r1@1
	int v205; // r3@1
	int v206; // r2@1
	int v207; // r9@1
	int v208; // r4@1
	int v209; // r4@1
	int v210; // r5@1
	int v211; // r1@1
	int v212; // r5@1
	int v213; // r3@1
	int v214; // r4@1
	int v215; // r6@1
	int v216; // r1@1
	int v217; // r6@1
	int v218; // r12@1
	int v219; // r5@1
	int v220; // r6@1
	int v221; // lr@1
	int v222; // ST04_4@1
	int v223; // r6@1
	int v224; // lr@1
	int v225; // r6@1
	int v226; // ST38_4@1
	int v227; // r3@1
	int v228; // r4@1
	int v229; // STD0_4@1
	int v230; // r2@1
	int v231; // r8@1
	int v232; // r4@1
	int v233; // lr@1
	int v234; // r9@1
	int v235; // r4@1
	int v236; // r12@1
	int v237; // STF0_4@1
	int v238; // r5@1
	int v239; // r10@1
	int v240; // STE4_4@1
	int v241; // r9@1
	int v242; // ST68_4@1
	int v243; // ST9C_4@1
	int v244; // ST108_4@1
	int v245; // STE0_4@1
	int v246; // r7@1
	int v247; // lr@1
	int v248; // ST58_4@1
	int v249; // r6@1
	int v250; // STA4_4@1
	int v251; // lr@1
	int v252; // r3@1
	int v253; // STDC_4@1
	int v254; // r5@1
	int v255; // ST2C_4@1
	int v256; // lr@1
	int v257; // r12@1
	int v258; // r6@1
	int v259; // r3@1
	int v260; // r1@1
	int v261; // r6@1
	int v262; // r1@1
	int v263; // r5@1
	int v264; // r4@1
	int v265; // STD0_4@1
	int v266; // STB8_4@1
	int v267; // STD8_4@1
	int v268; // ST110_4@1
	int v269; // r8@1
	int v270; // ST10C_4@1
	int v271; // STE8_4@1
	int v272; // r4@1
	int v273; // r1@1
	int v274; // r6@1
	int v275; // r10@1
	int v276; // r7@1
	int v277; // STF4_4@1
	int v278; // r4@1
	int v279; // STB4_4@1
	int v280; // STAC_4@1
	int v281; // r8@1
	int v282; // ST58_4@1
	int v283; // lr@1
	int v284; // r6@1
	int v285; // r1@1
	int v286; // STA4_4@1
	int v287; // r2@1
	int v288; // r9@1
	int v289; // r7@1
	int v290; // ST04_4@1
	int v291; // r5@1
	int v292; // r4@1
	int v293; // ST0C_4@1
	int v294; // lr@1
	int v295; // r8@1
	int v296; // r12@1
	int v297; // r2@1
	int v298; // ST1C_4@1
	int v299; // r4@1
	int v300; // ST04_4@1
	int v301; // r10@1
	int v302; // r6@1
	int v303; // STD0_4@1
	int v304; // lr@1
	int v305; // STDC_4@1
	int v306; // STE0_4@1
	int v307; // ST2C_4@1
	int v308; // r12@1
	int v309; // ST100_4@1
	int v310; // r4@1
	int v311; // ST1C_4@1
	int v312; // ST104_4@1
	int v313; // r8@1
	int v314; // r2@1
	int v315; // r10@1
	int v316; // ST68_4@1
	int v317; // ST34_4@1
	int v318; // STE4_4@1
	int v319; // r9@1
	int v320; // ST114_4@1
	int v321; // r1@1
	int v322; // STC0_4@1
	int v323; // r3@1
	int v324; // r4@1
	int v325; // ST34_4@1
	int v326; // r9@1
	int v327; // ST94_4@1
	int v328; // STF0_4@1
	int v329; // STE8_4@1
	int v330; // r11@1
	int v331; // ST90_4@1
	int v332; // ST110_4@1
	int v333; // ST108_4@1
	int v334; // r7@1
	int v335; // STC0_4@1
	int v336; // r7@1
	int v337; // r1@1
	int v338; // lr@1
	int v339; // r4@1
	int v340; // r1@1
	int v341; // STE4_4@1
	int v342; // r2@1
	int v343; // lr@1
	int v344; // r1@1
	int v345; // r12@1
	int v346; // r10@1
	int v347; // r2@1
	int v348; // ST10C_4@1
	int v349; // STF0_4@1
	int v350; // r9@1
	int v351; // r11@1
	int v352; // r12@1
	int v353; // r2@1
	int v354; // ST110_4@1
	int v355; // ST1C_4@1
	int v356; // r5@1
	int v357; // lr@1
	int v358; // r5@1
	int v359; // r2@1
	int v360; // ST68_4@1
	int v361; // r10@1
	int v362; // r6@1
	int v363; // r2@1
	int v364; // r1@1
	int v365; // lr@1
	int v366; // r4@1
	int v367; // r8@1
	int v368; // r6@1
	int v369; // r5@1
	int v370; // r2@1
	int v371; // r3@1
	int v372; // r1@1
	int v373; // ST68_4@1
	int v374; // ST40_4@1
	int v375; // STD0_4@1
	int v376; // ST108_4@1
	int v377; // r4@1
	int v378; // r3@1
	int v379; // r2@1
	int v380; // r10@1
	int v381; // ST1C_4@1
	int v382; // r11@1
	int v383; // ST30_4@1
	int v384; // ST90_4@1
	int v385; // ST38_4@1
	int v386; // r12@1
	int v387; // ST94_4@1
	int v388; // STF0_4@1
	int v389; // STA4_4@1
	int v390; // r7@1
	int v391; // STEC_4@1
	int v392; // r6@1
	int v393; // r2@1
	int v394; // STE4_4@1
	int v395; // r5@1
	int v396; // STB4_4@1
	int v397; // r1@1
	int v398; // ST50_4@1
	int v399; // r9@1
	int v400; // STD0_4@1
	int v401; // r8@1
	int v402; // r7@1
	int v403; // r6@1
	int v404; // ST1C_4@1
	int v405; // STB0_4@1
	int v406; // r4@1
	int v407; // ST30_4@1
	int v408; // r4@1
	int v409; // r2@1
	int v410; // ST6C_4@1
	int v411; // r3@1
	int v412; // r6@1
	int v413; // lr@1
	int v414; // r7@1
	int v415; // ST18_4@1
	int v416; // STA4_4@1
	int v417; // STA8_4@1
	int v418; // ST90_4@1
	int v419; // r2@1
	int v420; // STE8_4@1
	int v421; // r9@1
	int v422; // r1@1
	int v423; // r6@1
	int v424; // ST0C_4@1
	int v425; // r5@1
	int v426; // ST54_4@1
	int v427; // r2@1
	int v428; // r4@1
	int v429; // r3@1
	int v430; // ST5C_4@1
	int v431; // lr@1
	int v432; // r9@1
	int v433; // r8@1
	int v434; // r3@1
	int v435; // r2@1
	int v436; // ST04_4@1
	int v437; // r2@1
	int v438; // r6@1
	int v439; // ST14_4@1
	int v440; // r4@1
	int v441; // ST00_4@1
	int v442; // r4@1
	int v443; // ST28_4@1
	int v444; // r1@1
	int v445; // ST4C_4@1
	int v446; // ST14_4@1
	int v447; // r12@1
	int v448; // ST74_4@1
	int v449; // r7@1
	int v450; // ST84_4@1
	int v451; // ST28_4@1
	int v452; // ST10_4@1
	int v453; // ST04_4@1
	int v454; // r11@1
	int v455; // r7@1
	int v456; // r10@1
	int v457; // ST3C_4@1
	int v458; // ST5C_4@1
	int v459; // ST64_4@1
	int v460; // ST08_4@1
	int v461; // ST70_4@1
	int v462; // r5@1
	int v463; // r1@1
	int v464; // r4@1
	int v465; // ST6C_4@1
	int v466; // r5@1
	int v467; // r1@1
	int v468; // r3@1
	int v469; // r12@1

	v1 = *(_DWORD *)(result + 72);
	v2 = *(_DWORD *)(result + 40) & ~v1;
	v3 = *(_DWORD *)(result + 692) ^ *(_DWORD *)(result + 344) ^ *(_DWORD *)(result + 40) ^ *(_DWORD *)(result + 180) ^ (*(_DWORD *)(result + 324) ^ (*(_DWORD *)(result + 316) ^ v1 | *(_DWORD *)(result + 224))) & ~*(_DWORD *)(result + 500) ^ (*(_DWORD *)(result + 8) & ~(*(_DWORD *)(result + 388) ^ *(_DWORD *)(result + 40) & ~*(_DWORD *)(result + 780)) ^ *(_DWORD *)(result + 72)) & ~*(_DWORD *)(result + 224);
	v4 = ~*(_DWORD *)(result + 224);
	v5 = v3 & ~*(_DWORD *)(result + 728);
	v6 = *(_DWORD *)(result + 692) ^ *(_DWORD *)(result + 344) ^ *(_DWORD *)(result + 40) ^ *(_DWORD *)(result + 180) ^ (*(_DWORD *)(result + 324) ^ (*(_DWORD *)(result + 316) ^ v1 | *(_DWORD *)(result + 224))) & ~*(_DWORD *)(result + 500) ^ (*(_DWORD *)(result + 8) & ~(*(_DWORD *)(result + 388) ^ *(_DWORD *)(result + 40) & ~*(_DWORD *)(result + 780)) ^ *(_DWORD *)(result + 72)) & v4;
	v7 = *(_DWORD *)(result + 628);
	v8 = *(_DWORD *)(result + 772);
	v9 = *(_DWORD *)(result + 8);
	v10 = v3 & ~*(_DWORD *)(result + 16) ^ *(_DWORD *)(result + 396) ^ *(_DWORD *)(result + 148) & ~(v3 & ~*(_DWORD *)(result + 28) ^ *(_DWORD *)(result + 720)) ^ *(_DWORD *)(result + 88);
	v11 = *(_DWORD *)(result + 700) ^ *(_DWORD *)(result + 280) ^ *(_DWORD *)(result + 372) & v6 ^ *(_DWORD *)(result + 148) & ~(v5 ^ *(_DWORD *)(result + 696));
	*(_DWORD *)(result + 700) = v11;
	v12 = v10;
	v13 = *(_DWORD *)(result + 536);
	v14 = v12;
	*(_DWORD *)(result + 88) = v12;
	v15 = v13;
	v16 = ~v9;
	v17 = v13 & *(_DWORD *)(result + 40);
	v18 = *(_DWORD *)(result + 8) | v7;
	v19 = *(_DWORD *)(result + 8) ^ *(_DWORD *)(result + 568) ^ v6 & ~*(_DWORD *)(result + 76) ^ *(_DWORD *)(result + 148) & ~(v6 & *(_DWORD *)(result + 452) ^ *(_DWORD *)(result + 688));
	v20 = *(_DWORD *)(result + 100) ^ v13 ^ v18 ^ (~v9 & v7 ^ v8 | *(_DWORD *)(result + 224)) ^ (v17 ^ *(_DWORD *)(result + 72) ^ (v17 ^ *(_DWORD *)(result + 256)) & ~v9 ^ ((*(_DWORD *)(result + 724) ^ *(_DWORD *)(result + 40)) & ~v9 ^ *(_DWORD *)(result + 776)) & v4 | *(_DWORD *)(result + 500));
	v21 = v19 & *(_DWORD *)(result + 96);
	v22 = v19 | *(_DWORD *)(result + 96);
	v23 = v19 & *(_DWORD *)(result + 96) & *(_DWORD *)(result + 796);
	v24 = v19 ^ *(_DWORD *)(result + 96);
	v25 = *(_DWORD *)(result + 68);
	v26 = *(_DWORD *)(result + 144) ^ *(_DWORD *)(result + 668);
	v27 = *(_DWORD *)(result + 104);
	v28 = (v19 | *(_DWORD *)(result + 96)) & *(_DWORD *)(result + 796);
	v29 = ~v19 & *(_DWORD *)(result + 796);
	v30 = v20 & ~v25;
	v31 = *(_DWORD *)(result + 36);
	v32 = *(_DWORD *)(result + 364);
	v33 = v6 & *(_DWORD *)(result + 744) ^ *(_DWORD *)(result + 480) ^ *(_DWORD *)(result + 64) ^ *(_DWORD *)(result + 148) & ~(v6 & *(_DWORD *)(result + 640) ^ *(_DWORD *)(result + 664));
	v34 = v20 & v32;
	*(_DWORD *)(result + 64) = v33;
	v35 = v20;
	v36 = v19 ^ *(_DWORD *)(result + 524);
	*(_DWORD *)(result + 452) = v19;
	v37 = v26 ^ (v27 | v20);
	*(_DWORD *)(result + 144) = v37;
	v38 = v36;
	*(_DWORD *)(result + 524) = v36;
	v39 = v23 ^ v21;
	*(_DWORD *)(result + 808) = v23 ^ v21;
	v40 = *(_DWORD *)(result + 40);
	v41 = *(_DWORD *)(result + 256);
	v42 = v29 ^ v24;
	*(_DWORD *)(result + 552) = v29 ^ v24;
	v43 = v41 & v40;
	v44 = *(_DWORD *)(result + 448);
	*(_DWORD *)(result + 464) = v28;
	v45 = v35 & v44;
	v46 = v34 ^ v25;
	v47 = v35 & *(_DWORD *)(result + 176);
	v48 = *(_DWORD *)(result + 40);
	v49 = v30 ^ v32;
	v50 = v28 ^ v21;
	*(_DWORD *)(result + 644) = v28 ^ v21;
	v51 = *(_DWORD *)(result + 4);
	v52 = v34 ^ v31 | v51;
	v53 = v43 ^ v18;
	v54 = v48 & ~v15;
	v55 = v35 & v25 ^ v32;
	v56 = v35 & ~v32;
	v57 = v47 ^ *(_DWORD *)(result + 272);
	v58 = v54 ^ *(_DWORD *)(result + 256);
	v59 = (v46 | v51) ^ v46;
	v60 = v55 & ~v51;
	v61 = *(_DWORD *)(result + 516) ^ v45 ^ v52;
	v62 = *(_DWORD *)(result + 448) ^ v45;
	v63 = *(_DWORD *)(result + 4);
	v64 = v63 & ~(v35 & v25 ^ *(_DWORD *)(result + 288));
	v65 = *(_DWORD *)(result + 516) ^ v63;
	v66 = (v30 ^ v32) & ~v51 ^ v57;
	v67 = ~v51 & (v35 & ~v31 ^ v25);
	v68 = *(_DWORD *)(result + 176) ^ *(_DWORD *)(result + 208) ^ v35 & *(_DWORD *)(result + 272);
	v69 = v59 | *(_DWORD *)(result + 132);
	v70 = v56 ^ v31 ^ v60;
	v71 = *(_DWORD *)(result + 132);
	v72 = v52 ^ v31 | *(_DWORD *)(result + 132);
	v73 = v35 & ~*(_DWORD *)(result + 448) ^ v31 ^ (*(_DWORD *)(result + 4) | v30 ^ v31);
	v74 = (v67 ^ v62) & ~v71;
	v75 = v70 ^ v69;
	v76 = *(_DWORD *)(result + 4) & v30 ^ v55;
	v77 = (v58 & v16 | *(_DWORD *)(result + 224)) ^ ((v53 | *(_DWORD *)(result + 224)) ^ *(_DWORD *)(result + 416) | *(_DWORD *)(result + 500));
	v78 = v76 ^ *(_DWORD *)(result + 48) ^ ((*(_DWORD *)(result + 4) | v30 ^ v32) ^ v31) & ~v71;
	v79 = *(_DWORD *)result ^ *(_DWORD *)(result + 612) ^ *(_DWORD *)(result + 352) & ~v35;
	v80 = *(_DWORD *)(result + 252);
	v81 = ~v80;
	v82 = (v2 ^ *(_DWORD *)(result + 72)) & v16;
	v83 = v75 ^ *(_DWORD *)(result + 780) ^ ((v66 | *(_DWORD *)(result + 132)) ^ v64 ^ v57 | v80);
	v84 = v65 ^ *(_DWORD *)(result + 160) ^ v35 & ~*(_DWORD *)(result + 272) ^ v74 ^ (v68 ^ (v68 | *(_DWORD *)(result + 132)) | v80);
	*(_DWORD *)(result + 392) ^= v75 ^ v80 & ~(v61 & ~v71 ^ (v56 | *(_DWORD *)(result + 4)) ^ v49);
	v85 = v78 ^ (v73 ^ v72) & ~v80;
	v86 = *(_DWORD *)(result + 56) ^ *(_DWORD *)(result + 592);
	v87 = *(_DWORD *)(result + 168);
	v88 = v84;
	v89 = *(_DWORD *)(result + 432);
	*(_DWORD *)(result + 160) = v84;
	v90 = v77 ^ v87;
	v91 = v35 | v89;
	v92 = *(_DWORD *)(result + 188);
	v93 = v85;
	v94 = *(_DWORD *)(result + 72) ^ *(_DWORD *)(result + 264);
	*(_DWORD *)(result + 48) = v85;
	v95 = v82 ^ v92;
	v96 = *(_DWORD *)(result + 248);
	v97 = *(_DWORD *)(result + 20);
	v98 = v83;
	*(_DWORD *)(result + 780) = v83;
	v99 = v94 ^ (v35 | v97);
	*(_DWORD *)(result + 20) = v99;
	*(_DWORD *)(result + 56) = v86 ^ v91;
	v100 = ~v79 & v96;
	*(_DWORD *)result = v79;
	*(_DWORD *)(result + 352) = v100;
	v101 = ~v79 & v96;
	*(_DWORD *)(result + 668) = v100;
	v102 = v79 & v96;
	*(_DWORD *)(result + 324) = v79 & v96;
	v103 = ~(v90 ^ v95);
	v104 = v86 ^ v91;
	v105 = v14 ^ v86 ^ v91;
	v106 = v90 ^ v95;
	v107 = ~*(_DWORD *)(result + 232);
	v108 = *(_DWORD *)(result + 4);
	v109 = v108 & ~(*(_DWORD *)(result + 560) & v103 ^ *(_DWORD *)(result + 736)) ^ *(_DWORD *)(result + 492) ^ *(_DWORD *)(result + 40) ^ v103 & *(_DWORD *)(result + 596) ^ (v103 & *(_DWORD *)(result + 740) ^ *(_DWORD *)(result + 428) ^ *(_DWORD *)(result + 4) & ~((v90 ^ v95 | *(_DWORD *)(result + 116)) ^ *(_DWORD *)(result + 428)) | *(_DWORD *)(result + 252));
	v110 = v109 | v19;
	v111 = *(_DWORD *)(result + 232);
	v112 = *(_DWORD *)(result + 240) ^ *(_DWORD *)(result + 680) ^ (v90 ^ v95 | *(_DWORD *)(result + 528)) ^ *(_DWORD *)(result + 4) & ~(v103 & *(_DWORD *)(result + 604) ^ *(_DWORD *)(result + 580)) ^ (v108 & ~(v103 & *(_DWORD *)(result + 608) ^ *(_DWORD *)(result + 292)) ^ *(_DWORD *)(result + 604)) & v81;
	v113 = v109 & ~v19;
	v114 = v19 & ~v109;
	v115 = (v19 | *(_DWORD *)(result + 232)) ^ v19;
	v116 = v108 & ~(*(_DWORD *)(result + 560) & v103 ^ *(_DWORD *)(result + 736)) ^ *(_DWORD *)(result + 492) ^ *(_DWORD *)(result + 40) ^ v103 & *(_DWORD *)(result + 596) ^ (v103 & *(_DWORD *)(result + 740) ^ *(_DWORD *)(result + 428) ^ *(_DWORD *)(result + 4) & ~((v90 ^ v95 | *(_DWORD *)(result + 116)) ^ *(_DWORD *)(result + 428)) | *(_DWORD *)(result + 252));
	v117 = v109 ^ v19;
	v118 = v109 | v19 | v111;
	v119 = v19 & ~v109 | v111;
	v120 = v118 ^ v109;
	v121 = v109 & ~v19 ^ v111;
	v122 = v109 & ~v19 | v111;
	v123 = *(_DWORD *)(result + 124);
	v124 = v109 & ~v19 & v107 ^ ((v111 | v109) ^ v109) & v83;
	v125 = (v90 ^ v95) & v123;
	v126 = v90 ^ v95 | v123;
	v127 = v112 | v14;
	v128 = ~*(_DWORD *)(result + 320);
	v129 = v126 & ~v123;
	v130 = v122 ^ v109 ^ v19;
	v131 = *(_DWORD *)(result + 152);
	v132 = ~v123 & v128 & (v90 ^ v95);
	v133 = (v112 | ~v104) & v131;
	v134 = v112 | v105 | v131;
	v135 = ~v131;
	v136 = (v112 | v105) ^ v104 | *(_DWORD *)(result + 152);
	v137 = (v112 | v14) & ~v131;
	v138 = v99 & ~v124;
	v139 = v117 ^ *(_DWORD *)(result + 232) ^ v98 & ~v120;
	v140 = *(_DWORD *)(result + 124) & ~v125;
	*(_DWORD *)(result + 240) = v112;
	*(_DWORD *)(result + 628) = v134 ^ (v112 | v105);
	v141 = *(_DWORD *)(result + 472);
	*(_DWORD *)(result + 604) = v133 ^ v104;
	v142 = v141;
	v143 = v130 ^ v121 & v98 ^ v99 & ~(v19 & v107 & v98 ^ v19);
	v144 = *(_DWORD *)(result + 356);
	v145 = v99 & ~(v98 & v107 ^ v115) ^ v98 & v119 ^ v113;
	v146 = v139 ^ v138;
	v147 = v103 & *(_DWORD *)(result + 124);
	v148 = v146;
	v149 = v140 | *(_DWORD *)(result + 320);
	*(_DWORD *)(result + 116) = v116;
	v150 = *(_DWORD *)(result + 564);
	v151 = v106 | *(_DWORD *)(result + 608);
	v152 = *(_DWORD *)(result + 420);
	*(_DWORD *)(result + 76) = v143;
	v153 = v103 & v152;
	v154 = v150 ^ (v106 | *(_DWORD *)(result + 408));
	*(_DWORD *)(result + 472) = v137 ^ v104;
	*(_DWORD *)(result + 356) = v148;
	v155 = *(_DWORD *)(result + 4);
	*(_DWORD *)(result + 364) = v145;
	v156 = v153;
	v157 = *(_DWORD *)(result + 444);
	v158 = v155 & ~v154;
	*(_DWORD *)(result + 492) = v147;
	v159 = v129 ^ v132;
	v160 = *(_DWORD *)(result + 712);
	*(_DWORD *)(result + 444) = v129 ^ v132;
	v161 = v160 & ~(v132 ^ v126);
	v162 = ~*(_DWORD *)(result + 92);
	v163 = v103 & v157 ^ *(_DWORD *)(result + 496);
	v164 = (v106 | *(_DWORD *)(result + 300)) ^ v144;
	v165 = *(_DWORD *)(result + 28);
	*(_DWORD *)(result + 292) = v136 ^ (v112 | v14);
	v166 = (v161 ^ v162 & v128 & v106 ^ v126) & v165;
	v167 = *(_DWORD *)(result + 712);
	v168 = v149 ^ v147;
	*(_DWORD *)(result + 536) = v149 ^ v125;
	*(_DWORD *)(result + 416) = v129;
	v169 = *(_DWORD *)(result + 112) ^ v167 & ~v159 ^ v149 ^ v125;
	v170 = v106 | *(_DWORD *)(result + 584);
	v171 = v126 & v128;
	v172 = v126 | *(_DWORD *)(result + 320);
	v173 = v140 ^ v171;
	v174 = v171;
	v175 = *(_DWORD *)(result + 320);
	*(_DWORD *)(result + 288) = v173;
	v176 = v106 | v175;
	v177 = v147 & v128;
	v178 = v125 & v128 ^ v125;
	v179 = v147 & v128 ^ v129 ^ (v125 & v128 ^ v147) & v162;
	v180 = *(_DWORD *)(result + 712) & ~((v106 | *(_DWORD *)(result + 92)) ^ v106 ^ v177);
	*(_DWORD *)(result + 176) = v179;
	v181 = v173 ^ (v172 ^ v125) & v162;
	v182 = *(_DWORD *)(result + 28) & ~(v178 & v162 ^ v159 ^ v180);
	v183 = v169 ^ (v173 | *(_DWORD *)(result + 92)) ^ v166;
	v184 = v178 ^ *(_DWORD *)(result + 284);
	v185 = *(_DWORD *)(result + 4) & ~v164;
	v186 = *(_DWORD *)(result + 200) ^ v151;
	v187 = v183;
	*(_DWORD *)(result + 112) = v183;
	v188 = v17 & v16;
	v189 = ((v125 ^ v176 | *(_DWORD *)(result + 92)) ^ v129) & *(_DWORD *)(result + 712);
	v190 = v163 ^ v186 & *(_DWORD *)(result + 4) | *(_DWORD *)(result + 252);
	v191 = ~v112;
	v192 = ~v112 & v105;
	v193 = *(_DWORD *)(result + 32) ^ *(_DWORD *)(result + 460) ^ v156 ^ v158 ^ v190;
	v194 = v192 ^ v14;
	v195 = (v192 ^ v104) & v135;
	v196 = v181 ^ *(_DWORD *)(result + 216) ^ v189 ^ v182;
	v197 = *(_DWORD *)(result + 712) & ~(*(_DWORD *)(result + 376) ^ v168);
	v198 = v184 & *(_DWORD *)(result + 712) ^ *(_DWORD *)(result + 92) & ~((*(_DWORD *)(result + 320) | v125) ^ v125);
	*(_DWORD *)(result + 688) = *(_DWORD *)(result + 152) & ~v194 ^ v104;
	v199 = v14 & ~v104;
	v200 = *(_DWORD *)(result + 28) & ~v198;
	*(_DWORD *)(result + 736) = v14 & ~v112 ^ v104 ^ *(_DWORD *)(result + 152) & ~(v112 | v14);
	*(_DWORD *)(result + 32) = v193;
	v201 = (v112 | v14) ^ v14;
	v202 = v172 ^ *(_DWORD *)(result + 124);
	v203 = v179 ^ *(_DWORD *)(result + 128) ^ v197;
	v204 = *(_DWORD *)(result + 152) & ~v201;
	*(_DWORD *)(result + 724) = v195 ^ v201;
	*(_DWORD *)(result + 560) = v204 ^ (v112 | v105);
	v205 = (v112 | v105) ^ v105;
	v206 = v203 ^ v200;
	v207 = *(_DWORD *)(result + 152);
	*(_DWORD *)(result + 756) = v207 ^ v14 ^ v112;
	*(_DWORD *)(result + 432) = v14 & ~v199 ^ v207 & ~(v104 & ~v14 ^ v112);
	*(_DWORD *)(result + 672) = ~v112 & v199 ^ v104 ^ v207 & ~(~v112 & v199 ^ v14);
	*(_DWORD *)(result + 216) = v196;
	v208 = *(_DWORD *)(result + 488);
	*(_DWORD *)(result + 528) = (v104 | v112) ^ v14;
	v209 = v187 & ~v208;
	v210 = *(_DWORD *)(result + 488);
	*(_DWORD *)(result + 564) = (~v112 ^ v14) & v104 & v207 ^ v205;
	*(_DWORD *)(result + 272) = v209;
	v211 = v37 | v210 ^ v209;
	*(_DWORD *)(result + 776) = v207 & ~v205 ^ v112;
	v212 = v196 & ~v101;
	v213 = v196 & v101;
	v214 = v196 & ~v102;
	v215 = *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 420) = v211;
	v216 = v206 | v215;
	v217 = *(_DWORD *)(result + 124);
	*(_DWORD *)(result + 612) = v214;
	*(_DWORD *)(result + 740) = v212;
	v218 = v217;
	v219 = v106 ^ v217;
	v220 = *(_DWORD *)(result + 320);
	*(_DWORD *)(result + 256) = v213;
	v221 = v219 | v220;
	v222 = v206;
	v223 = *(_DWORD *)(result + 712);
	*(_DWORD *)(result + 128) = v206;
	v224 = v223 & ~(v221 ^ v218);
	v225 = *(_DWORD *)(result + 296);
	v226 = ~v206;
	v227 = *(_DWORD *)(result + 800);
	v228 = *(_DWORD *)(result + 96) & v206 & v79 ^ v216;
	*(_DWORD *)(result + 16) = v219;
	v229 = v228 & v193;
	v230 = *(_DWORD *)(result + 308);
	v231 = v103 & *(_DWORD *)(result + 244);
	v232 = *(_DWORD *)(result + 336);
	v233 = v168 ^ v224 ^ (v174 ^ v219 | *(_DWORD *)(result + 92));
	*(_DWORD *)(result + 704) = v216;
	v234 = v142 ^ v232 ^ v170;
	v235 = v222 | *(_DWORD *)(result + 276);
	v236 = v222 | v227;
	*(_DWORD *)(result + 468) = v219 ^ v176;
	v237 = v202 & *(_DWORD *)(result + 712);
	v238 = v226 & v230 ^ *(_DWORD *)(result + 96);
	v239 = (v188 ^ *(_DWORD *)(result + 188)) & v4;
	v240 = v234 ^ (v231 ^ *(_DWORD *)(result + 544)) & *(_DWORD *)(result + 4);
	v241 = v222 | v225;
	v242 = *(_DWORD *)(result + 156) ^ *(_DWORD *)(result + 52) ^ v222;
	v243 = v19 & ~*(_DWORD *)(result + 96);
	*(_DWORD *)(result + 296) = v226 & v225;
	v244 = v233 & *(_DWORD *)(result + 28);
	v245 = (v226 & v225 ^ v102) & v193;
	v246 = v226 & v225 ^ (v235 | v79);
	v247 = (v235 ^ v225) & ~v79;
	v248 = v216 ^ v225;
	v249 = *(_DWORD *)(result + 124);
	*(_DWORD *)(result + 608) = v246;
	v250 = v247;
	v251 = (((v222 | v227) ^ v227) & v193 ^ v246) & v33 ^ v249;
	v252 = v216 & v79 ^ v238;
	v253 = v251;
	v254 = v238 | v79;
	v255 = v216 ^ *(_DWORD *)(result + 424);
	v256 = v236 ^ *(_DWORD *)(result + 248) | v79;
	v257 = v33 & ~(v252 ^ v193 & ~v236);
	v258 = *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 376) = v252;
	*(_DWORD *)(result + 400) = v255;
	v259 = v226 & v258;
	*(_DWORD *)(result + 800) = v248;
	v260 = v226 & *(_DWORD *)(result + 156) ^ v258;
	v261 = *(_DWORD *)(result + 40);
	v262 = v260 ^ v254;
	v263 = v254 ^ v230;
	*(_DWORD *)(result + 480) = v263;
	v264 = v261 ^ *(_DWORD *)(result + 72);
	*(_DWORD *)(result + 308) = v229 ^ v263;
	v265 = v229 ^ v263 ^ v257;
	v266 = v262 & v193;
	v267 = v222 | *(_DWORD *)(result + 96);
	v268 = v239 ^ v82;
	v269 = v106 & *(_DWORD *)(result + 460) ^ *(_DWORD *)(result + 496) ^ v185;
	v270 = v264 | *(_DWORD *)(result + 8);
	v271 = v264;
	v272 = *(_DWORD *)(result + 156);
	v273 = *(_DWORD *)(result + 276);
	*(_DWORD *)(result + 208) = v267 ^ *(_DWORD *)(result + 276) ^ v256;
	v274 = v259 ^ v272 | v79;
	v275 = (v222 | v230) ^ v273;
	v276 = (v222 | v272) & ~v79 ^ *(_DWORD *)(result + 424) & ~v193;
	v277 = ~v19 & *(_DWORD *)(result + 96);
	v278 = *(_DWORD *)(result + 796);
	v279 = v24 & v278;
	v280 = v243 & v278;
	v281 = v269 | *(_DWORD *)(result + 252);
	v282 = v248 ^ v274;
	v283 = *(_DWORD *)(result + 108) ^ *(_DWORD *)(result + 96) ^ v259 ^ v250;
	v284 = v222;
	v285 = (v241 ^ v273) & ~v79 ^ v255;
	v286 = *(_DWORD *)(result + 796) & (v21 | ~v19);
	v287 = v193 & ~(v226 & *(_DWORD *)(result + 424) ^ *(_DWORD *)(result + 328) ^ (v241 ^ v230 | v79));
	v288 = v222 & (v24 & v278 ^ v277) ^ v38;
	v289 = v242 ^ v275 & ~v79 ^ v33 & ~v276;
	v290 = (v21 ^ v243 & v278 | v222) ^ v19;
	v291 = *(_DWORD *)(result + 164);
	v292 = ~(v22 & ~v19) & *(_DWORD *)(result + 796) ^ v24;
	*(_DWORD *)(result + 448) = v283 ^ v266 ^ v33 & ~(v245 ^ *(_DWORD *)(result + 208));
	v293 = v240 ^ v281;
	v294 = v289 ^ v193 & ~v285;
	v295 = ~v22 & *(_DWORD *)(result + 796);
	v296 = v286 ^ v22 & ~v19 ^ v284 & v21;
	v297 = v287 ^ v282;
	*(_DWORD *)(result + 680) = v297;
	v298 = v292 ^ v284;
	v299 = v290;
	v300 = v284;
	v301 = v284 & v22;
	v302 = v265;
	v303 = v294;
	v304 = v253 ^ v297;
	*(_DWORD *)(result + 424) = v282;
	*(_DWORD *)(result + 164) = v291 ^ v302;
	*(_DWORD *)(result + 52) = v303;
	*(_DWORD *)(result + 336) = v293;
	v305 = (v288 | v88) ^ v298;
	v306 = v296 ^ (v299 | v88);
	v307 = v304;
	*(_DWORD *)(result + 408) = v304;
	v308 = v11 | *(_DWORD *)(result + 412);
	v309 = v301 ^ v295 ^ v24;
	*(_DWORD *)(result + 396) = v309;
	v310 = *(_DWORD *)(result + 412);
	*(_DWORD *)(result + 520) = v298;
	*(_DWORD *)(result + 584) = v293 | v11;
	v311 = ~v310;
	v312 = ~v11;
	v313 = *(_DWORD *)(result + 468) ^ *(_DWORD *)(result + 136);
	v314 = *(_DWORD *)(result + 636);
	v315 = v237 ^ v313;
	*(_DWORD *)(result + 548) = v305;
	v316 = (v293 | v11) & ~v293;
	v317 = *(_DWORD *)(result + 436) ^ v314;
	v318 = v244 ^ v237 ^ v313;
	v319 = *(_DWORD *)(result + 232) & ~(~v11 & v293 ^ v308);
	*(_DWORD *)(result + 696) = v306;
	v320 = v319;
	v321 = v317 ^ *(_DWORD *)(result + 172);
	v322 = v11 & ~v310;
	v323 = *(_DWORD *)(result + 384) ^ v318;
	v324 = *(_DWORD *)(result + 500);
	*(_DWORD *)(result + 276) = v11 & v293;
	v325 = v321 ^ v270 ^ (v268 ^ v271 | v324);
	v326 = v293 & ~(v11 & v293);
	v327 = v293 | v11 | *(_DWORD *)(result + 412);
	v328 = v326 ^ *(_DWORD *)(result + 260);
	v329 = v23 ^ *(_DWORD *)(result + 96);
	v330 = v293 ^ *(_DWORD *)(result + 228);
	v331 = *(_DWORD *)(result + 412) | v316;
	v332 = v11 & v293 ^ *(_DWORD *)(result + 28) ^ v331;
	v333 = ((v11 & v293 ^ v308) & *(_DWORD *)(result + 232) ^ v316 ^ v308) & v323;
	*(_DWORD *)(result + 172) = v325;
	v334 = (v293 ^ v11 ^ v322) & *(_DWORD *)(result + 232);
	v335 = v322 & ~v293 ^ v11 & v293;
	v336 = v326 ^ v334;
	v337 = *(_DWORD *)(result + 412);
	*(_DWORD *)(result + 136) = v313;
	v338 = v293 ^ v11 ^ v337;
	v339 = v293 ^ v11 | v337;
	v340 = *(_DWORD *)(result + 460);
	*(_DWORD *)(result + 744) = v318;
	v341 = v338 ^ v340;
	v342 = *(_DWORD *)(result + 232);
	v343 = v338 | *(_DWORD *)(result + 232);
	*(_DWORD *)(result + 640) = v315;
	v344 = v308 ^ v11;
	v345 = v308 & v342;
	*(_DWORD *)(result + 384) = v323;
	v346 = (v293 | *(_DWORD *)(result + 412)) ^ v293;
	*(_DWORD *)(result + 244) = v335;
	v347 = *(_DWORD *)(result + 412);
	v348 = v323 & ~(v346 ^ v345);
	v349 = (v328 ^ (v326 | v347)) & v323;
	v350 = (v326 ^ (v11 & v293 | v347)) & *(_DWORD *)(result + 232);
	v351 = v330 ^ (v293 | v11) & v311;
	v352 = v11 & v293 & v311 ^ (v293 | v11);
	v353 = v332;
	v354 = (v293 | v11) & v311 ^ (v293 | v11) ^ v350 ^ (v343 ^ v11 & v293) & v323;
	v355 = *(_DWORD *)(result + 232) & ~((v293 | v11) ^ v339) ^ v353 ^ v323 & ~(v336 ^ v11 & v293 & v311);
	v356 = *(_DWORD *)(result + 232);
	v357 = v356 & ~v316;
	v358 = (v331 ^ v316) & v356 ^ v335;
	v359 = *(_DWORD *)(result + 232);
	v360 = v323 & ~(v357 ^ v11 & v293);
	v361 = v346 ^ v344 & v359;
	v362 = *(_DWORD *)(result + 232);
	v363 = v359 & ~v344 ^ *(_DWORD *)(result + 84);
	v364 = *(_DWORD *)(result + 232);
	*(_DWORD *)(result + 656) = v352;
	v365 = v331 ^ v293 & v362;
	v366 = v339 ^ v293 ^ v362 & ~(v339 ^ v293) ^ v333;
	v367 = v325 & ~*(_DWORD *)(result + 792) ^ *(_DWORD *)(result + 120);
	v368 = v351 ^ v327 & v364 ^ v360 ^ (v358 ^ (v327 ^ v11 ^ v320) & v323 | v98);
	v369 = *(_DWORD *)(result + 108);
	*(_DWORD *)(result + 228) = v368;
	v370 = v363 ^ v352 ^ v348 ^ (v361 ^ v349 | v98);
	v371 = v341 ^ (v327 ^ v293) & v364 ^ v323 & ~v365;
	*(_DWORD *)(result + 792) = v367 | v369;
	v372 = v303 | v370;
	*(_DWORD *)(result + 84) = v370;
	v373 = v371 ^ v366 & ~v98;
	*(_DWORD *)(result + 460) = v373;
	*(_DWORD *)(result + 260) = v303 | v370;
	v374 = v355 ^ v354 & ~v98;
	v375 = v286 ^ v21;
	v376 = *(_DWORD *)(result + 476);
	*(_DWORD *)(result + 28) = v374;
	v377 = v329 & v226;
	v378 = *(_DWORD *)(result + 556);
	v379 = *(_DWORD *)(result + 540);
	*(_DWORD *)(result + 720) = v372;
	v380 = v325 & v378 ^ v379;
	v381 = v279 ^ v19;
	v382 = *(_DWORD *)(result + 80) ^ *(_DWORD *)(result + 368) ^ v325 & ~*(_DWORD *)(result + 632) ^ (v325 & *(_DWORD *)(result + 752) | *(_DWORD *)(result + 108));
	v383 = v11 | v382;
	v384 = v11 & v382;
	v385 = (v11 ^ v382) & v37;
	v386 = v11 & v382 & v37 ^ v11 ^ v382;
	v387 = (v11 | v382) & v37;
	v388 = v385 ^ v11 ^ v382;
	v389 = v37 & ~(v11 | v382);
	v390 = v385 ^ v11 | v187;
	v391 = v187 | v11 ^ v382;
	v392 = v11 & ~v382 ^ v387;
	v393 = v37 & ~(v11 | v382) ^ v11;
	v394 = ~*(_DWORD *)(result + 108);
	v395 = v300 & ~(v29 ^ v19) ^ v375 ^ (v300 & ~v19 ^ v39 | v88);
	v396 = *(_DWORD *)(result + 232) | v117;
	v397 = v187 | v385 ^ v11 ^ v382;
	v398 = *(_DWORD *)(result + 224) ^ *(_DWORD *)(result + 732) ^ v325 & ~*(_DWORD *)(result + 60) ^ v380 & v394;
	v399 = v387 ^ v382 ^ ~v187 & v386 ^ v93 & ~(v392 ^ v391);
	v400 = v114 & v107;
	v401 = v393 ^ v397 ^ (v390 ^ v385) & v93;
	v402 = v114 & v107 ^ v114;
	v403 = v401 ^ *(_DWORD *)(result + 252);
	v404 = (v377 ^ v39 | v88) ^ *(_DWORD *)(result + 4) ^ v381 ^ v300 & ~(v22 & ~v19) ^ v398 & ~v395;
	v405 = *(_DWORD *)(result + 232) ^ v116;
	v406 = v383 ^ v389;
	v407 = v403 ^ v293 & ~v399;
	v408 = v406 & ~v187 ^ v384 ^ (v37 & ~v384 ^ v382 ^ v391) & v93;
	v409 = v402 & ~v98 ^ v114 ^ v19 & v107 ^ (v98 & ~(v396 ^ v19) ^ v114 ^ v19 & v107) & v99;
	v410 = v404 & ~(v407 & v404);
	v411 = (v402 | v98) ^ v405 ^ v106 ^ ((v396 ^ v19) & v98 ^ v19) & v99 ^ (v409 | v398);
	v412 = v403 ^ v293 & ~v399;
	v413 = v312 & v382 ^ v387 ^ (v187 | v382) ^ v93 & ~((v385 ^ v382) & ~v187 ^ v388);
	v414 = v401 ^ *(_DWORD *)(result + 212) ^ v399 & ~v293;
	v415 = v412 | v404;
	v416 = v412 ^ v404;
	v417 = v404 & ~(v407 & v404) | v373;
	v418 = (v412 | v404) & ~v373;
	v419 = v408 & ~v293 ^ v413;
	v420 = (v412 ^ v404) & ~v373;
	v421 = v417 ^ (v412 | v404);
	v422 = v293 & ~v408;
	v423 = v374 & ~v414;
	v424 = v413 ^ *(_DWORD *)(result + 140);
	*(_DWORD *)(result + 168) = v411;
	v425 = *(_DWORD *)(result + 784);
	*(_DWORD *)(result + 80) = v382;
	*(_DWORD *)(result + 4) = v404;
	*(_DWORD *)(result + 212) = v414;
	*(_DWORD *)(result + 476) = v414 ^ v374;
	*(_DWORD *)(result + 224) = v398;
	*(_DWORD *)(result + 264) = v423;
	*(_DWORD *)(result + 252) = v407;
	*(_DWORD *)(result + 368) = v374 & ~v423;
	*(_DWORD *)(result + 784) = v419 ^ v425;
	*(_DWORD *)(result + 140) = v424 ^ v422;
	*(_DWORD *)(result + 8) = v414 | v374;
	*(_DWORD *)(result + 496) = v307 ^ v411;
	*(_DWORD *)(result + 636) = v414 & v374;
	*(_DWORD *)(result + 60) = v411 & v307;
	*(_DWORD *)(result + 40) = v414 & ~v374;
	*(_DWORD *)(result + 580) = ~v411 & v307;
	*(_DWORD *)(result + 556) = ~v307 & v411;
	*(_DWORD *)(result + 732) = v411 & ~(v411 & v307);
	*(_DWORD *)(result + 540) = (v307 | v411) & ~v411;
	*(_DWORD *)(result + 372) = v307 & v373 ^ v415 ^ v418;
	v426 = ~v373 & v404;
	*(_DWORD *)(result + 500) = v420 ^ v407 ^ v307 & ~v418;
	*(_DWORD *)(result + 648) = v407 & v404;
	*(_DWORD *)(result + 316) = (v404 & ~(v407 & v404) ^ (v404 | v373)) & v307 ^ (v404 | v373);
	v427 = *(_DWORD *)(result + 360);
	*(_DWORD *)(result + 188) = v426;
	*(_DWORD *)(result + 300) = v404 & ~(v407 & v404);
	*(_DWORD *)(result + 632) = v307 | v411;
	v428 = *(_DWORD *)(result + 804);
	*(_DWORD *)(result + 544) = v416 ^ (v407 | v373) ^ v307 & ~v421;
	v429 = v300 & ~v24 ^ v280 ^ v22;
	v430 = (~v98 & v115 ^ *(_DWORD *)(result + 232)) & v99;
	v431 = v376 ^ *(_DWORD *)(result + 24) ^ v325 & v428 ^ (v325 & ~v427 ^ *(_DWORD *)(result + 312)) & v394;
	v432 = v300 & v243 ^ v42 | v88;
	v433 = v300 & ~v22 ^ v28 ^ (v267 ^ v243 | v88);
	v434 = v429 & ~v88 ^ v277 & ~*(_DWORD *)(result + 796) & v300;
	v435 = (v300 & ~(*(_DWORD *)(result + 96) ^ v28) ^ v22) & ~v88;
	v436 = v14 | v104;
	*(_DWORD *)(result + 280) = v404 & ~v407;
	v437 = v309 ^ *(_DWORD *)(result + 712) ^ v435;
	v438 = v118 ^ v110 ^ v98 & ~v110 ^ (v19 ^ v19 & v107 ^ (v396 ^ v117) & v98) & v99;
	v439 = v14 | v104 | v112;
	v440 = *(_DWORD *)(result + 280);
	*(_DWORD *)(result + 504) = ~v404 & v407;
	v441 = v440 & ~v373;
	v442 = *(_DWORD *)(result + 488);
	*(_DWORD *)(result + 804) = v431 ^ *(_DWORD *)(result + 488);
	v443 = v105 ^ *(_DWORD *)(result + 152);
	v444 = (v98 & ~v405 ^ v400) & v99 ^ v110 & v107 ^ v98 & ~(v119 ^ v116);
	v445 = (v430 ^ v110 & v107 ^ v98 & ~(v118 ^ v113)) & ~v398;
	v446 = v439 ^ v436;
	v447 = v415 & ~v404 | v373;
	v448 = *(_DWORD *)(result + 504) ^ v426;
	v449 = *(_DWORD *)(result + 488);
	v450 = v187 & v442 ^ *(_DWORD *)(result + 804);
	*(_DWORD *)(result + 768) = v431 & ~v187 & ~v37;
	*(_DWORD *)(result + 592) = ~v431 & v449;
	v451 = v443 ^ v127;
	v452 = (v438 | v398) ^ v148;
	*(_DWORD *)(result + 104) = v305 ^ (v432 ^ v50) & v398;
	*(_DWORD *)(result + 712) = v437 ^ v398 & ~v433;
	v453 = v398 & ~v434 ^ v306;
	v454 = v145 ^ v325 ^ (v444 | v398);
	v455 = v143 ^ v6 ^ v445;
	v456 = v307 & ~(v410 ^ v420);
	v457 = v410 ^ v441;
	v458 = *(_DWORD *)(result + 504) ^ (v415 | v373);
	v459 = *(_DWORD *)(result + 504) & v307;
	v460 = *(_DWORD *)(result + 504) & ~v307;
	v461 = v450 ^ *(_DWORD *)(result + 768);
	v462 = v187 & *(_DWORD *)(result + 592);
	v463 = *(_DWORD *)(result + 104);
	*(_DWORD *)(result + 100) = v452 ^ v35;
	v464 = *(_DWORD *)(result + 712);
	v465 = v462;
	v466 = v463;
	*(_DWORD *)(result + 772) = v455 & v374;
	v467 = *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 692) = v455;
	*(_DWORD *)(result + 596) = v454;
	*(_DWORD *)(result + 196) = ~v307 & v464;
	*(_DWORD *)(result + 428) = v452;
	*(_DWORD *)(result + 148) = v467 ^ v466;
	*(_DWORD *)(result + 600) = v453;
	*(_DWORD *)(result + 516) = (v446 | v431) ^ v451;
	*(_DWORD *)(result + 620) = v447 ^ v407 & v404 ^ v456;
	*(_DWORD *)(result + 728) = v418 ^ v416 ^ v307 & ~(v407 & v404 ^ v417);
	*(_DWORD *)(result + 752) = ~v373 & v407 & v404 ^ v404 ^ (v418 ^ v404) & v307;
	*(_DWORD *)(result + 24) = v431;
	*(_DWORD *)(result + 344) = v407 ^ v417 ^ ((v404 | v373) ^ v407) & ~v307;
	*(_DWORD *)(result + 156) = (v415 ^ (v404 | v373)) & v307 ^ v407 & v404;
	v468 = *(_DWORD *)(result + 348);
	*(_DWORD *)(result + 436) = v415 ^ v404;
	*(_DWORD *)(result + 568) = v447 ^ v404 ^ v307 & ~(v441 ^ v407 & v404);
	v469 = v187 & ~v431 ^ *(_DWORD *)(result + 488);
	*(_DWORD *)(result + 180) = v407 ^ v417 ^ v307;
	*(_DWORD *)(result + 388) = v457 ^ v307 & ~(v415 ^ v441);
	*(_DWORD *)(result + 120) = v458 ^ ((v415 | v373) ^ v407 & v404) & v307;
	*(_DWORD *)(result + 72) = v459 ^ v426;
	*(_DWORD *)(result + 124) = ~v307 & v448 ^ v426;
	*(_DWORD *)(result + 284) = ~v373 & v460;
	*(_DWORD *)(result + 348) = v468 ^ v453;
	*(_DWORD *)(result + 108) = v187 ^ v431;
	*(_DWORD *)(result + 312) = v461 & v191;
	*(_DWORD *)(result + 360) = v465 ^ v431;
	*(_DWORD *)(result + 200) = v469;
	return result;
}

//----- (000985E0) --------------------------------------------------------
unsigned char* sub_985E0(unsigned char* result)
{
	int v1; // r11@1
	int v2; // r3@1
	int v3; // r1@1
	int v4; // r4@1
	int v5; // r7@1
	int v6; // r5@1
	int v7; // ST3C_4@1
	int v8; // r6@1
	int v9; // ST24_4@1
	int v10; // STC4_4@1
	int v11; // r2@1
	int v12; // lr@1
	int v13; // r5@1
	int v14; // ST0C_4@1
	int v15; // ST5C_4@1
	int v16; // ST14_4@1
	int v17; // STD8_4@1
	int v18; // r7@1
	int v19; // ST00_4@1
	int v20; // ST34_4@1
	int v21; // ST8C_4@1
	int v22; // ST60_4@1
	int v23; // ST50_4@1
	int v24; // ST10_4@1
	int v25; // ST04_4@1
	int v26; // r4@1
	int v27; // r8@1
	int v28; // ST18_4@1
	int v29; // r9@1
	int v30; // r12@1
	int v31; // r3@1
	int v32; // ST40_4@1
	int v33; // lr@1
	int v34; // r2@1
	int v35; // r6@1
	int v36; // r8@1
	int v37; // r1@1
	int v38; // r4@1
	int v39; // r5@1
	int v40; // ST20_4@1
	int v41; // r7@1
	int v42; // r1@1
	int v43; // ST70_4@1
	int v44; // r7@1
	int v45; // r10@1
	int v46; // r1@1
	int v47; // r4@1
	int v48; // ST64_4@1
	int v49; // ST10_4@1
	int v50; // r5@1
	int v51; // ST30_4@1
	int v52; // ST68_4@1
	int v53; // ST84_4@1
	int v54; // ST38_4@1
	int v55; // r3@1
	int v56; // ST6C_4@1
	int v57; // r1@1
	int v58; // r10@1
	int v59; // r3@1
	int v60; // r7@1
	int v61; // r2@1
	int v62; // ST18_4@1
	int v63; // ST2C_4@1
	int v64; // lr@1
	int v65; // r6@1
	int v66; // r12@1
	int v67; // r1@1
	int v68; // ST0C_4@1
	int v69; // ST1C_4@1
	int v70; // r4@1
	int v71; // ST28_4@1
	int v72; // ST44_4@1
	int v73; // r5@1
	int v74; // ST74_4@1
	int v75; // ST48_4@1
	int v76; // STA8_4@1
	int v77; // r10@1
	int v78; // r3@1
	int v79; // r9@1
	int v80; // r6@1
	int v81; // ST7C_4@1
	int v82; // r1@1
	int v83; // ST54_4@1
	int v84; // ST80_4@1
	int v85; // ST58_4@1
	int v86; // ST78_4@1
	int v87; // r1@1
	int v88; // r9@1
	int v89; // r4@1
	int v90; // ST9C_4@1
	int v91; // r9@1
	int v92; // STA4_4@1
	int v93; // r6@1
	int v94; // r5@1
	int v95; // lr@1
	int v96; // r2@1
	int v97; // r5@1
	int v98; // ST78_4@1
	int v99; // lr@1
	int v100; // r3@1
	int v101; // STEC_4@1
	int v102; // STA0_4@1
	int v103; // r2@1
	int v104; // STE4_4@1
	int v105; // r5@1
	int v106; // r3@1
	int v107; // STE8_4@1
	int v108; // r4@1
	int v109; // lr@1
	int v110; // ST4C_4@1
	int v111; // r10@1
	int v112; // ST88_4@1
	int v113; // lr@1
	int v114; // r6@1
	int v115; // r3@1
	int v116; // ST04_4@1
	int v117; // r9@1
	int v118; // r1@1
	int v119; // ST08_4@1
	int v120; // ST18_4@1
	int v121; // r2@1
	int v122; // r3@1
	int v123; // ST48_4@1
	int v124; // r12@1
	int v125; // ST38_4@1
	int v126; // lr@1
	int v127; // ST60_4@1
	int v128; // r8@1
	int v129; // STAC_4@1
	int v130; // r10@1
	int v131; // STB8_4@1
	int v132; // r6@1
	int v133; // ST38_4@1
	int v134; // r3@1
	int v135; // ST68_4@1
	int v136; // ST6C_4@1
	int v137; // lr@1
	int v138; // STB0_4@1
	int v139; // r3@1
	int v140; // r12@1
	int v141; // r10@1
	int v142; // r2@1
	int v143; // ST90_4@1
	int v144; // r4@1
	int v145; // STB4_4@1
	int v146; // STBC_4@1
	int v147; // r6@1
	int v148; // ST98_4@1
	int v149; // STAC_4@1
	int v150; // ST08_4@1
	int v151; // STC0_4@1
	int v152; // ST60_4@1
	int v153; // lr@1
	int v154; // r9@1
	int v155; // r2@1
	int v156; // r12@1
	int v157; // r6@1
	int v158; // ST50_4@1
	int v159; // ST4C_4@1
	int v160; // ST94_4@1
	int v161; // ST6C_4@1
	int v162; // r1@1
	int v163; // r11@1
	int v164; // ST60_4@1
	int v165; // r4@1
	int v166; // r5@1
	int v167; // r12@1
	int v168; // ST90_4@1
	int v169; // r8@1
	int v170; // r10@1
	int v171; // r6@1
	int v172; // ST14_4@1
	int v173; // r6@1
	int v174; // ST54_4@1
	int v175; // lr@1
	int v176; // r1@1
	int v177; // STC4_4@1
	int v178; // STB8_4@1
	int v179; // r2@1
	int v180; // STBC_4@1
	int v181; // r3@1
	int v182; // r12@1
	int v183; // r6@1
	int v184; // r11@1
	int v185; // r6@1
	int v186; // ST40_4@1
	int v187; // r8@1
	int v188; // ST1C_4@1
	int v189; // r11@1
	int v190; // r6@1
	int v191; // STC0_4@1
	int v192; // ST44_4@1
	int v193; // r6@1
	int v194; // STC8_4@1
	int v195; // ST58_4@1
	int v196; // ST5C_4@1
	int v197; // ST13C_4@1
	int v198; // STF0_4@1
	int v199; // r7@1
	int v200; // r6@1
	int v201; // r9@1
	int v202; // ST60_4@1
	int v203; // r6@1
	int v204; // ST0C_4@1
	int v205; // STCC_4@1
	int v206; // ST84_4@1
	int v207; // r8@1
	int v208; // ST2C_4@1
	int v209; // ST20_4@1
	int v210; // r1@1
	int v211; // ST3C_4@1
	int v212; // r4@1
	int v213; // lr@1
	int v214; // r12@1
	int v215; // r2@1
	int v216; // r6@1
	int v217; // ST14_4@1
	int v218; // r3@1
	int v219; // r1@1
	int v220; // ST04_4@1
	int v221; // STF4_4@1
	int v222; // STD0_4@1
	int v223; // r12@1
	int v224; // r6@1
	int v225; // r5@1
	int v226; // r8@1
	int v227; // ST88_4@1
	int v228; // r6@1
	int v229; // STD8_4@1
	int v230; // STF8_4@1
	int v231; // r1@1
	int v232; // ST40_4@1
	int v233; // ST64_4@1
	int v234; // r9@1
	int v235; // r2@1
	int v236; // r8@1
	int v237; // STE0_4@1
	int v238; // STB4_4@1
	int v239; // ST12C_4@1
	int v240; // ST58_4@1
	int v241; // ST128_4@1
	int v242; // ST108_4@1
	int v243; // STFC_4@1
	int v244; // r6@1
	int v245; // ST100_4@1
	int v246; // ST11C_4@1
	int v247; // ST90_4@1
	int v248; // ST80_4@1
	int v249; // ST138_4@1
	int v250; // ST44_4@1
	int v251; // r12@1
	int v252; // STD8_4@1
	int v253; // r11@1
	int v254; // r9@1
	int v255; // r4@1
	int v256; // STE0_4@1
	int v257; // r10@1
	int v258; // ST120_4@1
	int v259; // ST20_4@1
	int v260; // ST130_4@1
	int v261; // r3@1
	int v262; // ST134_4@1
	int v263; // ST124_4@1
	int v264; // lr@1
	int v265; // ST118_4@1
	int v266; // ST110_4@1
	int v267; // ST10C_4@1
	int v268; // ST114_4@1
	int v269; // r4@1
	int v270; // r1@1
	int v271; // ST58_4@1
	int v272; // r12@1
	int v273; // r3@1
	int v274; // r6@1
	int v275; // ST44_4@1
	int v276; // r5@1
	int v277; // r1@1
	int v278; // r7@1
	int v279; // ST0C_4@1
	int v280; // r6@1
	int v281; // STFC_4@1
	int v282; // STF8_4@1
	int v283; // STD4_4@1
	int v284; // r8@1
	int v285; // r3@1
	int v286; // r6@1
	int v287; // r11@1
	int v288; // r9@1
	int v289; // r6@1
	int v290; // lr@1
	int v291; // r6@1
	int v292; // r9@1
	int v293; // r4@1
	int v294; // lr@1
	int v295; // ST104_4@1
	int v296; // r3@1
	int v297; // r5@1
	int v298; // r1@1
	int v299; // ST20_4@1
	int v300; // r2@1
	int v301; // r8@1
	int v302; // r6@1
	int v303; // ST14_4@1
	int v304; // r4@1
	int v305; // r2@1
	int v306; // r8@1
	int v307; // ST30_4@1
	int v308; // STF8_4@1
	int v309; // ST44_4@1
	int v310; // r3@1
	int v311; // ST8C_4@1
	int v312; // ST100_4@1
	int v313; // ST108_4@1
	int v314; // r7@1
	int v315; // lr@1
	int v316; // r7@1
	int v317; // r2@1
	int v318; // r7@1
	int v319; // r1@1
	int v320; // ST58_4@1
	int v321; // STB4_4@1
	int v322; // ST120_4@1
	int v323; // lr@1
	int v324; // r9@1
	int v325; // r4@1
	int v326; // r5@1
	int v327; // r6@1
	int v328; // ST48_4@1
	int v329; // STD4_4@1
	int v330; // r3@1
	int v331; // r11@1
	int v332; // r2@1
	int v333; // lr@1
	int v334; // ST18_4@1
	int v335; // r10@1
	int v336; // r1@1
	int v337; // r8@1
	int v338; // ST88_4@1
	int v339; // lr@1
	int v340; // r3@1
	int v341; // r10@1
	int v342; // r7@1
	int v343; // ST11C_4@1
	int v344; // ST5C_4@1
	int v345; // ST40_4@1
	int v346; // r5@1
	int v347; // r1@1
	int v348; // STB0_4@1
	int v349; // r3@1
	int v350; // r6@1
	int v351; // r10@1
	int v352; // r2@1
	int v353; // r3@1
	int v354; // r4@1
	int v355; // ST124_4@1
	int v356; // ST64_4@1
	int v357; // r10@1
	int v358; // r5@1
	int v359; // ST120_4@1
	int v360; // r10@1
	int v361; // STB0_4@1
	int v362; // r2@1
	int v363; // ST124_4@1
	int v364; // STE0_4@1
	int v365; // ST88_4@1
	int v366; // r1@1
	int v367; // ST5C_4@1
	int v368; // r7@1
	int v369; // r9@1
	int v370; // r5@1
	int v371; // STB0_4@1
	int v372; // ST130_4@1
	int v373; // ST120_4@1
	int v374; // r2@1
	int v375; // ST5C_4@1
	int v376; // ST134_4@1
	int v377; // r8@1
	int v378; // r1@1
	int v379; // ST90_4@1
	int v380; // r11@1
	int v381; // r5@1
	int v382; // r10@1
	int v383; // r7@1
	int v384; // r4@1
	int v385; // r6@1
	int v386; // r3@1
	int v387; // r2@1
	int v388; // r4@1
	int v389; // ST80_4@1
	int v390; // r2@1
	int v391; // r5@1
	int v392; // ST84_4@1
	int v393; // r8@1
	int v394; // r4@1
	int v395; // ST1C_4@1
	int v396; // r3@1
	int v397; // ST64_4@1
	int v398; // r12@1
	int v399; // r6@1
	int v400; // r2@1
	int v401; // r2@1
	int v402; // r12@1
	int v403; // ST04_4@1
	int v404; // r6@1
	int v405; // ST40_4@1
	int v406; // r7@1
	int v407; // ST60_4@1
	int v408; // ST48_4@1
	int v409; // r8@1
	int v410; // ST18_4@1
	int v411; // STB4_4@1
	int v412; // ST68_4@1
	int v413; // r9@1
	int v414; // STC8_4@1
	int v415; // r10@1
	int v416; // ST38_4@1
	int v417; // r12@1
	int v418; // STBC_4@1
	int v419; // r8@1
	int v420; // STB0_4@1
	int v421; // ST94_4@1
	int v422; // ST4C_4@1
	int v423; // ST124_4@1
	int v424; // ST50_4@1
	int v425; // r9@1
	int v426; // STD4_4@1
	int v427; // r4@1
	int v428; // ST120_4@1
	int v429; // STD8_4@1
	int v430; // STF8_4@1
	int v431; // STFC_4@1
	int v432; // ST104_4@1
	int v433; // lr@1
	int v434; // ST128_4@1
	int v435; // ST24_4@1
	int v436; // ST11C_4@1
	int v437; // ST124_4@1
	int v438; // ST12C_4@1
	int v439; // ST64_4@1
	int v440; // ST80_4@1
	int v441; // STC4_4@1
	int v442; // STC0_4@1
	int v443; // STB0_4@1
	int v444; // r1@1
	int v445; // r6@1
	int v446; // r11@1
	int v447; // r3@1
	int v448; // r10@1
	int v449; // STDC_4@1
	int v450; // ST38_4@1
	int v451; // r8@1
	int v452; // ST94_4@1
	int v453; // r4@1
	int v454; // ST20_4@1
	int v455; // ST40_4@1
	int v456; // r4@1
	int v457; // r6@1
	int v458; // r6@1
	int v459; // ST00_4@1
	int v460; // r3@1
	int v461; // ST1C_4@1
	int v462; // r11@1
	int v463; // lr@1
	int v464; // r4@1

	v1 = *(_DWORD *)(result + 24);
	v2 = *(_DWORD *)(result + 220) ^ *(_DWORD *)(result + 672) ^ (v1 | *(_DWORD *)(result + 432)) ^ (*(_DWORD *)(result + 564) ^ *(_DWORD *)(result + 292) & ~v1 | *(_DWORD *)(result + 392));
	v3 = ~*(_DWORD *)(result + 392);
	v4 = *(_DWORD *)(result + 516) ^ *(_DWORD *)(result + 132) ^ (~v1 & *(_DWORD *)(result + 628) ^ *(_DWORD *)(result + 528)) & v3;
	v5 = *(_DWORD *)(result + 144);
	v6 = *(_DWORD *)(result + 620) ^ *(_DWORD *)(result + 336) ^ v2 & ~*(_DWORD *)(result + 120) ^ (v2 & ~*(_DWORD *)(result + 124) ^ *(_DWORD *)(result + 500)) & *(_DWORD *)(result + 168);
	*(_DWORD *)(result + 132) = v4;
	v7 = ~v5;
	v8 = *(_DWORD *)(result + 144);
	v9 = v6;
	*(_DWORD *)(result + 336) = v6;
	v10 = v8 ^ v4;
	v11 = *(_DWORD *)(result + 200);
	v12 = ~v1 & *(_DWORD *)(result + 724);
	v13 = *(_DWORD *)(result + 144);
	*(_DWORD *)(result + 220) = v2;
	v14 = v12;
	v15 = v13 | v11;
	v16 = ~v4;
	v17 = ~v5 & v1;
	v18 = *(_DWORD *)(result + 100);
	v19 = v4;
	v20 = v4 & ~*(_DWORD *)(result + 4);
	v21 = v20 | *(_DWORD *)(result + 252);
	v22 = ~v4 & v18;
	v23 = ~v18;
	v24 = ((v1 | *(_DWORD *)(result + 604)) ^ *(_DWORD *)(result + 472)) & v3;
	v25 = *(_DWORD *)(result + 488) & v1;
	v26 = v2 & ~*(_DWORD *)(result + 156);
	v27 = v2 & ~*(_DWORD *)(result + 388);
	v28 = *(_DWORD *)(result + 168) & ~(*(_DWORD *)(result + 316) & v2 ^ *(_DWORD *)(result + 344));
	v29 = *(_DWORD *)(result + 240) ^ *(_DWORD *)(result + 180) ^ v2 & *(_DWORD *)(result + 752);
	v30 = v2 & ~*(_DWORD *)(result + 72) ^ *(_DWORD *)(result + 372);
	v31 = v2 & ~*(_DWORD *)(result + 284) ^ *(_DWORD *)(result + 32) ^ *(_DWORD *)(result + 544);
	v32 = *(_DWORD *)(result + 488) | v1;
	v33 = *(_DWORD *)(result + 616) ^ *(_DWORD *)(result + 756) ^ ~v1 & *(_DWORD *)(result + 688);
	v34 = (v1 | *(_DWORD *)(result + 560)) ^ *(_DWORD *)(result + 776) | *(_DWORD *)(result + 392);
	v35 = *(_DWORD *)(result + 116) ^ *(_DWORD *)(result + 728) ^ v27;
	v36 = v25 ^ *(_DWORD *)(result + 112);
	v37 = *(_DWORD *)(result + 168);
	v38 = v37 & ~(v26 ^ *(_DWORD *)(result + 568));
	v39 = *(_DWORD *)(result + 736) ^ *(_DWORD *)(result + 204) ^ v14;
	v40 = ~*(_DWORD *)(result + 240);
	v41 = v29 ^ v37 & ~v30;
	v42 = *(_DWORD *)(result + 488) | v1;
	v43 = v41;
	*(_DWORD *)(result + 72) = v41;
	v44 = *(_DWORD *)(result + 112);
	v45 = v42 & ~v1;
	v46 = v35 ^ v38;
	v47 = *(_DWORD *)(result + 108);
	v48 = v46;
	*(_DWORD *)(result + 116) = v46;
	v49 = v33 ^ v24;
	*(_DWORD *)(result + 616) = v49;
	v50 = v39 ^ v34;
	v51 = v31 ^ v28;
	*(_DWORD *)(result + 32) = v31 ^ v28;
	*(_DWORD *)(result + 204) = v50;
	v52 = v25 & v44;
	v53 = *(_DWORD *)(result + 112) & ~v45;
	v54 = *(_DWORD *)(result + 804);
	v55 = *(_DWORD *)(result + 144);
	v56 = v25 & v44 ^ v25;
	v57 = v53 | v55;
	v58 = *(_DWORD *)(result + 788) ^ v47 ^ (v25 & v44 ^ v45 | v55);
	v59 = *(_DWORD *)(result + 52);
	v60 = v58 ^ (v56 & v7 | *(_DWORD *)(result + 240)) ^ (v36 & v40 ^ v25 ^ v53 ^ v57) & *(_DWORD *)(result + 764);
	v61 = *(_DWORD *)(result + 84);
	v62 = v60 ^ v59;
	v63 = ~v60 & v50;
	v64 = v60 & ~v59;
	v65 = ~v60 & v59;
	v66 = v63 | ~v50;
	v67 = *(_DWORD *)(result + 448);
	v68 = v60 ^ v50;
	v69 = v50;
	v70 = ~v60 & v67;
	v71 = v60 | v50;
	v72 = v60 & ~v50;
	v73 = v65 & ~v61;
	v74 = v60 & ~v61;
	v75 = v66 & v67;
	v76 = v67 & ~v68;
	v77 = v60 & v59 ^ v61;
	v78 = v59 | v60;
	v79 = (v65 | v61) ^ v64;
	v80 = v69 & *(_DWORD *)(result + 448);
	v81 = *(_DWORD *)(result + 448) & ~v71;
	v82 = *(_DWORD *)(result + 448);
	*(_DWORD *)(result + 752) = v77;
	v83 = v82 & v60;
	*(_DWORD *)(result + 124) = v79;
	*(_DWORD *)(result + 344) = v70;
	v84 = v80;
	v85 = v72 & *(_DWORD *)(result + 448);
	*(_DWORD *)(result + 788) = v60;
	v86 = v63 & *(_DWORD *)(result + 448);
	v87 = v60 & ~v61;
	*(_DWORD *)(result + 804) = v64 ^ v61;
	*(_DWORD *)(result + 728) = v78 ^ v87;
	*(_DWORD *)(result + 500) = v87;
	*(_DWORD *)(result + 120) = v73 ^ v62;
	v88 = v68 ^ *(_DWORD *)(result + 448);
	*(_DWORD *)(result + 472) = v75 ^ v60;
	*(_DWORD *)(result + 776) = v70 ^ v60;
	*(_DWORD *)(result + 672) = v75;
	*(_DWORD *)(result + 584) = v88;
	v89 = *(_DWORD *)(result + 448) ^ v71;
	*(_DWORD *)(result + 244) = v76 ^ v63;
	v90 = (v60 | v61) ^ v60;
	v91 = v62 ^ (v60 | v61);
	*(_DWORD *)(result + 296) = v89;
	v92 = v78 ^ v61;
	*(_DWORD *)(result + 180) = v90;
	*(_DWORD *)(result + 560) = v68 ^ v80;
	v93 = (v62 | v61) ^ v64;
	*(_DWORD *)(result + 284) = v62 ^ (v64 | v61);
	*(_DWORD *)(result + 396) = (v62 | v61) ^ v78;
	v94 = v78 ^ v61;
	v95 = v64 ^ *(_DWORD *)(result + 260);
	v96 = *(_DWORD *)(result + 720);
	*(_DWORD *)(result + 680) = v81 ^ v68;
	*(_DWORD *)(result + 620) = v94;
	v97 = v86;
	v98 = v95;
	v99 = v78 ^ v96;
	v100 = *(_DWORD *)(result + 112);
	*(_DWORD *)(result + 292) = v91;
	v101 = v93;
	*(_DWORD *)(result + 608) = v93;
	v102 = v99;
	*(_DWORD *)(result + 520) = v69 ^ v83;
	v103 = v100 & v1;
	*(_DWORD *)(result + 552) = v85 ^ v63;
	v104 = v97 ^ v68;
	*(_DWORD *)(result + 16) = v97 ^ v68;
	v105 = v1 & ~*(_DWORD *)(result + 488);
	*(_DWORD *)(result + 720) = v99;
	*(_DWORD *)(result + 260) = v98;
	v106 = *(_DWORD *)(result + 112) & v105;
	v107 = v81 ^ v60;
	v108 = *(_DWORD *)(result + 112);
	*(_DWORD *)(result + 208) = v81 ^ v60;
	v109 = v108 & ~v25;
	v110 = v109;
	v111 = v106 ^ v25;
	v112 = ~v1 & *(_DWORD *)(result + 112);
	v113 = *(_DWORD *)(result + 12) ^ v54 ^ v109 ^ (*(_DWORD *)(result + 420) ^ *(_DWORD *)(result + 272) ^ v25 | *(_DWORD *)(result + 240)) ^ (v106 | *(_DWORD *)(result + 144)) ^ *(_DWORD *)(result + 764) & ~((v103 ^ *(_DWORD *)(result + 768) ^ v105) & v40 ^ v106 & v7 ^ v52);
	v114 = *(_DWORD *)(result + 100);
	v115 = v25 | ~v1;
	v116 = v113 ^ v114;
	v117 = v113 | v114;
	v118 = v113 & v114;
	v119 = v113 & v23;
	v120 = v113;
	v121 = (v111 ^ (*(_DWORD *)(result + 144) | v112)) & v40 ^ v111;
	v122 = v115 & *(_DWORD *)(result + 112) ^ v54;
	v123 = ~v113;
	v124 = ~v113 & v22;
	v125 = (v113 | v114) & v23;
	v126 = v113 & v23 & v16;
	v127 = v122 | *(_DWORD *)(result + 144);
	v128 = v124 | *(_DWORD *)(result + 228);
	v129 = v124 & *(_DWORD *)(result + 228);
	v130 = v119 & ~*(_DWORD *)(result + 228) ^ v126;
	v131 = v126 ^ v116;
	v132 = v125 ^ (v120 | v19);
	v133 = v118 ^ (v120 | v19);
	v134 = *(_DWORD *)(result + 228);
	v135 = v32 ^ *(_DWORD *)(result + 312) ^ v110 ^ (v56 | *(_DWORD *)(result + 144));
	v136 = v121 ^ v127;
	v137 = v117 & ~v134;
	v138 = ~v134;
	v139 = ~*(_DWORD *)(result + 784);
	v140 = (~v118 ^ v16) & *(_DWORD *)(result + 100);
	v141 = v117 & v23 ^ (v118 | v19) ^ *(_DWORD *)(result + 228) & ~((v116 | v19) ^ v117) ^ v130 & v139;
	v142 = *(_DWORD *)(result + 228);
	v143 = v117 & v16 & v139;
	v144 = (v117 ^ (v19 | *(_DWORD *)(result + 100))) & v138;
	v145 = v129 ^ v119 | *(_DWORD *)(result + 784);
	v146 = v132 & v142 ^ v116;
	v147 = *(_DWORD *)(result + 228);
	v148 = v19 ^ *(_DWORD *)(result + 4);
	v149 = v60 & v69;
	v150 = v135 ^ *(_DWORD *)(result + 68) ^ *(_DWORD *)(result + 764) & ~v136;
	v151 = v137 ^ v120 | *(_DWORD *)(result + 784);
	v152 = v116 ^ *(_DWORD *)(result + 56) ^ v117 & v16 ^ (v137 | *(_DWORD *)(result + 784));
	v153 = *(_DWORD *)(result + 228) & ~(v117 | v19);
	v154 = v128 ^ *(_DWORD *)(result + 20) ^ v140 ^ v145;
	v155 = (~v118 & *(_DWORD *)(result + 100) | v19) ^ v120 ^ *(_DWORD *)result ^ v142 & ~v133;
	v156 = v140 ^ v118 & (*(_DWORD *)(result + 228) ^ v16) & v139 ^ v133 & v147;
	v157 = v10 ^ v116 ^ ~v118 & v147;
	v158 = v16 & *(_DWORD *)(result + 4);
	v159 = ~*(_DWORD *)(result + 252);
	v160 = v20 ^ *(_DWORD *)(result + 252);
	v161 = v148 | *(_DWORD *)(result + 252);
	v162 = *(_DWORD *)(result + 448) & v60 & v69;
	v163 = v71 & *(_DWORD *)(result + 448);
	v164 = v152 ^ v153;
	v165 = *(_DWORD *)(result + 164) & ~(v144 ^ v143);
	v166 = v154 ^ v141 & *(_DWORD *)(result + 164);
	v167 = *(_DWORD *)(result + 164) & ~v156;
	v168 = v157 ^ v151;
	v169 = ((v131 | *(_DWORD *)(result + 228)) ^ v116 & v16 ^ *(_DWORD *)(result + 100) ^ (*(_DWORD *)(result + 784) | v116 & v16 ^ *(_DWORD *)(result + 100) ^ v123 & *(_DWORD *)(result + 228))) & *(_DWORD *)(result + 164);
	v170 = v161 ^ *(_DWORD *)(result + 4);
	*(_DWORD *)(result + 424) = v85 ^ v69;
	*(_DWORD *)(result + 376) = v83 ^ v63;
	v171 = *(_DWORD *)(result + 448);
	*(_DWORD *)(result + 480) = v162 ^ v72;
	*(_DWORD *)(result + 724) = v71 ^ v84;
	v172 = v171 & ~v72;
	v173 = *(_DWORD *)(result + 140);
	*(_DWORD *)(result + 308) = v60 ^ *(_DWORD *)(result + 448);
	v174 = ~v173;
	v175 = v150 & ~(v21 ^ v20) ^ *(_DWORD *)(result + 436);
	*(_DWORD *)(result + 800) = v71 & ~v173;
	*(_DWORD *)(result + 276) = v172;
	*(_DWORD *)(result + 68) = v150;
	v176 = v166 & ~v48;
	v177 = v175;
	*(_DWORD *)(result + 328) = v163 ^ v68;
	*(_DWORD *)(result + 12) = v120;
	v178 = v155 ^ v139 & v146 ^ v167;
	*(_DWORD *)(result + 56) = v165 ^ v164;
	v179 = v168 ^ v169;
	v180 = v150 & ~(v19 & v159) ^ v19 & v159 ^ v19;
	v181 = v150 & ~v160 ^ v170;
	v182 = *(_DWORD *)(result + 112) & ~v32;
	v183 = *(_DWORD *)(result + 488);
	*(_DWORD *)(result + 176) = v176;
	v184 = v15 ^ v183;
	v185 = *(_DWORD *)(result + 280);
	v186 = v182 & v40;
	*(_DWORD *)(result + 524) = v176;
	*(_DWORD *)(result + 416) = v178;
	v187 = v19 ^ v185;
	v188 = v179;
	v189 = v184 ^ v53;
	v190 = *(_DWORD *)result;
	*(_DWORD *)(result + 768) = v179;
	v191 = (v150 | v158) ^ v19 & v159;
	*(_DWORD *)(result + 628) = v180;
	v192 = ~v190;
	v193 = *(_DWORD *)(result + 40);
	*(_DWORD *)(result + 20) = v166;
	*(_DWORD *)(result + 744) = v191;
	*(_DWORD *)(result + 104) = v181;
	v194 = v150 & (v21 ^ v20) ^ v187;
	*(_DWORD *)(result + 696) = v175;
	v195 = (v193 | ~v49) & *(_DWORD *)(result + 692);
	v196 = v120 & *(_DWORD *)(result + 348);
	v197 = v181 ^ *(_DWORD *)(result + 392);
	v198 = v172 ^ v68;
	v199 = *(_DWORD *)(result + 532) ^ *(_DWORD *)(result + 792) ^ *(_DWORD *)(result + 184) ^ *(_DWORD *)(result + 172) & *(_DWORD *)(result + 572);
	v200 = v199 & *(_DWORD *)result;
	v201 = ~v200;
	v202 = v199 | *(_DWORD *)result;
	v203 = ~v200 & *(_DWORD *)result;
	v204 = v199 & *(_DWORD *)result;
	v205 = v204 & *(_DWORD *)(result + 248);
	v206 = v199 ^ *(_DWORD *)result;
	v207 = *(_DWORD *)(result + 248) & ~(v199 | *(_DWORD *)result) ^ v203;
	v208 = *(_DWORD *)(result + 532) ^ *(_DWORD *)(result + 792) ^ *(_DWORD *)(result + 184) ^ *(_DWORD *)(result + 172) & *(_DWORD *)(result + 572);
	v209 = v203 ^ v205;
	v210 = (*(_DWORD *)(result + 592) ^ v112) & v7 ^ v182;
	v211 = *(_DWORD *)(result + 152);
	v212 = v206 & ~*(_DWORD *)(result + 248) ^ *(_DWORD *)(result + 320) ^ *(_DWORD *)(result + 216) & ~(v203 ^ v205) ^ (v207 & *(_DWORD *)(result + 216) ^ v208) & *(_DWORD *)(result + 392) ^ v211 & ~(*(_DWORD *)(result + 392) & ~(v199 ^ *(_DWORD *)(result + 256)) ^ v201 & *(_DWORD *)(result + 216) ^ v207);
	v213 = *(_DWORD *)(result + 248) & *(_DWORD *)result & ~v208;
	v214 = *(_DWORD *)(result + 248) & ~v203 ^ v208 & v192;
	v215 = *(_DWORD *)result;
	v216 = *(_DWORD *)(result + 408);
	v217 = v189 ^ *(_DWORD *)(result + 92) ^ (v210 | *(_DWORD *)(result + 240)) ^ *(_DWORD *)(result + 764) & ~(v17 ^ *(_DWORD *)(result + 360) ^ v186);
	v218 = v212 & ~v216;
	*(_DWORD *)(result + 320) = v212;
	v219 = v212 ^ v216;
	v220 = v212;
	v221 = v214;
	*(_DWORD *)(result + 564) = v194;
	*(_DWORD *)(result + 92) = v217;
	*(_DWORD *)(result + 240) = v214;
	*(_DWORD *)(result + 184) = v208;
	v222 = v213 ^ v215;
	v223 = v217 & *(_DWORD *)(result + 168);
	v224 = *(_DWORD *)(result + 496);
	v225 = *(_DWORD *)(result + 368);
	*(_DWORD *)(result + 360) = v213 ^ v215;
	v226 = v224;
	v227 = v225;
	v228 = v224 ^ v218;
	v229 = v226 ^ *(_DWORD *)(result + 112);
	v230 = (v219 | v217) ^ v228;
	v231 = *(_DWORD *)(result + 556);
	v232 = ~v212 & *(_DWORD *)(result + 636);
	v233 = ~v212;
	v234 = v212 & v231 ^ v231;
	v235 = *(_DWORD *)(result + 540);
	v236 = ~v212 & *(_DWORD *)(result + 28);
	v237 = v223 & v212 ^ v235;
	v238 = v212 & ~v235;
	v239 = v195 ^ *(_DWORD *)(result + 212);
	v240 = (v218 ^ *(_DWORD *)(result + 408)) & *(_DWORD *)(result + 712);
	v241 = (v49 & v212 ^ v232) & *(_DWORD *)(result + 692);
	v242 = v228 ^ *(_DWORD *)(result + 216);
	v243 = (v231 ^ v212 & ~*(_DWORD *)(result + 732)) & ~v217 ^ (v234 ^ v212 & ~v217) & *(_DWORD *)(result + 712) | *(_DWORD *)(result + 28);
	v244 = v212 | *(_DWORD *)(result + 212);
	v245 = *(_DWORD *)(result + 712) & ~(v212 & v231);
	v246 = *(_DWORD *)(result + 264) ^ *(_DWORD *)(result + 452);
	v247 = v202 & v192;
	v248 = v208 & v192 & *(_DWORD *)(result + 248);
	v249 = v209 & *(_DWORD *)(result + 216);
	v250 = v229 ^ *(_DWORD *)(result + 196);
	v251 = *(_DWORD *)(result + 60);
	v252 = v212 & v251 ^ *(_DWORD *)(result + 60) ^ v234 & v217;
	v253 = v237 ^ (v212 & v251 ^ *(_DWORD *)(result + 580)) & *(_DWORD *)(result + 712) | *(_DWORD *)(result + 28);
	v254 = *(_DWORD *)(result + 28);
	v255 = ~*(_DWORD *)(result + 168);
	v256 = (v206 ^ *(_DWORD *)(result + 612) ^ v248 ^ *(_DWORD *)(result + 392) & ~(v213 ^ v204 ^ *(_DWORD *)(result + 216) & ~(v202 ^ *(_DWORD *)(result + 352)))) & v211;
	v257 = v217 & v255 ^ *(_DWORD *)(result + 168);
	v258 = *(_DWORD *)(result + 692) & ~(v49 & v254 ^ v225 ^ v232);
	v259 = v255 & v220 ^ *(_DWORD *)(result + 60);
	v260 = v233 & *(_DWORD *)(result + 212);
	v261 = *(_DWORD *)(result + 692);
	v262 = (v236 ^ *(_DWORD *)(result + 264)) & ~v49;
	v263 = v244 ^ *(_DWORD *)(result + 212) ^ (v244 ^ *(_DWORD *)(result + 8)) & v49 ^ (v236 ^ *(_DWORD *)(result + 28) ^ (v236 ^ *(_DWORD *)(result + 636)) & v49) & v261;
	v264 = v261 & ~(((v220 | *(_DWORD *)(result + 8)) ^ v254) & v49);
	v265 = (v204 ^ *(_DWORD *)(result + 668)) & *(_DWORD *)(result + 216);
	v266 = ~v208 & *(_DWORD *)(result + 248);
	v267 = v204 ^ *(_DWORD *)(result + 740);
	v268 = v248 ^ v204;
	v269 = *(_DWORD *)(result + 128) ^ v230 ^ v240 ^ v243;
	v270 = v220 & ~*(_DWORD *)(result + 632);
	v271 = v270 ^ *(_DWORD *)(result + 732);
	v272 = *(_DWORD *)(result + 632) & v220 ^ v250 ^ (v270 ^ *(_DWORD *)(result + 632)) & v217 ^ v253;
	v273 = *(_DWORD *)(result + 772);
	v274 = *(_DWORD *)(result + 40);
	v275 = v252 ^ (v257 ^ v270) & *(_DWORD *)(result + 712) | *(_DWORD *)(result + 28);
	v276 = v233 & v274;
	v277 = *(_DWORD *)(result + 88) ^ v274;
	v278 = v220 | *(_DWORD *)(result + 40);
	v279 = v269;
	*(_DWORD *)(result + 128) = v269;
	v280 = v51 & ~v269;
	*(_DWORD *)(result + 280) = v280;
	v281 = v227 ^ v273 ^ v276;
	v282 = (v276 ^ *(_DWORD *)(result + 28)) & v49 ^ v277 ^ v278 ^ v264;
	v283 = v220 | *(_DWORD *)(result + 28);
	v284 = v220 ^ *(_DWORD *)(result + 476);
	v285 = *(_DWORD *)(result + 384);
	*(_DWORD *)(result + 612) = v51 & ~v280;
	v286 = *(_DWORD *)(result + 60);
	v287 = v286 ^ v285;
	v288 = v220 & ~v286;
	v289 = *(_DWORD *)(result + 496);
	v290 = v238 ^ v289;
	v291 = v289 & v220;
	v292 = v288 ^ *(_DWORD *)(result + 168);
	v293 = v217 & ~v259;
	v294 = v290 & ~v217 ^ v259 ^ *(_DWORD *)(result + 712) & ~(v291 ^ *(_DWORD *)(result + 408));
	v295 = v284;
	v296 = v49 & ~*(_DWORD *)(result + 28) ^ v246 ^ v278 ^ v258;
	v297 = (v232 | v49) ^ v284 ^ *(_DWORD *)(result + 700);
	v298 = v232 & ~v49 ^ v239 | *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 112) = v272;
	v299 = v297 ^ v241 ^ v298;
	v300 = v217 & ~v292;
	v301 = v281 ^ v49 & ~v283 | *(_DWORD *)(result + 148);
	v302 = v217 & ~v291 ^ v242 ^ v275;
	v303 = v296 ^ (*(_DWORD *)(result + 148) | v263);
	v304 = *(_DWORD *)(result + 712) & ~(v293 ^ v271);
	v305 = v287 ^ v238 ^ v245 ^ v300 ^ (v294 | *(_DWORD *)(result + 28));
	*(_DWORD *)(result + 556) = v279 ^ v51;
	*(_DWORD *)(result + 468) = (v272 | v188) ^ v272;
	*(_DWORD *)(result + 544) = v279 & v51;
	*(_DWORD *)(result + 88) = v282 ^ v301;
	v306 = v279 & ~v51;
	*(_DWORD *)(result + 532) = v279 | v51;
	*(_DWORD *)(result + 732) = v279 | v51;
	v307 = v302 ^ v304;
	v308 = v306;
	*(_DWORD *)(result + 272) = v306;
	v309 = v305;
	*(_DWORD *)(result + 384) = v305;
	v310 = ~v299 & v272;
	v311 = ~v9;
	v312 = ~v303 & v279;
	*(_DWORD *)(result + 604) = v312;
	v313 = v299 & ~v9;
	*(_DWORD *)(result + 400) = v313;
	v314 = *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 452) = v303;
	v315 = v247 ^ v314;
	v316 = *(_DWORD *)(result + 216);
	*(_DWORD *)(result + 700) = v299;
	v317 = (v205 ^ v208) & v316;
	v318 = *(_DWORD *)(result + 392);
	*(_DWORD *)(result + 368) = v299 | v272;
	*(_DWORD *)(result + 156) = v302 ^ v304;
	*(_DWORD *)(result + 572) = v315;
	*(_DWORD *)(result + 40) = v310;
	*(_DWORD *)(result + 756) = v310;
	v319 = v123 & *(_DWORD *)(result + 348) ^ v120;
	v320 = v123 & *(_DWORD *)(result + 348);
	v321 = v196 ^ v120;
	v322 = (v319 | *(_DWORD *)(result + 228)) ^ *(_DWORD *)(result + 764);
	v323 = v318 & ~(v317 ^ v208) ^ v249 ^ *(_DWORD *)(result + 44) ^ *(_DWORD *)(result + 572) ^ v256;
	v324 = v283 ^ *(_DWORD *)(result + 636);
	v325 = v123 & v323;
	v326 = v323 & v120;
	v327 = v323 & ~(v123 & v323);
	v328 = v318 & ~(v317 ^ v208) ^ v249 ^ *(_DWORD *)(result + 44) ^ *(_DWORD *)(result + 572) ^ v256;
	v329 = ~v323 & v120;
	v330 = (v323 & v120 ^ v196) & *(_DWORD *)(result + 228);
	v331 = ~v323 & *(_DWORD *)(result + 348);
	v332 = v120 ^ v323;
	v333 = (v329 ^ v196) & v138 ^ v196 ^ v120;
	v334 = v328 | v120;
	v335 = v220 | v227;
	v336 = v333 ^ (v330 ^ v319) & v174;
	v337 = v327 ^ v320;
	v338 = (v327 ^ v320) & *(_DWORD *)(result + 228);
	v339 = v327 ^ v326 & *(_DWORD *)(result + 348);
	v340 = v335 ^ *(_DWORD *)(result + 636);
	v341 = v332 & *(_DWORD *)(result + 348);
	v342 = *(_DWORD *)(result + 448) | v336;
	v343 = v325 ^ v196;
	v344 = *(_DWORD *)(result + 476) ^ v232;
	v345 = v233 | ~*(_DWORD *)(result + 476);
	v346 = v332 ^ *(_DWORD *)(result + 348);
	v347 = *(_DWORD *)(result + 228) & (v341 ^ v332);
	v348 = v49 & ~v340;
	v349 = v338 ^ v327;
	v350 = v327 ^ v341;
	v351 = v341 ^ v325;
	v352 = *(_DWORD *)(result + 228);
	v353 = (v349 | *(_DWORD *)(result + 140)) ^ v322 ^ v346 ^ v342;
	v354 = (v325 ^ v320) & v352;
	v355 = v351 & v352 ^ v331;
	v356 = *(_DWORD *)(result + 348) & ~v334;
	v357 = v346 ^ *(_DWORD *)(result + 96);
	v358 = *(_DWORD *)(result + 228);
	v359 = v357;
	v360 = v344 ^ v348;
	v361 = v359 ^ v338;
	v362 = (v331 ^ v334 ^ v347 | *(_DWORD *)(result + 140)) ^ v355;
	v363 = *(_DWORD *)(result + 216) & ~(*(_DWORD *)(result + 324) ^ v202) ^ *(_DWORD *)(result + 572);
	v364 = v247 ^ v248;
	v365 = ~v247 & *(_DWORD *)(result + 248);
	v366 = v337 ^ v211 ^ (v356 ^ v334) & *(_DWORD *)(result + 228) ^ (v358 & ~(v334 ^ v320) ^ v334) & v174;
	v367 = (*(_DWORD *)(result + 228) | *(_DWORD *)(result + 140) | v350) ^ v343 ^ v354;
	v368 = *(_DWORD *)(result + 64) ^ *(_DWORD *)(result + 28) ^ v260 ^ v49 & v345 ^ *(_DWORD *)(result + 692) & ~v360;
	v369 = v262 ^ *(_DWORD *)(result + 692) & ~(v49 & ~v324 ^ v295);
	v370 = (v339 ^ v358 & ~v337 | *(_DWORD *)(result + 140)) ^ v361;
	v371 = ~*(_DWORD *)(result + 448);
	v372 = (*(_DWORD *)(result + 248) | ~v202) & *(_DWORD *)(result + 216) ^ v222;
	v373 = v362 & v371;
	*(_DWORD *)(result + 740) = ~v247 & *(_DWORD *)(result + 216) ^ v205;
	v374 = *(_DWORD *)(result + 448);
	*(_DWORD *)(result + 792) = v365 ^ v206;
	v375 = (v367 | v374) ^ v366;
	v376 = *(_DWORD *)(result + 392) & ~v363 ^ *(_DWORD *)(result + 740);
	v377 = *(_DWORD *)(result + 792) ^ (v247 ^ v248) & *(_DWORD *)(result + 216);
	v378 = *(_DWORD *)(result + 392);
	v379 = v369 | *(_DWORD *)(result + 148);
	v380 = v353 & v272 | v188;
	*(_DWORD *)(result + 152) = v377;
	v381 = v370 ^ v373;
	v382 = v272 & ~v353;
	*(_DWORD *)(result + 64) = v368 ^ v379;
	*(_DWORD *)(result + 44) = v328;
	*(_DWORD *)(result + 136) = v353 ^ v272 ^ v188;
	*(_DWORD *)(result + 444) = (v353 ^ v272) & ~v188;
	*(_DWORD *)(result + 196) = v353 ^ (v272 | v188);
	*(_DWORD *)(result + 664) = v43 | v272 & ~(v353 & v272);
	*(_DWORD *)(result + 264) = v353 & v272 ^ v188;
	*(_DWORD *)(result + 364) = (v353 ^ ~v188) & v272;
	*(_DWORD *)(result + 108) = v380 ^ v272;
	*(_DWORD *)(result + 316) = v272 & ~(v353 & v272) ^ v380;
	*(_DWORD *)(result + 256) = v382 & v188;
	*(_DWORD *)(result + 188) = (v272 & ~(v353 & v272) | v188) ^ v382;
	v383 = v353 | v272 | v188;
	*(_DWORD *)(result + 764) = v353;
	*(_DWORD *)(result + 540) = ~v188 & v272 ^ v353;
	*(_DWORD *)(result + 704) = (v353 ^ v272 | v188) ^ (v353 | v272);
	*(_DWORD *)(result + 492) = v353 | v272;
	*(_DWORD *)(result + 144) = (v353 | v272) ^ v188;
	*(_DWORD *)(result + 352) = (v353 | v272) & ~v272 ^ (v353 | v188);
	*(_DWORD *)(result + 60) = (v353 | v188) ^ v272;
	v384 = *(_DWORD *)(result + 348);
	*(_DWORD *)(result + 436) = v383 ^ (v353 | v272);
	*(_DWORD *)(result + 300) = v353 ^ v383;
	v385 = v334 ^ v384;
	*(_DWORD *)(result + 808) = v308 & ~v381;
	*(_DWORD *)(result + 288) = v353 & v272 & ~v188 ^ v353 & ~v272;
	v386 = *(_DWORD *)(result + 4);
	*(_DWORD *)(result + 640) = v378 & ~v372 ^ *(_DWORD *)(result + 152);
	*(_DWORD *)(result + 96) = v381;
	v387 = *(_DWORD *)(result + 228);
	*(_DWORD *)(result + 476) = v375;
	v388 = v387 & ~(v334 ^ v384);
	*(_DWORD *)(result + 536) = v381 | v279;
	v389 = v19 | v386;
	*(_DWORD *)(result + 580) = v375 | v43;
	*(_DWORD *)(result + 324) = v211 & ~v376 ^ *(_DWORD *)(result + 640);
	v390 = *(_DWORD *)(result + 228);
	v391 = (v356 ^ v328) & v390;
	v392 = (v19 | v386) & v159;
	v393 = v150 & ~v161 ^ *(_DWORD *)(result + 4) ^ v392;
	v394 = v388 ^ v385 | *(_DWORD *)(result + 140);
	v395 = *(_DWORD *)(result + 324) ^ *(_DWORD *)(result + 36);
	v396 = *(_DWORD *)(result + 160);
	v397 = v20 & v159;
	v398 = v390 ^ *(_DWORD *)(result + 412) ^ v320 ^ v329 ^ (v391 ^ v321) & v174;
	v399 = *(_DWORD *)(result + 780);
	v400 = (v390 & *(_DWORD *)(result + 348) & v328 ^ v394) & v371;
	*(_DWORD *)(result + 504) = (v395 | v393) ^ v194;
	v401 = v398 ^ v400;
	v402 = v19 & *(_DWORD *)(result + 4);
	v403 = *(_DWORD *)(result + 504) ^ v399 ^ ((v19 & v159 & v150 ^ v389) & ~v395 ^ v177) & *(_DWORD *)(result + 100);
	v404 = v299 ^ v9;
	v405 = (v9 | v299) & v311;
	v406 = v160 ^ v396 ^ (v158 ^ v20 & v159) & v150 ^ (v395 | v150 & (v19 & v159 ^ v19)) ^ ((v150 & (v19 & v159 ^ v19) ^ v158 ^ v19 & v159 | v395) ^ v180) & *(_DWORD *)(result + 100);
	v407 = v402 & v159;
	v408 = ~v299 & v9;
	v409 = ~(v299 & v9);
	v410 = v299 & v401;
	v411 = v401 & ~((v9 | v299) & ~v9);
	v412 = v401 & v409;
	v413 = v401 & v299 & v9;
	v414 = v159 & (v150 ^ v158);
	v415 = v401 & ~(v409 & v9);
	v416 = v409 & v9;
	v417 = v402 & v159 ^ v402;
	v418 = v299 & v401 ^ v313;
	v419 = v413 ^ v299;
	v420 = v9 & v401;
	v421 = v401 & (v9 | v299);
	v422 = v401 & ~(v9 | v299);
	v423 = v401 & ~v405 ^ v405;
	v424 = ~v303 & v406;
	*(_DWORD *)(result + 632) = v401 & ~v299;
	v425 = v413 ^ v408;
	v426 = v401 ^ (v9 | v299);
	v427 = v401 & v408 ^ (v9 | v299);
	v428 = v9 & v401 ^ v9;
	v429 = v412 ^ v299 & v9;
	v430 = (v401 ^ v299 & v9) & v403;
	v431 = (v401 ^ v299 ^ v9) & v403 ^ v299 & v401;
	v432 = v401 & (v299 ^ v9);
	v433 = v401 & ~(v299 ^ v9) ^ v9;
	v434 = (v299 & v401 ^ (v9 | v299)) & v403;
	v435 = (v9 | v299) ^ v422;
	v436 = v403 & ~v423;
	v437 = v191 ^ *(_DWORD *)(result + 48);
	v438 = ~v395 & (v397 ^ v389);
	v439 = v403 & ~(v415 ^ v416);
	v440 = v299 & v401 ^ v404 ^ v418 & v403;
	v441 = v425 ^ v419 & v403;
	v442 = v427 & v403;
	v443 = v420 ^ v404;
	v444 = v299;
	v445 = v421 ^ v299 ^ v430;
	v446 = v422 ^ v416 ^ v403 & ~(v416 ^ v299 & v401);
	v447 = *(_DWORD *)(result + 632);
	v448 = v411 ^ v416;
	*(_DWORD *)(result + 660) = v303 & v406;
	v449 = *(_DWORD *)(result + 100) & ~(v414 & ~v395 ^ v150 & v417);
	v450 = v19 | *(_DWORD *)(result + 252);
	v451 = v412 ^ v299 ^ v431 & v309;
	v452 = v403 & ~(v421 ^ v405);
	v453 = *(_DWORD *)(result + 660);
	*(_DWORD *)(result + 412) = v401;
	v454 = v453 & v279;
	*(_DWORD *)(result + 48) = v437 ^ v438 ^ v449;
	v455 = v19 & ~v20 | *(_DWORD *)(result + 252);
	*(_DWORD *)(result + 780) = v403;
	*(_DWORD *)(result + 160) = v406;
	*(_DWORD *)(result + 372) = v401 & v311 ^ v408 ^ v439 ^ v309 & ~v440;
	*(_DWORD *)(result + 268) = v309 & ~v445 ^ v443 ^ v403 & ~v429;
	*(_DWORD *)(result + 688) = v451 ^ v452;
	*(_DWORD *)(result + 36) = v395;
	*(_DWORD *)(result + 172) = v432 ^ v444 ^ v433 & v403 ^ v309 & ~v446;
	*(_DWORD *)(result + 8) = v442 ^ v426 & v311 ^ v441 & v309;
	*(_DWORD *)(result + 576) = v403 & ~v433 ^ v422 ^ v309 & ~(v434 ^ v418);
	*(_DWORD *)(result + 512) = v448 ^ v403 & ~v428 ^ (v435 ^ v436) & v309;
	*(_DWORD *)(result + 568) = (v403 & ~v401 ^ v447) & v309 ^ (v410 ^ v444) & v403;
	*(_DWORD *)(result + 312) = v303 ^ v406 & v279;
	*(_DWORD *)(result + 528) = v424 & v279 ^ v406;
	*(_DWORD *)(result + 356) = (~v424 ^ v279) & v406;
	v456 = *(_DWORD *)(result + 216);
	*(_DWORD *)(result + 676) = ~v424 & v406 ^ v454;
	*(_DWORD *)(result + 484) = (v303 ^ v406) & v279 ^ v424;
	v457 = *(_DWORD *)(result + 392);
	*(_DWORD *)(result + 496) = v303 ^ v454;
	*(_DWORD *)(result + 600) = (v303 | v406) ^ v279;
	*(_DWORD *)(result + 548) = v424 & v279 ^ (v303 | v406);
	*(_DWORD *)(result + 772) = v303 ^ v406 ^ v279;
	*(_DWORD *)(result + 516) = v454 ^ v424;
	v458 = v456 & ~v364 ^ *(_DWORD *)(result + 236) ^ v221 ^ (v267 ^ v266 ^ v457 & ~(v268 ^ v265)) & v211 ^ (*(_DWORD *)(result + 216) & ~(v365 ^ v208) ^ v222) & *(_DWORD *)(result + 392);
	v459 = *(_DWORD *)(result + 100) & ~(v161 ^ v19 ^ (v455 ^ v19) & v150 ^ (v148 ^ v407 ^ (v450 ^ v19) & v150) & ~v395) ^ v197 ^ ((v450 ^ v19) & v150 ^ v392 ^ v20 | v395);
	v460 = v303 & ~v406;
	*(_DWORD *)(result + 644) = v198 & v458 ^ v107;
	v461 = *(_DWORD *)(result + 644) ^ (v76 ^ v149) & v174;
	v462 = v459 & ~v307;
	v463 = ~v459 & v307;
	*(_DWORD *)(result + 428) = v279 & ~(v303 ^ v406) ^ v460;
	*(_DWORD *)(result + 748) = v460;
	*(_DWORD *)(result + 332) = v43 | v459;
	*(_DWORD *)(result + 592) = v312 ^ v460;
	*(_DWORD *)(result + 668) = (v458 & v90 ^ v101) & v49;
	*(_DWORD *)(result + 420) = v375 | v43 | v459;
	*(_DWORD *)(result + 624) = v303 | v406;
	*(_DWORD *)(result + 648) = (v458 & ~v102 ^ v92) & v49;
	v464 = *(_DWORD *)(result + 596);
	*(_DWORD *)(result + 388) = v459;
	*(_DWORD *)(result + 236) = v458;
	*(_DWORD *)(result + 432) = (v303 | v406) ^ v454;
	*(_DWORD *)(result + 656) = v461 | v464;
	*(_DWORD *)(result + 716) = v454 ^ v460;
	*(_DWORD *)(result + 464) = v458 & (v81 ^ v71) ^ v104;
	*(_DWORD *)(result + 192) = v279 & ~(v303 | v406) ^ v460;
	*(_DWORD *)(result + 736) = v462 & ~v178;
	*(_DWORD *)(result + 760) = v460 & v279;
	*(_DWORD *)(result + 76) = v462;
	*(_DWORD *)(result + 684) = v463;
	*(_DWORD *)(result + 636) = v307 & ~v463;
	*(_DWORD *)(result + 440) = ~v459 & v375;
	*(_DWORD *)(result + 200) = v307 ^ v459;
	*(_DWORD *)(result + 708) = v459 & v307;
	*(_DWORD *)(result + 404) = v459 | v307;
	*(_DWORD *)(result + 304) = v459 | v307;
	*(_DWORD *)(result + 392) = v49 & ~(v458 & v74 ^ v98);
	*(_DWORD *)result = v49 & ~(v98 ^ v74 & ~v458);
	return result;
}

//----- (0009A490) --------------------------------------------------------
unsigned char* sub_9A490(unsigned char* result)
{
	int v1; // r7@1
	int v2; // r5@1
	int v3; // r2@1
	int v4; // lr@1
	int v5; // ST60_4@1
	int v6; // r4@1
	int v7; // ST18_4@1
	int v8; // r8@1
	int v9; // ST0C_4@1
	int v10; // r3@1
	int v11; // r10@1
	int v12; // ST04_4@1
	int v13; // r8@1
	int v14; // ST08_4@1
	int v15; // r12@1
	int v16; // ST28_4@1
	int v17; // ST2C_4@1
	int v18; // r6@1
	int v19; // r11@1
	int v20; // ST1C_4@1
	int v21; // r8@1
	int v22; // r7@1
	int v23; // r4@1
	int v24; // r1@1
	int v25; // r7@1
	int v26; // ST24_4@1
	int v27; // r4@1
	int v28; // r9@1
	int v29; // r12@1
	int v30; // ST30_4@1
	int v31; // r1@1
	int v32; // ST04_4@1
	int v33; // r11@1
	int v34; // r7@1
	int v35; // ST14_4@1
	int v36; // r5@1
	int v37; // r7@1
	int v38; // ST30_4@1
	int v39; // r1@1
	int v40; // r12@1
	int v41; // r4@1
	int v42; // r1@1
	int v43; // ST94_4@1
	int v44; // ST38_4@1
	int v45; // ST10_4@1
	int v46; // lr@1
	int v47; // ST04_4@1
	int v48; // r4@1
	int v49; // r2@1
	int v50; // r6@1
	int v51; // r1@1
	int v52; // r12@1
	int v53; // r10@1
	int v54; // r11@1
	int v55; // r8@1
	int v56; // r3@1
	int v57; // r5@1
	int v58; // lr@1
	int v59; // r5@1
	int v60; // r4@1
	int v61; // r2@1
	int v62; // ST08_4@1
	int v63; // r12@1
	int v64; // r6@1
	int v65; // r11@1
	int v66; // ST24_4@1
	int v67; // r9@1
	int v68; // r3@1
	int v69; // lr@1
	int v70; // r1@1
	int v71; // r5@1
	int v72; // r4@1
	int v73; // r10@1
	int v74; // r2@1
	int v75; // r11@1
	int v76; // ST10_4@1
	int v77; // r1@1
	int v78; // r6@1
	int v79; // r3@1
	int v80; // r2@1
	int v81; // r6@1
	int v82; // r5@1
	int v83; // r8@1
	int v84; // ST34_4@1
	int v85; // r1@1
	int v86; // lr@1
	int v87; // r1@1
	int v88; // r9@1
	int v89; // r5@1
	int v90; // r9@1
	int v91; // ST58_4@1
	int v92; // ST20_4@1
	int v93; // ST50_4@1
	int v94; // ST48_4@1
	int v95; // r10@1
	int v96; // ST90_4@1
	int v97; // ST88_4@1
	int v98; // ST9C_4@1
	int v99; // ST28_4@1
	int v100; // STD0_4@1
	int v101; // lr@1
	int v102; // r3@1
	int v103; // r4@1
	int v104; // r5@1
	int v105; // r7@1
	int v106; // ST40_4@1
	int v107; // STB8_4@1
	int v108; // STA4_4@1
	int v109; // STC0_4@1
	int v110; // STBC_4@1
	int v111; // ST80_4@1
	int v112; // ST4C_4@1
	int v113; // r7@1
	int v114; // STA8_4@1
	int v115; // r11@1
	int v116; // STAC_4@1
	int v117; // ST98_4@1
	int v118; // r6@1
	int v119; // ST84_4@1
	int v120; // r1@1
	int v121; // ST18_4@1
	int v122; // ST3C_4@1
	int v123; // ST2C_4@1
	int v124; // ST70_4@1
	int v125; // ST30_4@1
	int v126; // r4@1
	int v127; // ST44_4@1
	int v128; // r7@1
	int v129; // ST38_4@1
	int v130; // r2@1
	int v131; // ST1C_4@1
	int v132; // r1@1
	int v133; // ST7C_4@1
	int v134; // r2@1
	int v135; // ST64_4@1
	int v136; // ST74_4@1
	int v137; // r11@1
	int v138; // r8@1
	int v139; // ST6C_4@1
	int v140; // lr@1
	int v141; // ST8C_4@1
	int v142; // r3@1
	int v143; // r2@1
	int v144; // r1@1
	int v145; // r3@1
	int v146; // r9@1
	int v147; // ST78_4@1
	int v148; // ST64_4@1
	int v149; // ST38_4@1
	int v150; // r4@1
	int v151; // r6@1
	int v152; // ST08_4@1
	int v153; // r4@1
	int v154; // r3@1
	int v155; // r5@1
	int v156; // lr@1
	int v157; // r1@1
	int v158; // STA0_4@1
	int v159; // ST0C_4@1
	int v160; // ST64_4@1
	int v161; // r6@1
	int v162; // lr@1
	int v163; // r5@1
	int v164; // STCC_4@1
	int v165; // lr@1
	int v166; // r5@1
	int v167; // r7@1
	int v168; // STD8_4@1
	int v169; // r4@1
	int v170; // r5@1
	int v171; // r1@1
	int v172; // r4@1
	int v173; // STC8_4@1
	int v174; // r2@1
	int v175; // r7@1
	int v176; // r11@1
	int v177; // r6@1
	int v178; // r1@1
	int v179; // r7@1
	int v180; // r12@1
	int v181; // ST40_4@1
	int v182; // r8@1
	int v183; // ST08_4@1
	int v184; // ST54_4@1
	int v185; // r9@1
	int v186; // ST74_4@1
	int v187; // ST24_4@1
	int v188; // ST1C_4@1
	int v189; // r4@1
	int v190; // ST2C_4@1
	int v191; // ST38_4@1
	int v192; // ST48_4@1
	int v193; // r5@1
	int v194; // ST50_4@1
	int v195; // lr@1
	int v196; // ST78_4@1
	int v197; // ST7C_4@1
	int v198; // r2@1
	int v199; // r11@1
	int v200; // r6@1
	int v201; // r2@1
	int v202; // ST98_4@1
	int v203; // r7@1
	int v204; // ST5C_4@1
	int v205; // ST8C_4@1
	int v206; // ST2C_4@1
	int v207; // ST68_4@1
	int v208; // r7@1
	int v209; // ST78_4@1
	int v210; // lr@1
	int v211; // STEC_4@1
	int v212; // STE8_4@1
	int v213; // r1@1
	int v214; // lr@1
	int v215; // r2@1
	int v216; // r7@1
	int v217; // STE4_4@1
	int v218; // lr@1
	int v219; // r5@1
	int v220; // r1@1
	int v221; // r2@1
	int v222; // r3@1
	int v223; // ST24_4@1
	int v224; // r7@1
	int v225; // r1@1
	int v226; // ST38_4@1
	int v227; // r3@1
	int v228; // r5@1
	int v229; // lr@1
	int v230; // r1@1
	int v231; // ST1C_4@1
	int v232; // ST48_4@1
	int v233; // r4@1
	int v234; // r7@1
	int v235; // STA8_4@1
	int v236; // STB4_4@1
	int v237; // STB0_4@1
	int v238; // r6@1
	int v239; // r5@1
	int v240; // STAC_4@1
	int v241; // ST80_4@1
	int v242; // r4@1
	int v243; // r5@1
	int v244; // ST3C_4@1
	int v245; // ST18_4@1
	int v246; // r4@1
	int v247; // lr@1
	int v248; // r7@1
	int v249; // r4@1
	int v250; // lr@1
	int v251; // ST14_4@1
	int v252; // r3@1
	int v253; // ST4C_4@1
	int v254; // r4@1
	int v255; // ST18_4@1
	int v256; // STBC_4@1
	int v257; // lr@1
	int v258; // ST74_4@1
	int v259; // r2@1
	int v260; // ST90_4@1
	int v261; // r12@1
	int v262; // ST30_4@1
	int v263; // ST20_4@1
	int v264; // STC0_4@1
	int v265; // r1@1
	int v266; // r5@1
	int v267; // ST74_4@1
	int v268; // STD0_4@1
	int v269; // STC8_4@1
	int v270; // ST20_4@1
	int v271; // r4@1
	int v272; // ST88_4@1
	int v273; // lr@1
	int v274; // r1@1
	int v275; // lr@1
	int v276; // r7@1
	int v277; // r1@1
	int v278; // ST74_4@1
	int v279; // lr@1
	int v280; // r7@1
	int v281; // r4@1
	int v282; // STA0_4@1
	int v283; // STE0_4@1
	int v284; // r3@1
	int v285; // STD4_4@1
	int v286; // r1@1
	int v287; // ST94_4@1
	int v288; // r6@1
	int v289; // ST9C_4@1
	int v290; // r8@1
	int v291; // r2@1
	int v292; // r1@1
	int v293; // r5@1
	int v294; // ST58_4@1
	int v295; // r10@1
	int v296; // lr@1
	int v297; // r7@1
	int v298; // r1@1
	int v299; // STDC_4@1
	int v300; // ST5C_4@1
	int v301; // STD8_4@1
	int v302; // r11@1
	int v303; // ST84_4@1
	int v304; // STFC_4@1
	int v305; // r8@1
	int v306; // ST98_4@1
	int v307; // lr@1
	int v308; // r5@1
	int v309; // ST28_4@1
	int v310; // r2@1
	int v311; // STF8_4@1
	int v312; // ST104_4@1
	int v313; // ST70_4@1
	int v314; // r3@1
	int v315; // r12@1
	int v316; // STDC_4@1
	int v317; // r1@1
	int v318; // r7@1
	int v319; // ST8C_4@1
	int v320; // ST100_4@1
	int v321; // r10@1
	int v322; // ST54_4@1
	int v323; // r5@1
	int v324; // r4@1
	int v325; // r3@1
	int v326; // STC4_4@1
	int v327; // lr@1
	int v328; // r12@1
	int v329; // STB8_4@1
	int v330; // ST98_4@1
	int v331; // r11@1
	int v332; // r8@1
	int v333; // r7@1
	int v334; // STA8_4@1
	int v335; // ST104_4@1
	int v336; // r2@1
	int v337; // ST3C_4@1
	int v338; // STA4_4@1
	int v339; // r12@1
	int v340; // lr@1
	int v341; // r1@1
	int v342; // STBC_4@1
	int v343; // r6@1
	int v344; // r8@1
	int v345; // r7@1
	int v346; // r9@1
	int v347; // STFC_4@1
	int v348; // ST100_4@1
	int v349; // r8@1
	int v350; // r3@1
	int v351; // ST0C_4@1
	int v352; // ST4C_4@1
	int v353; // r11@1
	int v354; // STB4_4@1
	int v355; // STF8_4@1
	int v356; // ST98_4@1
	int v357; // ST70_4@1
	int v358; // r1@1
	int v359; // STBC_4@1
	int v360; // r6@1
	int v361; // STA8_4@1
	int v362; // r4@1
	int v363; // ST6C_4@1
	int v364; // ST70_4@1
	int v365; // ST98_4@1
	int v366; // ST74_4@1
	int v367; // ST3C_4@1
	int v368; // r5@1
	int v369; // ST84_4@1
	int v370; // r5@1
	int v371; // r4@1
	int v372; // ST54_4@1
	int v373; // ST70_4@1
	int v374; // ST98_4@1
	int v375; // r3@1
	int v376; // r2@1
	int v377; // ST84_4@1
	int v378; // r1@1
	int v379; // ST8C_4@1
	int v380; // r6@1
	int v381; // ST74_4@1
	int v382; // r12@1
	int v383; // STA4_4@1
	int v384; // ST80_4@1
	int v385; // r11@1
	int v386; // r2@1
	int v387; // ST84_4@1
	int v388; // ST98_4@1
	int v389; // r4@1
	int v390; // r9@1
	int v391; // r7@1
	int v392; // r3@1
	int v393; // r10@1
	int v394; // ST4C_4@1
	int v395; // ST50_4@1
	int v396; // lr@1
	int v397; // r6@1
	int v398; // ST5C_4@1
	int v399; // ST48_4@1
	int v400; // r7@1
	int v401; // STA0_4@1
	int v402; // ST7C_4@1
	int v403; // r9@1
	int v404; // STB4_4@1
	int v405; // STAC_4@1
	int v406; // r2@1
	int v407; // r3@1
	int v408; // ST08_4@1
	int v409; // r1@1
	int v410; // r5@1
	int v411; // ST18_4@1
	int v412; // STC8_4@1
	int v413; // STD4_4@1
	int v414; // STB8_4@1
	int v415; // STB0_4@1
	int v416; // STE0_4@1
	int v417; // STEC_4@1
	int v418; // ST08_4@1
	int v419; // r10@1
	int v420; // r12@1
	int v421; // r9@1
	int v422; // ST58_4@1
	int v423; // ST50_4@1
	int v424; // ST40_4@1
	int v425; // ST4C_4@1
	int v426; // ST48_4@1
	int v427; // STE4_4@1
	int v428; // STDC_4@1
	int v429; // STC8_4@1
	int v430; // ST94_4@1
	int v431; // STBC_4@1
	int v432; // STEC_4@1
	int v433; // STD8_4@1
	int v434; // STAC_4@1
	int v435; // ST90_4@1
	int v436; // r2@1
	int v437; // r1@1
	int v438; // r3@1
	int v439; // ST8C_4@1
	int v440; // ST5C_4@1
	int v441; // r12@1
	int v442; // ST70_4@1
	int v443; // r9@1
	int v444; // ST14_4@1
	int v445; // r1@1
	int v446; // r10@1
	int v447; // r4@1
	int v448; // STB4_4@1
	int v449; // ST20_4@1
	int v450; // ST50_4@1
	int v451; // STC0_4@1
	int v452; // STC4_4@1
	int v453; // ST9C_4@1
	int v454; // STC8_4@1
	int v455; // STA0_4@1
	int v456; // ST84_4@1
	int v457; // ST64_4@1
	int v458; // lr@1
	int v459; // ST88_4@1
	int v460; // ST90_4@1
	int v461; // ST58_4@1
	int v462; // ST5C_4@1
	int v463; // ST60_4@1
	int v464; // ST8C_4@1
	int v465; // r12@1
	int v466; // r7@1
	int v467; // ST78_4@1
	int v468; // r1@1
	int v469; // ST70_4@1
	int v470; // r8@1
	int v471; // ST1C_4@1
	int v472; // ST24_4@1
	int v473; // STC0_4@1
	int v474; // ST34_4@1
	int v475; // ST60_4@1
	int v476; // r4@1
	int v477; // ST94_4@1
	int v478; // ST50_4@1
	int v479; // r4@1
	int v480; // r3@1
	int v481; // r1@1
	int v482; // r5@1

	v1 = *(_DWORD *)(result + 656) ^ *(_DWORD *)(result + 800) ^ *(_DWORD *)(result + 236) ^ *(_DWORD *)(result + 584) ^ *(_DWORD *)(result + 80);
	v2 = *(_DWORD *)(result + 112);
	v3 = v1 | *(_DWORD *)(result + 112);
	v4 = v1 ^ v2;
	v5 = *(_DWORD *)(result + 656) ^ *(_DWORD *)(result + 800) ^ *(_DWORD *)(result + 236) ^ *(_DWORD *)(result + 584) ^ *(_DWORD *)(result + 80);
	v6 = *(_DWORD *)(result + 112) & v1;
	v7 = *(_DWORD *)(result + 112) & v1;
	v8 = ~*(_DWORD *)(result + 700);
	v9 = v1 & v8;
	v10 = v6 & v8;
	v11 = v3 & ~v2;
	v12 = v2 & ~v6 ^ v3 & v8;
	v13 = (v1 ^ v2) & v8;
	v14 = *(_DWORD *)(result + 336);
	v15 = v11 ^ *(_DWORD *)(result + 40);
	v16 = v13 ^ v3;
	v17 = (v1 ^ v2 | *(_DWORD *)(result + 700)) ^ v3 & ~v2;
	v18 = v10 ^ *(_DWORD *)(result + 112);
	v19 = v1 ^ v2 ^ *(_DWORD *)(result + 700);
	v20 = v9 ^ v3;
	v21 = (v13 ^ v3) & ~v14 ^ v9 ^ v3;
	*(_DWORD *)(result + 40) = (v15 | v14) ^ v19;
	v22 = *(_DWORD *)(result + 768);
	v23 = ((v12 | v14) ^ v18) & v22;
	v24 = v22 & ~((v9 | v14) ^ v17);
	*(_DWORD *)(result + 16) = v3 & ~v2;
	v25 = *(_DWORD *)(result + 700);
	*(_DWORD *)(result + 656) = v3;
	*(_DWORD *)(result + 564) = v21;
	v26 = v25 | v5;
	v27 = v23 ^ *(_DWORD *)(result + 40);
	*(_DWORD *)(result + 800) = v27;
	v28 = (v25 | v5) ^ v5;
	v29 = v15 & v14 ^ v19 ^ *(_DWORD *)(result + 768) & ~(v18 ^ v14 & ~v12);
	v30 = v27 ^ *(_DWORD *)(result + 140);
	v31 = *(_DWORD *)(result + 48) & ~(v24 ^ v21);
	v32 = *(_DWORD *)(result + 552) & *(_DWORD *)(result + 236);
	v33 = v5 & ~v2 ^ *(_DWORD *)(result + 368);
	v34 = *(_DWORD *)(result + 756);
	*(_DWORD *)(result + 584) = v7;
	v35 = v3 ^ v34;
	v36 = (v11 | *(_DWORD *)(result + 700)) ^ v4;
	*(_DWORD *)(result + 744) = v9 ^ v3;
	v37 = v30 ^ v31;
	v38 = v29;
	v39 = *(_DWORD *)(result + 480);
	*(_DWORD *)(result + 696) = v29;
	v40 = v32 ^ v39;
	v41 = *(_DWORD *)(result + 464);
	v42 = *(_DWORD *)(result + 700);
	v43 = v40;
	*(_DWORD *)(result + 464) = v40;
	v44 = v41;
	v45 = v3 ^ v42;
	v46 = v10 & ~v14;
	v47 = v37;
	v48 = v14 & ~v28 ^ v33;
	*(_DWORD *)(result + 216) = v37;
	v49 = v36 & v14;
	*(_DWORD *)(result + 260) = v26 ^ v7;
	v50 = (v14 & ~v9 ^ v17) & *(_DWORD *)(result + 768);
	v51 = v35 & ~v14 ^ v45 ^ ((v28 | v14) ^ v33) & *(_DWORD *)(result + 768);
	*(_DWORD *)(result + 756) = v16 & v14 ^ v20;
	v52 = v10 & v14 ^ v9;
	v53 = *(_DWORD *)(result + 804);
	v54 = *(_DWORD *)(result + 500) ^ *(_DWORD *)result ^ (*(_DWORD *)(result + 236) | *(_DWORD *)(result + 124));
	v55 = (*(_DWORD *)(result + 236) | *(_DWORD *)(result + 720)) ^ *(_DWORD *)(result + 620);
	v56 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 360) = (v36 | v14) ^ *(_DWORD *)(result + 260);
	v57 = *(_DWORD *)(result + 768);
	*(_DWORD *)(result + 368) = v49 ^ *(_DWORD *)(result + 260);
	v58 = v57 & ~(v46 ^ v9);
	v59 = *(_DWORD *)(result + 768);
	v60 = v59 & ~v48 ^ v45 ^ v35 & v14;
	v61 = ~*(_DWORD *)(result + 236);
	v62 = *(_DWORD *)(result + 368) ^ v59 & ~v52;
	v63 = v61 & v53;
	v64 = *(_DWORD *)(result + 48) & ~(v50 ^ *(_DWORD *)(result + 756)) ^ *(_DWORD *)(result + 784);
	v65 = v54 & ~*(_DWORD *)(result + 148);
	v66 = ~*(_DWORD *)(result + 236);
	v67 = v61 & v56 ^ *(_DWORD *)(result + 752) ^ *(_DWORD *)(result + 616) & ~v55;
	v68 = *(_DWORD *)(result + 360) ^ v58;
	v69 = *(_DWORD *)(result + 292);
	v70 = v51 & *(_DWORD *)(result + 48) ^ v68;
	v71 = *(_DWORD *)(result + 236) & ~v53 ^ v69;
	v72 = v62 ^ *(_DWORD *)(result + 252) ^ v60 & *(_DWORD *)(result + 48);
	v73 = *(_DWORD *)(result + 236) & ~*(_DWORD *)(result + 124);
	v74 = *(_DWORD *)(result + 488);
	*(_DWORD *)(result + 504) = v70;
	*(_DWORD *)(result + 632) = v68;
	v75 = v65 ^ v74;
	v76 = v38 ^ v64;
	*(_DWORD *)(result + 212) ^= v70;
	v77 = *(_DWORD *)(result + 236);
	v78 = *(_DWORD *)(result + 500);
	*(_DWORD *)(result + 240) = v62;
	v79 = v63 ^ v69;
	v80 = v73 ^ v78;
	*(_DWORD *)(result + 804) = v71;
	v81 = v75 ^ v67;
	v82 = *(_DWORD *)(result + 520);
	v83 = v77 & ~*(_DWORD *)(result + 120);
	*(_DWORD *)(result + 292) = v80;
	v84 = v72;
	*(_DWORD *)(result + 784) = v76;
	v85 = *(_DWORD *)(result + 680);
	*(_DWORD *)(result + 252) = v72;
	*(_DWORD *)(result + 628) = v63 ^ v69;
	v86 = v85;
	v87 = *(_DWORD *)(result + 236);
	*(_DWORD *)(result + 488) = v75 ^ v67;
	v88 = v86 & v87 ^ v82;
	v89 = *(_DWORD *)(result + 140);
	v90 = v88 | v89;
	v91 = ~v89;
	v92 = v81;
	v93 = (v66 & *(_DWORD *)(result + 180) ^ *(_DWORD *)(result + 608)) & *(_DWORD *)(result + 616);
	v94 = v79 ^ ((v87 | *(_DWORD *)(result + 396)) ^ *(_DWORD *)(result + 728)) & *(_DWORD *)(result + 616);
	v95 = v83 ^ *(_DWORD *)(result + 648) ^ *(_DWORD *)(result + 752) ^ *(_DWORD *)(result + 248) ^ (v80 ^ *(_DWORD *)(result + 392) | *(_DWORD *)(result + 148));
	v96 = (*(_DWORD *)(result + 264) | v81) ^ *(_DWORD *)(result + 364);
	v97 = (*(_DWORD *)(result + 492) | v81) ^ *(_DWORD *)(result + 316) | *(_DWORD *)(result + 72);
	v98 = v81 | *(_DWORD *)(result + 60);
	v99 = ~*(_DWORD *)(result + 72);
	v100 = (*(_DWORD *)(result + 112) | v81) ^ *(_DWORD *)(result + 300);
	v101 = *(_DWORD *)(result + 256) ^ v99 & *(_DWORD *)(result + 196);
	v102 = *(_DWORD *)(result + 288);
	v103 = ~v81;
	v104 = ~v81 & *(_DWORD *)(result + 764);
	v105 = *(_DWORD *)(result + 436);
	v106 = v90 ^ v44;
	*(_DWORD *)(result + 248) = v95;
	v107 = v101;
	v108 = v104 ^ v105;
	v109 = ~v81 & v102;
	v110 = (v81 | *(_DWORD *)(result + 468)) ^ *(_DWORD *)(result + 468);
	v111 = *(_DWORD *)(result + 236) | *(_DWORD *)(result + 424);
	v112 = ~v95 & *(_DWORD *)(result + 404);
	v113 = *(_DWORD *)(result + 76);
	v114 = *(_DWORD *)(result + 416) & ~v112;
	v115 = *(_DWORD *)(result + 556);
	v116 = *(_DWORD *)(result + 416) & ~(v95 ^ *(_DWORD *)(result + 156));
	v117 = (v95 | v113) ^ *(_DWORD *)(result + 404);
	v118 = *(_DWORD *)(result + 128);
	v119 = v95 ^ *(_DWORD *)(result + 388);
	v120 = *(_DWORD *)(result + 636);
	v121 = ~*(_DWORD *)(result + 416);
	v122 = v95 | *(_DWORD *)(result + 304);
	v123 = v95 ^ v120;
	v124 = v103;
	v125 = v95 | v113;
	v126 = *(_DWORD *)(result + 96);
	v127 = v95 | v120;
	v128 = *(_DWORD *)(result + 280);
	v129 = ~v95 & v115 ^ v118;
	v130 = *(_DWORD *)(result + 544);
	v131 = ~v95 & *(_DWORD *)(result + 532);
	v132 = v130 & v95 & v126;
	v133 = (v95 | v128) ^ v115 ^ (~v95 & v118 ^ v130) & ~v126;
	v134 = *(_DWORD *)(result + 280);
	v135 = ~v95 & v134 ^ *(_DWORD *)(result + 532);
	v136 = (v126 & ~(v95 | v118) ^ (v95 | v118) ^ v118) & v121;
	v137 = (~v95 & v134 ^ v118) & ~v126;
	v138 = v132 ^ (v95 | v118) ^ v118;
	v139 = (v95 | *(_DWORD *)(result + 272)) ^ v134 ^ ((v95 | v128) ^ *(_DWORD *)(result + 32)) & ~v126;
	v140 = *(_DWORD *)(result + 272) ^ (v95 | *(_DWORD *)(result + 732)) ^ ((v95 | *(_DWORD *)(result + 612)) ^ v118) & ~v126;
	v141 = v129 ^ ((v95 | v118) ^ v118) & ~v126 | *(_DWORD *)(result + 416);
	v142 = *(_DWORD *)(result + 32);
	v143 = ((v95 | v118) ^ v118) & v126 ^ (v95 | v118);
	v144 = (v95 | v118) ^ v142;
	v145 = v142 & ~v95 | v126;
	v146 = v131 & v126;
	v147 = v118 ^ *(_DWORD *)(result + 448) ^ *(_DWORD *)(result + 272) & ~v95 ^ (v131 ^ *(_DWORD *)(result + 32) | v126);
	v148 = v135 & v126;
	v149 = (v129 | v126) ^ v118;
	v150 = ((v95 | v118) ^ v118 | *(_DWORD *)(result + 416)) ^ (v95 | v118) ^ v118;
	v151 = v121 & ((v95 | v118) ^ *(_DWORD *)(result + 808)) ^ *(_DWORD *)(result + 544) ^ *(_DWORD *)(result + 536) ^ *(_DWORD *)(result + 164) ^ v131;
	v152 = ~*(_DWORD *)(result + 64);
	v153 = v150 ^ v148 | *(_DWORD *)(result + 64);
	v154 = v139 & v121 ^ *(_DWORD *)(result + 732) ^ *(_DWORD *)(result + 408) ^ (v95 | v128) ^ v145 ^ (v138 ^ v136 | *(_DWORD *)(result + 64));
	v155 = v147 ^ (v133 | *(_DWORD *)(result + 416)) ^ (v146 ^ v141) & v152;
	v156 = v144 ^ *(_DWORD *)(result + 52) ^ v137 ^ (v140 | *(_DWORD *)(result + 416)) ^ (v143 & v121 ^ v149) & v152;
	v157 = *(_DWORD *)(result + 284) & v66 ^ *(_DWORD *)(result + 668) ^ *(_DWORD *)(result + 180) | *(_DWORD *)(result + 148);
	*(_DWORD *)(result + 448) = v155;
	v158 = v156;
	*(_DWORD *)(result + 52) = v156;
	v159 = v155;
	*(_DWORD *)(result + 668) = v157;
	v160 = v151 ^ v153;
	v161 = v155 | v47;
	v162 = v47 & ~v155;
	v163 = *(_DWORD *)(result + 236);
	*(_DWORD *)(result + 164) = v160;
	*(_DWORD *)result = v162;
	v164 = v162;
	v165 = v163 & *(_DWORD *)(result + 472);
	v166 = *(_DWORD *)(result + 284);
	*(_DWORD *)(result + 520) = v164;
	v167 = *(_DWORD *)(result + 148);
	v168 = v165;
	v169 = v166 & *(_DWORD *)(result + 236);
	v170 = *(_DWORD *)(result + 180);
	*(_DWORD *)(result + 472) = v165;
	v171 = *(_DWORD *)(result + 296);
	v172 = v169 ^ v170 ^ v93 | v167;
	v173 = v161;
	v174 = v122 ^ *(_DWORD *)(result + 304);
	v175 = *(_DWORD *)(result + 416);
	*(_DWORD *)(result + 60) = v161;
	v176 = v123 & v175;
	v177 = *(_DWORD *)(result + 388);
	v178 = v171 | *(_DWORD *)(result + 236);
	v179 = *(_DWORD *)(result + 480);
	*(_DWORD *)(result + 408) = v154;
	v180 = ~*(_DWORD *)(result + 596);
	v181 = v106 ^ *(_DWORD *)(result + 184) ^ ((*(_DWORD *)(result + 672) ^ *(_DWORD *)(result + 236) & *(_DWORD *)(result + 308)) & v91 ^ v178 ^ v179) & v180;
	v182 = v95 | *(_DWORD *)(result + 388);
	v183 = v94 ^ *(_DWORD *)(result + 232) ^ v172;
	v184 = v183 & *(_DWORD *)(result + 20);
	v185 = ~v95 & *(_DWORD *)(result + 388);
	v186 = v182 ^ *(_DWORD *)(result + 388);
	v187 = v183 & ~*(_DWORD *)(result + 568);
	v188 = *(_DWORD *)(result + 84) ^ *(_DWORD *)(result + 512);
	v189 = *(_DWORD *)(result + 476) & ~(v112 ^ *(_DWORD *)(result + 200) ^ v114 ^ (v116 ^ v119) & ~v181) ^ v123 ^ *(_DWORD *)(result + 736) ^ *(_DWORD *)(result + 320) ^ (*(_DWORD *)(result + 416) & ~v117 ^ v122) & ~v181;
	v190 = *(_DWORD *)(result + 28) ^ *(_DWORD *)(result + 268);
	v191 = v183 & *(_DWORD *)(result + 688);
	v192 = *(_DWORD *)(result + 228) ^ *(_DWORD *)(result + 8);
	v193 = v183 & ~*(_DWORD *)(result + 576);
	v194 = v183 | *(_DWORD *)(result + 20);
	v195 = v183 & *(_DWORD *)(result + 372);
	v196 = *(_DWORD *)(result + 460) ^ *(_DWORD *)(result + 172);
	v197 = v183 & ~*(_DWORD *)(result + 20);
	v198 = v182 ^ *(_DWORD *)(result + 708) ^ v174 & *(_DWORD *)(result + 416) ^ (v176 ^ *(_DWORD *)(result + 636) | v181);
	v199 = *(_DWORD *)(result + 156) ^ *(_DWORD *)(result + 36) ^ v185 ^ *(_DWORD *)(result + 416) & ~v186 ^ (v125 ^ *(_DWORD *)(result + 388) ^ (v127 ^ v177) & *(_DWORD *)(result + 416) | v181);
	v200 = v183 & *(_DWORD *)(result + 20);
	v201 = v198 & *(_DWORD *)(result + 476);
	*(_DWORD *)(result + 232) = v183;
	v202 = v183 & ~v200;
	v203 = *(_DWORD *)(result + 116);
	*(_DWORD *)(result + 84) = v187 ^ v188;
	v204 = ~v203;
	v205 = ~v203 & v197;
	v206 = v191 ^ v190;
	*(_DWORD *)(result + 28) = v206;
	v207 = v192 ^ v195;
	*(_DWORD *)(result + 228) = v192 ^ v195;
	v208 = v196;
	v209 = ~v183 & v194;
	v210 = (v202 | *(_DWORD *)(result + 116)) ^ v209;
	v211 = v208 ^ v193;
	*(_DWORD *)(result + 460) = v208 ^ v193;
	v212 = v210;
	v213 = *(_DWORD *)(result + 236);
	*(_DWORD *)(result + 544) = v210;
	v214 = v199 ^ v201;
	v215 = *(_DWORD *)(result + 560);
	v216 = v214;
	v217 = v205 ^ v194;
	*(_DWORD *)(result + 180) = v205 ^ v194;
	v218 = v213;
	v219 = *(_DWORD *)(result + 376);
	v220 = v213 & v215 ^ *(_DWORD *)(result + 328);
	v221 = *(_DWORD *)(result + 724);
	v222 = *(_DWORD *)(result + 140);
	v223 = v216;
	*(_DWORD *)(result + 36) = v216;
	v224 = v218 & v219 ^ v221;
	v225 = v220 | v222;
	v226 = v189;
	v227 = *(_DWORD *)(result + 236);
	v228 = v111 ^ *(_DWORD *)(result + 680);
	*(_DWORD *)(result + 320) = v189;
	v229 = *(_DWORD *)(result + 24) ^ v228 ^ v225 ^ ((v227 & ~*(_DWORD *)(result + 344) ^ *(_DWORD *)(result + 244)) & v91 ^ v224) & v180;
	v230 = *(_DWORD *)(result + 476);
	v231 = v229;
	v232 = v229 | v230;
	v233 = ~v229 & (v229 | v230);
	v234 = ~v229 & *(_DWORD *)(result + 476);
	v235 = v229 ^ v230;
	v236 = v234 ^ v99 & ~v230 & v229;
	v237 = v234 & v99;
	v238 = *(_DWORD *)(result + 708) & ~v95;
	v239 = *(_DWORD *)(result + 72);
	v240 = v233 | v239;
	v241 = ~*(_DWORD *)(result + 388);
	v242 = (v233 ^ v239) & v241;
	v243 = v122;
	v244 = ((v125 ^ *(_DWORD *)(result + 636)) & v121 ^ v186 | v181) ^ *(_DWORD *)(result + 236) ^ (v95 | *(_DWORD *)(result + 156)) ^ *(_DWORD *)(result + 684) ^ *(_DWORD *)(result + 416) & ~(v238 ^ *(_DWORD *)(result + 388)) ^ *(_DWORD *)(result + 476) & ~(*(_DWORD *)(result + 76) & *(_DWORD *)(result + 416) & ~v95 ^ v125 ^ *(_DWORD *)(result + 200) ^ ((v182 ^ *(_DWORD *)(result + 684)) & *(_DWORD *)(result + 416) ^ v185) & ~v181);
	v245 = v242 ^ v236 ^ *(_DWORD *)(result + 204) ^ ((v234 ^ (v229 | v230) & v99) & *(_DWORD *)(result + 388) ^ v240 ^ v229 | *(_DWORD *)(result + 88));
	v246 = *(_DWORD *)(result + 76);
	v247 = v127 ^ v246;
	v248 = *(_DWORD *)(result + 44) ^ v246;
	v249 = *(_DWORD *)(result + 416);
	v250 = v248 ^ v112 ^ v247 & *(_DWORD *)(result + 416);
	v251 = v245 ^ *(_DWORD *)(result + 56) & ~(v237 ^ v232 ^ (v99 & v235 ^ *(_DWORD *)(result + 476)) & v241);
	v252 = (v95 ^ *(_DWORD *)(result + 404) ^ (v185 ^ *(_DWORD *)(result + 684)) & *(_DWORD *)(result + 416) | v181) ^ v243 ^ *(_DWORD *)(result + 636) ^ v249 & ~(v127 ^ *(_DWORD *)(result + 404));
	v253 = v251 ^ v244;
	v254 = v250 ^ ~v181 & ((v238 ^ *(_DWORD *)(result + 708)) & v249 ^ v119);
	v255 = v124 & *(_DWORD *)(result + 468) ^ *(_DWORD *)(result + 540) ^ v110 & v99 ^ *(_DWORD *)(result + 12) ^ v231 & ~(v108 & v99 ^ v109 ^ *(_DWORD *)(result + 704));
	v256 = v159 & ~(v251 ^ v244);
	v257 = v92 ^ *(_DWORD *)(result + 144) ^ v96 & v99;
	v258 = *(_DWORD *)(result + 92);
	v259 = v96 | *(_DWORD *)(result + 72);
	v260 = v159 & v47;
	v261 = (v92 | *(_DWORD *)(result + 768)) ^ *(_DWORD *)(result + 352);
	v262 = *(_DWORD *)(result + 352) ^ *(_DWORD *)(result + 664) ^ *(_DWORD *)(result + 788) ^ v92 & ~*(_DWORD *)(result + 188) ^ v231 & ~(v107 & v124);
	v263 = *(_DWORD *)(result + 476) & ~v252 ^ v254;
	v264 = v251 ^ v244 ^ v159;
	v265 = *(_DWORD *)(result + 108) & v124 ^ *(_DWORD *)(result + 444) ^ v97;
	v266 = *(_DWORD *)(result + 136) ^ *(_DWORD *)(result + 68) ^ v98 ^ (v100 | *(_DWORD *)(result + 72));
	*(_DWORD *)(result + 300) = v255 & ~v263 & ~(v164 ^ v47);
	v267 = v257 ^ v258;
	*(_DWORD *)(result + 532) = v255 & ~v173 | v263;
	*(_DWORD *)(result + 44) = v263;
	v268 = ~v255 & v76;
	*(_DWORD *)(result + 196) = v158 & v262;
	*(_DWORD *)(result + 664) = v158 & v262;
	*(_DWORD *)(result + 556) = v158 & v262;
	v269 = ~(v251 & v244) & v159 & v47 ^ v264 ^ v262 & ~(~v251 & v244 & v159 ^ v251 ^ v47 & ~(v159 & ~(v251 ^ v244)));
	*(_DWORD *)(result + 144) = v244;
	v270 = v266 ^ v231 & ~v265;
	*(_DWORD *)(result + 188) = ~v206 & v226;
	v271 = *(_DWORD *)(result + 204);
	*(_DWORD *)(result + 12) = v255;
	v272 = v268 ^ v76;
	v273 = *(_DWORD *)(result + 236);
	v274 = *(_DWORD *)(result + 552);
	*(_DWORD *)(result + 92) = v267 ^ (v259 ^ v261) & v231;
	v275 = v273 & ~v274 ^ v271;
	v276 = *(_DWORD *)(result + 20);
	v277 = *(_DWORD *)(result + 476);
	*(_DWORD *)(result + 552) = v275;
	*(_DWORD *)(result + 140) = v275 & v91 ^ v43;
	*(_DWORD *)(result + 636) = (v226 | v206) ^ v226;
	v278 = v231 & v277;
	v279 = v183 ^ v276;
	v280 = *(_DWORD *)(result + 116);
	*(_DWORD *)(result + 76) = v255 & ~(v47 ^ v159);
	v281 = v279 & v204;
	*(_DWORD *)(result + 648) = v226 | v206;
	*(_DWORD *)(result + 392) = v226 | v206;
	v282 = v183 | v280;
	*(_DWORD *)(result + 788) = v262;
	v283 = v183 & v204;
	*(_DWORD *)(result + 560) = v251;
	v284 = v183 & v204 ^ v183;
	v285 = v231 & v277 & v99;
	v286 = *(_DWORD *)(result + 20);
	*(_DWORD *)(result + 244) = v269;
	v287 = v205 ^ v197;
	*(_DWORD *)(result + 68) = v270;
	*(_DWORD *)(result + 352) = v268 ^ v76;
	v288 = *(_DWORD *)(result + 116);
	v289 = v184 ^ *(_DWORD *)(result + 524);
	v290 = v279 | v288;
	v291 = (v209 | v288) ^ ~v183 & v286;
	v292 = (*(_DWORD *)(result + 776) & *(_DWORD *)(result + 236) ^ *(_DWORD *)(result + 276)) & v91 ^ v168;
	v293 = *(_DWORD *)(result + 596);
	v294 = v209 ^ (v183 | v280);
	v295 = v184 & v204;
	v296 = (v292 | v293) ^ *(_DWORD *)(result + 140) ^ *(_DWORD *)(result + 224);
	v297 = v296 & ~(v194 ^ v280);
	v298 = (v292 | v293) ^ *(_DWORD *)(result + 140) ^ *(_DWORD *)(result + 224);
	v299 = v194 & ~v204 & v296;
	v300 = ~v296;
	v301 = v231 & ~v278;
	v302 = v284 & ~v296;
	v303 = (v251 ^ v244) & v159;
	v304 = v231 & ~v99;
	v305 = v290 ^ *(_DWORD *)(result + 100) ^ v202;
	v306 = v281 ^ v184 | v298;
	v307 = v295 ^ v183 ^ v302;
	v308 = (v285 | *(_DWORD *)(result + 388)) ^ v231;
	v309 = v298;
	v310 = v291 | v298;
	v311 = v299 ^ v284;
	v312 = *(_DWORD *)(result + 452) & ~(v297 ^ v294);
	v313 = v251 | v244;
	v314 = (v302 ^ v284) & *(_DWORD *)(result + 452);
	v315 = *(_DWORD *)(result + 72) ^ *(_DWORD *)(result + 332) ^ *(_DWORD *)(result + 132);
	v316 = (v205 ^ v197) & v300;
	v317 = *(_DWORD *)(result + 440) ^ *(_DWORD *)(result + 580);
	v318 = *(_DWORD *)(result + 72);
	*(_DWORD *)(result + 776) = v289 & v300 ^ v184;
	v319 = v278 | v318;
	v320 = v305 ^ v310;
	v321 = ~v244 & v159;
	v322 = ~v244 & v251;
	v323 = v308 ^ (v301 | *(_DWORD *)(result + 72));
	v324 = ~v251 & v244 & v159 ^ v251 & v244 ^ (v251 ^ v303) & v47;
	v325 = v314 ^ *(_DWORD *)(result + 776);
	v326 = v183 ^ *(_DWORD *)(result + 116);
	v327 = *(_DWORD *)(result + 452) & ~v307;
	v328 = v315 ^ v235;
	*(_DWORD *)(result + 524) = v326 ^ v306 ^ (v316 ^ v294) & *(_DWORD *)(result + 452);
	v329 = ~(v251 & v244) & v251;
	v330 = v321 ^ v244;
	v331 = v322 ^ v244 & v159;
	v332 = v244 ^ v159;
	v333 = *(_DWORD *)(result + 780);
	v334 = (v251 | v244) & v159;
	v335 = v333 & ~(v311 ^ v312);
	v336 = v320 ^ v327;
	v337 = v321 ^ (v251 | v244);
	v338 = v256 ^ ~v251 & v313;
	v339 = v328 ^ v323 & ~*(_DWORD *)(result + 88) ^ *(_DWORD *)(result + 56) & ~(*(_DWORD *)(result + 388) & ~v319 ^ v304 & ~*(_DWORD *)(result + 88));
	v340 = v232 | *(_DWORD *)(result + 72);
	v341 = v232 ^ v317 | *(_DWORD *)(result + 88);
	v342 = v332 & ~v251;
	v343 = v331 ^ v47 & (v321 ^ v253);
	v344 = v333 & ~v325 ^ *(_DWORD *)(result + 524);
	v345 = v159 & ~(~v251 & v313);
	*(_DWORD *)(result + 8) = v344;
	v346 = (v334 ^ v253) & v47 ^ v338;
	v347 = v329 ^ ~v251 & v159;
	v348 = v47 & ~(~v251 & v159 ^ v253);
	v349 = v336 ^ v335;
	v350 = v159;
	v351 = v339;
	v352 = v236 ^ v341;
	v353 = v322 & v350 ^ v313;
	v354 = (v330 | v47) ^ v350 ^ v324 & v262;
	v355 = v47 & ~v330;
	v356 = v343 & v262;
	v357 = v47 & ~v303 ^ v342;
	v358 = v251 ^ v251 & v350;
	*(_DWORD *)(result + 596) ^= *(_DWORD *)(result + 8);
	v359 = v334 ^ v322;
	v360 = v337 & ~v47 ^ v264 ^ v309 ^ v262 & ~v346;
	v361 = v47 & ~(v251 & v350);
	v362 = *(_DWORD *)(result + 420) ^ v278;
	v363 = (v336 ^ v335) & v270;
	v364 = v357 ^ v356;
	v365 = v355 ^ v337;
	v366 = v358 & v47 ^ v329 ^ v303;
	v367 = v270 & ~v363;
	v368 = ~*(_DWORD *)(result + 596);
	v369 = v364 & v368;
	v370 = v359 ^ v181 ^ v47 & ~(v345 ^ v251) ^ v262 & ~((v322 & v350 ^ v322) & ~v47 ^ v358) ^ (v365 ^ v262 & ~(v347 ^ v348)) & v368;
	v371 = v319 ^ v232 & v241 ^ *(_DWORD *)(result + 616) ^ v301 ^ (v362 ^ v240 | *(_DWORD *)(result + 88));
	v372 = v336 ^ v335 ^ v270;
	v373 = (v255 | v351 ^ v76) ^ v351 ^ v76;
	v374 = v369 ^ v231;
	v375 = v262 & ~(v353 ^ (v350 ^ v251) & v47) ^ v366 | *(_DWORD *)(result + 596);
	v376 = v361 ^ v5 ^ v338 ^ (v353 ^ v260) & v262;
	v377 = (v285 ^ v231 | *(_DWORD *)(result + 388)) & *(_DWORD *)(result + 56);
	v378 = *(_DWORD *)(result + 56) & ~(v352 ^ v241 & (v340 ^ v232)) ^ (v319 & v241 ^ v237 ^ *(_DWORD *)(result + 476) | *(_DWORD *)(result + 88)) ^ *(_DWORD *)(result + 220) ^ *(_DWORD *)(result + 388) ^ v240 ^ v231;
	v379 = (v349 | v270) & ~v223;
	v380 = v360 ^ (v354 | *(_DWORD *)(result + 596));
	v381 = v374 ^ v269;
	*(_DWORD *)(result + 24) = v374 ^ v269;
	*(_DWORD *)(result + 672) = v380;
	*(_DWORD *)(result + 444) = ~v380;
	*(_DWORD *)(result + 184) = v370;
	*(_DWORD *)(result + 440) = v211 & v378;
	v382 = ((v76 | v351) & ~v76 | v255) ^ (v76 | v351) & ~v76;
	v383 = v349 ^ v270 ^ v223 ^ ((v223 | v270) ^ v270 & ~(v349 & v270)) & v84;
	v384 = v376 ^ v375;
	*(_DWORD *)(result + 80) = v376 ^ v375;
	v385 = v371 ^ v377;
	v386 = *(_DWORD *)(result + 116);
	v387 = (v255 | v351 ^ v76) ^ v351 ^ ~v349 & v373;
	*(_DWORD *)(result + 220) = v378;
	v388 = (v349 | v270) & ~v270 ^ v379;
	v389 = (v209 ^ *(_DWORD *)(result + 116)) & v300;
	v390 = *(_DWORD *)(result + 116);
	*(_DWORD *)(result + 100) = v349;
	*(_DWORD *)(result + 280) = v349 & v270;
	v391 = *(_DWORD *)(result + 452);
	*(_DWORD *)(result + 132) = v351;
	*(_DWORD *)(result + 540) = v385;
	*(_DWORD *)(result + 224) = v309;
	*(_DWORD *)(result + 304) = v270 & ~(v349 & v270);
	v392 = *(_DWORD *)(result + 692);
	*(_DWORD *)(result + 296) = v382;
	*(_DWORD *)(result + 480) = v349 ^ v270;
	*(_DWORD *)(result + 512) = v387;
	*(_DWORD *)(result + 372) = v349 | v270;
	v393 = (v282 ^ v194 ^ (v309 | v390)) & *(_DWORD *)(result + 452);
	*(_DWORD *)(result + 284) = v388;
	*(_DWORD *)(result + 436) = v383;
	v394 = (v351 ^ v76) & ~v255;
	v395 = v351 ^ v255;
	v396 = v76 & ~(v351 & v76) | v255;
	v397 = (v294 & v300 ^ v326 ^ v391 & ~(v197 ^ v386 ^ v294 & v300)) & *(_DWORD *)(result + 780) ^ v393 ^ v392 ^ *(_DWORD *)(result + 20) ^ v283 ^ v389;
	v398 = (v351 | v255) ^ v351;
	v399 = v351 ^ (v76 | v255);
	v400 = (v76 | v255) ^ v76;
	v401 = v351 & ~v76 & ~v255;
	v402 = v349 & ~v270;
	v403 = v349 & ~(v351 ^ v255) & ~v160;
	v404 = (v351 ^ v76 ^ (v351 | v255)) & ~v349;
	v405 = v396 ^ ~v349 & ((v76 | v351) & ~v76 ^ (v351 | v255));
	v406 = v76 | v351 | v255;
	v407 = *(_DWORD *)(result + 416) ^ v399;
	v408 = v183 ^ *(_DWORD *)(result + 176);
	v409 = (v351 | v255) & ~v349 ^ v394 ^ v76;
	*(_DWORD *)(result + 576) = ~v349 & v270;
	v410 = v382 ^ (v349 | v76 | v255) ^ ((v349 | v76 | v255) ^ v398) & ~v160;
	v411 = v397 & ~v385;
	v412 = v395 ^ *(_DWORD *)(result + 56);
	v413 = v387 ^ v403;
	v414 = v405 ^ v76;
	v415 = v399 ^ *(_DWORD *)(result + 768);
	v416 = v309 & ~v408;
	v417 = (v294 | v309) ^ v294;
	v418 = v349 & ~v223;
	v419 = v349 | v394;
	v420 = v394 ^ v351 ^ (v349 | v399);
	v421 = v349 | v270 | v223;
	v422 = *(_DWORD *)(result + 576) & ~v223;
	v423 = v402 ^ (v349 | v223);
	v424 = v385 & ~v206;
	v425 = v397 & ~(v397 & ~v385);
	v426 = v385 & ~v397;
	v427 = v316 ^ v217;
	v428 = v287 | v309;
	v429 = v412 ^ v349 & ~v373;
	v430 = ~v349 & (v406 ^ (v76 | v351));
	v431 = v407 ^ v404 ^ (v396 ^ v351 | v349) & ~v160;
	v432 = v417 & *(_DWORD *)(result + 452);
	v433 = v416 ^ v289;
	v434 = (v349 | v400) ^ v268 ^ (v409 | v160);
	v435 = v401 & v349 ^ v398;
	v436 = v84 & ~(v379 ^ v349);
	v437 = *(_DWORD *)(result + 576);
	v438 = ((v349 | v270) ^ v223) & v84;
	v439 = v84 & ~(v379 ^ (v349 | v270));
	*(_DWORD *)(result + 172) = v419 ^ v272;
	*(_DWORD *)(result + 272) = v349 & ~v223 ^ (v349 | v270);
	v440 = v437 ^ v421;
	v441 = v420 & ~v160;
	v442 = v421 ^ v349;
	*(_DWORD *)(result + 332) = v422 ^ v367;
	v443 = ((v367 | v223) ^ v367) & v84;
	v444 = v270 ^ v223;
	v445 = v349 ^ ~v223 & v270;
	v446 = v84 & ~v423;
	v447 = v423 | v84;
	v448 = v84 | v270;
	v449 = v418 ^ v270;
	v450 = v397 ^ v385 | v206;
	*(_DWORD *)(result + 424) = v212 ^ v428;
	v451 = v429 ^ v413 & v207;
	v452 = (v396 ^ (v76 | v351) | v349) ^ v396 ^ v351 | v160;
	v453 = v415 ^ v349 & ~v272 ^ v414 & ~v160;
	v454 = *(_DWORD *)(result + 452) & ~v433;
	v455 = v207 & ~v434;
	*(_DWORD *)(result + 416) = v431 ^ v207 & ~v410;
	v456 = v435 | v160;
	v457 = v439 ^ *(_DWORD *)(result + 272);
	v458 = *(_DWORD *)(result + 172) ^ *(_DWORD *)(result + 20);
	v459 = v441 ^ v430;
	v460 = v438 ^ *(_DWORD *)(result + 272);
	v461 = v84 & ~v440;
	v462 = v436 ^ *(_DWORD *)(result + 332);
	v463 = v363 ^ (v349 | v223);
	v464 = (v349 | v223) ^ v349;
	v465 = v84 & ~v445;
	v466 = (v349 ^ v223) & v84;
	v467 = ~v223 & v84 & v402;
	v468 = v442;
	v469 = v223 & ~v84;
	v470 = v418 & v84;
	v471 = ~v226 & (v424 ^ v385);
	*(_DWORD *)(result + 344) = v425 ^ v450;
	v472 = v452 ^ v451;
	v473 = *(_DWORD *)(result + 780) & (v427 ^ v432);
	*(_DWORD *)(result + 176) = *(_DWORD *)(result + 424) ^ v454;
	v474 = v463 ^ v84;
	v475 = v449 ^ v447 | v351;
	*(_DWORD *)(result + 536) = (v411 | v206) ^ v397 & v385;
	v476 = *(_DWORD *)(result + 344);
	*(_DWORD *)(result + 692) = v397;
	v477 = v450 ^ v397 ^ v385;
	v478 = v476 & v226;
	v479 = *(_DWORD *)(result + 176);
	*(_DWORD *)(result + 56) = v472;
	*(_DWORD *)(result + 768) = v453 ^ v455;
	*(_DWORD *)(result + 328) = v473 ^ v479;
	*(_DWORD *)(result + 732) = ~*(_DWORD *)(result + 416);
	*(_DWORD *)(result + 752) = v457 & ~v351 ^ v383;
	*(_DWORD *)(result + 720) = v467 ^ v372;
	*(_DWORD *)(result + 20) = v458 ^ v456 ^ v207 & ~v459;
	*(_DWORD *)(result + 724) = v461 ^ v388 ^ (v462 | v351);
	*(_DWORD *)(result + 688) = v464 ^ v465 ^ (v460 | v351);
	*(_DWORD *)(result + 708) = v474 ^ (v468 ^ v443) & ~v351;
	*(_DWORD *)(result + 468) = v467 ^ v372 ^ (v351 | v469);
	*(_DWORD *)(result + 316) = v466 ^ v418 ^ (v446 ^ v444) & ~v351;
	*(_DWORD *)(result + 108) = (v448 ^ v418) & ~v351 ^ v449;
	v480 = v453 ^ v455 | v384;
	*(_DWORD *)(result + 580) = v470 ^ v444 ^ v475;
	*(_DWORD *)(result + 404) = v453 ^ v455 ^ v384;
	*(_DWORD *)(result + 124) = v480;
	*(_DWORD *)(result + 644) = v480;
	*(_DWORD *)(result + 200) = (v453 ^ v455) & ~v384;
	*(_DWORD *)(result + 256) = v480;
	v481 = *(_DWORD *)(result + 536);
	*(_DWORD *)(result + 288) = v381 & ~v472;
	*(_DWORD *)(result + 376) = v472 & ~v381;
	*(_DWORD *)(result + 120) = v206 ^ v226 & ~(v411 | v206);
	v482 = *(_DWORD *)(result + 344);
	*(_DWORD *)(result + 736) = v471 ^ v385 ^ (v411 | v206);
	*(_DWORD *)(result + 808) = v411 ^ v206;
	*(_DWORD *)(result + 568) = ((v425 | v206) ^ v397 | v226) ^ v411 ^ v206;
	*(_DWORD *)(result + 136) = v411 & v206 ^ ~v226 & v385;
	*(_DWORD *)(result + 420) = v481 ^ v471;
	*(_DWORD *)(result + 268) = v477 & v226;
	*(_DWORD *)(result + 264) = v478 ^ v411 ^ v206;
	*(_DWORD *)(result + 208) = v482 ^ (v397 ^ v385 ^ (v411 | v206)) & ~v226;
	*(_DWORD *)(result + 680) = v397 | v206;
	*(_DWORD *)(result + 612) = (v426 & ~v206 ^ v426) & ~v226;
	*(_DWORD *)(result + 492) = (v426 & ~v206 ^ v397 & v385) & ~v226 ^ (v397 | v206);
	*(_DWORD *)(result + 684) = v426 ^ (v411 | v206) ^ v397 & v206 & ~v226;
	*(_DWORD *)(result + 308) = v397 & v206 | v226;
	*(_DWORD *)(result + 364) = v397 ^ ~v226 & v424 ^ (v397 ^ v385) & ~v206;
	*(_DWORD *)(result + 704) = (v385 | v206 | v397) ^ v397 ^ v385 ^ (v424 | v226);
	return result;
}

//----- (0009C42C) --------------------------------------------------------
unsigned char* sub_9C42C(unsigned char* result)
{
	int v1; // r7@1
	int v2; // r2@1
	int v3; // r5@1
	int v4; // r3@1
	int v5; // ST34_4@1
	int v6; // ST10_4@1
	int v7; // ST00_4@1
	int v8; // ST04_4@1
	int v9; // ST20_4@1
	int v10; // lr@1
	int v11; // ST1C_4@1
	int v12; // r4@1
	int v13; // r3@1
	int v14; // ST58_4@1
	int v15; // STA8_4@1
	int v16; // r3@1
	int v17; // ST08_4@1
	int v18; // ST14_4@1
	int v19; // r11@1
	int v20; // ST24_4@1
	int v21; // r7@1
	int v22; // ST28_4@1
	int v23; // ST18_4@1
	int v24; // r12@1
	int v25; // r6@1
	int v26; // ST30_4@1
	int v27; // lr@1
	int v28; // r4@1
	int v29; // lr@1
	int v30; // ST2C_4@1
	int v31; // r12@1
	int v32; // r1@1
	int v33; // ST3C_4@1
	int v34; // r7@1
	int v35; // lr@1
	int v36; // r8@1
	int v37; // r4@1
	int v38; // r9@1
	int v39; // r6@1
	int v40; // r10@1
	int v41; // r12@1
	int v42; // r8@1
	int v43; // r2@1
	int v44; // ST00_4@1
	int v45; // r5@1
	int v46; // r3@1
	int v47; // ST0C_4@1
	int v48; // r7@1
	int v49; // r11@1
	int v50; // ST28_4@1
	int v51; // r4@1
	int v52; // r5@1
	int v53; // r1@1
	int v54; // r9@1
	int v55; // ST04_4@1
	int v56; // r3@1
	int v57; // ST18_4@1
	int v58; // r4@1
	int v59; // r10@1
	int v60; // lr@1
	int v61; // r2@1
	int v62; // ST7C_4@1
	int v63; // r6@1
	int v64; // ST60_4@1
	int v65; // r7@1
	int v66; // r4@1
	int v67; // r12@1
	int v68; // ST4C_4@1
	int v69; // ST04_4@1
	int v70; // ST00_4@1
	int v71; // r1@1
	int v72; // r5@1
	int v73; // r4@1
	int v74; // r3@1
	int v75; // r5@1
	int v76; // ST50_4@1
	int v77; // r6@1
	int v78; // r2@1
	int v79; // lr@1
	int v80; // ST14_4@1
	int v81; // r7@1
	int v82; // ST40_4@1
	int v83; // r1@1
	int v84; // lr@1
	int v85; // ST1C_4@1
	int v86; // r11@1
	int v87; // ST18_4@1
	int v88; // ST28_4@1
	int v89; // ST24_4@1
	int v90; // r6@1
	int v91; // r8@1
	int v92; // r12@1
	int v93; // r3@1
	int v94; // r12@1
	int v95; // r1@1
	int v96; // r3@1
	int v97; // r12@1
	int v98; // r2@1
	int v99; // r4@1
	int v100; // ST04_4@1
	int v101; // ST30_4@1
	int v102; // r5@1
	int v103; // r9@1
	int v104; // r4@1
	int v105; // ST18_4@1
	int v106; // r3@1
	int v107; // r11@1
	int v108; // r10@1
	int v109; // r9@1
	int v110; // r1@1
	int v111; // ST14_4@1
	int v112; // ST68_4@1
	int v113; // ST5C_4@1
	int v114; // r5@1
	int v115; // ST54_4@1
	int v116; // r7@1
	int v117; // r9@1
	int v118; // r1@1
	int v119; // ST6C_4@1
	int v120; // r6@1
	int v121; // r2@1
	int v122; // lr@1
	int v123; // ST64_4@1
	int v124; // r7@1
	int v125; // ST44_4@1
	int v126; // ST94_4@1
	int v127; // lr@1
	int v128; // r12@1
	int v129; // r1@1
	int v130; // ST80_4@1
	int v131; // lr@1
	int v132; // ST2C_4@1
	int v133; // r7@1
	int v134; // ST04_4@1
	int v135; // ST98_4@1
	int v136; // STAC_4@1
	int v137; // ST18_4@1
	int v138; // r5@1
	int v139; // r6@1
	int v140; // r1@1
	int v141; // ST1C_4@1
	int v142; // lr@1
	int v143; // r7@1
	int v144; // r2@1
	int v145; // lr@1
	int v146; // r7@1
	int v147; // r5@1
	int v148; // r2@1
	int v149; // r1@1
	int v150; // lr@1
	int v151; // ST38_4@1
	int v152; // r10@1
	int v153; // r2@1
	int v154; // ST24_4@1
	int v155; // ST34_4@1
	int v156; // ST30_4@1
	int v157; // ST48_4@1
	int v158; // r6@1
	int v159; // ST74_4@1
	int v160; // ST90_4@1
	int v161; // STB4_4@1
	int v162; // ST70_4@1
	int v163; // ST78_4@1
	int v164; // r2@1
	int v165; // r11@1
	int v166; // r3@1
	int v167; // r8@1
	int v168; // ST10_4@1
	int v169; // r7@1
	int v170; // lr@1
	int v171; // ST10_4@1
	int v172; // ST8C_4@1
	int v173; // r11@1
	int v174; // ST24_4@1
	int v175; // r8@1
	int v176; // ST5C_4@1
	int v177; // ST58_4@1
	int v178; // ST34_4@1
	int v179; // ST20_4@1
	int v180; // lr@1
	int v181; // r4@1
	int v182; // ST48_4@1
	int v183; // r3@1
	int v184; // ST90_4@1
	int v185; // r8@1
	int v186; // r2@1
	int v187; // STB8_4@1
	int v188; // STC0_4@1
	int v189; // r9@1
	int v190; // ST5C_4@1
	int v191; // STC4_4@1
	int v192; // STC8_4@1
	int v193; // STDC_4@1
	int v194; // ST8C_4@1
	int v195; // ST68_4@1
	int v196; // r12@1
	int v197; // r2@1
	int v198; // STD8_4@1
	int v199; // r6@1
	int v200; // ST58_4@1
	int v201; // ST7C_4@1
	int v202; // ST74_4@1
	int v203; // ST78_4@1
	int v204; // STF0_4@1
	int v205; // r3@1
	int v206; // STBC_4@1
	int v207; // ST100_4@1
	int v208; // r3@1
	int v209; // ST48_4@1
	int v210; // STF4_4@1
	int v211; // ST104_4@1
	int v212; // ST38_4@1
	int v213; // r1@1
	int v214; // ST24_4@1
	int v215; // r4@1
	int v216; // lr@1
	int v217; // r9@1
	int v218; // STCC_4@1
	int v219; // ST94_4@1
	int v220; // r10@1
	int v221; // STD0_4@1
	int v222; // r8@1
	int v223; // STE0_4@1
	int v224; // STE8_4@1
	int v225; // ST60_4@1
	int v226; // ST9C_4@1
	int v227; // STA0_4@1
	int v228; // ST98_4@1
	int v229; // r3@1
	int v230; // STA4_4@1
	int v231; // r2@1
	int v232; // STEC_4@1
	int v233; // STD4_4@1
	int v234; // r5@1
	int v235; // r8@1
	int v236; // r12@1
	int v237; // r4@1
	int v238; // r7@1
	int v239; // STE8_4@1
	int v240; // STA8_4@1
	int v241; // r5@1
	int v242; // r8@1
	int v243; // r11@1
	int v244; // ST24_4@1
	int v245; // r9@1
	int v246; // r8@1
	int v247; // ST94_4@1
	int v248; // r10@1
	int v249; // STE0_4@1
	int v250; // ST98_4@1
	int v251; // STF8_4@1
	int v252; // STE4_4@1
	int v253; // r11@1
	int v254; // lr@1
	int v255; // r3@1
	int v256; // r7@1
	int v257; // r1@1
	int v258; // ST78_4@1
	int v259; // lr@1
	int v260; // r1@1
	int v261; // r6@1
	int v262; // ST68_4@1
	int v263; // r12@1
	int v264; // r9@1
	int v265; // r6@1
	int v266; // r5@1
	int v267; // r12@1
	int v268; // r6@1
	int v269; // ST58_4@1
	int v270; // r8@1
	int v271; // lr@1
	int v272; // ST14_4@1
	int v273; // r2@1
	int v274; // r8@1
	int v275; // r6@1
	int v276; // r9@1
	int v277; // r1@1
	int v278; // r9@1
	int v279; // r5@1
	int v280; // r4@1
	int v281; // r2@1
	int v282; // r6@1
	int v283; // r1@1
	int v284; // r3@1
	int v285; // r8@1
	int v286; // r6@1
	int v287; // ST48_4@1
	int v288; // r11@1
	int v289; // r4@1
	int v290; // r10@1
	int v291; // r2@1
	int v292; // r4@1
	int v293; // ST80_4@1
	int v294; // ST14_4@1
	int v295; // ST08_4@1
	int v296; // r6@1
	int v297; // r8@1
	int v298; // ST94_4@1
	int v299; // STA8_4@1
	int v300; // ST78_4@1
	int v301; // ST7C_4@1
	int v302; // STD0_4@1
	int v303; // STD4_4@1
	int v304; // r9@1
	int v305; // ST60_4@1
	int v306; // ST98_4@1
	int v307; // r5@1
	int v308; // STB8_4@1
	int v309; // r12@1
	int v310; // ST84_4@1
	int v311; // STCC_4@1
	int v312; // ST9C_4@1
	int v313; // ST78_4@1
	int v314; // STA0_4@1
	int v315; // ST88_4@1
	int v316; // ST90_4@1
	int v317; // STA4_4@1
	int v318; // r1@1
	int v319; // STA8_4@1
	int v320; // STE8_4@1
	int v321; // STD4_4@1
	int v322; // ST80_4@1
	int v323; // r1@1
	int v324; // STD0_4@1
	int v325; // ST70_4@1
	int v326; // STEC_4@1
	int v327; // STD8_4@1
	int v328; // STB8_4@1
	int v329; // r3@1
	int v330; // r8@1
	int v331; // r12@1
	int v332; // r9@1
	int v333; // ST94_4@1
	int v334; // r2@1
	int v335; // STA0_4@1
	int v336; // STCC_4@1
	int v337; // STB0_4@1
	int v338; // lr@1
	int v339; // ST68_4@1
	int v340; // ST78_4@1
	int v341; // r11@1
	int v342; // r9@1
	int v343; // r7@1
	int v344; // r1@1
	int v345; // ST88_4@1
	int v346; // r4@1
	int v347; // r11@1
	int v348; // ST94_4@1
	int v349; // ST90_4@1
	int v350; // r7@1
	int v351; // r10@1
	int v352; // ST58_4@1
	int v353; // r12@1
	int v354; // ST50_4@1
	int v355; // ST68_4@1
	int v356; // ST30_4@1
	int v357; // r11@1
	int v358; // r9@1
	int v359; // ST20_4@1
	int v360; // r1@1
	int v361; // lr@1
	int v362; // r2@1
	int v363; // r11@1
	int v364; // r2@1
	int v365; // r1@1
	int v366; // r6@1
	int v367; // ST30_4@1
	int v368; // r12@1
	int v369; // lr@1
	int v370; // STA4_4@1
	int v371; // ST94_4@1
	int v372; // r4@1
	int v373; // ST88_4@1
	int v374; // ST7C_4@1
	int v375; // r3@1
	int v376; // r9@1
	int v377; // ST8C_4@1
	int v378; // r1@1
	int v379; // ST80_4@1
	int v380; // r4@1
	int v381; // r2@1
	int v382; // r5@1
	int v383; // ST84_4@1
	int v384; // ST1C_4@1
	int v385; // ST20_4@1
	int v386; // r5@1
	int v387; // ST5C_4@1
	int v388; // r9@1
	int v389; // r1@1
	int v390; // r10@1
	int v391; // r1@1
	int v392; // r3@1
	int v393; // r9@1
	int v394; // ST78_4@1
	int v395; // STB8_4@1
	int v396; // STCC_4@1
	int v397; // ST70_4@1
	int v398; // r6@1
	int v399; // STDC_4@1
	int v400; // ST9C_4@1
	int v401; // ST3C_4@1
	int v402; // ST54_4@1
	int v403; // r10@1
	int v404; // ST50_4@1
	int v405; // ST90_4@1
	int v406; // STC8_4@1
	int v407; // STD0_4@1
	int v408; // r1@1
	int v409; // STC4_4@1
	int v410; // STD4_4@1
	int v411; // STBC_4@1
	int v412; // STE0_4@1
	int v413; // r1@1
	int v414; // lr@1
	int v415; // STB0_4@1
	int v416; // r3@1
	int v417; // STAC_4@1
	int v418; // STA8_4@1
	int v419; // ST98_4@1
	int v420; // r9@1
	int v421; // STB8_4@1
	int v422; // ST30_4@1
	int v423; // STC8_4@1
	int v424; // STCC_4@1
	int v425; // STDC_4@1
	int v426; // r8@1
	int v427; // r5@1
	int v428; // STA0_4@1
	int v429; // STD4_4@1
	int v430; // STD0_4@1
	int v431; // STBC_4@1
	int v432; // ST20_4@1
	int v433; // r2@1
	int v434; // ST78_4@1
	int v435; // ST90_4@1
	int v436; // ST68_4@1
	int v437; // ST54_4@1
	int v438; // ST6C_4@1
	int v439; // ST94_4@1
	int v440; // r11@1
	int v441; // r9@1
	int v442; // r10@1
	int v443; // r4@1
	int v444; // ST30_4@1
	int v445; // r3@1
	int v446; // ST0C_4@1
	int v447; // ST50_4@1
	int v448; // ST18_4@1
	int v449; // ST2C_4@1
	int v450; // ST3C_4@1
	int v451; // lr@1
	int v452; // ST04_4@1
	int v453; // r11@1
	int v454; // r10@1
	int v455; // ST00_4@1
	int v456; // r12@1
	int v457; // r2@1
	int v458; // r5@1
	int v459; // r7@1
	int v460; // r3@1
	int v461; // r8@1
	int v462; // r4@1
	int v463; // ST2C_4@1
	int v464; // ST10_4@1
	int v465; // r12@1
	int v466; // r9@1
	int v467; // ST00_4@1
	int v468; // r6@1
	int v469; // r4@1
	int v470; // r1@1
	int v471; // r8@1
	int v472; // r3@1
	int v473; // ST04_4@1
	int v474; // r10@1
	int v475; // r6@1
	int v476; // r5@1
	int v477; // r4@1
	int v478; // r8@1
	int v479; // ST00_4@1
	int v480; // ST18_4@1
	int v481; // lr@1
	int v482; // r2@1
	int v483; // ST0C_4@1
	int v484; // r4@1
	int v485; // r5@1
	int v486; // r3@1
	int v487; // ST30_4@1
	int v488; // r9@1
	int v489; // lr@1
	int v490; // r10@1
	int v491; // r2@1
	int v492; // r3@1
	int v493; // r7@1
	int v494; // r1@1
	int v495; // r3@1
	int v496; // r7@1

	v1 = *(_DWORD *)(result + 804) ^ *(_DWORD *)(result + 668) ^ *(_DWORD *)(result + 796) ^ *(_DWORD *)(result + 616) & ~(*(_DWORD *)(result + 728) ^ *(_DWORD *)(result + 236) & ~*(_DWORD *)(result + 396));
	v2 = *(_DWORD *)(result + 548) | v1;
	v3 = *(_DWORD *)(result + 320);
	v4 = *(_DWORD *)(result + 168) ^ *(_DWORD *)(result + 328);
	v5 = v1 | *(_DWORD *)(result + 452);
	v6 = *(_DWORD *)(result + 804) ^ *(_DWORD *)(result + 668) ^ *(_DWORD *)(result + 796) ^ *(_DWORD *)(result + 616) & ~(*(_DWORD *)(result + 728) ^ *(_DWORD *)(result + 236) & ~*(_DWORD *)(result + 396));
	v7 = *(_DWORD *)(result + 28);
	v8 = v4 | v3;
	v9 = ~v1;
	v10 = v4 ^ v3;
	v11 = v4 & v3;
	v12 = v4 | v3;
	v13 = ~v4;
	v14 = *(_DWORD *)(result + 452) & ~v1;
	v15 = v13;
	v16 = v13 & v3;
	v17 = *(_DWORD *)(result + 168) ^ *(_DWORD *)(result + 328);
	v18 = v17 & ~v3;
	v19 = ~v7;
	v20 = v8 & ~v7;
	v21 = ~*(_DWORD *)(result + 408);
	v22 = v10;
	v23 = ~*(_DWORD *)(result + 408);
	v24 = (v12 | v7) ^ v10 ^ v11 & v21;
	v25 = *(_DWORD *)(result + 112);
	v26 = v8 & ~v7 ^ v18;
	v27 = (v16 ^ (v12 | v7)) & v21 ^ v26;
	v28 = *(_DWORD *)(result + 168) ^ *(_DWORD *)(result + 328);
	v29 = v27 ^ (v24 | *(_DWORD *)(result + 92));
	v30 = v16 | v7;
	v31 = v17 | *(_DWORD *)(result + 408);
	v32 = *(_DWORD *)(result + 168) ^ *(_DWORD *)(result + 328);
	v33 = *(_DWORD *)(result + 712) ^ ((v5 ^ *(_DWORD *)(result + 428)) & *(_DWORD *)(result + 224) ^ v2 ^ *(_DWORD *)(result + 428) | *(_DWORD *)(result + 96)) ^ (v6 | *(_DWORD *)(result + 716)) ^ *(_DWORD *)(result + 484) ^ *(_DWORD *)(result + 224) & ~(v14 ^ *(_DWORD *)(result + 428));
	v34 = ((v16 | v7) ^ v16 | *(_DWORD *)(result + 408)) & v33;
	*(_DWORD *)(result + 168) = v17;
	v35 = v29 ^ v25;
	v36 = ~v7 & v28;
	v37 = v16 & ~v7;
	v38 = v18 | v7;
	v39 = v32 & ~v18;
	v40 = v18 & ~v7;
	v41 = v31 ^ v36;
	v42 = (v16 & ~v7 ^ v18) & v23;
	v43 = v7 | v22;
	v44 = (v18 | v7) ^ v3;
	v45 = *(_DWORD *)(result + 408);
	v46 = v16 ^ v16 & v19;
	v47 = v35 ^ v34;
	*(_DWORD *)(result + 112) = v35 ^ v34;
	v48 = v38 ^ v11 ^ v40 & v23;
	v49 = v22 & v19;
	v50 = v46 ^ v45 & ~v40;
	v51 = v37 ^ v11;
	v52 = *(_DWORD *)(result + 408);
	v53 = v43 ^ v8 | v52;
	v54 = v8 ^ *(_DWORD *)(result + 128);
	v55 = (v46 | v52) ^ v51;
	v56 = v46 & v23;
	v57 = v51 & *(_DWORD *)(result + 408);
	v58 = *(_DWORD *)(result + 92);
	v59 = *(_DWORD *)(result + 84);
	v60 = v33 & ~v57 ^ v54 ^ v30 ^ v56 ^ (v33 & *(_DWORD *)(result + 636) ^ v55 | *(_DWORD *)(result + 92));
	v61 = v50 ^ *(_DWORD *)(result + 156) ^ v33 & ~v48 ^ (v33 & (v41 ^ v39) ^ v42 ^ v26 | v58);
	v62 = ~*(_DWORD *)(result + 96);
	v63 = v53 ^ v39 ^ *(_DWORD *)(result + 648) ^ *(_DWORD *)(result + 384) ^ ((v44 | *(_DWORD *)(result + 408)) ^ v49) & ~v58 ^ v33 & ~((v18 ^ *(_DWORD *)(result + 188) | *(_DWORD *)(result + 408)) ^ v20);
	v64 = ~v61;
	v65 = (v6 | *(_DWORD *)(result + 516)) ^ *(_DWORD *)(result + 600) ^ *(_DWORD *)(result + 148) ^ *(_DWORD *)(result + 224) & ~(v6 & *(_DWORD *)(result + 624) ^ *(_DWORD *)(result + 716)) ^ (v6 & ~*(_DWORD *)(result + 312) ^ *(_DWORD *)(result + 432) ^ *(_DWORD *)(result + 224) & ~(v5 ^ *(_DWORD *)(result + 432))) & v62;
	v66 = *(_DWORD *)(result + 788);
	*(_DWORD *)(result + 280) = ~v61 & *(_DWORD *)(result + 184) ^ v61;
	*(_DWORD *)(result + 156) = v61;
	v67 = v66;
	v68 = v61;
	*(_DWORD *)(result + 436) = ~v61;
	v69 = v65 & ~v66;
	v70 = v60;
	v71 = ~v60;
	v72 = *(_DWORD *)(result + 52);
	v73 = v65;
	*(_DWORD *)(result + 272) = ~v63;
	v74 = v69 ^ v72;
	v75 = *(_DWORD *)(result + 52);
	v76 = v63;
	*(_DWORD *)(result + 384) = v63;
	v77 = ~v65;
	v78 = *(_DWORD *)(result + 496);
	v79 = ~v65 & v75;
	v80 = ~v65;
	v81 = v65 | v67;
	v82 = v71;
	*(_DWORD *)(result + 480) = v71;
	v83 = v79;
	v84 = v77 & v67;
	v85 = v78;
	v86 = *(_DWORD *)(result + 52) & ~v81;
	v87 = v83;
	v88 = v73;
	v89 = *(_DWORD *)(result + 356);
	v90 = v73 ^ *(_DWORD *)(result + 556) ^ (v86 ^ v81) & v59;
	v91 = v69 & *(_DWORD *)(result + 52);
	v92 = v74 & v59 ^ *(_DWORD *)(result + 664);
	v93 = *(_DWORD *)(result + 540);
	v94 = v93 & ~v92;
	v95 = v93 & ~(v59 & ~(v83 ^ v69) ^ v91);
	v96 = ~v69 & v73;
	v97 = v86 ^ *(_DWORD *)(result + 788) ^ v94 ^ (*(_DWORD *)(result + 52) & ~v84 ^ *(_DWORD *)(result + 788)) & v59;
	v98 = (~v69 & *(_DWORD *)(result + 52) ^ v81) & v59;
	v99 = v69;
	v100 = v90 ^ v95;
	v101 = v87 ^ v88;
	v102 = v91 ^ v99 ^ (v87 ^ v88) & v59;
	v103 = v59 & ~(v87 ^ v81);
	v104 = *(_DWORD *)(result + 540);
	v105 = (v80 & *(_DWORD *)(result + 136) ^ *(_DWORD *)(result + 308)) & ~*(_DWORD *)(result + 212);
	v106 = v104 & ~(v96 ^ *(_DWORD *)(result + 196) ^ v59 & ~(v84 ^ *(_DWORD *)(result + 52)));
	v107 = v81 & *(_DWORD *)(result + 52) ^ *(_DWORD *)(result + 788) ^ v103;
	v108 = *(_DWORD *)(result + 568) ^ *(_DWORD *)(result + 64) ^ v80 & *(_DWORD *)(result + 208);
	v109 = v80 & *(_DWORD *)(result + 392);
	v110 = *(_DWORD *)(result + 736) & v80 ^ *(_DWORD *)(result + 268) | *(_DWORD *)(result + 212);
	v111 = *(_DWORD *)(result + 232) ^ (v97 | *(_DWORD *)(result + 144)) ^ v100;
	v112 = v98 ^ v101 ^ v106;
	v113 = v107 ^ v104 & ~v102;
	v114 = *(_DWORD *)(result + 452) ^ *(_DWORD *)(result + 684) ^ (v88 | *(_DWORD *)(result + 612)) ^ v105;
	v115 = v108 ^ ((*(_DWORD *)(result + 536) | v88) ^ *(_DWORD *)(result + 492) | *(_DWORD *)(result + 212));
	v116 = (v88 | *(_DWORD *)(result + 364)) ^ *(_DWORD *)(result + 704) ^ *(_DWORD *)(result + 88);
	v117 = v109 ^ *(_DWORD *)(result + 120) | *(_DWORD *)(result + 212);
	v118 = *(_DWORD *)(result + 700) ^ *(_DWORD *)(result + 264) ^ (v88 | *(_DWORD *)(result + 420)) ^ v110;
	v119 = v97 & *(_DWORD *)(result + 144) ^ v100 ^ v6;
	v120 = *(_DWORD *)(result + 488) ^ v113;
	*(_DWORD *)(result + 700) = v118;
	v121 = v112 & ~*(_DWORD *)(result + 144);
	*(_DWORD *)(result + 736) = ~v118;
	v122 = v116 ^ v117;
	v123 = v118;
	v124 = *(_DWORD *)(result + 20);
	*(_DWORD *)(result + 232) = v111;
	v125 = v122;
	*(_DWORD *)(result + 88) = v122;
	*(_DWORD *)(result + 556) = ~v111;
	*(_DWORD *)(result + 196) = v76 & v111 | v118;
	v126 = ~v124;
	v127 = ~v114 & *(_DWORD *)(result + 672);
	v128 = *(_DWORD *)(result + 672);
	*(_DWORD *)(result + 536) = ~v115;
	v129 = v127;
	v130 = v114 & ~v124;
	*(_DWORD *)(result + 364) = v114 & ~v124;
	v131 = v120 ^ v121;
	v132 = v114 | v128;
	*(_DWORD *)(result + 356) = v114 | v128;
	v133 = *(_DWORD *)(result + 660);
	v134 = v114;
	v135 = ~v114;
	*(_DWORD *)(result + 704) = ~v114;
	v136 = v129;
	*(_DWORD *)(result + 496) = v129;
	v137 = ~v119;
	*(_DWORD *)(result + 284) = ~v119;
	v138 = v9 & v85 ^ *(_DWORD *)(result + 760);
	v139 = v85 | v6;
	v140 = *(_DWORD *)(result + 224) & ~(v9 & v133 ^ *(_DWORD *)(result + 528));
	v141 = v131;
	v142 = *(_DWORD *)(result + 224);
	v143 = *(_DWORD *)(result + 428);
	v144 = *(_DWORD *)(result + 592) | v6;
	*(_DWORD *)(result + 488) = v141;
	v145 = *(_DWORD *)(result + 348) ^ v89 ^ v139 ^ v140 ^ ((v144 ^ v143) & v142 ^ v138 | *(_DWORD *)(result + 96));
	v146 = *(_DWORD *)(result + 216);
	v147 = v145;
	v148 = v145;
	v149 = v145 & v146;
	v150 = v146 & ~v145;
	v151 = v148 | v146;
	v152 = *(_DWORD *)(result + 12);
	v153 = *(_DWORD *)(result + 216);
	v154 = ~*(_DWORD *)(result + 448);
	v155 = v147 ^ v146;
	v156 = *(_DWORD *)(result + 216) & ~v149;
	v157 = v151 & ~v153;
	v158 = *(_DWORD *)(result + 448);
	v159 = v157 | v158;
	v160 = ~v153 & v147;
	v161 = v147;
	v162 = ~*(_DWORD *)(result + 44);
	v163 = v147 ^ v146 | *(_DWORD *)(result + 448);
	v164 = v156 ^ v163 ^ (v154 & v149 ^ v150) & v152 ^ ((*(_DWORD *)(result + 520) ^ v147 ^ v146) & v152 ^ (v157 | v158) ^ v147 ^ v146 | *(_DWORD *)(result + 44));
	v165 = v157 ^ *(_DWORD *)(result + 96) ^ v150 & v154 ^ (v154 | ~v149) & v152 ^ (v152 & ~(v157 ^ *(_DWORD *)result) ^ *(_DWORD *)(result + 448)) & v162;
	v166 = v152 & ~(v160 ^ *(_DWORD *)(result + 60));
	v167 = v6 | *(_DWORD *)(result + 676);
	v168 = *(_DWORD *)(result + 228) & ~(v152 & ~((v156 | v158) ^ v149) ^ (v150 & v154 ^ *(_DWORD *)(result + 76)) & v162 ^ v156);
	v169 = v152 & ~v157 ^ v151 ^ v147 & v154;
	v170 = v167 ^ *(_DWORD *)(result + 428) ^ *(_DWORD *)(result + 748) & ~v9 & *(_DWORD *)(result + 224);
	v171 = v165 ^ v168;
	v172 = v155 & v154;
	v173 = v113 ^ *(_DWORD *)(result + 248);
	v174 = *(_DWORD *)(result + 224) & ~(v9 & *(_DWORD *)(result + 604) ^ *(_DWORD *)(result + 192));
	v175 = v14 ^ *(_DWORD *)(result + 772);
	v176 = v172 ^ v157;
	v177 = v155 & v152;
	v178 = (v147 & ~v152 | *(_DWORD *)(result + 44)) ^ *(_DWORD *)(result + 476) ^ v169 ^ *(_DWORD *)(result + 228) & ~v164;
	v179 = v173 ^ *(_DWORD *)(result + 144) & ~v112;
	v180 = v175 ^ v174 ^ v170 & v62 ^ *(_DWORD *)(result + 4);
	v181 = *(_DWORD *)(result + 448) ^ *(_DWORD *)(result + 412) ^ v149 ^ v177 ^ (v169 | *(_DWORD *)(result + 44));
	v182 = (v166 ^ v157 ^ (v151 | *(_DWORD *)(result + 448)) ^ (v163 ^ v151 ^ v166) & v162) & *(_DWORD *)(result + 228);
	v183 = *(_DWORD *)(result + 416);
	v184 = (v171 & v70 | ~v70) & v183;
	v185 = v183 & ~((v171 | v70) & v82);
	v186 = (v178 & v68 ^ v68) & ~*(_DWORD *)(result + 184);
	v187 = v183 & ~(v171 | v70);
	v188 = ~v171;
	v189 = v70 & *(_DWORD *)(result + 416);
	v190 = *(_DWORD *)(result + 764) ^ *(_DWORD *)(result + 532) ^ v156 ^ v159 ^ v152 & ~v176 ^ *(_DWORD *)(result + 228) & ~(v149 ^ *(_DWORD *)(result + 300) ^ ((v149 | *(_DWORD *)(result + 448)) ^ v149) & v152);
	v191 = v185 ^ v171 & v70;
	v192 = v184 ^ v171 & v70;
	*(_DWORD *)(result + 296) = v192;
	v193 = v171 & v70 & v183 ^ (v171 | v70) & v82;
	*(_DWORD *)(result + 328) = v193;
	v194 = v171 ^ v70 ^ v189;
	v195 = v134 ^ *(_DWORD *)(result + 20);
	v196 = *(_DWORD *)(result + 20);
	*(_DWORD *)(result + 592) = v186;
	v197 = ~v180;
	v198 = v187 ^ ~v171 & v70;
	*(_DWORD *)(result + 772) = v198;
	v199 = v180;
	*(_DWORD *)(result + 248) = v179;
	*(_DWORD *)(result + 344) = v178 & v68;
	v200 = v134 & v196;
	v201 = v135 & v196;
	*(_DWORD *)(result + 748) = v185 ^ v171 & v70;
	*(_DWORD *)(result + 476) = v178;
	*(_DWORD *)(result + 76) = v171;
	v202 = v134 | v196;
	*(_DWORD *)(result + 412) = v182 ^ v181;
	v203 = (v134 | v196) & v126;
	v204 = v185 ^ v171 ^ v70;
	*(_DWORD *)(result + 520) = ~v178;
	*(_DWORD *)(result + 764) = v190;
	v205 = *(_DWORD *)(result + 416);
	*(_DWORD *)(result + 4) = v180;
	v206 = (v171 ^ v70) & v205;
	v207 = v47 ^ v152;
	v208 = *(_DWORD *)(result + 220);
	*(_DWORD *)(result + 188) = ~v179;
	v209 = v208;
	v210 = ~v171 & v70 & *(_DWORD *)(result + 416);
	*(_DWORD *)(result + 636) = v194;
	v211 = v178 & v64;
	v212 = v180;
	v213 = *(_DWORD *)(result + 460);
	v214 = *(_DWORD *)(result + 20) & ~(v134 & v196);
	v215 = v180 | v213;
	v216 = v180 & ~v213;
	v217 = v208 & ~v215;
	v218 = v215;
	v219 = ~v199 & v208;
	v220 = ~v199 & v213 ^ v212 & v208;
	v221 = v216 & v208;
	v222 = v17 & ~(v219 ^ v216);
	v223 = v212 & v208;
	v224 = v197 & v208 ^ v216;
	v225 = v197 & v213;
	v226 = v217 ^ v216;
	v227 = ~*(_DWORD *)(result + 252);
	v228 = v215 & v208;
	v229 = v220 ^ *(_DWORD *)(result + 116) ^ v222 ^ (v216 & v208 ^ v216 ^ v17 & ~v220 | *(_DWORD *)(result + 252)) ^ *(_DWORD *)(result + 408) & ~((v222 ^ v216 & v208 ^ v216) & v227 ^ (v217 ^ ~v199 & v213) & v17 ^ v217 ^ v216);
	v230 = v217 ^ v212 ^ v213;
	v231 = v229 | v134;
	v232 = (v229 | v134) ^ v134 & v196;
	v233 = v17 & ~(v219 ^ v212 ^ v213);
	v234 = (v215 & v209 ^ v212 ^ v213 ^ (v225 ^ v219) & v17) & v227 ^ v225 ^ v219 ^ (v209 & ~(v213 & ~v225) ^ v225 | v17);
	v235 = v216 & v15;
	v236 = ~v229;
	v237 = ~v229 & v134;
	v238 = v224 ^ *(_DWORD *)(result + 336) ^ v220 & v15 ^ (v233 ^ v230) & v227;
	v239 = ((v229 | *(_DWORD *)(result + 20)) ^ v202) & v111;
	*(_DWORD *)(result + 116) = ~v229 & *(_DWORD *)(result + 20);
	v240 = ((v229 | v195) ^ v214) & v111;
	v241 = v234 & *(_DWORD *)(result + 408);
	v242 = v217 ^ v216 ^ v235;
	v243 = v223 ^ v212;
	*(_DWORD *)(result + 524) = v229 ^ v214;
	v244 = v238 ^ v241;
	v245 = ~v229 & v195;
	v246 = v242 | *(_DWORD *)(result + 252);
	v247 = v219 ^ v212;
	v248 = v228 | v17;
	v249 = v111 & ~(v201 ^ (v229 | v134));
	*(_DWORD *)(result + 208) = v237 ^ v195;
	v250 = *(_DWORD *)(result + 672) & ~(~v229 & v130 ^ v203 ^ (v237 ^ v130) & v111);
	v251 = v209 & ~v216;
	*(_DWORD *)(result + 676) = v230;
	v252 = v243 | v17;
	v253 = v17 & ~(v213 ^ v218 & v209) ^ v213 & ~v225 ^ v246;
	*(_DWORD *)(result + 668) = v226 ^ v248;
	v254 = v229 | v200;
	*(_DWORD *)(result + 332) = v237 ^ v200;
	v255 = v229 ^ v195 ^ (v229 | v202) & v111;
	*(_DWORD *)(result + 60) = v253;
	*(_DWORD *)(result + 96) = v237 ^ v201;
	v256 = v111 & ~v203 ^ v231;
	v257 = *(_DWORD *)(result + 672);
	v258 = (v111 & ~v232 ^ v203) & *(_DWORD *)(result + 672);
	v259 = (v254 ^ v200 | ~v111) & v257;
	v260 = (v245 ^ v195) & ~v111 ^ v237 ^ v134 ^ (v245 ^ v201 ^ v239) & v257;
	v261 = *(_DWORD *)(result + 208);
	v262 = v259;
	*(_DWORD *)(result + 264) = v236;
	v263 = v261 & v111 ^ *(_DWORD *)(result + 116);
	v264 = v111 & ~v202 ^ v130 ^ v231;
	*(_DWORD *)(result + 428) = v232;
	v265 = *(_DWORD *)(result + 208);
	*(_DWORD *)(result + 512) = v255 ^ *(_DWORD *)(result + 672) & ~(v232 & ~v111);
	v266 = v265 & v111;
	v267 = v263 & *(_DWORD *)(result + 672);
	v268 = v111 & ~(v237 ^ v134) ^ v232;
	v269 = v240 ^ *(_DWORD *)(result + 96);
	v270 = (v240 ^ *(_DWORD *)(result + 332)) & *(_DWORD *)(result + 672);
	v271 = (v231 ^ v202 ^ v249) & *(_DWORD *)(result + 672);
	v272 = v231 & v111 ^ *(_DWORD *)(result + 524);
	*(_DWORD *)(result + 424) = v244 | v76;
	*(_DWORD *)(result + 224) = v268 ^ v250;
	*(_DWORD *)(result + 624) = v256;
	*(_DWORD *)(result + 192) = v237 ^ v134;
	*(_DWORD *)(result + 492) = v269 ^ v270;
	*(_DWORD *)(result + 392) = v260;
	v273 = *(_DWORD *)(result + 424);
	*(_DWORD *)(result + 612) = v266;
	v274 = v273 ^ v76;
	*(_DWORD *)(result + 136) = v267 ^ v266;
	*(_DWORD *)(result + 8) = v271 ^ v256;
	v275 = *(_DWORD *)(result + 668);
	*(_DWORD *)(result + 776) = v264 ^ v262;
	*(_DWORD *)(result + 244) = v258 ^ v272;
	v276 = (v230 ^ v252 | *(_DWORD *)(result + 252)) ^ v275;
	*(_DWORD *)(result + 600) = v272;
	*(_DWORD *)(result + 336) = v244;
	*(_DWORD *)(result + 308) = ~v244 & v76;
	v277 = *(_DWORD *)(result + 440);
	*(_DWORD *)(result + 576) = ~v244;
	v278 = *(_DWORD *)(result + 408) & ~v276;
	v279 = *(_DWORD *)(result + 32);
	v280 = *(_DWORD *)(result + 408) & ~((v17 & ~v247 ^ v225 & ~v209) & v227 ^ v277 ^ v233);
	v281 = v225 & ~v17 ^ v221 | *(_DWORD *)(result + 252);
	v282 = *(_DWORD *)(result + 424);
	v283 = *(_DWORD *)(result + 416) & ~(v171 & v70);
	v284 = *(_DWORD *)(result + 768);
	*(_DWORD *)(result + 304) = v274;
	*(_DWORD *)(result + 796) = v282;
	v285 = v253 ^ v279 ^ v278;
	v286 = *(_DWORD *)(result + 72);
	v287 = ~v284;
	*(_DWORD *)(result + 440) = v244 ^ v76;
	v288 = ~v285;
	v289 = v286 ^ v247 ^ (v251 ^ v218) & v17 ^ v281 ^ v280;
	v290 = v289 & v47;
	*(_DWORD *)result = v289 ^ *(_DWORD *)(result + 768);
	v291 = v289;
	v292 = *(_DWORD *)result;
	*(_DWORD *)(result + 32) = v285;
	v293 = *(_DWORD *)(result + 32) | v171;
	v294 = ~v291;
	v295 = v291;
	v296 = ~v291 & v47;
	v297 = v291 | *(_DWORD *)(result + 768);
	v298 = v291 & *(_DWORD *)(result + 768);
	v299 = v179 | v288 & v171 & v70 ^ v70 ^ v187;
	v300 = v82 & *(_DWORD *)(result + 416);
	v301 = v171 & v82 & *(_DWORD *)(result + 416);
	v302 = *(_DWORD *)result ^ v296;
	v303 = *(_DWORD *)(result + 768) ^ v296;
	v304 = (v292 & v47 ^ *(_DWORD *)(result + 768)) & v141;
	v305 = v297 & ~v291;
	v306 = v47 & v298;
	v307 = ~v291 & *(_DWORD *)(result + 768);
	v308 = ~v190 & *(_DWORD *)(result + 768);
	v309 = (*(_DWORD *)(result + 416) ^ v171 & v82) & v288;
	v310 = *(_DWORD *)result ^ v47 & ~v284;
	v311 = *(_DWORD *)(result + 32) | v70;
	v312 = (v171 | v70) & v82 ^ v300;
	v313 = v300 ^ v70;
	v314 = (v184 ^ (v171 | v70)) & v288;
	v315 = v184 ^ v171;
	v316 = v70 ^ v206 ^ (v283 ^ (v171 | v70) | *(_DWORD *)(result + 32));
	v317 = v198 ^ v293 | v179;
	v318 = v171 & v82 & *(_DWORD *)(result + 416);
	*(_DWORD *)(result + 728) = v194 ^ v293;
	v319 = v299 ^ v318;
	v320 = v303 & v141;
	v321 = v302 ^ (v290 ^ v291) & v141;
	v322 = v291 & ~v298;
	*(_DWORD *)(result + 236) = v47 & v298 ^ v305;
	v323 = v141 & ~v284;
	v324 = v308 ^ v47;
	v325 = v47 & ~v297;
	v326 = v297 ^ v291 & v47 & ~v284 ^ v304;
	v327 = v141 ^ *(_DWORD *)(result + 68);
	v328 = v204 & v288;
	v329 = v191 ^ v309;
	v330 = v311 ^ v313;
	v331 = v312 | *(_DWORD *)(result + 32);
	*(_DWORD *)(result + 172) = v314 ^ v192;
	v332 = v315 | *(_DWORD *)(result + 32);
	v333 = v317 ^ *(_DWORD *)(result + 728);
	v334 = v306 ^ *(_DWORD *)result;
	*(_DWORD *)(result + 804) = *(_DWORD *)(result + 236) ^ v307 & v141;
	v335 = v47 & ~*(_DWORD *)result;
	v336 = v307 ^ v292 & v47 ^ v320;
	v337 = v310 & v141 ^ *(_DWORD *)(result + 768);
	v338 = v305 ^ v290 ^ v292 & v47 & v141;
	v339 = v332 ^ v194;
	v340 = v288 & v171 & v82 ^ v313;
	*(_DWORD *)(result + 716) = *(_DWORD *)(result + 172) ^ ~v179 & v316;
	v341 = v319 & v115 ^ *(_DWORD *)(result + 408);
	v342 = v47 & ~v305 ^ *(_DWORD *)result;
	v343 = *(_DWORD *)(result + 804) ^ v321 & ~v190;
	*(_DWORD *)(result + 300) = v324 ^ v323 ^ v295;
	*(_DWORD *)(result + 532) = *(_DWORD *)(result + 768) ^ v335;
	v344 = v295 & ~v141 ^ v292 & v47;
	v345 = v340 | v179;
	v346 = *(_DWORD *)(result + 416) ^ v171 & v70;
	*(_DWORD *)(result + 548) = *(_DWORD *)(result + 716) ^ v333 & v115;
	v347 = v341 ^ v339;
	v348 = v207 ^ *(_DWORD *)result;
	v349 = v141 & ~v342;
	v350 = ~(*(_DWORD *)(result + 300) ^ *(_DWORD *)(result + 92) ^ (v343 | *(_DWORD *)(result + 24)));
	v351 = v334 & v141 ^ *(_DWORD *)(result + 532);
	v352 = ~*(_DWORD *)(result + 24);
	v353 = v179 & ~(v192 ^ v331) ^ v339;
	v354 = *(_DWORD *)(result + 164) ^ v193 ^ (v330 | v179);
	v355 = *(_DWORD *)(result + 32) | v210;
	*(_DWORD *)(result + 720) = v353;
	v356 = v347 ^ (v328 ^ v206 | v179);
	v357 = v115 & ~(v329 & v179 ^ v301);
	v358 = v351 ^ (v344 | v190);
	v359 = v327 ^ v325 ^ v322 ^ (v338 | v190) ^ v352 & (v336 ^ v326 & ~v190);
	v360 = *(_DWORD *)(result + 52) ^ *(_DWORD *)(result + 548);
	v361 = v357 ^ v353;
	v362 = *(_DWORD *)(result + 788);
	*(_DWORD *)(result + 164) = v115 & ~(v346 ^ v345) ^ v354 ^ v355;
	v363 = v358 ^ v362;
	v364 = *(_DWORD *)(result + 24);
	*(_DWORD *)(result + 52) = ~v360;
	*(_DWORD *)(result + 448) ^= v361;
	v365 = *(_DWORD *)(result + 672);
	v366 = (v295 ^ v325) & v141 ^ v348 ^ (v190 | v47 & ~v322 ^ v337) ^ ((v47 & ~v322 ^ v337) & ~v190 ^ v325 | v364);
	*(_DWORD *)(result + 616) = ~v356;
	*(_DWORD *)(result + 528) = v361;
	v367 = v134 ^ v365;
	v368 = v134 & v365;
	v369 = v134 & ~v365;
	*(_DWORD *)(result + 808) = v358;
	v370 = v134 & v365 ^ v33;
	v371 = v132 & ~v365;
	v372 = *(_DWORD *)(result + 672);
	*(_DWORD *)(result + 484) = v294;
	v373 = v372 & ~(v134 & v365);
	*(_DWORD *)(result + 408) = v305;
	v374 = ~v119 & v134 & v365;
	*(_DWORD *)(result + 788) = v363 ^ (v141 & ~v190 & ~v310 ^ v349 | v364);
	v375 = *(_DWORD *)(result + 708);
	v376 = v295 | *(_DWORD *)(result + 288);
	v377 = v134 | v119;
	*(_DWORD *)(result + 12) = v366;
	v378 = *(_DWORD *)(result + 160) ^ v375;
	v379 = ~v119 & v369;
	v380 = *(_DWORD *)(result + 580);
	v381 = v212 & ~*(_DWORD *)(result + 108);
	*(_DWORD *)(result + 72) = v295;
	v382 = *(_DWORD *)(result + 48);
	*(_DWORD *)(result + 92) = v350;
	*(_DWORD *)(result + 660) = v351;
	*(_DWORD *)(result + 68) = ~v359;
	v383 = v376;
	v384 = v378 ^ v381;
	*(_DWORD *)(result + 48) = *(_DWORD *)(result + 468) ^ v382 ^ v212 & v380;
	*(_DWORD *)(result + 544) = ~(v378 ^ v381);
	v385 = *(_DWORD *)(result + 80);
	v386 = *(_DWORD *)(result + 48) & *(_DWORD *)(result + 768);
	v387 = v134 & *(_DWORD *)(result + 544);
	v388 = *(_DWORD *)(result + 48);
	v389 = *(_DWORD *)(result + 768);
	v390 = v389;
	v391 = v388 | v389;
	v392 = v388 ^ v390;
	v393 = v136 & *(_DWORD *)(result + 544);
	v394 = v287 & v391;
	v395 = *(_DWORD *)(result + 48) & ~v385;
	v396 = v391 | v385;
	v397 = *(_DWORD *)(result + 200) ^ v392;
	v398 = ~v385 & v386 ^ v391;
	v399 = *(_DWORD *)(result + 644) ^ v391;
	v400 = *(_DWORD *)(result + 48) ^ *(_DWORD *)(result + 256);
	v401 = ~v119 & ((v134 | v384) ^ v134);
	v402 = v368 & *(_DWORD *)(result + 544);
	*(_DWORD *)(result + 108) = v367 & *(_DWORD *)(result + 544) ^ v132;
	v403 = v387 ^ v369;
	v404 = v132 & *(_DWORD *)(result + 544);
	v405 = v369 & *(_DWORD *)(result + 544);
	*(_DWORD *)(result + 268) = v393 ^ v136;
	v406 = v395 | v47;
	v407 = v287 & v391 ^ (v385 | v386);
	v408 = *(_DWORD *)(result + 768);
	v409 = *(_DWORD *)(result + 48) & ~v47;
	v410 = v396 ^ v392;
	v411 = v392 & ~v385 | v47;
	v412 = v408 & ~*(_DWORD *)(result + 48);
	v413 = v408 & ~v386;
	v414 = (v132 | v384) ^ v367;
	v415 = ~v119 & (v387 ^ v134) ^ *(_DWORD *)(result + 108);
	v416 = v399 & ~v47;
	v417 = ~v119 & v403;
	*(_DWORD *)(result + 760) = v404 ^ *(_DWORD *)(result + 672);
	v418 = v404 ^ v132;
	*(_DWORD *)(result + 516) = (v367 | v384) ^ v132;
	v419 = v402 ^ v367;
	v420 = ~v119 & (v393 ^ v134);
	v421 = v402 ^ v132;
	*(_DWORD *)(result + 604) = ~v119 & v384 ^ *(_DWORD *)(result + 268);
	v422 = v405 ^ v371;
	v423 = v406 ^ v386;
	v424 = v394 | v385;
	v425 = v394 ^ v385;
	v426 = v410 ^ v397 & ~v47;
	v427 = v407 & ~v47;
	v428 = v411 ^ v413;
	v429 = v413 | v385;
	v430 = v416 ^ v412;
	v431 = v398 & ~v47;
	v432 = v398 ^ v400 & ~v47;
	v433 = v119;
	*(_DWORD *)(result + 352) = v402 ^ v368;
	v434 = v119 | (v134 | v384) ^ v132;
	v435 = v414 ^ v88;
	v436 = v119 & ((v134 | v384) ^ v368) ^ *(_DWORD *)(result + 108);
	v437 = (v401 ^ v387) & v82;
	v438 = v370 ^ v404;
	v439 = v137 & v419;
	v440 = v401 ^ *(_DWORD *)(result + 516);
	v441 = v420 ^ v134;
	v442 = v401 ^ *(_DWORD *)(result + 268);
	v443 = v379 ^ v422;
	v444 = v427 ^ *(_DWORD *)(result + 404);
	v445 = v397 ^ v409 & v287;
	v446 = *(_DWORD *)(result + 124) ^ v428;
	v447 = v137 & (v373 ^ (v132 | v384));
	v448 = (v368 | v384) ^ v132;
	v449 = v401 ^ *(_DWORD *)(result + 352);
	v450 = (v433 | v414) ^ v134;
	v451 = v436 | v70;
	v452 = *(_DWORD *)(result + 760) ^ v212 ^ v377;
	v453 = v440 | v70;
	v454 = v442 | v70;
	v455 = v443 | v70;
	v456 = v421 ^ v374 ^ *(_DWORD *)(result + 604) & v82;
	v457 = *(_DWORD *)(result + 212) ^ v444;
	v458 = v444 ^ *(_DWORD *)(result + 252);
	v459 = (v244 | v426) ^ v445;
	v460 = v244 & ~v426 ^ v445;
	v461 = v431 ^ v425 ^ *(_DWORD *)(result + 216) ^ ~v244 & v446;
	*(_DWORD *)(result + 64) = v448 ^ v447;
	v462 = v449 & v82;
	v463 = v417 ^ v418 ^ v415 & v82 | v171;
	v464 = v441 ^ v437 | v171;
	v465 = v439 ^ v435 ^ v454 ^ v456 & v188;
	v466 = v452 ^ v455;
	v467 = v462 ^ *(_DWORD *)(result + 64);
	*(_DWORD *)(result + 216) = ~(v461 ^ v123 & ~(v429 ^ v430 ^ v432 & ~v244));
	v468 = *(_DWORD *)(result + 56);
	v469 = *(_DWORD *)(result + 784);
	*(_DWORD *)(result + 312) = ~(v466 ^ v464);
	*(_DWORD *)(result + 252) = ~(v123 & ~v460 ^ v458 ^ v244 & ~(v423 ^ v424));
	v470 = v123 & ~(v432 & v244 ^ v429 ^ v430) ^ v244 & ~v446 ^ v431 ^ v425 ^ v469;
	v471 = v212 & ~*(_DWORD *)(result + 316);
	v472 = *(_DWORD *)(result + 24);
	v473 = v468;
	v474 = *(_DWORD *)(result + 388) ^ *(_DWORD *)(result + 724);
	v475 = *(_DWORD *)(result + 24);
	*(_DWORD *)(result + 212) = ~(v457 ^ ~v244 & (v423 ^ v424) ^ v459 & v123);
	*(_DWORD *)(result + 708) = v467;
	*(_DWORD *)(result + 712) = ~(v434 ^ v438 ^ v453 ^ v463);
	v476 = *(_DWORD *)(result + 24);
	*(_DWORD *)(result + 348) = (v450 ^ v451) & v188 ^ v467 ^ v161;
	*(_DWORD *)(result + 148) = ~v465;
	v477 = v474 ^ v471;
	v478 = (v474 ^ v471) & v476;
	v479 = v477;
	v480 = v477 ^ v476;
	v481 = ~v477;
	v482 = v125 & ~(v383 ^ v477);
	*(_DWORD *)(result + 784) = v470;
	*(_DWORD *)(result + 388) = v477;
	*(_DWORD *)(result + 200) = ~v477 & v472;
	v483 = v477 | v475;
	v484 = v477 & v68;
	*(_DWORD *)(result + 256) = v480 & v473;
	*(_DWORD *)(result + 724) = v481 & v473 ^ *(_DWORD *)(result + 24);
	v485 = *(_DWORD *)(result + 200);
	v486 = (v480 & v473 ^ v480 | v295) ^ *(_DWORD *)(result + 724);
	*(_DWORD *)(result + 664) = v486;
	*(_DWORD *)(result + 288) = v486 ^ v482;
	v487 = *(_DWORD *)(result + 288) ^ *(_DWORD *)(result + 132) ^ v178 & ~(v478 & ~v473 & ~v294 ^ v478 & ~v294 & v125);
	v488 = ~v484 & v479;
	v489 = v295 & ~v478 ^ *(_DWORD *)(result + 24);
	*(_DWORD *)(result + 372) = v478;
	*(_DWORD *)(result + 452) = v484;
	*(_DWORD *)(result + 468) = ~v484 & v178;
	v490 = (v295 | v483) ^ *(_DWORD *)(result + 24);
	v491 = *(_DWORD *)(result + 376);
	*(_DWORD *)(result + 432) = v478 ^ v473 | v295;
	v492 = *(_DWORD *)(result + 184) & ~(v178 & (v68 ^ v479) ^ v484);
	*(_DWORD *)(result + 120) = ~v478 & *(_DWORD *)(result + 24);
	v493 = *(_DWORD *)(result + 184);
	*(_DWORD *)(result + 420) = v68 ^ v178 & v484;
	*(_DWORD *)(result + 684) = v492;
	v494 = v493 & ~(v178 ^ v484);
	v495 = *(_DWORD *)(result + 468);
	*(_DWORD *)(result + 396) = v211 ^ v488;
	v496 = *(_DWORD *)(result + 184);
	*(_DWORD *)(result + 680) = v479 ^ v178 & ~v488;
	*(_DWORD *)(result + 648) = v494;
	*(_DWORD *)(result + 580) = v495 ^ v479;
	*(_DWORD *)(result + 644) = (v483 ^ v473 & v485) & v294 ^ ~v478 & v473 ^ v478 ^ v489 & v125;
	*(_DWORD *)(result + 128) = v496 & ~(v178 ^ v488);
	*(_DWORD *)(result + 404) = v488;
	*(_DWORD *)(result + 132) = ~v487;
	*(_DWORD *)(result + 160) = v295 & (v473 & v485 ^ v479) ^ v483;
	*(_DWORD *)(result + 124) = v490 & v125;
	*(_DWORD *)(result + 316) = (v473 ^ v352) & v483 ^ (v295 | v479) ^ (v294 | ~v479) & v125;
	*(_DWORD *)(result + 568) = v483 & v352;
	*(_DWORD *)(result + 176) = v125 & (v491 ^ (v295 | v479 ^ v473));
	*(_DWORD *)(result + 376) = v480;
	return result;
}

//----- (0009E1C4) --------------------------------------------------------
unsigned char* sub_9E1C4(unsigned char* result, unsigned char* a3)
{
	int v3; // lr@1
	int v4; // r11@1
	int v5; // r7@1
	int v6; // r1@1
	int v7; // r5@1
	int v8; // r9@1
	int v9; // r4@1
	int v10; // r10@1
	int v11; // r6@1
	int v12; // r3@1
	int v13; // r6@1
	int v14; // ST04_4@1
	int v15; // ST14_4@1
	int v16; // r3@1
	int v17; // ST20_4@1
	int v18; // r5@1
	int v19; // ST08_4@1
	int v20; // r12@1
	int v21; // r6@1
	int v22; // r3@1
	int v23; // r6@1
	int v24; // ST10_4@1
	int v25; // ST1C_4@1
	int v26; // r8@1
	int v27; // r4@1
	int v28; // ST00_4@1
	int v29; // r6@1
	int v30; // r3@1
	int v31; // r10@1
	int v32; // ST28_4@1
	int v33; // ST2C_4@1
	int v34; // r7@1
	int v35; // r9@1
	int v36; // r6@1
	int v37; // ST24_4@1
	int v38; // r8@1
	int v39; // r5@1
	int v40; // ST18_4@1
	int v41; // r9@1
	int v42; // r12@1
	int v43; // r4@1
	int v44; // lr@1
	int v45; // r10@1
	int v46; // r6@1
	int v47; // ST0C_4@1
	int v48; // r12@1
	int v49; // r7@1
	int v50; // lr@1
	int v51; // r5@1
	int v52; // r9@1
	int v53; // r3@1
	int v54; // r9@1
	int v55; // r1@1
	int v56; // lr@1
	int v57; // r7@1
	int v58; // r5@1
	int v59; // r3@1
	int v60; // ST00_4@1
	int v61; // r1@1
	int v62; // r9@1
	int v63; // r8@1
	int v64; // lr@1
	int v65; // r12@1
	int v66; // r4@1
	int v67; // r6@1
	int v68; // r1@1
	int v69; // r4@1
	int v70; // ST04_4@1
	int v71; // r10@1
	int v72; // r5@1
	int v73; // r1@1
	int v74; // r4@1
	int v75; // r3@1
	int v76; // r1@1
	int v77; // r4@1
	int v78; // r5@1
	int v79; // r12@1
	int v80; // r3@1
	int v81; // r8@1
	int v82; // ST00_4@1
	int v83; // r6@1
	int v84; // ST08_4@1
	int v85; // r3@1
	int v86; // lr@1
	int v87; // ST14_4@1
	int v88; // r9@1
	int v89; // r7@1
	int v90; // ST0C_4@1
	int v91; // ST2C_4@1
	int v92; // r1@1
	int v93; // ST20_4@1
	int v94; // r6@1
	int v95; // r7@1
	int v96; // ST28_4@1
	int v97; // ST10_4@1
	int v98; // ST18_4@1
	int v99; // r11@1
	int v100; // r12@1
	int v101; // r8@1
	int v102; // r8@1
	int v103; // r9@1
	int v104; // r10@1
	int v105; // ST24_4@1
	int v106; // r5@1
	int v107; // r6@1
	int v108; // ST34_4@1
	int v109; // ST30_4@1
	int v110; // r5@1
	int v111; // ST08_4@1
	int v112; // ST1C_4@1
	int v113; // r8@1
	int v114; // r10@1
	int v115; // r4@1
	int v116; // ST04_4@1
	int v117; // r9@1
	int v118; // ST00_4@1
	int v119; // r4@1
	int v120; // r1@1
	int v121; // r9@1
	int v122; // r8@1
	int v123; // r12@1
	int v124; // r1@1
	int v125; // r5@1
	int v126; // r6@1
	int v127; // lr@1
	int v128; // r4@1
	int v129; // r7@1
	int v130; // r6@1
	int v131; // r8@1
	int v132; // r5@1
	int v133; // lr@1
	int v134; // r4@1
	int v135; // r9@1
	int v136; // r12@1
	int v137; // r10@1
	int v138; // r8@1
	int v139; // r1@1
	int v140; // r6@1
	int v141; // lr@1
	int v142; // r7@1
	int v143; // r5@1
	int v144; // ST0C_4@1
	int v145; // r3@1
	int v146; // r4@1
	int v147; // ST10_4@1
	int v148; // r12@1
	int v149; // r3@1
	int v150; // r7@1
	int v151; // ST08_4@1
	int v152; // r3@1
	int v153; // r7@1
	int v154; // r10@1
	int v155; // r7@1
	int v156; // r8@1
	int v157; // r3@1
	int v158; // r7@1

	v3 = *(_DWORD *)(result + 72);
	v4 = *(_DWORD *)(result + 476);
	v5 = *(_DWORD *)(result + 376);
	v6 = *(_DWORD *)(result + 388);
	v7 = (v5 & v3 ^ *(_DWORD *)(result + 24)) & *(_DWORD *)(result + 88) ^ *(_DWORD *)(result + 160);
	v8 = v6 | *(_DWORD *)(result + 156);
	v9 = *(_DWORD *)(result + 56);
	v10 = *(_DWORD *)(result + 540) ^ *(_DWORD *)(result + 316);
	v11 = (*(_DWORD *)(result + 568) ^ *(_DWORD *)(result + 256) | v3) ^ *(_DWORD *)(result + 568);
	*(_DWORD *)(result + 560) = ~(*(_DWORD *)(result + 560) ^ *(_DWORD *)(result + 644) ^ (*(_DWORD *)(result + 124) ^ v11) & v4);
	v12 = *(_DWORD *)(result + 120);
	*(_DWORD *)(result + 256) = v11;
	v13 = *(_DWORD *)(result + 280);
	*(_DWORD *)(result + 540) = v10 ^ v4 & ~v7;
	v14 = v8 & v4 ^ v6;
	v15 = v5 & v9 ^ v12;
	v16 = v6 & ~*(_DWORD *)(result + 156);
	*(_DWORD *)(result + 376) = v15;
	v17 = v13;
	v18 = v6 & v4 ^ v16;
	v19 = v16;
	v20 = v6 & v9 & ~*(_DWORD *)(result + 24);
	v21 = *(_DWORD *)(result + 432);
	*(_DWORD *)(result + 124) = v5 ^ v9;
	v22 = v21 ^ *(_DWORD *)(result + 372);
	v23 = *(_DWORD *)(result + 88);
	*(_DWORD *)(result + 280) = v14;
	v24 = v23 & ~(v9 & ~v5 ^ v22);
	v25 = v20 ^ v6;
	v26 = (v20 ^ v6) & ~v3 ^ v5 ^ v9;
	v27 = *(_DWORD *)(result + 128) ^ *(_DWORD *)(result + 452);
	v28 = v8 & ~v6;
	v29 = ~v6 & v4;
	v30 = *(_DWORD *)(result + 184);
	v31 = v29 ^ *(_DWORD *)(result + 404);
	v32 = (v8 | ~v4) & v30;
	v33 = v30 & ~(v29 ^ *(_DWORD *)(result + 452)) ^ *(_DWORD *)(result + 680) | *(_DWORD *)(result + 416);
	v34 = *(_DWORD *)(result + 344);
	v35 = *(_DWORD *)(result + 220);
	v36 = *(_DWORD *)(result + 176);
	*(_DWORD *)(result + 72) = v26;
	v37 = v35 ^ v36 ^ v26;
	v38 = v6 ^ v4;
	v39 = (v18 & v30 ^ *(_DWORD *)(result + 468) | *(_DWORD *)(result + 416)) ^ v30 & ~v31 ^ v34 ^ v28;
	v40 = v30 & ~v31 ^ v34 ^ v28;
	*(_DWORD *)(result + 344) = v34 ^ v28;
	v41 = (v20 ^ *(_DWORD *)(result + 200)) & ~v3;
	v42 = v4 & ~v28;
	v43 = v27 ^ v42;
	v44 = *(_DWORD *)(result + 156) & v4 & ~v6 ^ *(_DWORD *)(result + 452);
	v45 = v44 ^ *(_DWORD *)(result + 592);
	v46 = v44 ^ *(_DWORD *)(result + 648) | *(_DWORD *)(result + 416);
	v47 = (v42 ^ v6) & v30;
	v48 = v42 & v30 ^ *(_DWORD *)(result + 680);
	v49 = *(_DWORD *)(result + 420);
	v50 = (v19 & v4 ^ *(_DWORD *)(result + 452)) & ~v30 | *(_DWORD *)(result + 416);
	v51 = v39 & *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 644) = v41 ^ v15;
	v52 = (v6 ^ v4) & v30;
	*(_DWORD *)(result + 176) = v14 ^ v52;
	v53 = v30 & ~(v6 ^ v4);
	v54 = v52 ^ *(_DWORD *)(result + 156);
	v55 = *(_DWORD *)(result + 416);
	*(_DWORD *)(result + 160) = v49 ^ v53 ^ v50;
	v56 = ~v55;
	v57 = v54 ^ v48 & ~v55;
	v58 = v51 ^ v57;
	v59 = v53 ^ v28;
	v60 = *(_DWORD *)(result + 248) & ~(v43 & ~v55 ^ *(_DWORD *)(result + 176)) ^ *(_DWORD *)(result + 160);
	v61 = v47 ^ *(_DWORD *)(result + 396);
	v62 = *(_DWORD *)(result + 580) ^ *(_DWORD *)(result + 144);
	v63 = v38 ^ *(_DWORD *)(result + 684);
	v64 = v45 & v56 ^ v63;
	v65 = v4 & ~(*(_DWORD *)(result + 644) ^ v24);
	v66 = *(_DWORD *)(result + 416);
	v67 = *(_DWORD *)(result + 248) & ~(v46 ^ v17) ^ v64;
	*(_DWORD *)(result + 580) = v57;
	v68 = v61 | v66;
	*(_DWORD *)(result + 120) = v58;
	v69 = *(_DWORD *)(result + 36);
	*(_DWORD *)(result + 648) = v67;
	*(_DWORD *)(result + 592) = v64;
	*(_DWORD *)(result + 684) = v63;
	v70 = v60 ^ v69;
	v71 = v58 ^ *(_DWORD *)(result + 44);
	v72 = *(_DWORD *)(result + 780);
	v73 = v62 ^ v32 ^ v68 ^ (v59 ^ v33) & *(_DWORD *)(result + 248);
	*(_DWORD *)(result + 220) = v37 ^ v65;
	*(_DWORD *)(result + 144) = v73;
	*(_DWORD *)(result + 396) = v25;
	v74 = *(_DWORD *)(result + 320);
	*(_DWORD *)(result + 36) = ~v70;
	v75 = *(_DWORD *)(result + 4);
	v76 = *(_DWORD *)(result + 688);
	*(_DWORD *)(result + 372) = v19;
	*(_DWORD *)(result + 320) = v74 ^ v67;
	*(_DWORD *)(result + 468) = v40;
	*(_DWORD *)(result + 128) = v60;
	v77 = *(_DWORD *)(result + 752);
	*(_DWORD *)(result + 44) = ~v71;
	v78 = v72 ^ v77 ^ v76 & v75;
	v79 = v78 & ~*(_DWORD *)(result + 136);
	v80 = *(_DWORD *)(result + 384);
	v81 = *(_DWORD *)(result + 512) ^ *(_DWORD *)(result + 100) ^ v78 & ~*(_DWORD *)(result + 392);
	v82 = *(_DWORD *)(result + 336);
	v83 = *(_DWORD *)(result + 596) ^ *(_DWORD *)(result + 776);
	v84 = v80;
	v85 = v78 & ~v80;
	v86 = *(_DWORD *)(result + 232);
	v87 = v85 ^ v82;
	v88 = v82 ^ v86 ^ v78 ^ v84;
	v89 = (v78 ^ *(_DWORD *)(result + 308)) & v86;
	v90 = ~v86;
	v91 = v78 ^ v84;
	v92 = *(_DWORD *)(result + 440);
	*(_DWORD *)(result + 168) ^= *(_DWORD *)(result + 224) ^ v78 & *(_DWORD *)(result + 492);
	*(_DWORD *)(result + 100) = ~v81;
	*(_DWORD *)(result + 596) = ~(v83 ^ v79);
	v93 = v89 ^ v92;
	v94 = (v85 ^ v82) & ~v86;
	*(_DWORD *)(result + 308) = v89 ^ v92;
	v95 = v78;
	v96 = (v82 | v78) ^ v78 ^ v94;
	*(_DWORD *)(result + 432) = v96;
	v97 = v78 & ~v85;
	v98 = v88 ^ *(_DWORD *)(result + 196);
	*(_DWORD *)(result + 688) = v85 ^ v82;
	*(_DWORD *)(result + 4) = v97;
	v99 = ~v78 & v84;
	v100 = v78 | v84;
	v101 = *(_DWORD *)(result + 304);
	*(_DWORD *)(result + 416) = ~v78;
	*(_DWORD *)(result + 304) = v88;
	v102 = v94 ^ v101;
	v103 = v78 & ~v82;
	v104 = (v85 ^ (v82 | v78)) & ~v86;
	v105 = (v85 ^ v82) & ~v86;
	v106 = *(_DWORD *)(result + 424);
	v107 = v84;
	*(_DWORD *)(result + 196) = v98;
	v108 = v102;
	v109 = v104 ^ *(_DWORD *)(result + 440);
	*(_DWORD *)(result + 424) = v106 ^ v91;
	v110 = *(_DWORD *)(result + 424);
	*(_DWORD *)(result + 776) = v95 | v84;
	*(_DWORD *)(result + 136) = v99 ^ v103;
	v111 = (v103 ^ v84 | v86) ^ v110;
	v112 = ((v99 | v82) ^ v99) & ~v86 ^ v100;
	v113 = v107 & v95 & ~v82;
	v114 = v104 ^ v113;
	v115 = v82;
	v116 = v95;
	v117 = v107 & v95 ^ v82;
	v118 = v100 & ~v82;
	v119 = v115 | v97;
	v120 = v117 | v86;
	v121 = v113 ^ v95 ^ v105;
	v122 = v119 ^ v85;
	v123 = v118 ^ (v100 | v86);
	v124 = v120 ^ v119;
	v125 = (v91 | v86) ^ v91 ^ v119 | *(_DWORD *)(result + 700);
	v126 = *(_DWORD *)(result + 136);
	*(_DWORD *)(result + 392) = v123;
	*(_DWORD *)(result + 780) = (v97 ^ v118 | v86) ^ v126;
	v127 = (v119 ^ v99 | v86) ^ v87;
	v128 = *(_DWORD *)(result + 700);
	v129 = v122 & v90;
	v130 = *(_DWORD *)(result + 700);
	*(_DWORD *)(result + 476) = v127;
	v131 = ~v128;
	v132 = v125 ^ v123;
	v133 = v111 & ~v128;
	v134 = v121 ^ v114 & ~v128;
	v135 = v99 ^ *(_DWORD *)(result + 796);
	v136 = v112 & v131;
	v137 = *(_DWORD *)(result + 412);
	v138 = v137 & ~(v109 ^ v108 & v131);
	v139 = (v124 | v130) ^ *(_DWORD *)(result + 780);
	v140 = v137 & ~v132 ^ v98;
	v141 = *(_DWORD *)(result + 412) & ~(v133 ^ v96) ^ v139;
	v142 = v129 ^ v135 | *(_DWORD *)(result + 700);
	v143 = *(_DWORD *)(result + 476) ^ v136;
	v144 = v141 ^ *(_DWORD *)(result + 28);
	v145 = *(_DWORD *)(result + 228);
	v146 = *(_DWORD *)(result + 412) & ~v134 ^ v143;
	*(_DWORD *)(result + 384) = v99;
	v147 = v146 ^ v145;
	v148 = v140 ^ *(_DWORD *)(result + 84);
	*(_DWORD *)(result + 512) = v141;
	v149 = v93 ^ v142;
	v150 = *(_DWORD *)(result + 8);
	v151 = v149;
	*(_DWORD *)(result + 752) = v139;
	v152 = v116 & v150;
	v153 = *(_DWORD *)(result + 692);
	*(_DWORD *)(result + 316) = v146;
	v154 = v153;
	v155 = *(_DWORD *)(result + 244);
	*(_DWORD *)(result + 336) = v112;
	*(_DWORD *)(result + 692) = v154 ^ v155 ^ v152;
	v156 = v151 ^ v138;
	*(_DWORD *)(result + 492) = v140;
	*(_DWORD *)(result + 228) = ~v147;
	v157 = *(_DWORD *)(result + 312);
	*(_DWORD *)(result + 8) = v118;
	v158 = *(_DWORD *)(result + 460);
	*(_DWORD *)(result + 28) = ~v144;
	*(_DWORD *)(result + 700) = v143;
	*(_DWORD *)(result + 84) = ~v148;
	*(_DWORD *)(result + 440) = v156;
	*(_DWORD *)(result + 248) = v151;
	*(_DWORD *)(result + 796) = v135;
	*(_DWORD *)(result + 460) = v158 ^ v156;
	*(_DWORD *)a3 = v157;
	*(_DWORD *)(a3 + 4) = *(_DWORD *)(result + 732);
	*(_DWORD *)(a3 + 8) = *(_DWORD *)(result + 12);
	*(_DWORD *)(a3 + 12) = *(_DWORD *)(result + 704);
	*(_DWORD *)(a3 + 16) = *(_DWORD *)(result + 788);
	*(_DWORD *)(a3 + 20) = *(_DWORD *)(result + 736);
	*(_DWORD *)(a3 + 24) = *(_DWORD *)(result + 28);
	*(_DWORD *)(a3 + 28) = *(_DWORD *)(result + 24);
	*(_DWORD *)(a3 + 32) = *(_DWORD *)(result + 36);
	*(_DWORD *)(a3 + 36) = *(_DWORD *)(result + 32);
	*(_DWORD *)(a3 + 40) = *(_DWORD *)(result + 44);
	*(_DWORD *)(a3 + 44) = *(_DWORD *)(result + 264);
	*(_DWORD *)(a3 + 48) = *(_DWORD *)(result + 52);
	*(_DWORD *)(a3 + 52) = *(_DWORD *)(result + 48);
	*(_DWORD *)(a3 + 56) = *(_DWORD *)(result + 712);
	*(_DWORD *)(a3 + 60) = *(_DWORD *)(result + 56);
	*(_DWORD *)(a3 + 64) = *(_DWORD *)(result + 68);
	*(_DWORD *)(a3 + 68) = *(_DWORD *)(result + 536);
	*(_DWORD *)(a3 + 72) = *(_DWORD *)(result + 348);
	*(_DWORD *)(a3 + 76) = *(_DWORD *)(result + 20);
	*(_DWORD *)(a3 + 80) = *(_DWORD *)(result + 84);
	*(_DWORD *)(a3 + 84) = *(_DWORD *)(result + 80);
	*(_DWORD *)(a3 + 88) = *(_DWORD *)(result + 92);
	*(_DWORD *)(a3 + 92) = *(_DWORD *)(result + 88);
	*(_DWORD *)(a3 + 96) = *(_DWORD *)(result + 100);
	*(_DWORD *)(a3 + 100) = *(_DWORD *)(result + 76);
	*(_DWORD *)(a3 + 104) = *(_DWORD *)(result + 448);
	*(_DWORD *)(a3 + 108) = *(_DWORD *)(result + 416);
	*(_DWORD *)(a3 + 112) = *(_DWORD *)(result + 540);
	*(_DWORD *)(a3 + 116) = *(_DWORD *)(result + 112);
	*(_DWORD *)(a3 + 120) = *(_DWORD *)(result + 616);
	*(_DWORD *)(a3 + 124) = *(_DWORD *)(result + 388);
	*(_DWORD *)(a3 + 128) = *(_DWORD *)(result + 132);
	*(_DWORD *)(a3 + 132) = *(_DWORD *)(result + 480);
	*(_DWORD *)(a3 + 136) = *(_DWORD *)(result + 216);
	*(_DWORD *)(a3 + 140) = *(_DWORD *)(result + 556);
	*(_DWORD *)(a3 + 144) = *(_DWORD *)(result + 148);
	*(_DWORD *)(a3 + 148) = *(_DWORD *)(result + 768);
	*(_DWORD *)(a3 + 152) = *(_DWORD *)(result + 168);
	*(_DWORD *)(a3 + 156) = *(_DWORD *)(result + 520);
	*(_DWORD *)(a3 + 160) = *(_DWORD *)(result + 164);
	*(_DWORD *)(a3 + 164) = *(_DWORD *)(result + 544);
	*(_DWORD *)(a3 + 168) = *(_DWORD *)(result + 596);
	*(_DWORD *)(a3 + 172) = *(_DWORD *)(result + 412);
	*(_DWORD *)(a3 + 176) = *(_DWORD *)(result + 692);
	*(_DWORD *)(a3 + 180) = *(_DWORD *)(result + 764);
	*(_DWORD *)(a3 + 184) = *(_DWORD *)(result + 460);
	*(_DWORD *)(a3 + 188) = *(_DWORD *)(result + 184);
	*(_DWORD *)(a3 + 192) = *(_DWORD *)(result + 784);
	*(_DWORD *)(a3 + 196) = *(_DWORD *)(result + 284);
	*(_DWORD *)(a3 + 200) = *(_DWORD *)(result + 560);
	*(_DWORD *)(a3 + 204) = *(_DWORD *)(result + 272);
	*(_DWORD *)(a3 + 208) = *(_DWORD *)(result + 212);
	*(_DWORD *)(a3 + 212) = *(_DWORD *)(result + 488);
	*(_DWORD *)(a3 + 216) = *(_DWORD *)(result + 220);
	*(_DWORD *)(a3 + 220) = *(_DWORD *)(result + 436);
	*(_DWORD *)(a3 + 224) = *(_DWORD *)(result + 228);
	*(_DWORD *)(a3 + 228) = *(_DWORD *)(result + 444);
	*(_DWORD *)(a3 + 232) = *(_DWORD *)(result + 144);
	*(_DWORD *)(a3 + 236) = *(_DWORD *)(result + 576);
	*(_DWORD *)(a3 + 240) = *(_DWORD *)(result + 320);
	*(_DWORD *)(a3 + 244) = *(_DWORD *)(result + 484);
	*(_DWORD *)(a3 + 248) = *(_DWORD *)(result + 252);
	*(_DWORD *)(a3 + 252) = *(_DWORD *)(result + 188);
	return result;
}

void sub_9E9D8(unsigned char *input, unsigned char*output)
{
	_DWORD temp[0x32C / 4];
	_DWORD temp2[0x100 / 4];
	memcpy(temp2, input, 0x100);
	sub_87568((unsigned char*)temp, (unsigned char*)temp2);
	sub_8930C((unsigned char*)temp);
	sub_8B2F4((unsigned char*)temp);
	sub_8D114((unsigned char*)temp);
	sub_8F0B0((unsigned char*)temp);
	sub_910A8((unsigned char*)temp);
	sub_92E08((unsigned char*)temp);
	sub_94BDC((unsigned char*)temp);
	sub_96984((unsigned char*)temp);
	sub_985E0((unsigned char*)temp);
	sub_9A490((unsigned char*)temp);
	sub_9C42C((unsigned char*)temp);
	sub_9E1C4((unsigned char*)temp, (unsigned char*)temp2);
	memcpy(output, temp2, 0x100);
}

int encrypt(const unsigned char *input, size_t input_size,
	const unsigned char* iv, size_t iv_size,
	unsigned char* output, size_t * output_size) {
	unsigned char arr2[256];
	unsigned char arr3[256];
	size_t roundedsize, totalsize;

	if (iv_size != 32){
		return -1;
	}

	roundedsize = input_size + (256 - (input_size % 256));
	totalsize = roundedsize + 32;

	if (output == NULL){
		*output_size = totalsize;
		return 0;
	}
	if (*output_size < totalsize){
		*output_size = totalsize;
		return -1;
	}

	for (int j = 0; j < 8; j++){
		for (int i = 0; i < 32; i++){
			arr2[32 * j + i] = rotl8(iv[i], j); //rotate byte left
		}
	}

	memcpy(output, iv, 32);
	memcpy(output + 32, input, input_size);

	if (roundedsize > input_size)
	{
		memset(output + 32 + input_size, 0, roundedsize - input_size); //pad data with zeroes
	}
	output[totalsize - 1] = 256 - (input_size % 256);

	for (size_t offset = 32; offset < totalsize; offset += 256)
	{
		for (int i = 0; i < 256; i++){
			output[offset + i] ^= arr2[i];
		}
		sub_9E9D8(output + offset, arr3); // !! encryption here
		memcpy(arr2, arr3, 256);
		memcpy(output + offset, arr3, 256);
	}

	*output_size = totalsize;
	return 0;
}
